/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
static obj_t BGl_symbol1624z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
static obj_t BGl_symbol1627z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_symbol1631z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1634z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1636z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1639z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
static obj_t BGl_symbol1641z00zz__tvectorz00 = BUNSPEC;
extern long bgl_list_length(obj_t);
static obj_t BGl_symbol1643z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1645z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1648z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1652z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1654z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1656z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1660z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1662z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1664z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
static obj_t BGl_symbol1666z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1671z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1673z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1675z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1677z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1681z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1683z00zz__tvectorz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_symbol1686z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1701z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1691z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1703z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1693z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_symbol1705z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1696z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1699z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl__tvectorzd2id1519zd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
static obj_t BGl__tvectorzd2length1518zd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_list1659z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
static obj_t BGl_list1670z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__getzd2tvectorzd2descrip1520z00zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
static obj_t BGl__listzd2ze3tvector1523z31zz__tvectorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1690z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1698z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__tvectorzd2ref1522zd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl__tvectorzd2ze3vector1525z31zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl__declarezd2tvectorz121521zc0zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2ze3tvector1524z31zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1637z00zz__tvectorz00, BgL_bgl_string1637za700za7za7_1710za7, "get-tvector-descriptor", 22 );
DEFINE_STRING( BGl_string1638z00zz__tvectorz00, BgL_bgl_string1638za700za7za7_1711za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1640z00zz__tvectorz00, BgL_bgl_string1640za700za7za7_1712za7, "_get-tvector-descrip1520", 24 );
DEFINE_STRING( BGl_string1642z00zz__tvectorz00, BgL_bgl_string1642za700za7za7_1713za7, "upcase", 6 );
DEFINE_STRING( BGl_string1644z00zz__tvectorz00, BgL_bgl_string1644za700za7za7_1714za7, "downcase", 8 );
DEFINE_STRING( BGl_string1646z00zz__tvectorz00, BgL_bgl_string1646za700za7za7_1715za7, "declare-tvector!", 16 );
DEFINE_STRING( BGl_string1647z00zz__tvectorz00, BgL_bgl_string1647za700za7za7_1716za7, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string1650z00zz__tvectorz00, BgL_bgl_string1650za700za7za7_1717za7, "string", 6 );
DEFINE_STRING( BGl_string1649z00zz__tvectorz00, BgL_bgl_string1649za700za7za7_1718za7, "_declare-tvector!1521", 21 );
DEFINE_STRING( BGl_string1651z00zz__tvectorz00, BgL_bgl_string1651za700za7za7_1719za7, "procedure", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2lengt1720za7, BGl__tvectorzd2length1518zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1653z00zz__tvectorz00, BgL_bgl_string1653za700za7za7_1721za7, "tvector-ref", 11 );
DEFINE_STRING( BGl_string1655z00zz__tvectorz00, BgL_bgl_string1655za700za7za7_1722za7, "_tvector-ref1522", 16 );
DEFINE_STRING( BGl_string1657z00zz__tvectorz00, BgL_bgl_string1657za700za7za7_1723za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1658z00zz__tvectorz00, BgL_bgl_string1658za700za7za7_1724za7, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string1661z00zz__tvectorz00, BgL_bgl_string1661za700za7za7_1725za7, "funcall", 7 );
DEFINE_STRING( BGl_string1663z00zz__tvectorz00, BgL_bgl_string1663za700za7za7_1726za7, "allocate", 8 );
DEFINE_STRING( BGl_string1665z00zz__tvectorz00, BgL_bgl_string1665za700za7za7_1727za7, "len", 3 );
DEFINE_STRING( BGl_string1667z00zz__tvectorz00, BgL_bgl_string1667za700za7za7_1728za7, "loop", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__vectorza7d2za7e3tve1729z00, BGl__vectorzd2ze3tvector1524z31zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1668z00zz__tvectorz00, BgL_bgl_string1668za700za7za7_1730za7, "pair", 4 );
DEFINE_STRING( BGl_string1669z00zz__tvectorz00, BgL_bgl_string1669za700za7za7_1731za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string1672z00zz__tvectorz00, BgL_bgl_string1672za700za7za7_1732za7, "set", 3 );
DEFINE_STRING( BGl_string1674z00zz__tvectorz00, BgL_bgl_string1674za700za7za7_1733za7, "tvec", 4 );
DEFINE_STRING( BGl_string1676z00zz__tvectorz00, BgL_bgl_string1676za700za7za7_1734za7, "i", 1 );
DEFINE_STRING( BGl_string1678z00zz__tvectorz00, BgL_bgl_string1678za700za7za7_1735za7, "arg1217", 7 );
DEFINE_STRING( BGl_string1680z00zz__tvectorz00, BgL_bgl_string1680za700za7za7_1736za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1679z00zz__tvectorz00, BgL_bgl_string1679za700za7za7_1737za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1682z00zz__tvectorz00, BgL_bgl_string1682za700za7za7_1738za7, "_list->tvector1523", 18 );
DEFINE_STRING( BGl_string1684z00zz__tvectorz00, BgL_bgl_string1684za700za7za7_1739za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1685z00zz__tvectorz00, BgL_bgl_string1685za700za7za7_1740za7, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string1687z00zz__tvectorz00, BgL_bgl_string1687za700za7za7_1741za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1688z00zz__tvectorz00, BgL_bgl_string1688za700za7za7_1742za7, "index out of range [0..", 23 );
DEFINE_STRING( BGl_string1700z00zz__tvectorz00, BgL_bgl_string1700za700za7za7_1743za7, "ref", 3 );
DEFINE_STRING( BGl_string1689z00zz__tvectorz00, BgL_bgl_string1689za700za7za7_1744za7, "]", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2ref151745za7, BGl__tvectorzd2ref1522zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1702z00zz__tvectorz00, BgL_bgl_string1702za700za7za7_1746za7, "tv", 2 );
DEFINE_STRING( BGl_string1692z00zz__tvectorz00, BgL_bgl_string1692za700za7za7_1747za7, "arg1222", 7 );
DEFINE_STRING( BGl_string1704z00zz__tvectorz00, BgL_bgl_string1704za700za7za7_1748za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1694z00zz__tvectorz00, BgL_bgl_string1694za700za7za7_1749za7, "_vector->tvector1524", 20 );
DEFINE_STRING( BGl_string1695z00zz__tvectorz00, BgL_bgl_string1695za700za7za7_1750za7, "vector", 6 );
DEFINE_STRING( BGl_string1706z00zz__tvectorz00, BgL_bgl_string1706za700za7za7_1751za7, "_tvector->vector1525", 20 );
DEFINE_STRING( BGl_string1707z00zz__tvectorz00, BgL_bgl_string1707za700za7za7_1752za7, "__tvector", 9 );
DEFINE_STRING( BGl_string1697z00zz__tvectorz00, BgL_bgl_string1697za700za7za7_1753za7, "tvector->vector", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl__getza7d2tvectorza7d1754z00, BGl__getzd2tvectorzd2descrip1520z00zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2id1511755za7, BGl__tvectorzd2id1519zd2zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl__tvectorza7f3za7f3za7za71756z00, BGl__tvectorzf3zf3zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl__declareza7d2tvect1757za7, BGl__declarezd2tvectorz121521zc0zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__listza7d2za7e3tvect1758z00, BGl__listzd2ze3tvector1523z31zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl__tvectorza7d2za7e3ve1759z00, BGl__tvectorzd2ze3vector1525z31zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1625z00zz__tvectorz00, BgL_bgl_string1625za700za7za7_1760za7, "_tvector-length1518", 19 );
DEFINE_STRING( BGl_string1626z00zz__tvectorz00, BgL_bgl_string1626za700za7za7_1761za7, "tvector", 7 );
DEFINE_STRING( BGl_string1628z00zz__tvectorz00, BgL_bgl_string1628za700za7za7_1762za7, "tvector-id", 10 );
DEFINE_STRING( BGl_string1630z00zz__tvectorz00, BgL_bgl_string1630za700za7za7_1763za7, "symbol", 6 );
DEFINE_STRING( BGl_string1629z00zz__tvectorz00, BgL_bgl_string1629za700za7za7_1764za7, "struct", 6 );
DEFINE_STRING( BGl_string1632z00zz__tvectorz00, BgL_bgl_string1632za700za7za7_1765za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1633z00zz__tvectorz00, BgL_bgl_string1633za700za7za7_1766za7, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string1635z00zz__tvectorz00, BgL_bgl_string1635za700za7za7_1767za7, "_tvector-id1519", 15 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_1364, char * BgL_fromz00_1365)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
BGl_toplevelzd2initzd2zz__tvectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_symbol1624z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1625z00zz__tvectorz00); 
BGl_symbol1627z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1628z00zz__tvectorz00); 
BGl_symbol1631z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1632z00zz__tvectorz00); 
BGl_symbol1634z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1635z00zz__tvectorz00); 
BGl_symbol1636z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1637z00zz__tvectorz00); 
BGl_symbol1639z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1640z00zz__tvectorz00); 
BGl_symbol1641z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1642z00zz__tvectorz00); 
BGl_symbol1643z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1644z00zz__tvectorz00); 
BGl_symbol1645z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1646z00zz__tvectorz00); 
BGl_symbol1648z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1649z00zz__tvectorz00); 
BGl_symbol1652z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1653z00zz__tvectorz00); 
BGl_symbol1654z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1655z00zz__tvectorz00); 
BGl_symbol1656z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1657z00zz__tvectorz00); 
BGl_symbol1660z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1661z00zz__tvectorz00); 
BGl_symbol1662z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1663z00zz__tvectorz00); 
BGl_symbol1664z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1665z00zz__tvectorz00); 
BGl_list1659z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1660z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1662z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1662z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1664z00zz__tvectorz00, BNIL)))); 
BGl_symbol1666z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1667z00zz__tvectorz00); 
BGl_symbol1671z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1672z00zz__tvectorz00); 
BGl_symbol1673z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1674z00zz__tvectorz00); 
BGl_symbol1675z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1676z00zz__tvectorz00); 
BGl_symbol1677z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1678z00zz__tvectorz00); 
BGl_list1670z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1660z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1671z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1671z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1673z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1675z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1677z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1681z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1682z00zz__tvectorz00); 
BGl_symbol1683z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1684z00zz__tvectorz00); 
BGl_symbol1686z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1687z00zz__tvectorz00); 
BGl_symbol1691z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1692z00zz__tvectorz00); 
BGl_list1690z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1660z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1671z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1671z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1673z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1675z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1691z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1693z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1694z00zz__tvectorz00); 
BGl_symbol1696z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1697z00zz__tvectorz00); 
BGl_symbol1699z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1700z00zz__tvectorz00); 
BGl_symbol1701z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1702z00zz__tvectorz00); 
BGl_list1698z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1660z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1699z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1699z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1701z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1675z00zz__tvectorz00, BNIL))))); 
BGl_symbol1703z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1704z00zz__tvectorz00); 
return ( 
BGl_symbol1705z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1706z00zz__tvectorz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 
}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/tvector.scm 86 */
return 
TVECTORP(BgL_objz00_1);} 
}



/* _tvector? */
obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t BgL_envz00_1225, obj_t BgL_objz00_1226)
{ AN_OBJECT;
{ /* Llib/tvector.scm 86 */
return 
BBOOL(
TVECTORP(BgL_objz00_1226));} 
}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* Llib/tvector.scm 92 */
return 
TVECTOR_LENGTH(BgL_objz00_2);} 
}



/* _tvector-length1518 */
obj_t BGl__tvectorzd2length1518zd2zz__tvectorz00(obj_t BgL_envz00_1227, obj_t BgL_objz00_1228)
{ AN_OBJECT;
{ /* Llib/tvector.scm 92 */
{ /* Llib/tvector.scm 93 */
int BgL_auxz00_1428;
{ /* Llib/tvector.scm 93 */
obj_t BgL_objz00_1353;
if(
TVECTORP(BgL_objz00_1228))
{ /* Llib/tvector.scm 93 */
BgL_objz00_1353 = BgL_objz00_1228; }  else 
{ /* Llib/tvector.scm 93 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1624z00zz__tvectorz00, BGl_string1626z00zz__tvectorz00, BgL_objz00_1228); 
exit( -1 );} 
BgL_auxz00_1428 = 
TVECTOR_LENGTH(BgL_objz00_1353); } 
return 
BINT(BgL_auxz00_1428);} } 
}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_3)
{ AN_OBJECT;
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
obj_t BgL_arg1143z00_806;
BgL_arg1143z00_806 = 
TVECTOR_DESCR(BgL_tvectz00_3); 
{ /* Llib/tvector.scm 99 */
bool_t BgL_testz00_1436;
{ /* Llib/tvector.scm 99 */
obj_t BgL_auxz00_1437;
{ /* Llib/tvector.scm 99 */
obj_t BgL_res1485z00_812;
{ /* Llib/tvector.scm 99 */
obj_t BgL_sz00_811;
if(
STRUCTP(BgL_arg1143z00_806))
{ /* Llib/tvector.scm 99 */
BgL_sz00_811 = BgL_arg1143z00_806; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1627z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_arg1143z00_806); 
exit( -1 );} 
{ /* Llib/tvector.scm 99 */
obj_t BgL_aux1530z00_1253;
BgL_aux1530z00_1253 = 
STRUCT_KEY(BgL_sz00_811); 
if(
SYMBOLP(BgL_aux1530z00_1253))
{ /* Llib/tvector.scm 99 */
BgL_res1485z00_812 = BgL_aux1530z00_1253; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1627z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1530z00_1253); 
exit( -1 );} } } 
BgL_auxz00_1437 = BgL_res1485z00_812; } 
BgL_testz00_1436 = 
(BgL_auxz00_1437==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1436)
{ /* Llib/tvector.scm 99 */
int BgL_auxz00_1448;
BgL_auxz00_1448 = 
(int)(((long)0)); 
return 
STRUCT_REF(BgL_arg1143z00_806, BgL_auxz00_1448);}  else 
{ /* Llib/tvector.scm 99 */
return 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_arg1143z00_806);} } } } 
}



/* _tvector-id1519 */
obj_t BGl__tvectorzd2id1519zd2zz__tvectorz00(obj_t BgL_envz00_1229, obj_t BgL_tvectz00_1230)
{ AN_OBJECT;
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
obj_t BgL_auxz00_1452;
if(
TVECTORP(BgL_tvectz00_1230))
{ /* Llib/tvector.scm 99 */
BgL_auxz00_1452 = BgL_tvectz00_1230
; }  else 
{ /* Llib/tvector.scm 99 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1634z00zz__tvectorz00, BGl_string1626z00zz__tvectorz00, BgL_tvectz00_1230); 
exit( -1 );} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1452);} } 
}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_22)
{ AN_OBJECT;
{ /* Llib/tvector.scm 121 */
if(
PAIRP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 123 */
obj_t BgL_cellz00_497;
{ /* Llib/tvector.scm 123 */
obj_t BgL_auxz00_1460;
{ /* Llib/tvector.scm 123 */
obj_t BgL_aux1534z00_1257;
BgL_aux1534z00_1257 = BGl_za2tvectorzd2tableza2zd2zz__tvectorz00; 
{ /* Llib/tvector.scm 123 */
bool_t BgL_testz00_1461;
if(
PAIRP(BgL_aux1534z00_1257))
{ /* Llib/tvector.scm 123 */
BgL_testz00_1461 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 123 */
BgL_testz00_1461 = 
NULLP(BgL_aux1534z00_1257)
; } 
if(BgL_testz00_1461)
{ /* Llib/tvector.scm 123 */
BgL_auxz00_1460 = BgL_aux1534z00_1257
; }  else 
{ /* Llib/tvector.scm 123 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1636z00zz__tvectorz00, BGl_string1638z00zz__tvectorz00, BgL_aux1534z00_1257); 
exit( -1 );} } } 
BgL_cellz00_497 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_22, BgL_auxz00_1460); } 
if(
PAIRP(BgL_cellz00_497))
{ /* Llib/tvector.scm 124 */
return 
CDR(BgL_cellz00_497);}  else 
{ /* Llib/tvector.scm 124 */
return BFALSE;} }  else 
{ /* Llib/tvector.scm 122 */
return BFALSE;} } 
}



/* _get-tvector-descrip1520 */
obj_t BGl__getzd2tvectorzd2descrip1520z00zz__tvectorz00(obj_t BgL_envz00_1231, obj_t BgL_idz00_1232)
{ AN_OBJECT;
{ /* Llib/tvector.scm 121 */
{ /* Llib/tvector.scm 122 */
obj_t BgL_auxz00_1471;
if(
SYMBOLP(BgL_idz00_1232))
{ /* Llib/tvector.scm 122 */
BgL_auxz00_1471 = BgL_idz00_1232
; }  else 
{ /* Llib/tvector.scm 122 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1639z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_idz00_1232); 
exit( -1 );} 
return 
get_tvector_descriptor(BgL_auxz00_1471);} } 
}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_23, obj_t BgL_allocatez00_24, obj_t BgL_refz00_25, obj_t BgL_setz00_26)
{ AN_OBJECT;
{ /* Llib/tvector.scm 135 */
{ /* Llib/tvector.scm 136 */
obj_t BgL_idz00_499;
{ /* Llib/tvector.scm 136 */
obj_t BgL_arg1208z00_504;
{ /* Llib/tvector.scm 136 */
obj_t BgL_casezd2valuezd2_505;
BgL_casezd2valuezd2_505 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_505==BGl_symbol1641z00zz__tvectorz00))
{ /* Llib/tvector.scm 136 */
BgL_arg1208z00_504 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 136 */
if(
(BgL_casezd2valuezd2_505==BGl_symbol1643z00zz__tvectorz00))
{ /* Llib/tvector.scm 136 */
BgL_arg1208z00_504 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 136 */
BgL_arg1208z00_504 = 
string_to_bstring(BgL_idz00_23); } } } 
BgL_idz00_499 = 
string_to_symbol(
BSTRING_TO_STRING(BgL_arg1208z00_504)); } 
{ /* Llib/tvector.scm 136 */
obj_t BgL_oldz00_500;
BgL_oldz00_500 = 
get_tvector_descriptor(BgL_idz00_499); 
{ /* Llib/tvector.scm 143 */

{ /* Llib/tvector.scm 144 */
bool_t BgL_testz00_1490;
if(
STRUCTP(BgL_oldz00_500))
{ /* Llib/tvector.scm 144 */
obj_t BgL_auxz00_1493;
{ /* Llib/tvector.scm 144 */
obj_t BgL_res1499z00_902;
{ /* Llib/tvector.scm 144 */
obj_t BgL_sz00_901;
BgL_sz00_901 = BgL_oldz00_500; 
{ /* Llib/tvector.scm 144 */
obj_t BgL_aux1542z00_1265;
BgL_aux1542z00_1265 = 
STRUCT_KEY(BgL_sz00_901); 
if(
SYMBOLP(BgL_aux1542z00_1265))
{ /* Llib/tvector.scm 144 */
BgL_res1499z00_902 = BgL_aux1542z00_1265; }  else 
{ /* Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1645z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1542z00_1265); 
exit( -1 );} } } 
BgL_auxz00_1493 = BgL_res1499z00_902; } 
BgL_testz00_1490 = 
(BgL_auxz00_1493==BGl_symbol1631z00zz__tvectorz00); }  else 
{ /* Llib/tvector.scm 144 */
BgL_testz00_1490 = ((bool_t)0)
; } 
if(BgL_testz00_1490)
{ /* Llib/tvector.scm 144 */
return BgL_oldz00_500;}  else 
{ /* Llib/tvector.scm 145 */
obj_t BgL_newz00_502;
{ /* Llib/tvector.scm 145 */
obj_t BgL_newz00_907;
BgL_newz00_907 = 
create_struct(BGl_symbol1631z00zz__tvectorz00, 
(int)(((long)4))); 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1502;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1503;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1500z00_914;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1544z00_1267;
BgL_aux1544z00_1267 = 
STRUCT_KEY(BgL_newz00_907); 
if(
SYMBOLP(BgL_aux1544z00_1267))
{ /* Llib/tvector.scm 145 */
BgL_res1500z00_914 = BgL_aux1544z00_1267; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1645z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1544z00_1267); 
exit( -1 );} } 
BgL_auxz00_1503 = BgL_res1500z00_914; } 
BgL_testz00_1502 = 
(BgL_auxz00_1503==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1502)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1510;
BgL_auxz00_1510 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_907, BgL_auxz00_1510, BgL_setz00_26); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1647z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_newz00_907); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1514;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1515;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1501z00_921;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1546z00_1269;
BgL_aux1546z00_1269 = 
STRUCT_KEY(BgL_newz00_907); 
if(
SYMBOLP(BgL_aux1546z00_1269))
{ /* Llib/tvector.scm 145 */
BgL_res1501z00_921 = BgL_aux1546z00_1269; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1645z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1546z00_1269); 
exit( -1 );} } 
BgL_auxz00_1515 = BgL_res1501z00_921; } 
BgL_testz00_1514 = 
(BgL_auxz00_1515==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1514)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1522;
BgL_auxz00_1522 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_907, BgL_auxz00_1522, BgL_refz00_25); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1647z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_newz00_907); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1526;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1527;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1502z00_928;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1548z00_1271;
BgL_aux1548z00_1271 = 
STRUCT_KEY(BgL_newz00_907); 
if(
SYMBOLP(BgL_aux1548z00_1271))
{ /* Llib/tvector.scm 145 */
BgL_res1502z00_928 = BgL_aux1548z00_1271; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1645z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1548z00_1271); 
exit( -1 );} } 
BgL_auxz00_1527 = BgL_res1502z00_928; } 
BgL_testz00_1526 = 
(BgL_auxz00_1527==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1526)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1534;
BgL_auxz00_1534 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_907, BgL_auxz00_1534, BgL_allocatez00_24); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1647z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_newz00_907); } } 
{ /* Llib/tvector.scm 145 */
bool_t BgL_testz00_1538;
{ /* Llib/tvector.scm 145 */
obj_t BgL_auxz00_1539;
{ /* Llib/tvector.scm 145 */
obj_t BgL_res1503z00_935;
{ /* Llib/tvector.scm 145 */
obj_t BgL_aux1550z00_1273;
BgL_aux1550z00_1273 = 
STRUCT_KEY(BgL_newz00_907); 
if(
SYMBOLP(BgL_aux1550z00_1273))
{ /* Llib/tvector.scm 145 */
BgL_res1503z00_935 = BgL_aux1550z00_1273; }  else 
{ /* Llib/tvector.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1645z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1550z00_1273); 
exit( -1 );} } 
BgL_auxz00_1539 = BgL_res1503z00_935; } 
BgL_testz00_1538 = 
(BgL_auxz00_1539==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1538)
{ /* Llib/tvector.scm 145 */
int BgL_auxz00_1546;
BgL_auxz00_1546 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_907, BgL_auxz00_1546, BgL_idz00_499); }  else 
{ /* Llib/tvector.scm 145 */
BGl_errorz00zz__errorz00(BGl_string1647z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_newz00_907); } } 
BgL_newz00_502 = BgL_newz00_907; } 
{ /* Llib/tvector.scm 146 */
obj_t BgL_arg1207z00_503;
BgL_arg1207z00_503 = 
MAKE_PAIR(BgL_idz00_499, BgL_newz00_502); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_PAIR(BgL_arg1207z00_503, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_502;} } } } } } 
}



/* _declare-tvector!1521 */
obj_t BGl__declarezd2tvectorz121521zc0zz__tvectorz00(obj_t BgL_envz00_1233, obj_t BgL_idz00_1234, obj_t BgL_allocatez00_1235, obj_t BgL_refz00_1236, obj_t BgL_setz00_1237)
{ AN_OBJECT;
{ /* Llib/tvector.scm 135 */
{ /* Llib/tvector.scm 136 */
obj_t BgL_auxz00_1559;char * BgL_auxz00_1552;
if(
PROCEDUREP(BgL_allocatez00_1235))
{ /* Llib/tvector.scm 136 */
BgL_auxz00_1559 = BgL_allocatez00_1235
; }  else 
{ /* Llib/tvector.scm 136 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1648z00zz__tvectorz00, BGl_string1651z00zz__tvectorz00, BgL_allocatez00_1235); 
exit( -1 );} 
{ /* Llib/tvector.scm 136 */
obj_t BgL_auxz00_1553;
if(
STRINGP(BgL_idz00_1234))
{ /* Llib/tvector.scm 136 */
BgL_auxz00_1553 = BgL_idz00_1234
; }  else 
{ /* Llib/tvector.scm 136 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1648z00zz__tvectorz00, BGl_string1650z00zz__tvectorz00, BgL_idz00_1234); 
exit( -1 );} 
BgL_auxz00_1552 = 
BSTRING_TO_STRING(BgL_auxz00_1553); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1552, BgL_auxz00_1559, BgL_refz00_1236, BgL_setz00_1237);} } 
}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_27)
{ AN_OBJECT;
{ /* Llib/tvector.scm 153 */
{ /* Llib/tvector.scm 154 */
obj_t BgL_arg1213z00_936;
BgL_arg1213z00_936 = 
TVECTOR_DESCR(BgL_tvectorz00_27); 
{ /* Llib/tvector.scm 154 */
bool_t BgL_testz00_1566;
{ /* Llib/tvector.scm 154 */
obj_t BgL_auxz00_1567;
{ /* Llib/tvector.scm 154 */
obj_t BgL_res1504z00_942;
{ /* Llib/tvector.scm 154 */
obj_t BgL_sz00_941;
if(
STRUCTP(BgL_arg1213z00_936))
{ /* Llib/tvector.scm 154 */
BgL_sz00_941 = BgL_arg1213z00_936; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1652z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_arg1213z00_936); 
exit( -1 );} 
{ /* Llib/tvector.scm 154 */
obj_t BgL_aux1558z00_1281;
BgL_aux1558z00_1281 = 
STRUCT_KEY(BgL_sz00_941); 
if(
SYMBOLP(BgL_aux1558z00_1281))
{ /* Llib/tvector.scm 154 */
BgL_res1504z00_942 = BgL_aux1558z00_1281; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1652z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1558z00_1281); 
exit( -1 );} } } 
BgL_auxz00_1567 = BgL_res1504z00_942; } 
BgL_testz00_1566 = 
(BgL_auxz00_1567==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1566)
{ /* Llib/tvector.scm 154 */
int BgL_auxz00_1578;
BgL_auxz00_1578 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_arg1213z00_936, BgL_auxz00_1578);}  else 
{ /* Llib/tvector.scm 154 */
return 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_arg1213z00_936);} } } } 
}



/* _tvector-ref1522 */
obj_t BGl__tvectorzd2ref1522zd2zz__tvectorz00(obj_t BgL_envz00_1238, obj_t BgL_tvectorz00_1239)
{ AN_OBJECT;
{ /* Llib/tvector.scm 153 */
{ /* Llib/tvector.scm 154 */
obj_t BgL_auxz00_1582;
if(
TVECTORP(BgL_tvectorz00_1239))
{ /* Llib/tvector.scm 154 */
BgL_auxz00_1582 = BgL_tvectorz00_1239
; }  else 
{ /* Llib/tvector.scm 154 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1654z00zz__tvectorz00, BGl_string1626z00zz__tvectorz00, BgL_tvectorz00_1239); 
exit( -1 );} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1582);} } 
}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_28, obj_t BgL_lz00_29)
{ AN_OBJECT;
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
obj_t BgL_descrz00_511;
BgL_descrz00_511 = 
get_tvector_descriptor(BgL_idz00_28); 
if(
CBOOL(BgL_descrz00_511))
{ /* Llib/tvector.scm 163 */
obj_t BgL_allocatez00_512;obj_t BgL_setz00_513;
{ /* Llib/tvector.scm 163 */
bool_t BgL_testz00_1591;
{ /* Llib/tvector.scm 163 */
obj_t BgL_auxz00_1592;
{ /* Llib/tvector.scm 163 */
obj_t BgL_res1505z00_948;
{ /* Llib/tvector.scm 163 */
obj_t BgL_sz00_947;
if(
STRUCTP(BgL_descrz00_511))
{ /* Llib/tvector.scm 163 */
BgL_sz00_947 = BgL_descrz00_511; }  else 
{ /* Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1656z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_511); 
exit( -1 );} 
{ /* Llib/tvector.scm 163 */
obj_t BgL_aux1564z00_1287;
BgL_aux1564z00_1287 = 
STRUCT_KEY(BgL_sz00_947); 
if(
SYMBOLP(BgL_aux1564z00_1287))
{ /* Llib/tvector.scm 163 */
BgL_res1505z00_948 = BgL_aux1564z00_1287; }  else 
{ /* Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1656z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1564z00_1287); 
exit( -1 );} } } 
BgL_auxz00_1592 = BgL_res1505z00_948; } 
BgL_testz00_1591 = 
(BgL_auxz00_1592==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1591)
{ /* Llib/tvector.scm 163 */
int BgL_auxz00_1603;
BgL_auxz00_1603 = 
(int)(((long)1)); 
BgL_allocatez00_512 = 
STRUCT_REF(BgL_descrz00_511, BgL_auxz00_1603); }  else 
{ /* Llib/tvector.scm 163 */
BgL_allocatez00_512 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_511); } } 
{ /* Llib/tvector.scm 164 */
bool_t BgL_testz00_1607;
{ /* Llib/tvector.scm 164 */
obj_t BgL_auxz00_1608;
{ /* Llib/tvector.scm 164 */
obj_t BgL_res1506z00_954;
{ /* Llib/tvector.scm 164 */
obj_t BgL_sz00_953;
if(
STRUCTP(BgL_descrz00_511))
{ /* Llib/tvector.scm 164 */
BgL_sz00_953 = BgL_descrz00_511; }  else 
{ /* Llib/tvector.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1656z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_511); 
exit( -1 );} 
{ /* Llib/tvector.scm 164 */
obj_t BgL_aux1568z00_1291;
BgL_aux1568z00_1291 = 
STRUCT_KEY(BgL_sz00_953); 
if(
SYMBOLP(BgL_aux1568z00_1291))
{ /* Llib/tvector.scm 164 */
BgL_res1506z00_954 = BgL_aux1568z00_1291; }  else 
{ /* Llib/tvector.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1656z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1568z00_1291); 
exit( -1 );} } } 
BgL_auxz00_1608 = BgL_res1506z00_954; } 
BgL_testz00_1607 = 
(BgL_auxz00_1608==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1607)
{ /* Llib/tvector.scm 164 */
int BgL_auxz00_1619;
BgL_auxz00_1619 = 
(int)(((long)3)); 
BgL_setz00_513 = 
STRUCT_REF(BgL_descrz00_511, BgL_auxz00_1619); }  else 
{ /* Llib/tvector.scm 164 */
BgL_setz00_513 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_511); } } 
if(
PROCEDUREP(BgL_setz00_513))
{ /* Llib/tvector.scm 169 */
long BgL_lenz00_515;
BgL_lenz00_515 = 
bgl_list_length(BgL_lz00_29); 
{ /* Llib/tvector.scm 169 */
obj_t BgL_tvecz00_516;
{ /* Llib/tvector.scm 170 */
obj_t BgL_funz00_1295;
if(
PROCEDUREP(BgL_allocatez00_512))
{ /* Llib/tvector.scm 170 */
BgL_funz00_1295 = BgL_allocatez00_512; }  else 
{ /* Llib/tvector.scm 170 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1656z00zz__tvectorz00, BGl_string1651z00zz__tvectorz00, BgL_allocatez00_512); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1295, ((long)1)))
{ /* Llib/tvector.scm 170 */
BgL_tvecz00_516 = 
PROCEDURE_ENTRY(BgL_funz00_1295)(BgL_allocatez00_512, 
BINT(BgL_lenz00_515), BEOA); }  else 
{ /* Llib/tvector.scm 170 */
FAILURE(BGl_string1658z00zz__tvectorz00,BGl_list1659z00zz__tvectorz00,BgL_funz00_1295);} } 
{ /* Llib/tvector.scm 170 */

{ 
obj_t BgL_lz00_517;long BgL_iz00_518;
BgL_lz00_517 = BgL_lz00_29; 
BgL_iz00_518 = ((long)0); 
BgL_loopz00_519:
if(
NULLP(BgL_lz00_517))
{ /* Llib/tvector.scm 173 */
return BgL_tvecz00_516;}  else 
{ /* Llib/tvector.scm 173 */
{ /* Llib/tvector.scm 176 */
obj_t BgL_arg1217z00_521;
{ /* Llib/tvector.scm 176 */
obj_t BgL_pairz00_957;
if(
PAIRP(BgL_lz00_517))
{ /* Llib/tvector.scm 176 */
BgL_pairz00_957 = BgL_lz00_517; }  else 
{ /* Llib/tvector.scm 176 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1666z00zz__tvectorz00, BGl_string1668z00zz__tvectorz00, BgL_lz00_517); 
exit( -1 );} 
BgL_arg1217z00_521 = 
CAR(BgL_pairz00_957); } 
{ /* Llib/tvector.scm 176 */
obj_t BgL_funz00_1302;
BgL_funz00_1302 = BgL_setz00_513; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1302, ((long)3)))
{ /* Llib/tvector.scm 176 */
PROCEDURE_ENTRY(BgL_funz00_1302)(BgL_setz00_513, BgL_tvecz00_516, 
BINT(BgL_iz00_518), BgL_arg1217z00_521, BEOA); }  else 
{ /* Llib/tvector.scm 176 */
FAILURE(BGl_string1669z00zz__tvectorz00,BGl_list1670z00zz__tvectorz00,BgL_funz00_1302);} } } 
{ /* Llib/tvector.scm 177 */
obj_t BgL_arg1218z00_522;long BgL_arg1219z00_523;
{ /* Llib/tvector.scm 177 */
obj_t BgL_pairz00_958;
if(
PAIRP(BgL_lz00_517))
{ /* Llib/tvector.scm 177 */
BgL_pairz00_958 = BgL_lz00_517; }  else 
{ /* Llib/tvector.scm 177 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1666z00zz__tvectorz00, BGl_string1668z00zz__tvectorz00, BgL_lz00_517); 
exit( -1 );} 
BgL_arg1218z00_522 = 
CDR(BgL_pairz00_958); } 
BgL_arg1219z00_523 = 
(BgL_iz00_518+((long)1)); 
{ 
long BgL_iz00_1656;obj_t BgL_lz00_1655;
BgL_lz00_1655 = BgL_arg1218z00_522; 
BgL_iz00_1656 = BgL_arg1219z00_523; 
BgL_iz00_518 = BgL_iz00_1656; 
BgL_lz00_517 = BgL_lz00_1655; 
goto BgL_loopz00_519;} } } } } } }  else 
{ /* Llib/tvector.scm 165 */
return 
BGl_errorz00zz__errorz00(BGl_string1657z00zz__tvectorz00, BGl_string1679z00zz__tvectorz00, BgL_idz00_28);} }  else 
{ /* Llib/tvector.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1657z00zz__tvectorz00, BGl_string1680z00zz__tvectorz00, BgL_idz00_28);} } } 
}



/* _list->tvector1523 */
obj_t BGl__listzd2ze3tvector1523z31zz__tvectorz00(obj_t BgL_envz00_1240, obj_t BgL_idz00_1241, obj_t BgL_lz00_1242)
{ AN_OBJECT;
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
obj_t BgL_auxz00_1664;obj_t BgL_auxz00_1659;
{ /* Llib/tvector.scm 160 */
bool_t BgL_testz00_1665;
if(
PAIRP(BgL_lz00_1242))
{ /* Llib/tvector.scm 160 */
BgL_testz00_1665 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 160 */
BgL_testz00_1665 = 
NULLP(BgL_lz00_1242)
; } 
if(BgL_testz00_1665)
{ /* Llib/tvector.scm 160 */
BgL_auxz00_1664 = BgL_lz00_1242
; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1681z00zz__tvectorz00, BGl_string1638z00zz__tvectorz00, BgL_lz00_1242); 
exit( -1 );} } 
if(
SYMBOLP(BgL_idz00_1241))
{ /* Llib/tvector.scm 160 */
BgL_auxz00_1659 = BgL_idz00_1241
; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1681z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_idz00_1241); 
exit( -1 );} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1659, BgL_auxz00_1664);} } 
}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_vz00_31)
{ AN_OBJECT;
{ /* Llib/tvector.scm 182 */
{ /* Llib/tvector.scm 183 */
obj_t BgL_descrz00_524;
BgL_descrz00_524 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_524))
{ /* Llib/tvector.scm 186 */
obj_t BgL_allocatez00_525;obj_t BgL_setz00_526;
{ /* Llib/tvector.scm 186 */
bool_t BgL_testz00_1675;
{ /* Llib/tvector.scm 186 */
obj_t BgL_auxz00_1676;
{ /* Llib/tvector.scm 186 */
obj_t BgL_res1507z00_966;
{ /* Llib/tvector.scm 186 */
obj_t BgL_sz00_965;
if(
STRUCTP(BgL_descrz00_524))
{ /* Llib/tvector.scm 186 */
BgL_sz00_965 = BgL_descrz00_524; }  else 
{ /* Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1683z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_524); 
exit( -1 );} 
{ /* Llib/tvector.scm 186 */
obj_t BgL_aux1588z00_1313;
BgL_aux1588z00_1313 = 
STRUCT_KEY(BgL_sz00_965); 
if(
SYMBOLP(BgL_aux1588z00_1313))
{ /* Llib/tvector.scm 186 */
BgL_res1507z00_966 = BgL_aux1588z00_1313; }  else 
{ /* Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1683z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1588z00_1313); 
exit( -1 );} } } 
BgL_auxz00_1676 = BgL_res1507z00_966; } 
BgL_testz00_1675 = 
(BgL_auxz00_1676==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1675)
{ /* Llib/tvector.scm 186 */
int BgL_auxz00_1687;
BgL_auxz00_1687 = 
(int)(((long)1)); 
BgL_allocatez00_525 = 
STRUCT_REF(BgL_descrz00_524, BgL_auxz00_1687); }  else 
{ /* Llib/tvector.scm 186 */
BgL_allocatez00_525 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_524); } } 
{ /* Llib/tvector.scm 187 */
bool_t BgL_testz00_1691;
{ /* Llib/tvector.scm 187 */
obj_t BgL_auxz00_1692;
{ /* Llib/tvector.scm 187 */
obj_t BgL_res1508z00_972;
{ /* Llib/tvector.scm 187 */
obj_t BgL_sz00_971;
if(
STRUCTP(BgL_descrz00_524))
{ /* Llib/tvector.scm 187 */
BgL_sz00_971 = BgL_descrz00_524; }  else 
{ /* Llib/tvector.scm 187 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1683z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_524); 
exit( -1 );} 
{ /* Llib/tvector.scm 187 */
obj_t BgL_aux1592z00_1317;
BgL_aux1592z00_1317 = 
STRUCT_KEY(BgL_sz00_971); 
if(
SYMBOLP(BgL_aux1592z00_1317))
{ /* Llib/tvector.scm 187 */
BgL_res1508z00_972 = BgL_aux1592z00_1317; }  else 
{ /* Llib/tvector.scm 187 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1683z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1592z00_1317); 
exit( -1 );} } } 
BgL_auxz00_1692 = BgL_res1508z00_972; } 
BgL_testz00_1691 = 
(BgL_auxz00_1692==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1691)
{ /* Llib/tvector.scm 187 */
int BgL_auxz00_1703;
BgL_auxz00_1703 = 
(int)(((long)3)); 
BgL_setz00_526 = 
STRUCT_REF(BgL_descrz00_524, BgL_auxz00_1703); }  else 
{ /* Llib/tvector.scm 187 */
BgL_setz00_526 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_524); } } 
if(
PROCEDUREP(BgL_setz00_526))
{ /* Llib/tvector.scm 192 */
int BgL_lenz00_528;
BgL_lenz00_528 = 
VECTOR_LENGTH(BgL_vz00_31); 
{ /* Llib/tvector.scm 192 */
obj_t BgL_tvecz00_529;
{ /* Llib/tvector.scm 193 */
obj_t BgL_funz00_1321;
if(
PROCEDUREP(BgL_allocatez00_525))
{ /* Llib/tvector.scm 193 */
BgL_funz00_1321 = BgL_allocatez00_525; }  else 
{ /* Llib/tvector.scm 193 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1683z00zz__tvectorz00, BGl_string1651z00zz__tvectorz00, BgL_allocatez00_525); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1321, ((long)1)))
{ /* Llib/tvector.scm 193 */
BgL_tvecz00_529 = 
PROCEDURE_ENTRY(BgL_funz00_1321)(BgL_allocatez00_525, 
BINT(BgL_lenz00_528), BEOA); }  else 
{ /* Llib/tvector.scm 193 */
FAILURE(BGl_string1685z00zz__tvectorz00,BGl_list1659z00zz__tvectorz00,BgL_funz00_1321);} } 
{ /* Llib/tvector.scm 193 */

{ /* Llib/tvector.scm 194 */
long BgL_g1112z00_530;
BgL_g1112z00_530 = 
(
(long)(BgL_lenz00_528)-((long)1)); 
{ 
long BgL_iz00_531;
BgL_iz00_531 = BgL_g1112z00_530; 
BgL_loopz00_532:
if(
(BgL_iz00_531==((long)-1)))
{ /* Llib/tvector.scm 195 */
return BgL_tvecz00_529;}  else 
{ /* Llib/tvector.scm 195 */
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1222z00_534;
{ /* Llib/tvector.scm 198 */
obj_t BgL_vectorz00_979;int BgL_kz00_980;
BgL_vectorz00_979 = BgL_vz00_31; 
BgL_kz00_980 = 
(int)(BgL_iz00_531); 
{ /* Llib/tvector.scm 198 */
bool_t BgL_testz00_1725;
{ /* Llib/tvector.scm 198 */
int BgL_arg1442z00_982;
BgL_arg1442z00_982 = 
VECTOR_LENGTH(BgL_vectorz00_979); 
BgL_testz00_1725 = 
BOUND_CHECK(BgL_kz00_980, BgL_arg1442z00_982); } 
if(BgL_testz00_1725)
{ /* Llib/tvector.scm 198 */
BgL_arg1222z00_534 = 
VECTOR_REF(BgL_vectorz00_979,BgL_kz00_980); }  else 
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1432z00_983;obj_t BgL_arg1433z00_984;
BgL_arg1432z00_983 = BGl_symbol1686z00zz__tvectorz00; 
{ /* Llib/tvector.scm 198 */
obj_t BgL_arg1435z00_986;
{ /* Llib/tvector.scm 198 */
long BgL_arg1438z00_988;
{ /* Llib/tvector.scm 198 */
int BgL_arg1440z00_989;
BgL_arg1440z00_989 = 
VECTOR_LENGTH(BgL_vectorz00_979); 
BgL_arg1438z00_988 = 
(
(long)(BgL_arg1440z00_989)-((long)1)); } 
{ /* Llib/tvector.scm 198 */

BgL_arg1435z00_986 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1438z00_988, ((long)10)); } } 
BgL_arg1433z00_984 = 
string_append_3(BGl_string1688z00zz__tvectorz00, BgL_arg1435z00_986, BGl_string1689z00zz__tvectorz00); } 
BgL_arg1222z00_534 = 
BGl_errorz00zz__errorz00(BgL_arg1432z00_983, BgL_arg1433z00_984, 
BINT(BgL_kz00_980)); } } } 
{ /* Llib/tvector.scm 198 */
obj_t BgL_funz00_1326;
BgL_funz00_1326 = BgL_setz00_526; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1326, ((long)3)))
{ /* Llib/tvector.scm 198 */
PROCEDURE_ENTRY(BgL_funz00_1326)(BgL_setz00_526, BgL_tvecz00_529, 
BINT(BgL_iz00_531), BgL_arg1222z00_534, BEOA); }  else 
{ /* Llib/tvector.scm 198 */
FAILURE(BGl_string1669z00zz__tvectorz00,BGl_list1690z00zz__tvectorz00,BgL_funz00_1326);} } } 
{ 
long BgL_iz00_1742;
BgL_iz00_1742 = 
(BgL_iz00_531-((long)1)); 
BgL_iz00_531 = BgL_iz00_1742; 
goto BgL_loopz00_532;} } } } } } }  else 
{ /* Llib/tvector.scm 188 */
return 
BGl_errorz00zz__errorz00(BGl_string1684z00zz__tvectorz00, BGl_string1679z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 184 */
return 
BGl_errorz00zz__errorz00(BGl_string1684z00zz__tvectorz00, BGl_string1680z00zz__tvectorz00, BgL_idz00_30);} } } 
}



/* _vector->tvector1524 */
obj_t BGl__vectorzd2ze3tvector1524z31zz__tvectorz00(obj_t BgL_envz00_1243, obj_t BgL_idz00_1244, obj_t BgL_vz00_1245)
{ AN_OBJECT;
{ /* Llib/tvector.scm 182 */
{ /* Llib/tvector.scm 183 */
obj_t BgL_auxz00_1751;obj_t BgL_auxz00_1746;
if(
VECTORP(BgL_vz00_1245))
{ /* Llib/tvector.scm 183 */
BgL_auxz00_1751 = BgL_vz00_1245
; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1693z00zz__tvectorz00, BGl_string1695z00zz__tvectorz00, BgL_vz00_1245); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_1244))
{ /* Llib/tvector.scm 183 */
BgL_auxz00_1746 = BgL_idz00_1244
; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1693z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_idz00_1244); 
exit( -1 );} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1746, BgL_auxz00_1751);} } 
}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_32)
{ AN_OBJECT;
{ /* Llib/tvector.scm 204 */
{ /* Llib/tvector.scm 205 */
obj_t BgL_descrz00_536;
BgL_descrz00_536 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 206 */
obj_t BgL_allocatez00_537;obj_t BgL_refz00_538;
{ /* Llib/tvector.scm 206 */
bool_t BgL_testz00_1758;
{ /* Llib/tvector.scm 206 */
obj_t BgL_auxz00_1759;
{ /* Llib/tvector.scm 206 */
obj_t BgL_res1509z00_1004;
{ /* Llib/tvector.scm 206 */
obj_t BgL_sz00_1003;
if(
STRUCTP(BgL_descrz00_536))
{ /* Llib/tvector.scm 206 */
BgL_sz00_1003 = BgL_descrz00_536; }  else 
{ /* Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_536); 
exit( -1 );} 
{ /* Llib/tvector.scm 206 */
obj_t BgL_aux1608z00_1335;
BgL_aux1608z00_1335 = 
STRUCT_KEY(BgL_sz00_1003); 
if(
SYMBOLP(BgL_aux1608z00_1335))
{ /* Llib/tvector.scm 206 */
BgL_res1509z00_1004 = BgL_aux1608z00_1335; }  else 
{ /* Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1608z00_1335); 
exit( -1 );} } } 
BgL_auxz00_1759 = BgL_res1509z00_1004; } 
BgL_testz00_1758 = 
(BgL_auxz00_1759==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1758)
{ /* Llib/tvector.scm 206 */
int BgL_auxz00_1770;
BgL_auxz00_1770 = 
(int)(((long)1)); 
BgL_allocatez00_537 = 
STRUCT_REF(BgL_descrz00_536, BgL_auxz00_1770); }  else 
{ /* Llib/tvector.scm 206 */
BgL_allocatez00_537 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_536); } } 
{ /* Llib/tvector.scm 207 */
bool_t BgL_testz00_1774;
{ /* Llib/tvector.scm 207 */
obj_t BgL_auxz00_1775;
{ /* Llib/tvector.scm 207 */
obj_t BgL_res1510z00_1010;
{ /* Llib/tvector.scm 207 */
obj_t BgL_sz00_1009;
if(
STRUCTP(BgL_descrz00_536))
{ /* Llib/tvector.scm 207 */
BgL_sz00_1009 = BgL_descrz00_536; }  else 
{ /* Llib/tvector.scm 207 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_descrz00_536); 
exit( -1 );} 
{ /* Llib/tvector.scm 207 */
obj_t BgL_aux1612z00_1339;
BgL_aux1612z00_1339 = 
STRUCT_KEY(BgL_sz00_1009); 
if(
SYMBOLP(BgL_aux1612z00_1339))
{ /* Llib/tvector.scm 207 */
BgL_res1510z00_1010 = BgL_aux1612z00_1339; }  else 
{ /* Llib/tvector.scm 207 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1612z00_1339); 
exit( -1 );} } } 
BgL_auxz00_1775 = BgL_res1510z00_1010; } 
BgL_testz00_1774 = 
(BgL_auxz00_1775==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1774)
{ /* Llib/tvector.scm 207 */
int BgL_auxz00_1786;
BgL_auxz00_1786 = 
(int)(((long)2)); 
BgL_refz00_538 = 
STRUCT_REF(BgL_descrz00_536, BgL_auxz00_1786); }  else 
{ /* Llib/tvector.scm 207 */
BgL_refz00_538 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_descrz00_536); } } 
if(
PROCEDUREP(BgL_refz00_538))
{ /* Llib/tvector.scm 212 */
int BgL_lenz00_540;
BgL_lenz00_540 = 
TVECTOR_LENGTH(BgL_tvz00_32); 
{ /* Llib/tvector.scm 212 */
obj_t BgL_vecz00_541;
BgL_vecz00_541 = 
create_vector(BgL_lenz00_540); 
{ /* Llib/tvector.scm 213 */

{ /* Llib/tvector.scm 214 */
long BgL_g1113z00_542;
BgL_g1113z00_542 = 
(
(long)(BgL_lenz00_540)-((long)1)); 
{ 
long BgL_iz00_543;
BgL_iz00_543 = BgL_g1113z00_542; 
BgL_loopz00_544:
if(
(BgL_iz00_543==((long)-1)))
{ /* Llib/tvector.scm 215 */
return BgL_vecz00_541;}  else 
{ /* Llib/tvector.scm 215 */
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1226z00_546;
{ /* Llib/tvector.scm 218 */
obj_t BgL_funz00_1343;
BgL_funz00_1343 = BgL_refz00_538; 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1343, ((long)2)))
{ /* Llib/tvector.scm 218 */
BgL_arg1226z00_546 = 
PROCEDURE_ENTRY(BgL_funz00_1343)(BgL_refz00_538, BgL_tvz00_32, 
BINT(BgL_iz00_543), BEOA); }  else 
{ /* Llib/tvector.scm 218 */
FAILURE(BGl_string1669z00zz__tvectorz00,BGl_list1698z00zz__tvectorz00,BgL_funz00_1343);} } 
{ /* Llib/tvector.scm 218 */
obj_t BgL_vectorz00_1017;int BgL_kz00_1018;obj_t BgL_objz00_1019;
BgL_vectorz00_1017 = BgL_vecz00_541; 
BgL_kz00_1018 = 
(int)(BgL_iz00_543); 
BgL_objz00_1019 = BgL_arg1226z00_546; 
{ /* Llib/tvector.scm 218 */
bool_t BgL_testz00_1805;
{ /* Llib/tvector.scm 218 */
int BgL_arg1427z00_1021;
BgL_arg1427z00_1021 = 
VECTOR_LENGTH(BgL_vectorz00_1017); 
BgL_testz00_1805 = 
BOUND_CHECK(BgL_kz00_1018, BgL_arg1427z00_1021); } 
if(BgL_testz00_1805)
{ /* Llib/tvector.scm 218 */
VECTOR_SET(BgL_vectorz00_1017,BgL_kz00_1018,BgL_objz00_1019); }  else 
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1418z00_1022;obj_t BgL_arg1419z00_1023;
BgL_arg1418z00_1022 = BGl_symbol1703z00zz__tvectorz00; 
{ /* Llib/tvector.scm 218 */
obj_t BgL_arg1422z00_1025;
{ /* Llib/tvector.scm 218 */
long BgL_arg1424z00_1027;
{ /* Llib/tvector.scm 218 */
int BgL_arg1425z00_1028;
BgL_arg1425z00_1028 = 
VECTOR_LENGTH(BgL_vectorz00_1017); 
BgL_arg1424z00_1027 = 
(
(long)(BgL_arg1425z00_1028)-((long)1)); } 
{ /* Llib/tvector.scm 218 */

BgL_arg1422z00_1025 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1424z00_1027, ((long)10)); } } 
BgL_arg1419z00_1023 = 
string_append_3(BGl_string1688z00zz__tvectorz00, BgL_arg1422z00_1025, BGl_string1689z00zz__tvectorz00); } 
BGl_errorz00zz__errorz00(BgL_arg1418z00_1022, BgL_arg1419z00_1023, 
BINT(BgL_kz00_1018)); } } } } 
{ 
long BgL_iz00_1816;
BgL_iz00_1816 = 
(BgL_iz00_543-((long)1)); 
BgL_iz00_543 = BgL_iz00_1816; 
goto BgL_loopz00_544;} } } } } } }  else 
{ /* Llib/tvector.scm 209 */
obj_t BgL_arg1230z00_550;
{ /* Llib/tvector.scm 211 */
obj_t BgL_arg1143z00_1039;
BgL_arg1143z00_1039 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 211 */
bool_t BgL_testz00_1819;
{ /* Llib/tvector.scm 211 */
obj_t BgL_auxz00_1820;
{ /* Llib/tvector.scm 211 */
obj_t BgL_res1511z00_1045;
{ /* Llib/tvector.scm 211 */
obj_t BgL_sz00_1044;
if(
STRUCTP(BgL_arg1143z00_1039))
{ /* Llib/tvector.scm 211 */
BgL_sz00_1044 = BgL_arg1143z00_1039; }  else 
{ /* Llib/tvector.scm 211 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1629z00zz__tvectorz00, BgL_arg1143z00_1039); 
exit( -1 );} 
{ /* Llib/tvector.scm 211 */
obj_t BgL_aux1620z00_1348;
BgL_aux1620z00_1348 = 
STRUCT_KEY(BgL_sz00_1044); 
if(
SYMBOLP(BgL_aux1620z00_1348))
{ /* Llib/tvector.scm 211 */
BgL_res1511z00_1045 = BgL_aux1620z00_1348; }  else 
{ /* Llib/tvector.scm 211 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1696z00zz__tvectorz00, BGl_string1630z00zz__tvectorz00, BgL_aux1620z00_1348); 
exit( -1 );} } } 
BgL_auxz00_1820 = BgL_res1511z00_1045; } 
BgL_testz00_1819 = 
(BgL_auxz00_1820==BGl_symbol1631z00zz__tvectorz00); } 
if(BgL_testz00_1819)
{ /* Llib/tvector.scm 211 */
int BgL_auxz00_1831;
BgL_auxz00_1831 = 
(int)(((long)0)); 
BgL_arg1230z00_550 = 
STRUCT_REF(BgL_arg1143z00_1039, BgL_auxz00_1831); }  else 
{ /* Llib/tvector.scm 211 */
BgL_arg1230z00_550 = 
BGl_errorz00zz__errorz00(BGl_string1633z00zz__tvectorz00, BGl_string1632z00zz__tvectorz00, BgL_arg1143z00_1039); } } } 
return 
BGl_errorz00zz__errorz00(BGl_string1697z00zz__tvectorz00, BGl_string1679z00zz__tvectorz00, BgL_arg1230z00_550);} } } } 
}



/* _tvector->vector1525 */
obj_t BGl__tvectorzd2ze3vector1525z31zz__tvectorz00(obj_t BgL_envz00_1246, obj_t BgL_tvz00_1247)
{ AN_OBJECT;
{ /* Llib/tvector.scm 204 */
{ /* Llib/tvector.scm 205 */
obj_t BgL_auxz00_1836;
if(
TVECTORP(BgL_tvz00_1247))
{ /* Llib/tvector.scm 205 */
BgL_auxz00_1836 = BgL_tvz00_1247
; }  else 
{ /* Llib/tvector.scm 205 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1705z00zz__tvectorz00, BGl_string1626z00zz__tvectorz00, BgL_tvz00_1247); 
exit( -1 );} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_1836);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)42697480), 
BSTRING_TO_STRING(BGl_string1707z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)169825269), 
BSTRING_TO_STRING(BGl_string1707z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)484239619), 
BSTRING_TO_STRING(BGl_string1707z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)216816546), 
BSTRING_TO_STRING(BGl_string1707z00zz__tvectorz00));} 
}

#ifdef __cplusplus
}
#endif
