/*===========================================================================*/
/*   (Llib/weakptr.scm)                                                      */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/weakptr.scm -indent -o objs/obj_s/Llib/weakptr.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t make_weakptr(obj_t);
static obj_t BGl_cnstzd2initzd2zz__weakptrz00();
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t);
extern void weakptr_data_set(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__weakptrz00 = BUNSPEC;
static obj_t BGl_symbol1417z00zz__weakptrz00 = BUNSPEC;
static obj_t BGl_symbol1420z00zz__weakptrz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00();
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t);
static obj_t BGl__weakptrzf3zf3zz__weakptrz00(obj_t, obj_t);
static obj_t BGl__weakptrzd2datazd2zz__weakptrz00(obj_t, obj_t);
static obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t, obj_t);
extern obj_t weakptr_data(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzf3zd2envz21zz__weakptrz00, BgL_bgl__weakptrza7f3za7f3za7za71423z00, BGl__weakptrzf3zf3zz__weakptrz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1418z00zz__weakptrz00, BgL_bgl_string1418za700za7za7_1424za7, "_weakptr-data", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2datazd2setz12zd2envzc0zz__weakptrz00, BgL_bgl__weakptrza7d2dataza71425z00, BGl__weakptrzd2datazd2setz12z12zz__weakptrz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1419z00zz__weakptrz00, BgL_bgl_string1419za700za7za7_1426za7, "weakptr", 7 );
DEFINE_STRING( BGl_string1421z00zz__weakptrz00, BgL_bgl_string1421za700za7za7_1427za7, "_weakptr-data-set!", 18 );
DEFINE_STRING( BGl_string1422z00zz__weakptrz00, BgL_bgl_string1422za700za7za7_1428za7, "__weakptr", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2weakptrzd2envz00zz__weakptrz00, BgL_bgl__makeza7d2weakptrza71429z00, BGl__makezd2weakptrzd2zz__weakptrz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2datazd2envz00zz__weakptrz00, BgL_bgl__weakptrza7d2dataza71430z00, BGl__weakptrzd2datazd2zz__weakptrz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long BgL_checksumz00_853, char * BgL_fromz00_854)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__weakptrz00))
{ 
BGl_requirezd2initializa7ationz75zz__weakptrz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__weakptrz00(); 
BGl_importedzd2moduleszd2initz00zz__weakptrz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__weakptrz00()
{ AN_OBJECT;
{ /* Llib/weakptr.scm 14 */
BGl_symbol1417z00zz__weakptrz00 = 
bstring_to_symbol(BGl_string1418z00zz__weakptrz00); 
return ( 
BGl_symbol1420z00zz__weakptrz00 = 
bstring_to_symbol(BGl_string1421z00zz__weakptrz00), BUNSPEC) ;} 
}



/* weakptr? */
BGL_EXPORTED_DEF bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 68 */
return 
BGL_WEAKPTRP(BgL_objz00_1);} 
}



/* _weakptr? */
obj_t BGl__weakptrzf3zf3zz__weakptrz00(obj_t BgL_envz00_835, obj_t BgL_objz00_836)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 68 */
return 
BBOOL(
BGL_WEAKPTRP(BgL_objz00_836));} 
}



/* weakptr-data */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 74 */
return 
weakptr_data(BgL_objz00_2);} 
}



/* _weakptr-data */
obj_t BGl__weakptrzd2datazd2zz__weakptrz00(obj_t BgL_envz00_837, obj_t BgL_objz00_838)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 74 */
{ /* Llib/weakptr.scm 75 */
obj_t BgL_objz00_849;
if(
BGL_WEAKPTRP(BgL_objz00_838))
{ /* Llib/weakptr.scm 75 */
BgL_objz00_849 = BgL_objz00_838; }  else 
{ /* Llib/weakptr.scm 75 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1417z00zz__weakptrz00, BGl_string1419z00zz__weakptrz00, BgL_objz00_838); 
exit( -1 );} 
return 
weakptr_data(BgL_objz00_849);} } 
}



/* weakptr-data-set! */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t BgL_ptrz00_3, obj_t BgL_objz00_4)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 80 */
weakptr_data_set(BgL_ptrz00_3, BgL_objz00_4); BUNSPEC; 
return BUNSPEC;} 
}



/* _weakptr-data-set! */
obj_t BGl__weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t BgL_envz00_839, obj_t BgL_ptrz00_840, obj_t BgL_objz00_841)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 80 */
{ /* Llib/weakptr.scm 82 */
obj_t BgL_ptrz00_850;
if(
BGL_WEAKPTRP(BgL_ptrz00_840))
{ /* Llib/weakptr.scm 82 */
BgL_ptrz00_850 = BgL_ptrz00_840; }  else 
{ /* Llib/weakptr.scm 82 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1420z00zz__weakptrz00, BGl_string1419z00zz__weakptrz00, BgL_ptrz00_840); 
exit( -1 );} 
weakptr_data_set(BgL_ptrz00_850, BgL_objz00_841); BUNSPEC; 
return BUNSPEC;} } 
}



/* make-weakptr */
BGL_EXPORTED_DEF obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t BgL_objz00_5)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 87 */
return 
make_weakptr(BgL_objz00_5);} 
}



/* _make-weakptr */
obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t BgL_envz00_842, obj_t BgL_objz00_843)
{ AN_OBJECT;
{ /* Llib/weakptr.scm 87 */
return 
make_weakptr(BgL_objz00_843);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00()
{ AN_OBJECT;
{ /* Llib/weakptr.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)42697480), 
BSTRING_TO_STRING(BGl_string1422z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)169825269), 
BSTRING_TO_STRING(BGl_string1422z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)484239619), 
BSTRING_TO_STRING(BGl_string1422z00zz__weakptrz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)216816546), 
BSTRING_TO_STRING(BGl_string1422z00zz__weakptrz00));} 
}

#ifdef __cplusplus
}
#endif
