/*===========================================================================*/
/*   (Ieee/flonum.scm)                                                       */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Ieee/flonum.scm -indent -o objs/obj_u/Ieee/flonum.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL double
		BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double);
	static obj_t
		BGl__floatzd2ze3ieeezd2string1427ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	static obj_t BGl__asinfl1411z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__zc3zd3fl1386z10zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	static obj_t BGl__expfl1406z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__logfl1407z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__tanfl1410z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__remainderfl1405z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__minfl1399z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__cosfl1409z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double
		BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char *);
	BGL_EXPORTED_DECL double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__zf2fl1394zf2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__ceilingfl1402z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	static obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__ze3fl1385ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__minzd22fl1398zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__za7eroflzf31388z54zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__sqrtflzd2ur1418zd2zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	static obj_t BGl__zd2fl1392zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__exptfl1419z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 =
		BUNSPEC;
	static obj_t BGl__absfl1400z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__zd3fl1383zd3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl__ieeezd2stringzd2ze3double1424ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__roundfl1404z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00();
	static obj_t BGl__zc3fl1384zc3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__atanfl1413z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__acosfl1412z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double
		BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double, double);
	static obj_t BGl__zb2fl1391zb2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double
		BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__sqrtfl1417z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__za2fl1393za2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__truncatefl1403z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__positiveflzf31389zf3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__realzd2ze3string1421z31zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__sinfl1408z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL bool_t
		BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__maxzd22fl1397zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl__doublezd2ze3ieeezd2string1425ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__atanzd22flzd2ur1416z00zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t, obj_t);
	extern obj_t real_to_string(double);
	extern double bgl_ieee_string_to_double(obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__maxfl1396z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__stringzd2ze3real1420z31zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	static obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__atanzd22fl1415zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__negativeflzf31390zf3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__atanzd21fl1414zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double
		BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t);
	static obj_t BGl__negfl1395z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL float
		BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t);
	static obj_t
		BGl__ieeezd2stringzd2ze3float1426ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL obj_t
		BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double);
	extern obj_t bgl_double_to_ieee_string(double);
	static obj_t
		BGl__ieeezd2stringzd2ze3real1422ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double
		BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__floorfl1401z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double
		BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double, double);
	static obj_t
		BGl__realzd2ze3ieeezd2string1423ze3zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	static obj_t BGl__ze3zd3fl1387z30zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	extern obj_t the_failure(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL obj_t
		BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float);
	BGL_EXPORTED_DECL bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_remainderflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__remainderfl14051432z00,
		BGl__remainderfl1405z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7d2fl1392za7d2za7za7_1433z00,
		BGl__zd2fl1392zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7e3fl1385za7e3za7za7_1434z00,
		BGl__ze3fl1385ze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sinflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sinfl1408za700za7za7_1435za7,
		BGl__sinfl1408z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_exptflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__exptfl1419za700za7za71436za7,
		BGl__exptfl1419z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7d3fl1383za7d3za7za7_1437z00,
		BGl__zd3fl1383zd3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7b2fl1391za7b2za7za7_1438z00,
		BGl__zb2fl1391zb2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7c3fl1384za7c3za7za7_1439z00,
		BGl__zc3fl1384zc3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_maxflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__maxfl1396za700za7za7_1440za7, va_generic_entry,
		BGl__maxfl1396z00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3realzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1441z00,
		BGl__ieeezd2stringzd2ze3real1422ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atanflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanfl1413za700za7za71442za7, va_generic_entry,
		BGl__atanfl1413z00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_acosflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__acosfl1412za700za7za71443za7,
		BGl__acosfl1412z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7d2za7e3ieeeza71444za7,
		BGl__realzd2ze3ieeezd2string1423ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_floorflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__floorfl1401za700za71445z00,
		BGl__floorfl1401z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7a2fl1393za7a2za7za7_1446z00,
		BGl__za2fl1393za2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzd2ze3stringzd2envze3zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7d2za7e3strin1447z00,
		BGl__realzd2ze3string1421z31zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sqrtflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sqrtfl1417za700za7za71448za7,
		BGl__sqrtfl1417z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_negflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__negfl1395za700za7za7_1449za7,
		BGl__negfl1395z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1428z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1428za700za7za7_1450za7, "atanfl", 6);
	      DEFINE_STRING(BGl_string1430z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1430za700za7za7_1451za7, "sqrtfl", 6);
	      DEFINE_STRING(BGl_string1429z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1429za700za7za7_1452za7, "Domain error", 12);
	      DEFINE_STRING(BGl_string1431z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1431za700za7za7_1453za7, "__r4_numbers_6_5_flonum", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7f3za7f3za7za7__r1454z00,
		BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3realzd2envze3zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__stringza7d2za7e3rea1455z00,
		BGl__stringzd2ze3real1420z31zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3floatzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1456z00,
		BGl__ieeezd2stringzd2ze3float1426ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7e3za7d3fl1387za7301457za7,
		BGl__ze3zd3fl1387z30zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sqrtflzd2urzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sqrtflza7d2ur14181458za7,
		BGl__sqrtflzd2ur1418zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ceilingflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ceilingfl1402za701459za7,
		BGl__ceilingfl1402z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7c3za7d3fl1386za7101460za7,
		BGl__zc3zd3fl1386z10zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__expfl1406za700za7za7_1461za7,
		BGl__expfl1406z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_positiveflzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__positiveflza7f3131462za7,
		BGl__positiveflzf31389zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3doublezd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1463z00,
		BGl__ieeezd2stringzd2ze3double1424ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_logflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__logfl1407za700za7za7_1464za7,
		BGl__logfl1407z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_floatzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__floatza7d2za7e3ieee1465z00,
		BGl__floatzd2ze3ieeezd2string1427ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tanflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__tanfl1410za700za7za7_1466za7,
		BGl__tanfl1410z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_minflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__minfl1399za700za7za7_1467za7, va_generic_entry,
		BGl__minfl1399z00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cosflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__cosfl1409za700za7za7_1468za7,
		BGl__cosfl1409z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd22flzd2urzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d22flza7d2ur1469z00,
		BGl__atanzd22flzd2ur1416z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_minzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__minza7d22fl1398za7d1470z00,
		BGl__minzd22fl1398zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za7eroflzf3zd2envz86zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7a7eroflza7f313881471z00,
		BGl__za7eroflzf31388z54zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negativeflzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__negativeflza7f3131472za7,
		BGl__negativeflzf31390zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_doublezd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__doubleza7d2za7e3iee1473z00,
		BGl__doublezd2ze3ieeezd2string1425ze3zz__r4_numbers_6_5_flonumz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_asinflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__asinfl1411za700za7za71474za7,
		BGl__asinfl1411z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_roundflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__roundfl1404za700za71475z00,
		BGl__roundfl1404z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d22fl1415za71476z00,
		BGl__atanzd22fl1415zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd21flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d21fl1414za71477z00,
		BGl__atanzd21fl1414zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_maxzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__maxza7d22fl1397za7d1478z00,
		BGl__maxzd22fl1397zd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_absflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__absfl1400za700za7za7_1479za7,
		BGl__absfl1400z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_flonumzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__flonumza7f3za7f3za7za7_1480z00,
		BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7f2fl1394za7f2za7za7_1481z00,
		BGl__zf2fl1394zf2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_truncateflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__truncatefl1403za71482za7,
		BGl__truncatefl1403z00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long
		BgL_checksumz00_964, char *BgL_fromz00_965)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* real? */
	BGL_EXPORTED_DEF bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 217 */
			if (INTEGERP(BgL_objz00_1))
				{	/* Ieee/flonum.scm 218 */
					return ((bool_t) 1);
				}
			else
				{	/* Ieee/flonum.scm 218 */
					return REALP(BgL_objz00_1);
				}
		}
	}



/* _real? */
	obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_782,
		obj_t BgL_objz00_783)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 217 */
			{	/* Ieee/flonum.scm 218 */
				bool_t BgL_auxz00_973;

				if (INTEGERP(BgL_objz00_783))
					{	/* Ieee/flonum.scm 218 */
						BgL_auxz00_973 = ((bool_t) 1);
					}
				else
					{	/* Ieee/flonum.scm 218 */
						BgL_auxz00_973 = REALP(BgL_objz00_783);
					}
				return BBOOL(BgL_auxz00_973);
			}
		}
	}



/* flonum? */
	BGL_EXPORTED_DEF bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_objz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 225 */
			return REALP(BgL_objz00_2);
		}
	}



/* _flonum? */
	obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_784,
		obj_t BgL_objz00_785)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 225 */
			return BBOOL(REALP(BgL_objz00_785));
		}
	}



/* =fl */
	BGL_EXPORTED_DEF bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_3, double BgL_r2z00_4)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 231 */
			return (BgL_r1z00_3 == BgL_r2z00_4);
		}
	}



/* _=fl1383 */
	obj_t BGl__zd3fl1383zd3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_786,
		obj_t BgL_r1z00_787, obj_t BgL_r2z00_788)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 231 */
			return
				BBOOL((REAL_TO_DOUBLE(BgL_r1z00_787) == REAL_TO_DOUBLE(BgL_r2z00_788)));
		}
	}



/* <fl */
	BGL_EXPORTED_DEF bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_5, double BgL_r2z00_6)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 237 */
			return (BgL_r1z00_5 < BgL_r2z00_6);
		}
	}



/* _<fl1384 */
	obj_t BGl__zc3fl1384zc3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_789,
		obj_t BgL_r1z00_790, obj_t BgL_r2z00_791)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 237 */
			return
				BBOOL((REAL_TO_DOUBLE(BgL_r1z00_790) < REAL_TO_DOUBLE(BgL_r2z00_791)));
		}
	}



/* >fl */
	BGL_EXPORTED_DEF bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_7, double BgL_r2z00_8)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 243 */
			return (BgL_r1z00_7 > BgL_r2z00_8);
		}
	}



/* _>fl1385 */
	obj_t BGl__ze3fl1385ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_792,
		obj_t BgL_r1z00_793, obj_t BgL_r2z00_794)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 243 */
			return
				BBOOL((REAL_TO_DOUBLE(BgL_r1z00_793) > REAL_TO_DOUBLE(BgL_r2z00_794)));
		}
	}



/* <=fl */
	BGL_EXPORTED_DEF bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_9, double BgL_r2z00_10)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 249 */
			return (BgL_r1z00_9 <= BgL_r2z00_10);
		}
	}



/* _<=fl1386 */
	obj_t BGl__zc3zd3fl1386z10zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_795,
		obj_t BgL_r1z00_796, obj_t BgL_r2z00_797)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 249 */
			return
				BBOOL((REAL_TO_DOUBLE(BgL_r1z00_796) <= REAL_TO_DOUBLE(BgL_r2z00_797)));
		}
	}



/* >=fl */
	BGL_EXPORTED_DEF bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_11, double BgL_r2z00_12)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 255 */
			return (BgL_r1z00_11 >= BgL_r2z00_12);
		}
	}



/* _>=fl1387 */
	obj_t BGl__ze3zd3fl1387z30zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_798,
		obj_t BgL_r1z00_799, obj_t BgL_r2z00_800)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 255 */
			return
				BBOOL((REAL_TO_DOUBLE(BgL_r1z00_799) >= REAL_TO_DOUBLE(BgL_r2z00_800)));
		}
	}



/* zerofl? */
	BGL_EXPORTED_DEF bool_t BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_13)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 261 */
			return (BgL_rz00_13 == ((double) 0.0));
		}
	}



/* _zerofl?1388 */
	obj_t BGl__za7eroflzf31388z54zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_801, obj_t BgL_rz00_802)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 261 */
			return BBOOL((REAL_TO_DOUBLE(BgL_rz00_802) == ((double) 0.0)));
		}
	}



/* positivefl? */
	BGL_EXPORTED_DEF bool_t
		BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 267 */
			return (BgL_rz00_14 > ((double) 0.0));
		}
	}



/* _positivefl?1389 */
	obj_t BGl__positiveflzf31389zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_803, obj_t BgL_rz00_804)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 267 */
			return BBOOL((REAL_TO_DOUBLE(BgL_rz00_804) > ((double) 0.0)));
		}
	}



/* negativefl? */
	BGL_EXPORTED_DEF bool_t
		BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_15)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 273 */
			return (BgL_rz00_15 < ((double) 0.0));
		}
	}



/* _negativefl?1390 */
	obj_t BGl__negativeflzf31390zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_805, obj_t BgL_rz00_806)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 273 */
			return BBOOL((REAL_TO_DOUBLE(BgL_rz00_806) < ((double) 0.0)));
		}
	}



/* +fl */
	BGL_EXPORTED_DEF double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_16, double BgL_r2z00_17)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 279 */
			return (BgL_r1z00_16 + BgL_r2z00_17);
		}
	}



/* _+fl1391 */
	obj_t BGl__zb2fl1391zb2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_807,
		obj_t BgL_r1z00_808, obj_t BgL_r2z00_809)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 279 */
			return
				DOUBLE_TO_REAL(
				(REAL_TO_DOUBLE(BgL_r1z00_808) + REAL_TO_DOUBLE(BgL_r2z00_809)));
		}
	}



/* -fl */
	BGL_EXPORTED_DEF double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_18, double BgL_r2z00_19)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 285 */
			return (BgL_r1z00_18 - BgL_r2z00_19);
		}
	}



/* _-fl1392 */
	obj_t BGl__zd2fl1392zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_810,
		obj_t BgL_r1z00_811, obj_t BgL_r2z00_812)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 285 */
			return
				DOUBLE_TO_REAL(
				(REAL_TO_DOUBLE(BgL_r1z00_811) - REAL_TO_DOUBLE(BgL_r2z00_812)));
		}
	}



/* *fl */
	BGL_EXPORTED_DEF double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_20, double BgL_r2z00_21)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 291 */
			return (BgL_r1z00_20 * BgL_r2z00_21);
		}
	}



/* _*fl1393 */
	obj_t BGl__za2fl1393za2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_813,
		obj_t BgL_r1z00_814, obj_t BgL_r2z00_815)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 291 */
			return
				DOUBLE_TO_REAL(
				(REAL_TO_DOUBLE(BgL_r1z00_814) * REAL_TO_DOUBLE(BgL_r2z00_815)));
		}
	}



/* /fl */
	BGL_EXPORTED_DEF double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_22, double BgL_r2z00_23)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 297 */
			return (BgL_r1z00_22 / BgL_r2z00_23);
		}
	}



/* _/fl1394 */
	obj_t BGl__zf2fl1394zf2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_816,
		obj_t BgL_r1z00_817, obj_t BgL_r2z00_818)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 297 */
			return
				DOUBLE_TO_REAL(
				(REAL_TO_DOUBLE(BgL_r1z00_817) / REAL_TO_DOUBLE(BgL_r2z00_818)));
		}
	}



/* negfl */
	BGL_EXPORTED_DEF double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_24)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 303 */
			return NEG(BgL_r1z00_24);
		}
	}



/* _negfl1395 */
	obj_t BGl__negfl1395z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_819,
		obj_t BgL_r1z00_820)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 303 */
			return DOUBLE_TO_REAL(NEG(REAL_TO_DOUBLE(BgL_r1z00_820)));
		}
	}



/* maxfl */
	BGL_EXPORTED_DEF double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_25, obj_t BgL_rnz00_26)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 309 */
			{
				obj_t BgL_maxz00_356;
				obj_t BgL_rnz00_357;

				{	/* Ieee/flonum.scm 310 */
					obj_t BgL_auxz00_1042;

					BgL_maxz00_356 = DOUBLE_TO_REAL(BgL_r1z00_25);
					BgL_rnz00_357 = BgL_rnz00_26;
				BgL_loopz00_358:
					if (NULLP(BgL_rnz00_357))
						{	/* Ieee/flonum.scm 312 */
							BgL_auxz00_1042 = BgL_maxz00_356;
						}
					else
						{	/* Ieee/flonum.scm 314 */
							bool_t BgL_testz00_1045;

							{	/* Ieee/flonum.scm 314 */
								double BgL_auxz00_1046;

								{	/* Ieee/flonum.scm 314 */
									obj_t BgL_pairz00_603;

									BgL_pairz00_603 = BgL_rnz00_357;
									BgL_auxz00_1046 = REAL_TO_DOUBLE(CAR(BgL_pairz00_603));
								}
								BgL_testz00_1045 =
									(BgL_auxz00_1046 > REAL_TO_DOUBLE(BgL_maxz00_356));
							}
							if (BgL_testz00_1045)
								{
									obj_t BgL_rnz00_1053;
									obj_t BgL_maxz00_1051;

									BgL_maxz00_1051 = CAR(BgL_rnz00_357);
									BgL_rnz00_1053 = CDR(BgL_rnz00_357);
									BgL_rnz00_357 = BgL_rnz00_1053;
									BgL_maxz00_356 = BgL_maxz00_1051;
									goto BgL_loopz00_358;
								}
							else
								{
									obj_t BgL_rnz00_1055;

									BgL_rnz00_1055 = CDR(BgL_rnz00_357);
									BgL_rnz00_357 = BgL_rnz00_1055;
									goto BgL_loopz00_358;
								}
						}
					return REAL_TO_DOUBLE(BgL_auxz00_1042);
				}
			}
		}
	}



/* _maxfl1396 */
	obj_t BGl__maxfl1396z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_821,
		obj_t BgL_r1z00_822, obj_t BgL_rnz00_823)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 309 */
			return
				DOUBLE_TO_REAL(BGl_maxflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
					(BgL_r1z00_822), BgL_rnz00_823));
		}
	}



/* max-2fl */
	BGL_EXPORTED_DEF double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_27, double BgL_r2z00_28)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 321 */
			if ((BgL_r1z00_27 > BgL_r2z00_28))
				{	/* Ieee/flonum.scm 322 */
					return BgL_r1z00_27;
				}
			else
				{	/* Ieee/flonum.scm 322 */
					return BgL_r2z00_28;
				}
		}
	}



/* _max-2fl1397 */
	obj_t BGl__maxzd22fl1397zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_824,
		obj_t BgL_r1z00_825, obj_t BgL_r2z00_826)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 321 */
			{	/* Ieee/flonum.scm 322 */
				double BgL_auxz00_1064;

				{	/* Ieee/flonum.scm 322 */
					double BgL_r1z00_918;
					double BgL_r2z00_919;

					BgL_r1z00_918 = REAL_TO_DOUBLE(BgL_r1z00_825);
					BgL_r2z00_919 = REAL_TO_DOUBLE(BgL_r2z00_826);
					if ((BgL_r1z00_918 > BgL_r2z00_919))
						{	/* Ieee/flonum.scm 322 */
							BgL_auxz00_1064 = BgL_r1z00_918;
						}
					else
						{	/* Ieee/flonum.scm 322 */
							BgL_auxz00_1064 = BgL_r2z00_919;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1064);
			}
		}
	}



/* min-2fl */
	BGL_EXPORTED_DEF double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_29, double BgL_r2z00_30)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 329 */
			if ((BgL_r1z00_29 > BgL_r2z00_30))
				{	/* Ieee/flonum.scm 330 */
					return BgL_r2z00_30;
				}
			else
				{	/* Ieee/flonum.scm 330 */
					return BgL_r1z00_29;
				}
		}
	}



/* _min-2fl1398 */
	obj_t BGl__minzd22fl1398zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_827,
		obj_t BgL_r1z00_828, obj_t BgL_r2z00_829)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 329 */
			{	/* Ieee/flonum.scm 330 */
				double BgL_auxz00_1072;

				{	/* Ieee/flonum.scm 330 */
					double BgL_r1z00_920;
					double BgL_r2z00_921;

					BgL_r1z00_920 = REAL_TO_DOUBLE(BgL_r1z00_828);
					BgL_r2z00_921 = REAL_TO_DOUBLE(BgL_r2z00_829);
					if ((BgL_r1z00_920 > BgL_r2z00_921))
						{	/* Ieee/flonum.scm 330 */
							BgL_auxz00_1072 = BgL_r2z00_921;
						}
					else
						{	/* Ieee/flonum.scm 330 */
							BgL_auxz00_1072 = BgL_r1z00_920;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1072);
			}
		}
	}



/* minfl */
	BGL_EXPORTED_DEF double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_31, obj_t BgL_rnz00_32)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 337 */
			{
				obj_t BgL_minz00_367;
				obj_t BgL_rnz00_368;

				{	/* Ieee/flonum.scm 338 */
					obj_t BgL_auxz00_1078;

					BgL_minz00_367 = DOUBLE_TO_REAL(BgL_r1z00_31);
					BgL_rnz00_368 = BgL_rnz00_32;
				BgL_loopz00_369:
					if (NULLP(BgL_rnz00_368))
						{	/* Ieee/flonum.scm 340 */
							BgL_auxz00_1078 = BgL_minz00_367;
						}
					else
						{	/* Ieee/flonum.scm 342 */
							bool_t BgL_testz00_1081;

							{	/* Ieee/flonum.scm 342 */
								double BgL_auxz00_1082;

								{	/* Ieee/flonum.scm 342 */
									obj_t BgL_pairz00_616;

									BgL_pairz00_616 = BgL_rnz00_368;
									BgL_auxz00_1082 = REAL_TO_DOUBLE(CAR(BgL_pairz00_616));
								}
								BgL_testz00_1081 =
									(BgL_auxz00_1082 < REAL_TO_DOUBLE(BgL_minz00_367));
							}
							if (BgL_testz00_1081)
								{
									obj_t BgL_rnz00_1089;
									obj_t BgL_minz00_1087;

									BgL_minz00_1087 = CAR(BgL_rnz00_368);
									BgL_rnz00_1089 = CDR(BgL_rnz00_368);
									BgL_rnz00_368 = BgL_rnz00_1089;
									BgL_minz00_367 = BgL_minz00_1087;
									goto BgL_loopz00_369;
								}
							else
								{
									obj_t BgL_rnz00_1091;

									BgL_rnz00_1091 = CDR(BgL_rnz00_368);
									BgL_rnz00_368 = BgL_rnz00_1091;
									goto BgL_loopz00_369;
								}
						}
					return REAL_TO_DOUBLE(BgL_auxz00_1078);
				}
			}
		}
	}



/* _minfl1399 */
	obj_t BGl__minfl1399z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_830,
		obj_t BgL_r1z00_831, obj_t BgL_rnz00_832)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 337 */
			return
				DOUBLE_TO_REAL(BGl_minflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
					(BgL_r1z00_831), BgL_rnz00_832));
		}
	}



/* absfl */
	BGL_EXPORTED_DEF double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_33)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 349 */
			if ((BgL_rz00_33 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 350 */
					return NEG(BgL_rz00_33);
				}
			else
				{	/* Ieee/flonum.scm 350 */
					return BgL_rz00_33;
				}
		}
	}



/* _absfl1400 */
	obj_t BGl__absfl1400z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_833,
		obj_t BgL_rz00_834)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 349 */
			{	/* Ieee/flonum.scm 350 */
				double BgL_auxz00_1101;

				{	/* Ieee/flonum.scm 350 */
					double BgL_rz00_922;

					BgL_rz00_922 = REAL_TO_DOUBLE(BgL_rz00_834);
					if ((BgL_rz00_922 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 350 */
							BgL_auxz00_1101 = NEG(BgL_rz00_922);
						}
					else
						{	/* Ieee/flonum.scm 350 */
							BgL_auxz00_1101 = BgL_rz00_922;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1101);
			}
		}
	}



/* floorfl */
	BGL_EXPORTED_DEF double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_34)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 357 */
			return floor(BgL_rz00_34);
		}
	}



/* _floorfl1401 */
	obj_t BGl__floorfl1401z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_835,
		obj_t BgL_rz00_836)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 357 */
			{	/* Ieee/flonum.scm 358 */
				double BgL_auxz00_1108;

				{	/* Ieee/flonum.scm 358 */
					double BgL_rz00_923;

					BgL_rz00_923 = REAL_TO_DOUBLE(BgL_rz00_836);
					BgL_auxz00_1108 = floor(BgL_rz00_923);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1108);
			}
		}
	}



/* ceilingfl */
	BGL_EXPORTED_DEF double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_35)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 363 */
			return ceil(BgL_rz00_35);
		}
	}



/* _ceilingfl1402 */
	obj_t BGl__ceilingfl1402z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_837,
		obj_t BgL_rz00_838)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 363 */
			{	/* Ieee/flonum.scm 364 */
				double BgL_auxz00_1113;

				{	/* Ieee/flonum.scm 364 */
					double BgL_rz00_924;

					BgL_rz00_924 = REAL_TO_DOUBLE(BgL_rz00_838);
					BgL_auxz00_1113 = ceil(BgL_rz00_924);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1113);
			}
		}
	}



/* truncatefl */
	BGL_EXPORTED_DEF double BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_36)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 369 */
			if ((BgL_rz00_36 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 370 */
					return ceil(BgL_rz00_36);
				}
			else
				{	/* Ieee/flonum.scm 370 */
					return floor(BgL_rz00_36);
				}
		}
	}



/* _truncatefl1403 */
	obj_t BGl__truncatefl1403z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_839,
		obj_t BgL_rz00_840)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 369 */
			{	/* Ieee/flonum.scm 370 */
				double BgL_auxz00_1121;

				{	/* Ieee/flonum.scm 370 */
					double BgL_rz00_925;

					BgL_rz00_925 = REAL_TO_DOUBLE(BgL_rz00_840);
					if ((BgL_rz00_925 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 370 */
							BgL_auxz00_1121 = ceil(BgL_rz00_925);
						}
					else
						{	/* Ieee/flonum.scm 370 */
							BgL_auxz00_1121 = floor(BgL_rz00_925);
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1121);
			}
		}
	}



/* roundfl */
	BGL_EXPORTED_DEF double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 377 */
			{	/* Ieee/flonum.scm 378 */
				double BgL_intz00_378;

				BgL_intz00_378 = floor(BgL_rz00_37);
				{	/* Ieee/flonum.scm 378 */
					double BgL_fracz00_379;

					BgL_fracz00_379 = (BgL_rz00_37 - BgL_intz00_378);
					{	/* Ieee/flonum.scm 379 */

						if ((BgL_fracz00_379 < ((double) 0.5)))
							{	/* Ieee/flonum.scm 380 */
								return BgL_intz00_378;
							}
						else
							{	/* Ieee/flonum.scm 380 */
								if ((BgL_fracz00_379 > ((double) 0.5)))
									{	/* Ieee/flonum.scm 381 */
										return (BgL_intz00_378 + ((double) 1.0));
									}
								else
									{	/* Ieee/flonum.scm 382 */
										double BgL_arg1153z00_383;

										{	/* Ieee/flonum.scm 382 */
											double BgL_auxz00_1135;

											BgL_auxz00_1135 = (BgL_intz00_378 / ((double) 2.0));
											BgL_arg1153z00_383 = ceil(BgL_auxz00_1135);
										}
										return (((double) 2.0) * BgL_arg1153z00_383);
		}}}}}}
	}



/* _roundfl1404 */
	obj_t BGl__roundfl1404z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_841,
		obj_t BgL_rz00_842)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 377 */
			return
				DOUBLE_TO_REAL(BGl_roundflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
					(BgL_rz00_842)));
		}
	}



/* remainderfl */
	BGL_EXPORTED_DEF double BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_n1z00_38, double BgL_n2z00_39)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 387 */
			return fmod(BgL_n1z00_38, BgL_n2z00_39);
		}
	}



/* _remainderfl1405 */
	obj_t BGl__remainderfl1405z00zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_843, obj_t BgL_n1z00_844, obj_t BgL_n2z00_845)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 387 */
			{	/* Ieee/flonum.scm 388 */
				double BgL_auxz00_1143;

				{	/* Ieee/flonum.scm 388 */
					double BgL_n1z00_926;
					double BgL_n2z00_927;

					BgL_n1z00_926 = REAL_TO_DOUBLE(BgL_n1z00_844);
					BgL_n2z00_927 = REAL_TO_DOUBLE(BgL_n2z00_845);
					BgL_auxz00_1143 = fmod(BgL_n1z00_926, BgL_n2z00_927);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1143);
			}
		}
	}



/* expfl */
	BGL_EXPORTED_DEF double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_40)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 393 */
			return exp(BgL_xz00_40);
		}
	}



/* _expfl1406 */
	obj_t BGl__expfl1406z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_846,
		obj_t BgL_xz00_847)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 393 */
			return DOUBLE_TO_REAL(exp(REAL_TO_DOUBLE(BgL_xz00_847)));
		}
	}



/* logfl */
	BGL_EXPORTED_DEF double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 399 */
			return log(BgL_xz00_41);
		}
	}



/* _logfl1407 */
	obj_t BGl__logfl1407z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_848,
		obj_t BgL_xz00_849)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 399 */
			return DOUBLE_TO_REAL(log(REAL_TO_DOUBLE(BgL_xz00_849)));
		}
	}



/* sinfl */
	BGL_EXPORTED_DEF double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_42)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 405 */
			return sin(BgL_xz00_42);
		}
	}



/* _sinfl1408 */
	obj_t BGl__sinfl1408z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_850,
		obj_t BgL_xz00_851)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 405 */
			return DOUBLE_TO_REAL(sin(REAL_TO_DOUBLE(BgL_xz00_851)));
		}
	}



/* cosfl */
	BGL_EXPORTED_DEF double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_43)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 411 */
			return cos(BgL_xz00_43);
		}
	}



/* _cosfl1409 */
	obj_t BGl__cosfl1409z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_852,
		obj_t BgL_xz00_853)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 411 */
			return DOUBLE_TO_REAL(cos(REAL_TO_DOUBLE(BgL_xz00_853)));
		}
	}



/* tanfl */
	BGL_EXPORTED_DEF double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_44)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 417 */
			return tan(BgL_xz00_44);
		}
	}



/* _tanfl1410 */
	obj_t BGl__tanfl1410z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_854,
		obj_t BgL_xz00_855)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 417 */
			return DOUBLE_TO_REAL(tan(REAL_TO_DOUBLE(BgL_xz00_855)));
		}
	}



/* asinfl */
	BGL_EXPORTED_DEF double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 423 */
			return asin(BgL_xz00_45);
		}
	}



/* _asinfl1411 */
	obj_t BGl__asinfl1411z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_856,
		obj_t BgL_xz00_857)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 423 */
			return DOUBLE_TO_REAL(asin(REAL_TO_DOUBLE(BgL_xz00_857)));
		}
	}



/* acosfl */
	BGL_EXPORTED_DEF double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_46)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 429 */
			return acos(BgL_xz00_46);
		}
	}



/* _acosfl1412 */
	obj_t BGl__acosfl1412z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_858,
		obj_t BgL_xz00_859)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 429 */
			return DOUBLE_TO_REAL(acos(REAL_TO_DOUBLE(BgL_xz00_859)));
		}
	}



/* atanfl */
	BGL_EXPORTED_DEF double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_47, obj_t BgL_yz00_48)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 435 */
			if (NULLP(BgL_yz00_48))
				{	/* Ieee/flonum.scm 436 */
					return atan(BgL_xz00_47);
				}
			else
				{	/* Ieee/flonum.scm 436 */
					obj_t BgL_yz00_647;

					BgL_yz00_647 = CAR(BgL_yz00_48);
					{	/* Ieee/flonum.scm 436 */
						double BgL_yz00_651;

						BgL_yz00_651 = REAL_TO_DOUBLE(BgL_yz00_647);
						return atan2(BgL_xz00_47, BgL_yz00_651);
					}
				}
		}
	}



/* _atanfl1413 */
	obj_t BGl__atanfl1413z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_860,
		obj_t BgL_xz00_861, obj_t BgL_yz00_862)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 435 */
			return
				DOUBLE_TO_REAL(BGl_atanflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
					(BgL_xz00_861), BgL_yz00_862));
		}
	}



/* atan-1fl */
	BGL_EXPORTED_DEF double BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_49)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 444 */
			return atan(BgL_xz00_49);
		}
	}



/* _atan-1fl1414 */
	obj_t BGl__atanzd21fl1414zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_863,
		obj_t BgL_xz00_864)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 444 */
			return DOUBLE_TO_REAL(atan(REAL_TO_DOUBLE(BgL_xz00_864)));
		}
	}



/* atan-2fl */
	BGL_EXPORTED_DEF double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_50, double BgL_yz00_51)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 450 */
			{	/* Ieee/flonum.scm 451 */
				bool_t BgL_testz00_1189;

				if ((BgL_xz00_50 == ((double) 0.0)))
					{	/* Ieee/flonum.scm 451 */
						BgL_testz00_1189 = (BgL_yz00_51 == ((double) 0.0));
					}
				else
					{	/* Ieee/flonum.scm 451 */
						BgL_testz00_1189 = ((bool_t) 0);
					}
				if (BgL_testz00_1189)
					{	/* Ieee/flonum.scm 451 */
						obj_t BgL_procz00_936;
						obj_t BgL_msgz00_937;
						obj_t BgL_objz00_938;

						BgL_procz00_936 =
							string_to_bstring(BSTRING_TO_STRING
							(BGl_string1428z00zz__r4_numbers_6_5_flonumz00));
						BgL_msgz00_937 =
							string_to_bstring(BSTRING_TO_STRING
							(BGl_string1429z00zz__r4_numbers_6_5_flonumz00));
						BgL_objz00_938 = DOUBLE_TO_REAL(((double) 0.0));
						the_failure(BgL_procz00_936, BgL_msgz00_937, BgL_objz00_938);
						return ((double) 0.0);
					}
				else
					{	/* Ieee/flonum.scm 451 */
						return atan2(BgL_xz00_50, BgL_yz00_51);
					}
			}
		}
	}



/* _atan-2fl1415 */
	obj_t BGl__atanzd22fl1415zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_865,
		obj_t BgL_xz00_866, obj_t BgL_yz00_867)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 450 */
			{	/* Ieee/flonum.scm 451 */
				double BgL_auxz00_1200;

				{	/* Ieee/flonum.scm 451 */
					double BgL_xz00_939;
					double BgL_yz00_940;

					BgL_xz00_939 = REAL_TO_DOUBLE(BgL_xz00_866);
					BgL_yz00_940 = REAL_TO_DOUBLE(BgL_yz00_867);
					{	/* Ieee/flonum.scm 451 */
						bool_t BgL_testz00_1203;

						if ((BgL_xz00_939 == ((double) 0.0)))
							{	/* Ieee/flonum.scm 451 */
								BgL_testz00_1203 = (BgL_yz00_940 == ((double) 0.0));
							}
						else
							{	/* Ieee/flonum.scm 451 */
								BgL_testz00_1203 = ((bool_t) 0);
							}
						if (BgL_testz00_1203)
							{	/* Ieee/flonum.scm 451 */
								obj_t BgL_procz00_941;
								obj_t BgL_msgz00_942;
								obj_t BgL_objz00_943;

								BgL_procz00_941 =
									string_to_bstring(BSTRING_TO_STRING
									(BGl_string1428z00zz__r4_numbers_6_5_flonumz00));
								BgL_msgz00_942 =
									string_to_bstring(BSTRING_TO_STRING
									(BGl_string1429z00zz__r4_numbers_6_5_flonumz00));
								BgL_objz00_943 = DOUBLE_TO_REAL(((double) 0.0));
								the_failure(BgL_procz00_941, BgL_msgz00_942, BgL_objz00_943);
								BgL_auxz00_1200 = ((double) 0.0);
							}
						else
							{	/* Ieee/flonum.scm 451 */
								BgL_auxz00_1200 = atan2(BgL_xz00_939, BgL_yz00_940);
							}
					}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1200);
			}
		}
	}



/* atan-2fl-ur */
	BGL_EXPORTED_DEF double
		BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_52,
		double BgL_yz00_53)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 468 */
			return atan2(BgL_xz00_52, BgL_yz00_53);
		}
	}



/* _atan-2fl-ur1416 */
	obj_t BGl__atanzd22flzd2ur1416z00zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_868, obj_t BgL_xz00_869, obj_t BgL_yz00_870)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 468 */
			{	/* Ieee/flonum.scm 469 */
				double BgL_auxz00_1216;

				{	/* Ieee/flonum.scm 469 */
					double BgL_xz00_944;
					double BgL_yz00_945;

					BgL_xz00_944 = REAL_TO_DOUBLE(BgL_xz00_869);
					BgL_yz00_945 = REAL_TO_DOUBLE(BgL_yz00_870);
					BgL_auxz00_1216 = atan2(BgL_xz00_944, BgL_yz00_945);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1216);
			}
		}
	}



/* sqrtfl */
	BGL_EXPORTED_DEF double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_54)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 474 */
			if ((BgL_rz00_54 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 475 */
					obj_t BgL_procz00_946;
					obj_t BgL_msgz00_947;
					obj_t BgL_objz00_948;

					BgL_procz00_946 =
						string_to_bstring(BSTRING_TO_STRING
						(BGl_string1430z00zz__r4_numbers_6_5_flonumz00));
					BgL_msgz00_947 =
						string_to_bstring(BSTRING_TO_STRING
						(BGl_string1429z00zz__r4_numbers_6_5_flonumz00));
					BgL_objz00_948 = DOUBLE_TO_REAL(BgL_rz00_54);
					BGl_errorz00zz__errorz00(BgL_procz00_946, BgL_msgz00_947,
						BgL_objz00_948);
					return ((double) 0.0);
				}
			else
				{	/* Ieee/flonum.scm 475 */
					return sqrt(BgL_rz00_54);
				}
		}
	}



/* _sqrtfl1417 */
	obj_t BGl__sqrtfl1417z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_871,
		obj_t BgL_rz00_872)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 474 */
			{	/* Ieee/flonum.scm 475 */
				double BgL_auxz00_1230;

				{	/* Ieee/flonum.scm 475 */
					double BgL_rz00_949;

					BgL_rz00_949 = REAL_TO_DOUBLE(BgL_rz00_872);
					if ((BgL_rz00_949 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 475 */
							obj_t BgL_procz00_950;
							obj_t BgL_msgz00_951;
							obj_t BgL_objz00_952;

							BgL_procz00_950 =
								string_to_bstring(BSTRING_TO_STRING
								(BGl_string1430z00zz__r4_numbers_6_5_flonumz00));
							BgL_msgz00_951 =
								string_to_bstring(BSTRING_TO_STRING
								(BGl_string1429z00zz__r4_numbers_6_5_flonumz00));
							BgL_objz00_952 = DOUBLE_TO_REAL(BgL_rz00_949);
							BGl_errorz00zz__errorz00(BgL_procz00_950, BgL_msgz00_951,
								BgL_objz00_952);
							BgL_auxz00_1230 = ((double) 0.0);
						}
					else
						{	/* Ieee/flonum.scm 475 */
							BgL_auxz00_1230 = sqrt(BgL_rz00_949);
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1230);
			}
		}
	}



/* sqrtfl-ur */
	BGL_EXPORTED_DEF double BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_55)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 487 */
			return sqrt(BgL_rz00_55);
		}
	}



/* _sqrtfl-ur1418 */
	obj_t BGl__sqrtflzd2ur1418zd2zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_873, obj_t BgL_rz00_874)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 487 */
			return DOUBLE_TO_REAL(sqrt(REAL_TO_DOUBLE(BgL_rz00_874)));
		}
	}



/* exptfl */
	BGL_EXPORTED_DEF double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_56, double BgL_r2z00_57)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 493 */
			return pow(BgL_r1z00_56, BgL_r2z00_57);
		}
	}



/* _exptfl1419 */
	obj_t BGl__exptfl1419z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_875,
		obj_t BgL_r1z00_876, obj_t BgL_r2z00_877)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 493 */
			{	/* Ieee/flonum.scm 494 */
				double BgL_auxz00_1247;

				{	/* Ieee/flonum.scm 494 */
					double BgL_r1z00_954;
					double BgL_r2z00_955;

					BgL_r1z00_954 = REAL_TO_DOUBLE(BgL_r1z00_876);
					BgL_r2z00_955 = REAL_TO_DOUBLE(BgL_r2z00_877);
					BgL_auxz00_1247 = pow(BgL_r1z00_954, BgL_r2z00_955);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1247);
			}
		}
	}



/* string->real */
	BGL_EXPORTED_DEF double
		BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char *BgL_stringz00_58)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 499 */
			return strtod(BgL_stringz00_58, ((long) 0));
		}
	}



/* _string->real1420 */
	obj_t BGl__stringzd2ze3real1420z31zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_878, obj_t BgL_stringz00_879)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 499 */
			{	/* Ieee/flonum.scm 500 */
				double BgL_auxz00_1253;

				{	/* Ieee/flonum.scm 500 */
					char *BgL_auxz00_1254;

					BgL_auxz00_1254 = BSTRING_TO_STRING(BgL_stringz00_879);
					BgL_auxz00_1253 = strtod(BgL_auxz00_1254, ((long) 0));
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1253);
			}
		}
	}



/* real->string */
	BGL_EXPORTED_DEF obj_t
		BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t BgL_realz00_59)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 505 */
			return real_to_string(REAL_TO_DOUBLE(BgL_realz00_59));
		}
	}



/* _real->string1421 */
	obj_t BGl__realzd2ze3string1421z31zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_880, obj_t BgL_realz00_881)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 505 */
			{	/* Ieee/flonum.scm 506 */
				obj_t BgL_realz00_957;

				BgL_realz00_957 = BgL_realz00_881;
				return real_to_string(REAL_TO_DOUBLE(BgL_realz00_957));
			}
		}
	}



/* ieee-string->real */
	BGL_EXPORTED_DEF obj_t
		BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_60)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 511 */
			return DOUBLE_TO_REAL(bgl_ieee_string_to_double(BgL_stringz00_60));
		}
	}



/* _ieee-string->real1422 */
	obj_t BGl__ieeezd2stringzd2ze3real1422ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_882, obj_t BgL_stringz00_883)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 511 */
			{	/* Ieee/flonum.scm 512 */
				obj_t BgL_stringz00_958;

				BgL_stringz00_958 = BgL_stringz00_883;
				return DOUBLE_TO_REAL(bgl_ieee_string_to_double(BgL_stringz00_958));
			}
		}
	}



/* real->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_realz00_61)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 517 */
			return bgl_double_to_ieee_string(REAL_TO_DOUBLE(BgL_realz00_61));
		}
	}



/* _real->ieee-string1423 */
	obj_t BGl__realzd2ze3ieeezd2string1423ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_884, obj_t BgL_realz00_885)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 517 */
			{	/* Ieee/flonum.scm 518 */
				obj_t BgL_realz00_959;

				BgL_realz00_959 = BgL_realz00_885;
				return bgl_double_to_ieee_string(REAL_TO_DOUBLE(BgL_realz00_959));
			}
		}
	}



/* ieee-string->double */
	BGL_EXPORTED_DEF double
		BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_62)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 523 */
			return bgl_ieee_string_to_double(BgL_stringz00_62);
		}
	}



/* _ieee-string->double1424 */
	obj_t BGl__ieeezd2stringzd2ze3double1424ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_886, obj_t BgL_stringz00_887)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 523 */
			return DOUBLE_TO_REAL(bgl_ieee_string_to_double(BgL_stringz00_887));
		}
	}



/* double->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double
		BgL_doublez00_63)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 529 */
			return bgl_double_to_ieee_string(BgL_doublez00_63);
		}
	}



/* _double->ieee-string1425 */
	obj_t BGl__doublezd2ze3ieeezd2string1425ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_888, obj_t BgL_doublez00_889)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 529 */
			{	/* Ieee/flonum.scm 530 */
				double BgL_doublez00_961;

				BgL_doublez00_961 = REAL_TO_DOUBLE(BgL_doublez00_889);
				return bgl_double_to_ieee_string(BgL_doublez00_961);
			}
		}
	}



/* ieee-string->float */
	BGL_EXPORTED_DEF float
		BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_64)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 535 */
			return (float) (bgl_ieee_string_to_double(BgL_stringz00_64));
		}
	}



/* _ieee-string->float1426 */
	obj_t BGl__ieeezd2stringzd2ze3float1426ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_890, obj_t BgL_stringz00_891)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 535 */
			{	/* Ieee/flonum.scm 536 */
				float BgL_auxz00_1278;

				{	/* Ieee/flonum.scm 536 */
					obj_t BgL_stringz00_962;

					BgL_stringz00_962 = BgL_stringz00_891;
					BgL_auxz00_1278 =
						(float) (bgl_ieee_string_to_double(BgL_stringz00_962));
				}
				return FLOAT_TO_REAL(BgL_auxz00_1278);
			}
		}
	}



/* float->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float
		BgL_floatz00_65)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 541 */
			return bgl_double_to_ieee_string((double) (BgL_floatz00_65));
		}
	}



/* _float->ieee-string1427 */
	obj_t BGl__floatzd2ze3ieeezd2string1427ze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_892, obj_t BgL_floatz00_893)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 541 */
			{	/* Ieee/flonum.scm 542 */
				float BgL_floatz00_963;

				BgL_floatz00_963 = REAL_TO_FLOAT(BgL_floatz00_893);
				return bgl_double_to_ieee_string((double) (BgL_floatz00_963));
		}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00()
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1431z00zz__r4_numbers_6_5_flonumz00));
		}
	}

#ifdef __cplusplus
}
#endif
