/*===========================================================================*/
/*   (Ieee/output.scm)                                                       */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Ieee/output.scm -indent -o objs/obj_u/Ieee/output.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	extern obj_t bgl_display_substring(obj_t, long, long, obj_t);
	static obj_t BGl__writeza2za2zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	extern obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
	extern obj_t bgl_display_ucs2string(obj_t, obj_t);
	extern obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t bgl_write_elong(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__writezd2bytezd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__printfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00 =
		BUNSPEC;
	extern obj_t ucs2_string_to_utf8_string(obj_t);
	static obj_t BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_opaque(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2bytezd22z00zz__r4_output_6_10_3z00(unsigned char, obj_t);
	extern bool_t BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00();
	static obj_t BGl__illegalzd2charzd2rep2568z00zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printz00zz__r4_output_6_10_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_display_llong(BGL_LONGLONG_T, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t, long, long, obj_t);
	static obj_t BGl__writezd2charzd222566z00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_custom(obj_t, obj_t);
	extern obj_t bgl_write_mmap(obj_t, obj_t);
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t bgl_write_process(obj_t, obj_t);
	extern obj_t bgl_write_socket(obj_t, obj_t);
	extern obj_t bgl_write_foreign(obj_t, obj_t);
	static obj_t BGl__writez00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	extern obj_t bgl_write_procedure(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newlinez00zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl__writezd2charzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__writezd222571zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__r4_output_6_10_3z00();
	static obj_t BGl__displayza2za2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_cnst(obj_t, obj_t);
	static obj_t BGl__printz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_display_elong(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2fixnumzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
	static obj_t BGl_writezd2pairzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__displayzd2fixnum2572zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00();
	BGL_EXPORTED_DECL obj_t BGl_writezd2bytezd2zz__r4_output_6_10_3z00(unsigned
		char, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2charzd22z00zz__r4_output_6_10_3z00(unsigned char, obj_t);
	static obj_t BGl__writezd2bytezd222567z00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__formatz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
	static obj_t BGl__displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writeza2za2zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl__fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_ill_char_rep(unsigned char);
	extern obj_t weakptr_data(obj_t);
	extern obj_t bgl_write_unknown(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t close_output_port(obj_t);
	extern obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
	static obj_t BGl__displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_input_port(obj_t, obj_t);
	static obj_t BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2charzd2zz__r4_output_6_10_3z00(unsigned
		char, obj_t);
	static obj_t BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(unsigned char);
	extern obj_t open_output_string();
	extern obj_t bgl_write_utf8string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t string_to_bstring(char *);
	BGL_EXPORTED_DECL obj_t
		BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	static obj_t BGl_displayzd2pairzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2586z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2588z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2590z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_symbol2610z00zz__r4_output_6_10_3z00 = BUNSPEC;
	static obj_t BGl_xprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__fprint2569z00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t BGl__writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newlinezd21zd2zz__r4_output_6_10_3z00(obj_t);
	static obj_t BGl__newlinez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_seconds_to_string(long);
	static obj_t BGl__writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t string_for_read(obj_t);
	static obj_t BGl__displayzd222570zd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	extern obj_t bgl_write_string(obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_write_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern char *BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t bgl_write_llong(BGL_LONGLONG_T, obj_t);
	extern obj_t bgl_write_output_port(obj_t, obj_t);
	static obj_t BGl__displayz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t,
		obj_t);
	extern obj_t bgl_write_binary_port(obj_t, obj_t);
	extern obj_t real_to_string(double);
	static obj_t BGl__newlinezd212565zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern long bgl_date_to_seconds(obj_t);
	static obj_t BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__r4_output_6_10_3z00();
	BGL_EXPORTED_DECL obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fprintfzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__fprintfza700za7za7__r2615za7, va_generic_entry,
		BGl__fprintfz00zz__r4_output_6_10_3z00, BUNSPEC, -3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__printza700za7za7__r4_2616za7, va_generic_entry,
		BGl__printz00zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printfzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__printfza700za7za7__r42617za7, va_generic_entry,
		BGl__printfz00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2bytezd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2byteza7d22618z00, opt_generic_entry,
		BGl__writezd2bytezd2zz__r4_output_6_10_3z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2stringza72619z00,
		BGl__writezd2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2ucs2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2ucs2str2620za7,
		BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayza2zd2envz70zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7a2za7a2za7za72621z00, va_generic_entry,
		BGl__displayza2za2zz__r4_output_6_10_3z00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2strin2622za7,
		BGl__displayzd2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2573z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2573za700za7za7_2623za7, "newline", 7);
	      DEFINE_STRING(BGl_string2574z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2574za700za7za7_2624za7, "wrong number of optional arguments",
		34);
	      DEFINE_STRING(BGl_string2575z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2575za700za7za7_2625za7, "display", 7);
	      DEFINE_STRING(BGl_string2576z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2576za700za7za7_2626za7, "write", 5);
	      DEFINE_STRING(BGl_string2577z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2577za700za7za7_2627za7, "#Newline", 8);
	      DEFINE_STRING(BGl_string2578z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2578za700za7za7_2628za7, "#Return", 7);
	      DEFINE_STRING(BGl_string2580z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2580za700za7za7_2629za7, "#Tab", 4);
	      DEFINE_STRING(BGl_string2579z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2579za700za7za7_2630za7, "#Space", 6);
	      DEFINE_STRING(BGl_string2581z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2581za700za7za7_2631za7, "Tag not allowd here", 19);
	      DEFINE_STRING(BGl_string2582z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2582za700za7za7_2632za7, "Insufficient number of arguments",
		32);
	      DEFINE_STRING(BGl_string2583z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2583za700za7za7_2633za7, "Illegal char", 12);
	      DEFINE_STRING(BGl_string2584z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2584za700za7za7_2634za7, "Illegal number", 14);
	      DEFINE_STRING(BGl_string2585z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2585za700za7za7_2635za7, "Illegal tag", 11);
	      DEFINE_STRING(BGl_string2587z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2587za700za7za7_2636za7, "format", 6);
	      DEFINE_STRING(BGl_string2600z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2600za700za7za7_2637za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string2589z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2589za700za7za7_2638za7, "printf", 6);
	      DEFINE_STRING(BGl_string2601z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2601za700za7za7_2639za7, "#eof-object", 11);
	      DEFINE_STRING(BGl_string2591z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2591za700za7za7_2640za7, "fprintf", 7);
	      DEFINE_STRING(BGl_string2602z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2602za700za7za7_2641za7, "#!optional", 10);
	      DEFINE_STRING(BGl_string2592z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2592za700za7za7_2642za7, "()", 2);
	      DEFINE_STRING(BGl_string2603z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2603za700za7za7_2643za7, "#!rest", 6);
	      DEFINE_STRING(BGl_string2593z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2593za700za7za7_2644za7, "#f", 2);
	      DEFINE_STRING(BGl_string2604z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2604za700za7za7_2645za7, "#!key", 5);
	      DEFINE_STRING(BGl_string2594z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2594za700za7za7_2646za7, "#t", 2);
	      DEFINE_STRING(BGl_string2605z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2605za700za7za7_2647za7, "#<output_string_port>", 21);
	      DEFINE_STRING(BGl_string2595z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2595za700za7za7_2648za7, "#unspecified", 12);
	      DEFINE_STRING(BGl_string2606z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2606za700za7za7_2649za7, "#<output_procedure_port>", 24);
	      DEFINE_STRING(BGl_string2596z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2596za700za7za7_2650za7, "#<class:", 8);
	      DEFINE_STRING(BGl_string2607z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2607za700za7za7_2651za7, "#<weakptr:", 10);
	      DEFINE_STRING(BGl_string2597z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2597za700za7za7_2652za7, ">", 1);
	      DEFINE_STRING(BGl_string2608z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2608za700za7za7_2653za7, "#<date:", 7);
	      DEFINE_STRING(BGl_string2598z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2598za700za7za7_2654za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string2609z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2609za700za7za7_2655za7, "|", 1);
	      DEFINE_STRING(BGl_string2599z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2599za700za7za7_2656za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string2611z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2611za700za7za7_2657za7, "display-substring", 17);
	      DEFINE_STRING(BGl_string2612z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2612za700za7za7_2658za7, "Illegal index, start=~a end=~a",
		30);
	      DEFINE_STRING(BGl_string2613z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2613za700za7za7_2659za7, "...)", 4);
	      DEFINE_STRING(BGl_string2614z00zz__r4_output_6_10_3z00,
		BgL_bgl_string2614za700za7za7_2660za7, "__r4_output_6_10_3", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2fixnumzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2fixnu2661za7,
		BGl__displayzd2fixnum2572zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_formatzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__formatza700za7za7__r42662za7, va_generic_entry,
		BGl__formatz00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2ucs2stringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2ucs2s2663za7,
		BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2charzd22zd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2charza7d22664z00,
		BGl__writezd2charzd222566z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza700za7za7__r4_2665za7, va_generic_entry,
		BGl__writez00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2symbolzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2symbolza72666z00,
		BGl__writezd2symbolzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2substringzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2subst2667za7,
		BGl__displayzd2substringzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2symbolzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2symbo2668za7,
		BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2bytezd22zd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2byteza7d22669z00,
		BGl__writezd2bytezd222567z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2225702670za7,
		BGl__displayzd222570zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd22zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d222571za7d2671z00,
		BGl__writezd222571zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writeza2zd2envz70zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7a2za7a2za7za7__2672z00, va_generic_entry,
		BGl__writeza2za2zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_fprintzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__fprint2569za700za7za72673za7, va_generic_entry,
		BGl__fprint2569z00zz__r4_output_6_10_3z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newlinezd21zd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__newlineza7d2125652674za7,
		BGl__newlinezd212565zd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_illegalzd2charzd2repzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__illegalza7d2charza72675z00,
		BGl__illegalzd2charzd2rep2568z00zz__r4_output_6_10_3z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_writezd2charzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__writeza7d2charza7d22676z00, opt_generic_entry,
		BGl__writezd2charzd2zz__r4_output_6_10_3z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displayzd2flonumzd2envz00zz__r4_output_6_10_3z00,
		BgL_bgl__displayza7d2flonu2677za7,
		BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newlinezd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__newlineza700za7za7__r2678za7, va_generic_entry,
		BGl__newlinez00zz__r4_output_6_10_3z00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2envzd2zz__r4_output_6_10_3z00,
		BgL_bgl__displayza700za7za7__r2679za7, va_generic_entry,
		BGl__displayz00zz__r4_output_6_10_3z00, BUNSPEC, -2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long
		BgL_checksumz00_3291, char *BgL_fromz00_3292)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_output_6_10_3z00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_output_6_10_3z00();
					BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			BGl_symbol2586z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2587z00zz__r4_output_6_10_3z00);
			BGl_symbol2588z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2589z00zz__r4_output_6_10_3z00);
			BGl_symbol2590z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2591z00zz__r4_output_6_10_3z00);
			return (BGl_symbol2610z00zz__r4_output_6_10_3z00 =
				bstring_to_symbol(BGl_string2611z00zz__r4_output_6_10_3z00), BUNSPEC);
		}
	}



/* newline */
	BGL_EXPORTED_DEF obj_t BGl_newlinez00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 227 */
			{	/* Ieee/output.scm 228 */
				obj_t BgL_portz00_970;

				if (NULLP(BgL_portz00_1))
					{	/* Ieee/output.scm 228 */
						BgL_portz00_970 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 228 */
						if (PAIRP(BgL_portz00_1))
							{	/* Ieee/output.scm 228 */
								if (NULLP(CDR(BgL_portz00_1)))
									{	/* Ieee/output.scm 228 */
										BgL_portz00_970 = CAR(BgL_portz00_1);
									}
								else
									{	/* Ieee/output.scm 228 */
										BgL_portz00_970 =
											BGl_errorz00zz__errorz00
											(BGl_string2573z00zz__r4_output_6_10_3z00,
											BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_1);
									}
							}
						else
							{	/* Ieee/output.scm 228 */
								BgL_portz00_970 =
									BGl_errorz00zz__errorz00
									(BGl_string2573z00zz__r4_output_6_10_3z00,
									BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_1);
							}
					}
				return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_970);
		}}
	}



/* _newline */
	obj_t BGl__newlinez00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3192,
		obj_t BgL_portz00_3193)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 227 */
			return BGl_newlinez00zz__r4_output_6_10_3z00(BgL_portz00_3193);
		}
	}



/* newline-1 */
	BGL_EXPORTED_DEF obj_t BGl_newlinezd21zd2zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 242 */
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_2);
		}
	}



/* _newline-12565 */
	obj_t BGl__newlinezd212565zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3194,
		obj_t BgL_portz00_3195)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 242 */
			return BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_3195);
		}
	}



/* display */
	BGL_EXPORTED_DEF obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_3, obj_t BgL_portz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 248 */
			{	/* Ieee/output.scm 249 */
				obj_t BgL_portz00_979;

				if (NULLP(BgL_portz00_4))
					{	/* Ieee/output.scm 249 */
						BgL_portz00_979 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 249 */
						if (PAIRP(BgL_portz00_4))
							{	/* Ieee/output.scm 249 */
								if (NULLP(CDR(BgL_portz00_4)))
									{	/* Ieee/output.scm 249 */
										BgL_portz00_979 = CAR(BgL_portz00_4);
									}
								else
									{	/* Ieee/output.scm 249 */
										BgL_portz00_979 =
											BGl_errorz00zz__errorz00
											(BGl_string2575z00zz__r4_output_6_10_3z00,
											BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_4);
									}
							}
						else
							{	/* Ieee/output.scm 249 */
								BgL_portz00_979 =
									BGl_errorz00zz__errorz00
									(BGl_string2575z00zz__r4_output_6_10_3z00,
									BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_4);
							}
					}
				return bgl_display_obj(BgL_objz00_3, BgL_portz00_979);
			}
		}
	}



/* _display */
	obj_t BGl__displayz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3196,
		obj_t BgL_objz00_3197, obj_t BgL_portz00_3198)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 248 */
			return
				BGl_displayz00zz__r4_output_6_10_3z00(BgL_objz00_3197,
				BgL_portz00_3198);
		}
	}



/* write */
	BGL_EXPORTED_DEF obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t BgL_objz00_5,
		obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 263 */
			{	/* Ieee/output.scm 264 */
				obj_t BgL_portz00_988;

				if (NULLP(BgL_portz00_6))
					{	/* Ieee/output.scm 264 */
						BgL_portz00_988 = BGL_CURRENT_OUTPUT_PORT();
					}
				else
					{	/* Ieee/output.scm 264 */
						if (PAIRP(BgL_portz00_6))
							{	/* Ieee/output.scm 264 */
								if (NULLP(CDR(BgL_portz00_6)))
									{	/* Ieee/output.scm 264 */
										BgL_portz00_988 = CAR(BgL_portz00_6);
									}
								else
									{	/* Ieee/output.scm 264 */
										BgL_portz00_988 =
											BGl_errorz00zz__errorz00
											(BGl_string2576z00zz__r4_output_6_10_3z00,
											BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_6);
									}
							}
						else
							{	/* Ieee/output.scm 264 */
								BgL_portz00_988 =
									BGl_errorz00zz__errorz00
									(BGl_string2576z00zz__r4_output_6_10_3z00,
									BGl_string2574z00zz__r4_output_6_10_3z00, BgL_portz00_6);
							}
					}
				return bgl_write_obj(BgL_objz00_5, BgL_portz00_988);
			}
		}
	}



/* _write */
	obj_t BGl__writez00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3199,
		obj_t BgL_objz00_3200, obj_t BgL_portz00_3201)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 263 */
			return
				BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_3200, BgL_portz00_3201);
		}
	}



/* _write-char */
	obj_t BGl__writezd2charzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_10,
		obj_t BgL_optz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 278 */
			{	/* Ieee/output.scm 278 */
				obj_t BgL_g1636z00_997;

				BgL_g1636z00_997 = VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
				{	/* Ieee/output.scm 278 */
					int BgL_aux1638z00_999;

					BgL_aux1638z00_999 = VECTOR_LENGTH(BgL_optz00_9);
					switch ((long) (BgL_aux1638z00_999))
						{
						case ((long) 1):

							{	/* Ieee/output.scm 278 */
								obj_t BgL_portz00_1001;

								BgL_portz00_1001 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Ieee/output.scm 278 */

									{	/* Ieee/output.scm 278 */
										obj_t BgL_arg1703z00_1002;

										BgL_arg1703z00_1002 =
											VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
										{	/* Ieee/output.scm 278 */
											unsigned char BgL_auxz00_3349;

											BgL_auxz00_3349 = CCHAR(BgL_arg1703z00_1002);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3349, BgL_portz00_1001);
										}
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Ieee/output.scm 278 */
								obj_t BgL_portz00_1003;

								BgL_portz00_1003 = VECTOR_REF(BgL_optz00_9, (int) (((long) 1)));
								{	/* Ieee/output.scm 278 */

									{	/* Ieee/output.scm 278 */
										obj_t BgL_arg1704z00_1004;

										BgL_arg1704z00_1004 =
											VECTOR_REF(BgL_optz00_9, (int) (((long) 0)));
										{	/* Ieee/output.scm 278 */
											unsigned char BgL_auxz00_3356;

											BgL_auxz00_3356 = CCHAR(BgL_arg1704z00_1004);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3356, BgL_portz00_1003);
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-char */
	BGL_EXPORTED_DEF obj_t BGl_writezd2charzd2zz__r4_output_6_10_3z00(unsigned
		char BgL_charz00_7, obj_t BgL_portz00_8)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 278 */
			return BGL_DISPLAY_CHAR(BgL_charz00_7, BgL_portz00_8);
		}
	}



/* write-char-2 */
	BGL_EXPORTED_DEF obj_t BGl_writezd2charzd22z00zz__r4_output_6_10_3z00(unsigned
		char BgL_charz00_11, obj_t BgL_portz00_12)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 284 */
			return BGL_DISPLAY_CHAR(BgL_charz00_11, BgL_portz00_12);
		}
	}



/* _write-char-22566 */
	obj_t BGl__writezd2charzd222566z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3202, obj_t BgL_charz00_3203, obj_t BgL_portz00_3204)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 284 */
			{	/* Ieee/output.scm 285 */
				unsigned char BgL_auxz00_3363;

				BgL_auxz00_3363 = CCHAR(BgL_charz00_3203);
				return BGL_DISPLAY_CHAR(BgL_auxz00_3363, BgL_portz00_3204);
			}
		}
	}



/* _write-byte */
	obj_t BGl__writezd2bytezd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_16,
		obj_t BgL_optz00_15)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 290 */
			{	/* Ieee/output.scm 290 */
				obj_t BgL_g1640z00_1005;

				BgL_g1640z00_1005 = VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
				{	/* Ieee/output.scm 290 */
					int BgL_aux1642z00_1007;

					BgL_aux1642z00_1007 = VECTOR_LENGTH(BgL_optz00_15);
					switch ((long) (BgL_aux1642z00_1007))
						{
						case ((long) 1):

							{	/* Ieee/output.scm 290 */
								obj_t BgL_portz00_1009;

								BgL_portz00_1009 = BGL_CURRENT_OUTPUT_PORT();
								{	/* Ieee/output.scm 290 */

									{	/* Ieee/output.scm 290 */
										obj_t BgL_arg1706z00_1010;

										BgL_arg1706z00_1010 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										{	/* Ieee/output.scm 290 */
											unsigned char BgL_auxz00_3372;

											BgL_auxz00_3372 =
												(unsigned char) CINT(BgL_arg1706z00_1010);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3372, BgL_portz00_1009);
										}
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Ieee/output.scm 290 */
								obj_t BgL_portz00_1011;

								BgL_portz00_1011 =
									VECTOR_REF(BgL_optz00_15, (int) (((long) 1)));
								{	/* Ieee/output.scm 290 */

									{	/* Ieee/output.scm 290 */
										obj_t BgL_arg1707z00_1012;

										BgL_arg1707z00_1012 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										{	/* Ieee/output.scm 290 */
											unsigned char BgL_auxz00_3379;

											BgL_auxz00_3379 =
												(unsigned char) CINT(BgL_arg1707z00_1012);
											return
												BGL_DISPLAY_CHAR(BgL_auxz00_3379, BgL_portz00_1011);
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-byte */
	BGL_EXPORTED_DEF obj_t BGl_writezd2bytezd2zz__r4_output_6_10_3z00(unsigned
		char BgL_bytez00_13, obj_t BgL_portz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 290 */
			return BGL_DISPLAY_CHAR(BgL_bytez00_13, BgL_portz00_14);
		}
	}



/* write-byte-2 */
	BGL_EXPORTED_DEF obj_t BGl_writezd2bytezd22z00zz__r4_output_6_10_3z00(unsigned
		char BgL_bytez00_17, obj_t BgL_portz00_18)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 296 */
			return BGL_DISPLAY_CHAR(BgL_bytez00_17, BgL_portz00_18);
		}
	}



/* _write-byte-22567 */
	obj_t BGl__writezd2bytezd222567z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3205, obj_t BgL_bytez00_3206, obj_t BgL_portz00_3207)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 296 */
			{	/* Ieee/output.scm 297 */
				unsigned char BgL_auxz00_3386;

				BgL_auxz00_3386 = (unsigned char) CINT(BgL_bytez00_3206);
				return BGL_DISPLAY_CHAR(BgL_auxz00_3386, BgL_portz00_3207);
			}
		}
	}



/* illegal-char-rep */
	BGL_EXPORTED_DEF obj_t
		BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(unsigned char
		BgL_charz00_19)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 302 */
			{	/* Ieee/output.scm 303 */
				bool_t BgL_testz00_3389;

				if (isalpha(BgL_charz00_19))
					{	/* Ieee/output.scm 303 */
						BgL_testz00_3389 = ((bool_t) 1);
					}
				else
					{	/* Ieee/output.scm 303 */
						BgL_testz00_3389 = isdigit(BgL_charz00_19);
					}
				if (BgL_testz00_3389)
					{	/* Ieee/output.scm 303 */
						return BCHAR(BgL_charz00_19);
					}
				else
					{

						switch (BgL_charz00_19)
							{
							case ((unsigned char) '\n'):

								return BGl_string2577z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) '\r'):

								return BGl_string2578z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) ' '):

								return BGl_string2579z00zz__r4_output_6_10_3z00;
								break;
							case ((unsigned char) '\t'):

								return BGl_string2580z00zz__r4_output_6_10_3z00;
								break;
							default:
								{	/* Ieee/output.scm 315 */
									long BgL_iz00_1017;

									BgL_iz00_1017 = (BgL_charz00_19);
									if ((BgL_iz00_1017 < ((long) 33)))
										{	/* Ieee/output.scm 316 */
											return bgl_ill_char_rep(BgL_charz00_19);
										}
									else
										{	/* Ieee/output.scm 316 */
											return BCHAR(BgL_charz00_19);
										}
								}
							}
					}
			}
		}
	}



/* _illegal-char-rep2568 */
	obj_t BGl__illegalzd2charzd2rep2568z00zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3208, obj_t BgL_charz00_3209)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 302 */
			return
				BGl_illegalzd2charzd2repz00zz__r4_output_6_10_3z00(CCHAR
				(BgL_charz00_3209));
		}
	}



/* print */
	BGL_EXPORTED_DEF obj_t BGl_printz00zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_20)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 323 */
			{	/* Ieee/output.scm 324 */
				obj_t BgL_portz00_1020;

				BgL_portz00_1020 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_2173;
					obj_t BgL_resz00_2174;

					BgL_lz00_2173 = BgL_objz00_20;
					BgL_resz00_2174 = BNIL;
				BgL_loopz00_2172:
					if (NULLP(BgL_lz00_2173))
						{	/* Ieee/output.scm 325 */
							BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_1020);
							return BgL_resz00_2174;
						}
					else
						{	/* Ieee/output.scm 325 */
							obj_t BgL_vz00_2179;

							BgL_vz00_2179 = CAR(BgL_lz00_2173);
							bgl_display_obj(BgL_vz00_2179, BgL_portz00_1020);
							{
								obj_t BgL_resz00_3410;
								obj_t BgL_lz00_3408;

								BgL_lz00_3408 = CDR(BgL_lz00_2173);
								BgL_resz00_3410 = BgL_vz00_2179;
								BgL_resz00_2174 = BgL_resz00_3410;
								BgL_lz00_2173 = BgL_lz00_3408;
								goto BgL_loopz00_2172;
							}
						}
				}
			}
		}
	}



/* _print */
	obj_t BGl__printz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3210,
		obj_t BgL_objz00_3211)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 323 */
			return BGl_printz00zz__r4_output_6_10_3z00(BgL_objz00_3211);
		}
	}



/* display* */
	BGL_EXPORTED_DEF obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_21)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 338 */
			{	/* Ieee/output.scm 339 */
				obj_t BgL_portz00_1028;

				BgL_portz00_1028 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_1029;

					BgL_lz00_1029 = BgL_objz00_21;
				BgL_loopz00_1030:
					if (NULLP(BgL_lz00_1029))
						{	/* Ieee/output.scm 341 */
							return BUNSPEC;
						}
					else
						{	/* Ieee/output.scm 341 */
							bgl_display_obj(CAR(BgL_lz00_1029), BgL_portz00_1028);
							{
								obj_t BgL_lz00_3417;

								BgL_lz00_3417 = CDR(BgL_lz00_1029);
								BgL_lz00_1029 = BgL_lz00_3417;
								goto BgL_loopz00_1030;
							}
						}
				}
			}
		}
	}



/* _display* */
	obj_t BGl__displayza2za2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3212,
		obj_t BgL_objz00_3213)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 338 */
			return BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_objz00_3213);
		}
	}



/* write* */
	BGL_EXPORTED_DEF obj_t BGl_writeza2za2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_22)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 350 */
			{	/* Ieee/output.scm 351 */
				obj_t BgL_portz00_1035;

				BgL_portz00_1035 = BGL_CURRENT_OUTPUT_PORT();
				{
					obj_t BgL_lz00_1036;

					BgL_lz00_1036 = BgL_objz00_22;
				BgL_loopz00_1037:
					if (NULLP(BgL_lz00_1036))
						{	/* Ieee/output.scm 353 */
							return BUNSPEC;
						}
					else
						{	/* Ieee/output.scm 353 */
							bgl_write_obj(CAR(BgL_lz00_1036), BgL_portz00_1035);
							{
								obj_t BgL_lz00_3425;

								BgL_lz00_3425 = CDR(BgL_lz00_1036);
								BgL_lz00_1036 = BgL_lz00_3425;
								goto BgL_loopz00_1037;
							}
						}
				}
			}
		}
	}



/* _write* */
	obj_t BGl__writeza2za2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3214,
		obj_t BgL_objz00_3215)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 350 */
			return BGl_writeza2za2zz__r4_output_6_10_3z00(BgL_objz00_3215);
		}
	}



/* fprint */
	BGL_EXPORTED_DEF obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_23, obj_t BgL_objz00_24)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 362 */
			{
				obj_t BgL_lz00_2207;
				obj_t BgL_resz00_2208;

				BgL_lz00_2207 = BgL_objz00_24;
				BgL_resz00_2208 = BNIL;
			BgL_loopz00_2206:
				if (NULLP(BgL_lz00_2207))
					{	/* Ieee/output.scm 363 */
						BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_portz00_23);
						return BgL_resz00_2208;
					}
				else
					{	/* Ieee/output.scm 363 */
						obj_t BgL_vz00_2214;

						BgL_vz00_2214 = CAR(BgL_lz00_2207);
						bgl_display_obj(BgL_vz00_2214, BgL_portz00_23);
						{
							obj_t BgL_resz00_3435;
							obj_t BgL_lz00_3433;

							BgL_lz00_3433 = CDR(BgL_lz00_2207);
							BgL_resz00_3435 = BgL_vz00_2214;
							BgL_resz00_2208 = BgL_resz00_3435;
							BgL_lz00_2207 = BgL_lz00_3433;
							goto BgL_loopz00_2206;
						}
					}
			}
		}
	}



/* _fprint2569 */
	obj_t BGl__fprint2569z00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3216,
		obj_t BgL_portz00_3217, obj_t BgL_objz00_3218)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 362 */
			return
				BGl_fprintz00zz__r4_output_6_10_3z00(BgL_portz00_3217, BgL_objz00_3218);
		}
	}



/* xprintf */
	obj_t BGl_xprintfz00zz__r4_output_6_10_3z00(obj_t BgL_procnamez00_25,
		obj_t BgL_pz00_26, obj_t BgL_fmtz00_27, obj_t BgL_objsz00_28)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 376 */
			{	/* Ieee/output.scm 377 */
				long BgL_lenz00_1050;

				BgL_lenz00_1050 = STRING_LENGTH(BgL_fmtz00_27);
				{
					long BgL_iz00_1051;
					obj_t BgL_osz00_1052;

					BgL_iz00_1051 = ((long) 0);
					BgL_osz00_1052 = BgL_objsz00_28;
				BgL_loopz00_1053:
					if ((BgL_iz00_1051 < BgL_lenz00_1050))
						{	/* Ieee/output.scm 389 */
							unsigned char BgL_cz00_1057;

							BgL_cz00_1057 = STRING_REF(BgL_fmtz00_27, BgL_iz00_1051);
							if ((BgL_cz00_1057 == ((unsigned char) '~')))
								{	/* Ieee/output.scm 390 */
									if ((BgL_iz00_1051 == (BgL_lenz00_1050 - ((long) 1))))
										{	/* Ieee/output.scm 391 */
											return
												BGl_errorz00zz__errorz00(BgL_procnamez00_25,
												BGl_string2581z00zz__r4_output_6_10_3z00,
												c_substring(BgL_fmtz00_27, BgL_iz00_1051,
													BgL_lenz00_1050));
										}
									else
										{	/* Ieee/output.scm 395 */
											unsigned char BgL_fz00_1062;

											BgL_fz00_1062 =
												STRING_REF(BgL_fmtz00_27, (BgL_iz00_1051 + ((long) 1)));
											switch (BgL_fz00_1062)
												{
												case ((unsigned char) 'a'):
												case ((unsigned char) 'A'):

													{	/* Ieee/output.scm 398 */
														obj_t BgL_arg1729z00_1066;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 398 */
																BgL_arg1729z00_1066 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 398 */
																BgL_arg1729z00_1066 = CAR(BgL_osz00_1052);
															}
														bgl_display_obj(BgL_arg1729z00_1066, BgL_pz00_26);
													}
													{
														obj_t BgL_osz00_3458;
														long BgL_iz00_3456;

														BgL_iz00_3456 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3458 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3458;
														BgL_iz00_1051 = BgL_iz00_3456;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 's'):
												case ((unsigned char) 'S'):

													{	/* Ieee/output.scm 401 */
														obj_t BgL_arg1732z00_1069;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 401 */
																BgL_arg1732z00_1069 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 401 */
																BgL_arg1732z00_1069 = CAR(BgL_osz00_1052);
															}
														{	/* Ieee/output.scm 401 */
															obj_t BgL_list1733z00_1070;

															BgL_list1733z00_1070 =
																MAKE_PAIR(BgL_pz00_26, BNIL);
															BGl_writez00zz__r4_output_6_10_3z00
																(BgL_arg1732z00_1069, BgL_list1733z00_1070);
														}
													}
													{
														obj_t BgL_osz00_3469;
														long BgL_iz00_3467;

														BgL_iz00_3467 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3469 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3469;
														BgL_iz00_1051 = BgL_iz00_3467;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 'v'):
												case ((unsigned char) 'V'):

													{	/* Ieee/output.scm 404 */
														obj_t BgL_arg1736z00_1073;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 404 */
																BgL_arg1736z00_1073 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 404 */
																BgL_arg1736z00_1073 = CAR(BgL_osz00_1052);
															}
														bgl_display_obj(BgL_arg1736z00_1073, BgL_pz00_26);
													}
													BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_pz00_26);
													{
														obj_t BgL_osz00_3480;
														long BgL_iz00_3478;

														BgL_iz00_3478 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3480 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3480;
														BgL_iz00_1051 = BgL_iz00_3478;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 'c'):
												case ((unsigned char) 'C'):

													{	/* Ieee/output.scm 408 */
														obj_t BgL_oz00_1076;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 408 */
																BgL_oz00_1076 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 408 */
																BgL_oz00_1076 = CAR(BgL_osz00_1052);
															}
														if (CHARP(BgL_oz00_1076))
															{	/* Ieee/output.scm 409 */
																{	/* Ieee/output.scm 412 */
																	unsigned char BgL_auxz00_3489;

																	BgL_auxz00_3489 = CCHAR(BgL_oz00_1076);
																	BGL_DISPLAY_CHAR(BgL_auxz00_3489,
																		BgL_pz00_26);
																}
																{
																	obj_t BgL_osz00_3494;
																	long BgL_iz00_3492;

																	BgL_iz00_3492 = (BgL_iz00_1051 + ((long) 2));
																	BgL_osz00_3494 = CDR(BgL_osz00_1052);
																	BgL_osz00_1052 = BgL_osz00_3494;
																	BgL_iz00_1051 = BgL_iz00_3492;
																	goto BgL_loopz00_1053;
																}
															}
														else
															{	/* Ieee/output.scm 409 */
																return
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2583z00zz__r4_output_6_10_3z00,
																	BgL_oz00_1076);
															}
													}
													break;
												case ((unsigned char) 'x'):
												case ((unsigned char) 'X'):

													{	/* Ieee/output.scm 415 */
														obj_t BgL_arg1743z00_1081;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 415 */
																BgL_arg1743z00_1081 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 415 */
																BgL_arg1743z00_1081 = CAR(BgL_osz00_1052);
															}
														{	/* Ieee/output.scm 415 */
															bool_t BgL_testz00_3502;

															if (INTEGERP(BgL_arg1743z00_1081))
																{	/* Ieee/output.scm 415 */
																	BgL_testz00_3502 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 415 */
																	if (REALP(BgL_arg1743z00_1081))
																		{	/* Ieee/output.scm 415 */
																			BgL_testz00_3502 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 415 */
																			if (ELONGP(BgL_arg1743z00_1081))
																				{	/* Ieee/output.scm 415 */
																					BgL_testz00_3502 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 415 */
																					BgL_testz00_3502 =
																						LLONGP(BgL_arg1743z00_1081);
																				}
																		}
																}
															if (BgL_testz00_3502)
																{	/* Ieee/output.scm 415 */
																	char *BgL_arg1769z00_2301;

																	{	/* Ieee/output.scm 415 */
																		obj_t BgL_list1770z00_2302;

																		BgL_list1770z00_2302 =
																			MAKE_PAIR(BINT(((long) 16)), BNIL);
																		BgL_arg1769z00_2301 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1743z00_1081,
																			BgL_list1770z00_2302);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1769z00_2301), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 415 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2584z00zz__r4_output_6_10_3z00,
																		BgL_arg1743z00_1081);
																}
														}
													}
													{
														obj_t BgL_osz00_3518;
														long BgL_iz00_3516;

														BgL_iz00_3516 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3518 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3518;
														BgL_iz00_1051 = BgL_iz00_3516;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 'o'):
												case ((unsigned char) 'O'):

													{	/* Ieee/output.scm 418 */
														obj_t BgL_arg1747z00_1085;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 418 */
																BgL_arg1747z00_1085 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 418 */
																BgL_arg1747z00_1085 = CAR(BgL_osz00_1052);
															}
														{	/* Ieee/output.scm 418 */
															bool_t BgL_testz00_3525;

															if (INTEGERP(BgL_arg1747z00_1085))
																{	/* Ieee/output.scm 418 */
																	BgL_testz00_3525 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 418 */
																	if (REALP(BgL_arg1747z00_1085))
																		{	/* Ieee/output.scm 418 */
																			BgL_testz00_3525 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 418 */
																			if (ELONGP(BgL_arg1747z00_1085))
																				{	/* Ieee/output.scm 418 */
																					BgL_testz00_3525 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 418 */
																					BgL_testz00_3525 =
																						LLONGP(BgL_arg1747z00_1085);
																				}
																		}
																}
															if (BgL_testz00_3525)
																{	/* Ieee/output.scm 418 */
																	char *BgL_arg1769z00_2323;

																	{	/* Ieee/output.scm 418 */
																		obj_t BgL_list1770z00_2324;

																		BgL_list1770z00_2324 =
																			MAKE_PAIR(BINT(((long) 8)), BNIL);
																		BgL_arg1769z00_2323 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1747z00_1085,
																			BgL_list1770z00_2324);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1769z00_2323), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 418 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2584z00zz__r4_output_6_10_3z00,
																		BgL_arg1747z00_1085);
																}
														}
													}
													{
														obj_t BgL_osz00_3541;
														long BgL_iz00_3539;

														BgL_iz00_3539 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3541 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3541;
														BgL_iz00_1051 = BgL_iz00_3539;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 'b'):
												case ((unsigned char) 'B'):

													{	/* Ieee/output.scm 421 */
														obj_t BgL_arg1753z00_1089;

														if (NULLP(BgL_osz00_1052))
															{	/* Ieee/output.scm 421 */
																BgL_arg1753z00_1089 =
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																	BGl_string2582z00zz__r4_output_6_10_3z00,
																	BCHAR(BgL_fz00_1062));
															}
														else
															{	/* Ieee/output.scm 421 */
																BgL_arg1753z00_1089 = CAR(BgL_osz00_1052);
															}
														{	/* Ieee/output.scm 421 */
															bool_t BgL_testz00_3548;

															if (INTEGERP(BgL_arg1753z00_1089))
																{	/* Ieee/output.scm 421 */
																	BgL_testz00_3548 = ((bool_t) 1);
																}
															else
																{	/* Ieee/output.scm 421 */
																	if (REALP(BgL_arg1753z00_1089))
																		{	/* Ieee/output.scm 421 */
																			BgL_testz00_3548 = ((bool_t) 1);
																		}
																	else
																		{	/* Ieee/output.scm 421 */
																			if (ELONGP(BgL_arg1753z00_1089))
																				{	/* Ieee/output.scm 421 */
																					BgL_testz00_3548 = ((bool_t) 1);
																				}
																			else
																				{	/* Ieee/output.scm 421 */
																					BgL_testz00_3548 =
																						LLONGP(BgL_arg1753z00_1089);
																				}
																		}
																}
															if (BgL_testz00_3548)
																{	/* Ieee/output.scm 421 */
																	char *BgL_arg1769z00_2345;

																	{	/* Ieee/output.scm 421 */
																		obj_t BgL_list1770z00_2346;

																		BgL_list1770z00_2346 =
																			MAKE_PAIR(BINT(((long) 2)), BNIL);
																		BgL_arg1769z00_2345 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_arg1753z00_1089,
																			BgL_list1770z00_2346);
																	}
																	bgl_display_obj(string_to_bstring
																		(BgL_arg1769z00_2345), BgL_pz00_26);
																}
															else
																{	/* Ieee/output.scm 421 */
																	BGl_errorz00zz__errorz00(BgL_procnamez00_25,
																		BGl_string2584z00zz__r4_output_6_10_3z00,
																		BgL_arg1753z00_1089);
																}
														}
													}
													{
														obj_t BgL_osz00_3564;
														long BgL_iz00_3562;

														BgL_iz00_3562 = (BgL_iz00_1051 + ((long) 2));
														BgL_osz00_3564 = CDR(BgL_osz00_1052);
														BgL_osz00_1052 = BgL_osz00_3564;
														BgL_iz00_1051 = BgL_iz00_3562;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) '%'):
												case ((unsigned char) 'n'):

													BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_pz00_26);
													{
														long BgL_iz00_3567;

														BgL_iz00_3567 = (BgL_iz00_1051 + ((long) 2));
														BgL_iz00_1051 = BgL_iz00_3567;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) 'r'):

													BGL_DISPLAY_CHAR(((unsigned char) '\r'), BgL_pz00_26);
													{
														long BgL_iz00_3570;

														BgL_iz00_3570 = (BgL_iz00_1051 + ((long) 2));
														BgL_iz00_1051 = BgL_iz00_3570;
														goto BgL_loopz00_1053;
													}
													break;
												case ((unsigned char) '~'):

													BGL_DISPLAY_CHAR(((unsigned char) '~'), BgL_pz00_26);
													{
														long BgL_iz00_3573;

														BgL_iz00_3573 = (BgL_iz00_1051 + ((long) 2));
														BgL_iz00_1051 = BgL_iz00_3573;
														goto BgL_loopz00_1053;
													}
													break;
												default:
													return
														BGl_errorz00zz__errorz00(BgL_procnamez00_25,
														BGl_string2585z00zz__r4_output_6_10_3z00,
														BCHAR(BgL_fz00_1062));
												}
										}
								}
							else
								{	/* Ieee/output.scm 390 */
									BGL_DISPLAY_CHAR(BgL_cz00_1057, BgL_pz00_26);
									{
										long BgL_iz00_3579;

										BgL_iz00_3579 = (BgL_iz00_1051 + ((long) 1));
										BgL_iz00_1051 = BgL_iz00_3579;
										goto BgL_loopz00_1053;
									}
								}
						}
					else
						{	/* Ieee/output.scm 388 */
							return BFALSE;
						}
				}
			}
		}
	}



/* format */
	BGL_EXPORTED_DEF obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t
		BgL_fmtz00_29, obj_t BgL_objz00_30)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 441 */
			{	/* Ieee/output.scm 442 */
				obj_t BgL_pz00_2389;

				BgL_pz00_2389 = open_output_string();
				BGl_xprintfz00zz__r4_output_6_10_3z00
					(BGl_symbol2586z00zz__r4_output_6_10_3z00, BgL_pz00_2389,
					BgL_fmtz00_29, BgL_objz00_30);
				return close_output_port(BgL_pz00_2389);
			}
		}
	}



/* _format */
	obj_t BGl__formatz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3219,
		obj_t BgL_fmtz00_3220, obj_t BgL_objz00_3221)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 441 */
			return
				BGl_formatz00zz__r4_output_6_10_3z00(BgL_fmtz00_3220, BgL_objz00_3221);
		}
	}



/* printf */
	BGL_EXPORTED_DEF obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t
		BgL_fmtz00_31, obj_t BgL_objz00_32)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 449 */
			{	/* Ieee/output.scm 450 */
				obj_t BgL_arg1773z00_2391;
				obj_t BgL_arg1774z00_2392;

				BgL_arg1773z00_2391 = BGl_symbol2588z00zz__r4_output_6_10_3z00;
				BgL_arg1774z00_2392 = BGL_CURRENT_OUTPUT_PORT();
				return
					BGl_xprintfz00zz__r4_output_6_10_3z00(BgL_arg1773z00_2391,
					BgL_arg1774z00_2392, BgL_fmtz00_31, BgL_objz00_32);
			}
		}
	}



/* _printf */
	obj_t BGl__printfz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3222,
		obj_t BgL_fmtz00_3223, obj_t BgL_objz00_3224)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 449 */
			return
				BGl_printfz00zz__r4_output_6_10_3z00(BgL_fmtz00_3223, BgL_objz00_3224);
		}
	}



/* fprintf */
	BGL_EXPORTED_DEF obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t
		BgL_portz00_33, obj_t BgL_fmtz00_34, obj_t BgL_objz00_35)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 455 */
			return
				BGl_xprintfz00zz__r4_output_6_10_3z00
				(BGl_symbol2590z00zz__r4_output_6_10_3z00, BgL_portz00_33,
				BgL_fmtz00_34, BgL_objz00_35);
		}
	}



/* _fprintf */
	obj_t BGl__fprintfz00zz__r4_output_6_10_3z00(obj_t BgL_envz00_3225,
		obj_t BgL_portz00_3226, obj_t BgL_fmtz00_3227, obj_t BgL_objz00_3228)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 455 */
			return
				BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_portz00_3226, BgL_fmtz00_3227,
				BgL_objz00_3228);
		}
	}



/* display-2 */
	BGL_EXPORTED_DEF obj_t bgl_display_obj(obj_t BgL_objz00_36,
		obj_t BgL_portz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 568 */
			if (INTEGERP(BgL_objz00_36))
				{	/* Ieee/output.scm 569 */
					return bgl_display_fixnum(BgL_objz00_36, BgL_portz00_37);
				}
			else
				{	/* Ieee/output.scm 569 */
					if (SYMBOLP(BgL_objz00_36))
						{	/* Ieee/output.scm 569 */
							obj_t BgL_objz00_2395;

							BgL_objz00_2395 = BgL_objz00_36;
							{	/* Ieee/output.scm 569 */
								obj_t BgL_arg1863z00_2397;

								BgL_arg1863z00_2397 = SYMBOL_TO_STRING(BgL_objz00_2395);
								return bgl_display_string(BgL_arg1863z00_2397, BgL_portz00_37);
							}
						}
					else
						{	/* Ieee/output.scm 569 */
							if (STRINGP(BgL_objz00_36))
								{	/* Ieee/output.scm 569 */
									return bgl_display_string(BgL_objz00_36, BgL_portz00_37);
								}
							else
								{	/* Ieee/output.scm 569 */
									if (CHARP(BgL_objz00_36))
										{	/* Ieee/output.scm 569 */
											unsigned char BgL_auxz00_3602;

											BgL_auxz00_3602 = CCHAR(BgL_objz00_36);
											return BGL_DISPLAY_CHAR(BgL_auxz00_3602, BgL_portz00_37);
										}
									else
										{	/* Ieee/output.scm 569 */
											if (PAIRP(BgL_objz00_36))
												{	/* Ieee/output.scm 569 */
													return
														BGl_displayzd2pairzd2zz__r4_output_6_10_3z00
														(BgL_objz00_36, BgL_portz00_37);
												}
											else
												{	/* Ieee/output.scm 569 */
													if (NULLP(BgL_objz00_36))
														{	/* Ieee/output.scm 569 */
															return
																bgl_display_string
																(BGl_string2592z00zz__r4_output_6_10_3z00,
																BgL_portz00_37);
														}
													else
														{	/* Ieee/output.scm 569 */
															if ((BgL_objz00_36 == BFALSE))
																{	/* Ieee/output.scm 569 */
																	return
																		bgl_display_string
																		(BGl_string2593z00zz__r4_output_6_10_3z00,
																		BgL_portz00_37);
																}
															else
																{	/* Ieee/output.scm 569 */
																	if ((BgL_objz00_36 == BTRUE))
																		{	/* Ieee/output.scm 569 */
																			return
																				bgl_display_string
																				(BGl_string2594z00zz__r4_output_6_10_3z00,
																				BgL_portz00_37);
																		}
																	else
																		{	/* Ieee/output.scm 569 */
																			if ((BgL_objz00_36 == BUNSPEC))
																				{	/* Ieee/output.scm 569 */
																					return
																						bgl_display_string
																						(BGl_string2595z00zz__r4_output_6_10_3z00,
																						BgL_portz00_37);
																				}
																			else
																				{	/* Ieee/output.scm 569 */
																					if (ELONGP(BgL_objz00_36))
																						{	/* Ieee/output.scm 569 */
																							return
																								bgl_display_elong(BELONG_TO_LONG
																								(BgL_objz00_36),
																								BgL_portz00_37);
																						}
																					else
																						{	/* Ieee/output.scm 569 */
																							if (REALP(BgL_objz00_36))
																								{	/* Ieee/output.scm 569 */
																									obj_t BgL_objz00_2417;

																									BgL_objz00_2417 =
																										BgL_objz00_36;
																									{	/* Ieee/output.scm 569 */
																										obj_t BgL_arg1895z00_2419;

																										BgL_arg1895z00_2419 =
																											real_to_string
																											(REAL_TO_DOUBLE
																											(BgL_objz00_2417));
																										return
																											bgl_display_string
																											(BgL_arg1895z00_2419,
																											BgL_portz00_37);
																									}
																								}
																							else
																								{	/* Ieee/output.scm 569 */
																									if (KEYWORDP(BgL_objz00_36))
																										{	/* Ieee/output.scm 569 */
																											BGL_DISPLAY_CHAR((
																													(unsigned char) ':'),
																												BgL_portz00_37);
																											{	/* Ieee/output.scm 569 */
																												obj_t
																													BgL_arg1894z00_2426;
																												BgL_arg1894z00_2426 =
																													KEYWORD_TO_STRING
																													(BgL_objz00_36);
																												return
																													bgl_display_string
																													(BgL_arg1894z00_2426,
																													BgL_portz00_37);
																											}
																										}
																									else
																										{	/* Ieee/output.scm 569 */
																											if (BGl_classzf3zf3zz__objectz00(BgL_objz00_36))
																												{	/* Ieee/output.scm 569 */
																													bgl_display_string
																														(BGl_string2596z00zz__r4_output_6_10_3z00,
																														BgL_portz00_37);
																													{	/* Ieee/output.scm 569 */
																														obj_t
																															BgL_arg1902z00_2432;
																														BgL_arg1902z00_2432
																															=
																															BGl_classzd2namezd2zz__objectz00
																															(BgL_objz00_36);
																														{	/* Ieee/output.scm 569 */
																															obj_t
																																BgL_arg1863z00_2437;
																															BgL_arg1863z00_2437
																																=
																																SYMBOL_TO_STRING
																																(BgL_arg1902z00_2432);
																															bgl_display_string
																																(BgL_arg1863z00_2437,
																																BgL_portz00_37);
																														}
																													}
																													return
																														bgl_display_string
																														(BGl_string2597z00zz__r4_output_6_10_3z00,
																														BgL_portz00_37);
																												}
																											else
																												{	/* Ieee/output.scm 569 */
																													if (VECTORP
																														(BgL_objz00_36))
																														{	/* Ieee/output.scm 569 */
																															return
																																BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00
																																(BgL_objz00_36,
																																BgL_portz00_37,
																																BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																														}
																													else
																														{	/* Ieee/output.scm 569 */
																															if (LLONGP
																																(BgL_objz00_36))
																																{	/* Ieee/output.scm 569 */
																																	return
																																		bgl_display_llong
																																		(BLLONG_TO_LLONG
																																		(BgL_objz00_36),
																																		BgL_portz00_37);
																																}
																															else
																																{	/* Ieee/output.scm 569 */
																																	if (UCS2_STRINGP(BgL_objz00_36))
																																		{	/* Ieee/output.scm 569 */
																																			return
																																				bgl_display_ucs2string
																																				(BgL_objz00_36,
																																				BgL_portz00_37);
																																		}
																																	else
																																		{	/* Ieee/output.scm 569 */
																																			if (STRUCTP(BgL_objz00_36))
																																				{	/* Ieee/output.scm 569 */
																																					return
																																						BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00
																																						(BgL_objz00_36,
																																						BgL_portz00_37,
																																						BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																				}
																																			else
																																				{	/* Ieee/output.scm 569 */
																																					if (BGL_OBJECTP(BgL_objz00_36))
																																						{	/* Ieee/output.scm 569 */
																																							obj_t
																																								BgL_list1793z00_1131;
																																							BgL_list1793z00_1131
																																								=
																																								MAKE_PAIR
																																								(BgL_portz00_37,
																																								BNIL);
																																							return
																																								BGl_objectzd2displayzd2zz__objectz00
																																								(
																																								(BgL_objectz00_bglt)
																																								(BgL_objz00_36),
																																								BgL_list1793z00_1131);
																																						}
																																					else
																																						{	/* Ieee/output.scm 569 */
																																							if (BGL_DATEP(BgL_objz00_36))
																																								{	/* Ieee/output.scm 569 */
																																									obj_t
																																										BgL_arg1898z00_2453;
																																									{	/* Ieee/output.scm 569 */
																																										obj_t
																																											BgL_res2547z00_2458;
																																										{	/* Ieee/output.scm 569 */
																																											obj_t
																																												BgL_datez00_2454;
																																											BgL_datez00_2454
																																												=
																																												BgL_objz00_36;
																																											BgL_res2547z00_2458
																																												=
																																												bgl_seconds_to_string
																																												(bgl_date_to_seconds
																																												(BgL_datez00_2454));
																																										}
																																										BgL_arg1898z00_2453
																																											=
																																											BgL_res2547z00_2458;
																																									}
																																									return
																																										bgl_display_string
																																										(BgL_arg1898z00_2453,
																																										BgL_portz00_37);
																																								}
																																							else
																																								{	/* Ieee/output.scm 569 */
																																									if (BGL_MUTEXP(BgL_objz00_36))
																																										{	/* Ieee/output.scm 569 */
																																											bgl_display_string
																																												(BGl_string2598z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_37);
																																											{	/* Ieee/output.scm 569 */
																																												obj_t
																																													BgL_arg1900z00_2464;
																																												BgL_arg1900z00_2464
																																													=
																																													BGL_MUTEX_NAME
																																													(BgL_objz00_36);
																																												bgl_display_obj
																																													(BgL_arg1900z00_2464,
																																													BgL_portz00_37);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2597z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_37);
																																										}
																																									else
																																										{	/* Ieee/output.scm 569 */
																																											if (BGL_CONDVARP(BgL_objz00_36))
																																												{	/* Ieee/output.scm 569 */
																																													bgl_display_string
																																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_37);
																																													{	/* Ieee/output.scm 569 */
																																														obj_t
																																															BgL_arg1901z00_2473;
																																														BgL_arg1901z00_2473
																																															=
																																															BGL_CONDVAR_NAME
																																															(BgL_objz00_36);
																																														bgl_display_obj
																																															(BgL_arg1901z00_2473,
																																															BgL_portz00_37);
																																													}
																																													return
																																														bgl_display_string
																																														(BGl_string2597z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_37);
																																												}
																																											else
																																												{	/* Ieee/output.scm 569 */
																																													if (UCS2P(BgL_objz00_36))
																																														{	/* Ieee/output.scm 569 */
																																															return
																																																bgl_display_ucs2
																																																(BgL_objz00_36,
																																																BgL_portz00_37);
																																														}
																																													else
																																														{	/* Ieee/output.scm 569 */
																																															if (CELLP(BgL_objz00_36))
																																																{	/* Ieee/output.scm 569 */
																																																	bgl_display_string
																																																		(BGl_string2600z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_37);
																																																	bgl_display_obj
																																																		(CELL_REF
																																																		(BgL_objz00_36),
																																																		BgL_portz00_37);
																																																	return
																																																		bgl_display_string
																																																		(BGl_string2597z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_37);
																																																}
																																															else
																																																{	/* Ieee/output.scm 569 */
																																																	if (EOF_OBJECTP(BgL_objz00_36))
																																																		{	/* Ieee/output.scm 569 */
																																																			return
																																																				bgl_display_string
																																																				(BGl_string2601z00zz__r4_output_6_10_3z00,
																																																				BgL_portz00_37);
																																																		}
																																																	else
																																																		{	/* Ieee/output.scm 569 */
																																																			if ((BgL_objz00_36 == BCNST(258)))
																																																				{	/* Ieee/output.scm 569 */
																																																					return
																																																						bgl_display_string
																																																						(BGl_string2602z00zz__r4_output_6_10_3z00,
																																																						BgL_portz00_37);
																																																				}
																																																			else
																																																				{	/* Ieee/output.scm 569 */
																																																					if ((BgL_objz00_36 == BCNST(259)))
																																																						{	/* Ieee/output.scm 569 */
																																																							return
																																																								bgl_display_string
																																																								(BGl_string2603z00zz__r4_output_6_10_3z00,
																																																								BgL_portz00_37);
																																																						}
																																																					else
																																																						{	/* Ieee/output.scm 569 */
																																																							if ((BgL_objz00_36 == BCNST(262)))
																																																								{	/* Ieee/output.scm 569 */
																																																									return
																																																										bgl_display_string
																																																										(BGl_string2604z00zz__r4_output_6_10_3z00,
																																																										BgL_portz00_37);
																																																								}
																																																							else
																																																								{	/* Ieee/output.scm 569 */
																																																									if (PROCEDUREP(BgL_objz00_36))
																																																										{	/* Ieee/output.scm 569 */
																																																											return
																																																												bgl_write_procedure
																																																												(BgL_objz00_36,
																																																												BgL_portz00_37);
																																																										}
																																																									else
																																																										{	/* Ieee/output.scm 569 */
																																																											if (OUTPUT_PORTP(BgL_objz00_36))
																																																												{	/* Ieee/output.scm 569 */
																																																													if (OUTPUT_STRING_PORTP(BgL_objz00_36))
																																																														{	/* Ieee/output.scm 569 */
																																																															return
																																																																bgl_display_string
																																																																(BGl_string2605z00zz__r4_output_6_10_3z00,
																																																																BgL_portz00_37);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 569 */
																																																															if (BGL_OUTPUT_PROCEDURE_PORTP(BgL_objz00_36))
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_display_string
																																																																		(BGl_string2606z00zz__r4_output_6_10_3z00,
																																																																		BgL_portz00_37);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_write_output_port
																																																																		(BgL_objz00_36,
																																																																		BgL_portz00_37);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ieee/output.scm 569 */
																																																													if (INPUT_PORTP(BgL_objz00_36))
																																																														{	/* Ieee/output.scm 569 */
																																																															return
																																																																bgl_write_input_port
																																																																(BgL_objz00_36,
																																																																BgL_portz00_37);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 569 */
																																																															if (CNSTP(BgL_objz00_36))
																																																																{	/* Ieee/output.scm 569 */
																																																																	return
																																																																		bgl_write_cnst
																																																																		(BgL_objz00_36,
																																																																		BgL_portz00_37);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 569 */
																																																																	if (BGL_HVECTORP(BgL_objz00_36))
																																																																		{	/* Ieee/output.scm 569 */
																																																																			return
																																																																				BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00
																																																																				(BgL_objz00_36,
																																																																				BgL_portz00_37,
																																																																				BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																																																		}
																																																																	else
																																																																		{	/* Ieee/output.scm 569 */
																																																																			if (TVECTORP(BgL_objz00_36))
																																																																				{	/* Ieee/output.scm 569 */
																																																																					return
																																																																						BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00
																																																																						(BgL_objz00_36,
																																																																						BgL_portz00_37,
																																																																						BGl_displayzd22zd2envz00zz__r4_output_6_10_3z00);
																																																																				}
																																																																			else
																																																																				{	/* Ieee/output.scm 569 */
																																																																					if (BGL_WEAKPTRP(BgL_objz00_36))
																																																																						{	/* Ieee/output.scm 569 */
																																																																							obj_t
																																																																								BgL_dataz00_2511;
																																																																							BgL_dataz00_2511
																																																																								=
																																																																								weakptr_data
																																																																								(BgL_objz00_36);
																																																																							bgl_display_string
																																																																								(BGl_string2607z00zz__r4_output_6_10_3z00,
																																																																								BgL_portz00_37);
																																																																							bgl_display_obj
																																																																								(BgL_dataz00_2511,
																																																																								BgL_portz00_37);
																																																																							return
																																																																								BGL_DISPLAY_CHAR
																																																																								(
																																																																								((unsigned char) '>'), BgL_portz00_37);
																																																																						}
																																																																					else
																																																																						{	/* Ieee/output.scm 569 */
																																																																							if (FOREIGNP(BgL_objz00_36))
																																																																								{	/* Ieee/output.scm 569 */
																																																																									return
																																																																										bgl_write_foreign
																																																																										(BgL_objz00_36,
																																																																										BgL_portz00_37);
																																																																								}
																																																																							else
																																																																								{	/* Ieee/output.scm 569 */
																																																																									if (PROCESSP(BgL_objz00_36))
																																																																										{	/* Ieee/output.scm 569 */
																																																																											return
																																																																												bgl_write_process
																																																																												(BgL_objz00_36,
																																																																												BgL_portz00_37);
																																																																										}
																																																																									else
																																																																										{	/* Ieee/output.scm 569 */
																																																																											if (SOCKETP(BgL_objz00_36))
																																																																												{	/* Ieee/output.scm 569 */
																																																																													return
																																																																														bgl_write_socket
																																																																														(BgL_objz00_36,
																																																																														BgL_portz00_37);
																																																																												}
																																																																											else
																																																																												{	/* Ieee/output.scm 569 */
																																																																													if (BGL_MMAPP(BgL_objz00_36))
																																																																														{	/* Ieee/output.scm 569 */
																																																																															return
																																																																																bgl_write_mmap
																																																																																(BgL_objz00_36,
																																																																																BgL_portz00_37);
																																																																														}
																																																																													else
																																																																														{	/* Ieee/output.scm 569 */
																																																																															if (OPAQUEP(BgL_objz00_36))
																																																																																{	/* Ieee/output.scm 569 */
																																																																																	return
																																																																																		bgl_write_opaque
																																																																																		(BgL_objz00_36,
																																																																																		BgL_portz00_37);
																																																																																}
																																																																															else
																																																																																{	/* Ieee/output.scm 569 */
																																																																																	if (CUSTOMP(BgL_objz00_36))
																																																																																		{	/* Ieee/output.scm 569 */
																																																																																			return
																																																																																				bgl_write_custom
																																																																																				(BgL_objz00_36,
																																																																																				BgL_portz00_37);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ieee/output.scm 569 */
																																																																																			if (BINARY_PORTP(BgL_objz00_36))
																																																																																				{	/* Ieee/output.scm 569 */
																																																																																					return
																																																																																						bgl_write_binary_port
																																																																																						(BgL_objz00_36,
																																																																																						BgL_portz00_37);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ieee/output.scm 569 */
																																																																																					return
																																																																																						bgl_write_unknown
																																																																																						(BgL_objz00_36,
																																																																																						BgL_portz00_37);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _display-22570 */
	obj_t BGl__displayzd222570zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3229,
		obj_t BgL_objz00_3230, obj_t BgL_portz00_3231)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 568 */
			return bgl_display_obj(BgL_objz00_3230, BgL_portz00_3231);
		}
	}



/* write-2 */
	BGL_EXPORTED_DEF obj_t bgl_write_obj(obj_t BgL_objz00_38,
		obj_t BgL_portz00_39)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 574 */
			if (INTEGERP(BgL_objz00_38))
				{	/* Ieee/output.scm 575 */
					return bgl_display_fixnum(BgL_objz00_38, BgL_portz00_39);
				}
			else
				{	/* Ieee/output.scm 575 */
					if (SYMBOLP(BgL_objz00_38))
						{	/* Ieee/output.scm 575 */
							return
								BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_38,
								BgL_portz00_39);
						}
					else
						{	/* Ieee/output.scm 575 */
							if (STRINGP(BgL_objz00_38))
								{	/* Ieee/output.scm 575 */
									obj_t BgL_objz00_2523;

									BgL_objz00_2523 = BgL_objz00_38;
									if (BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00())
										{	/* Ieee/output.scm 575 */
											obj_t BgL_strz00_2526;

											BgL_strz00_2526 = string_for_read(BgL_objz00_2523);
											{	/* Ieee/output.scm 575 */
												obj_t BgL_escz00_2527;

												{	/* Ieee/output.scm 575 */
													int BgL_auxz00_3761;

													BgL_auxz00_3761 = (int) (((long) 1));
													BgL_escz00_2527 = BGL_MVALUES_VAL(BgL_auxz00_3761);
												}
												return
													bgl_write_string(BgL_strz00_2526,
													CBOOL(BgL_escz00_2527), BgL_portz00_39);
											}
										}
									else
										{	/* Ieee/output.scm 575 */
											return
												bgl_write_string(string_for_read(BgL_objz00_2523),
												((bool_t) 0), BgL_portz00_39);
										}
								}
							else
								{	/* Ieee/output.scm 575 */
									if (CHARP(BgL_objz00_38))
										{	/* Ieee/output.scm 575 */
											return bgl_write_char(BgL_objz00_38, BgL_portz00_39);
										}
									else
										{	/* Ieee/output.scm 575 */
											if (PAIRP(BgL_objz00_38))
												{	/* Ieee/output.scm 575 */
													return
														BGl_writezd2pairzd2zz__r4_output_6_10_3z00
														(BgL_objz00_38, BgL_portz00_39);
												}
											else
												{	/* Ieee/output.scm 575 */
													if (NULLP(BgL_objz00_38))
														{	/* Ieee/output.scm 575 */
															return
																bgl_display_string
																(BGl_string2592z00zz__r4_output_6_10_3z00,
																BgL_portz00_39);
														}
													else
														{	/* Ieee/output.scm 575 */
															if ((BgL_objz00_38 == BFALSE))
																{	/* Ieee/output.scm 575 */
																	return
																		bgl_display_string
																		(BGl_string2593z00zz__r4_output_6_10_3z00,
																		BgL_portz00_39);
																}
															else
																{	/* Ieee/output.scm 575 */
																	if ((BgL_objz00_38 == BTRUE))
																		{	/* Ieee/output.scm 575 */
																			return
																				bgl_display_string
																				(BGl_string2594z00zz__r4_output_6_10_3z00,
																				BgL_portz00_39);
																		}
																	else
																		{	/* Ieee/output.scm 575 */
																			if ((BgL_objz00_38 == BUNSPEC))
																				{	/* Ieee/output.scm 575 */
																					return
																						bgl_display_string
																						(BGl_string2595z00zz__r4_output_6_10_3z00,
																						BgL_portz00_39);
																				}
																			else
																				{	/* Ieee/output.scm 575 */
																					if (ELONGP(BgL_objz00_38))
																						{	/* Ieee/output.scm 575 */
																							return
																								bgl_write_elong(BELONG_TO_LONG
																								(BgL_objz00_38),
																								BgL_portz00_39);
																						}
																					else
																						{	/* Ieee/output.scm 575 */
																							if (REALP(BgL_objz00_38))
																								{	/* Ieee/output.scm 575 */
																									obj_t BgL_objz00_2545;

																									BgL_objz00_2545 =
																										BgL_objz00_38;
																									{	/* Ieee/output.scm 575 */
																										obj_t BgL_arg1895z00_2547;

																										BgL_arg1895z00_2547 =
																											real_to_string
																											(REAL_TO_DOUBLE
																											(BgL_objz00_2545));
																										return
																											bgl_display_string
																											(BgL_arg1895z00_2547,
																											BgL_portz00_39);
																									}
																								}
																							else
																								{	/* Ieee/output.scm 575 */
																									if (KEYWORDP(BgL_objz00_38))
																										{	/* Ieee/output.scm 575 */
																											BGL_DISPLAY_CHAR((
																													(unsigned char) ':'),
																												BgL_portz00_39);
																											{	/* Ieee/output.scm 575 */
																												obj_t
																													BgL_arg1894z00_2554;
																												BgL_arg1894z00_2554 =
																													KEYWORD_TO_STRING
																													(BgL_objz00_38);
																												return
																													bgl_display_string
																													(BgL_arg1894z00_2554,
																													BgL_portz00_39);
																											}
																										}
																									else
																										{	/* Ieee/output.scm 575 */
																											if (BGl_classzf3zf3zz__objectz00(BgL_objz00_38))
																												{	/* Ieee/output.scm 575 */
																													bgl_display_string
																														(BGl_string2596z00zz__r4_output_6_10_3z00,
																														BgL_portz00_39);
																													{	/* Ieee/output.scm 575 */
																														obj_t
																															BgL_arg1902z00_2560;
																														BgL_arg1902z00_2560
																															=
																															BGl_classzd2namezd2zz__objectz00
																															(BgL_objz00_38);
																														{	/* Ieee/output.scm 575 */
																															obj_t
																																BgL_arg1863z00_2565;
																															BgL_arg1863z00_2565
																																=
																																SYMBOL_TO_STRING
																																(BgL_arg1902z00_2560);
																															bgl_display_string
																																(BgL_arg1863z00_2565,
																																BgL_portz00_39);
																														}
																													}
																													return
																														bgl_display_string
																														(BGl_string2597z00zz__r4_output_6_10_3z00,
																														BgL_portz00_39);
																												}
																											else
																												{	/* Ieee/output.scm 575 */
																													if (VECTORP
																														(BgL_objz00_38))
																														{	/* Ieee/output.scm 575 */
																															return
																																BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00
																																(BgL_objz00_38,
																																BgL_portz00_39,
																																BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																														}
																													else
																														{	/* Ieee/output.scm 575 */
																															if (LLONGP
																																(BgL_objz00_38))
																																{	/* Ieee/output.scm 575 */
																																	return
																																		bgl_write_llong
																																		(BLLONG_TO_LLONG
																																		(BgL_objz00_38),
																																		BgL_portz00_39);
																																}
																															else
																																{	/* Ieee/output.scm 575 */
																																	if (UCS2_STRINGP(BgL_objz00_38))
																																		{	/* Ieee/output.scm 575 */
																																			obj_t
																																				BgL_objz00_2574;
																																			BgL_objz00_2574
																																				=
																																				BgL_objz00_38;
																																			return
																																				bgl_write_utf8string
																																				(string_for_read
																																				(ucs2_string_to_utf8_string
																																					(BgL_objz00_2574)),
																																				BgL_portz00_39);
																																		}
																																	else
																																		{	/* Ieee/output.scm 575 */
																																			if (STRUCTP(BgL_objz00_38))
																																				{	/* Ieee/output.scm 575 */
																																					return
																																						BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00
																																						(BgL_objz00_38,
																																						BgL_portz00_39,
																																						BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																				}
																																			else
																																				{	/* Ieee/output.scm 575 */
																																					if (BGL_OBJECTP(BgL_objz00_38))
																																						{	/* Ieee/output.scm 575 */
																																							obj_t
																																								BgL_list1837z00_1175;
																																							BgL_list1837z00_1175
																																								=
																																								MAKE_PAIR
																																								(BgL_portz00_39,
																																								BNIL);
																																							return
																																								BGl_objectzd2writezd2zz__objectz00
																																								(
																																								(BgL_objectz00_bglt)
																																								(BgL_objz00_38),
																																								BgL_list1837z00_1175);
																																						}
																																					else
																																						{	/* Ieee/output.scm 575 */
																																							if (BGL_DATEP(BgL_objz00_38))
																																								{	/* Ieee/output.scm 575 */
																																									bgl_display_string
																																										(BGl_string2608z00zz__r4_output_6_10_3z00,
																																										BgL_portz00_39);
																																									{	/* Ieee/output.scm 575 */
																																										obj_t
																																											BgL_arg1899z00_2585;
																																										{	/* Ieee/output.scm 575 */
																																											obj_t
																																												BgL_res2548z00_2592;
																																											{	/* Ieee/output.scm 575 */
																																												obj_t
																																													BgL_datez00_2588;
																																												BgL_datez00_2588
																																													=
																																													BgL_objz00_38;
																																												BgL_res2548z00_2592
																																													=
																																													bgl_seconds_to_string
																																													(bgl_date_to_seconds
																																													(BgL_datez00_2588));
																																											}
																																											BgL_arg1899z00_2585
																																												=
																																												BgL_res2548z00_2592;
																																										}
																																										bgl_display_string
																																											(BgL_arg1899z00_2585,
																																											BgL_portz00_39);
																																									}
																																									return
																																										bgl_display_string
																																										(BGl_string2597z00zz__r4_output_6_10_3z00,
																																										BgL_portz00_39);
																																								}
																																							else
																																								{	/* Ieee/output.scm 575 */
																																									if (BGL_MUTEXP(BgL_objz00_38))
																																										{	/* Ieee/output.scm 575 */
																																											bgl_display_string
																																												(BGl_string2598z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_39);
																																											{	/* Ieee/output.scm 575 */
																																												obj_t
																																													BgL_arg1900z00_2600;
																																												BgL_arg1900z00_2600
																																													=
																																													BGL_MUTEX_NAME
																																													(BgL_objz00_38);
																																												bgl_display_obj
																																													(BgL_arg1900z00_2600,
																																													BgL_portz00_39);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2597z00zz__r4_output_6_10_3z00,
																																												BgL_portz00_39);
																																										}
																																									else
																																										{	/* Ieee/output.scm 575 */
																																											if (BGL_CONDVARP(BgL_objz00_38))
																																												{	/* Ieee/output.scm 575 */
																																													bgl_display_string
																																														(BGl_string2599z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_39);
																																													{	/* Ieee/output.scm 575 */
																																														obj_t
																																															BgL_arg1901z00_2609;
																																														BgL_arg1901z00_2609
																																															=
																																															BGL_CONDVAR_NAME
																																															(BgL_objz00_38);
																																														bgl_display_obj
																																															(BgL_arg1901z00_2609,
																																															BgL_portz00_39);
																																													}
																																													return
																																														bgl_display_string
																																														(BGl_string2597z00zz__r4_output_6_10_3z00,
																																														BgL_portz00_39);
																																												}
																																											else
																																												{	/* Ieee/output.scm 575 */
																																													if (UCS2P(BgL_objz00_38))
																																														{	/* Ieee/output.scm 575 */
																																															return
																																																bgl_write_ucs2
																																																(BgL_objz00_38,
																																																BgL_portz00_39);
																																														}
																																													else
																																														{	/* Ieee/output.scm 575 */
																																															if (CELLP(BgL_objz00_38))
																																																{	/* Ieee/output.scm 575 */
																																																	bgl_display_string
																																																		(BGl_string2600z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_39);
																																																	bgl_write_obj
																																																		(CELL_REF
																																																		(BgL_objz00_38),
																																																		BgL_portz00_39);
																																																	return
																																																		bgl_display_string
																																																		(BGl_string2597z00zz__r4_output_6_10_3z00,
																																																		BgL_portz00_39);
																																																}
																																															else
																																																{	/* Ieee/output.scm 575 */
																																																	if (EOF_OBJECTP(BgL_objz00_38))
																																																		{	/* Ieee/output.scm 575 */
																																																			return
																																																				bgl_display_string
																																																				(BGl_string2601z00zz__r4_output_6_10_3z00,
																																																				BgL_portz00_39);
																																																		}
																																																	else
																																																		{	/* Ieee/output.scm 575 */
																																																			if ((BgL_objz00_38 == BCNST(258)))
																																																				{	/* Ieee/output.scm 575 */
																																																					return
																																																						bgl_display_string
																																																						(BGl_string2602z00zz__r4_output_6_10_3z00,
																																																						BgL_portz00_39);
																																																				}
																																																			else
																																																				{	/* Ieee/output.scm 575 */
																																																					if ((BgL_objz00_38 == BCNST(259)))
																																																						{	/* Ieee/output.scm 575 */
																																																							return
																																																								bgl_display_string
																																																								(BGl_string2603z00zz__r4_output_6_10_3z00,
																																																								BgL_portz00_39);
																																																						}
																																																					else
																																																						{	/* Ieee/output.scm 575 */
																																																							if ((BgL_objz00_38 == BCNST(262)))
																																																								{	/* Ieee/output.scm 575 */
																																																									return
																																																										bgl_display_string
																																																										(BGl_string2604z00zz__r4_output_6_10_3z00,
																																																										BgL_portz00_39);
																																																								}
																																																							else
																																																								{	/* Ieee/output.scm 575 */
																																																									if (PROCEDUREP(BgL_objz00_38))
																																																										{	/* Ieee/output.scm 575 */
																																																											return
																																																												bgl_write_procedure
																																																												(BgL_objz00_38,
																																																												BgL_portz00_39);
																																																										}
																																																									else
																																																										{	/* Ieee/output.scm 575 */
																																																											if (OUTPUT_PORTP(BgL_objz00_38))
																																																												{	/* Ieee/output.scm 575 */
																																																													if (OUTPUT_STRING_PORTP(BgL_objz00_38))
																																																														{	/* Ieee/output.scm 575 */
																																																															return
																																																																bgl_display_string
																																																																(BGl_string2605z00zz__r4_output_6_10_3z00,
																																																																BgL_portz00_39);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 575 */
																																																															if (BGL_OUTPUT_PROCEDURE_PORTP(BgL_objz00_38))
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_display_string
																																																																		(BGl_string2606z00zz__r4_output_6_10_3z00,
																																																																		BgL_portz00_39);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_write_output_port
																																																																		(BgL_objz00_38,
																																																																		BgL_portz00_39);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ieee/output.scm 575 */
																																																													if (INPUT_PORTP(BgL_objz00_38))
																																																														{	/* Ieee/output.scm 575 */
																																																															return
																																																																bgl_write_input_port
																																																																(BgL_objz00_38,
																																																																BgL_portz00_39);
																																																														}
																																																													else
																																																														{	/* Ieee/output.scm 575 */
																																																															if (CNSTP(BgL_objz00_38))
																																																																{	/* Ieee/output.scm 575 */
																																																																	return
																																																																		bgl_write_cnst
																																																																		(BgL_objz00_38,
																																																																		BgL_portz00_39);
																																																																}
																																																															else
																																																																{	/* Ieee/output.scm 575 */
																																																																	if (BGL_HVECTORP(BgL_objz00_38))
																																																																		{	/* Ieee/output.scm 575 */
																																																																			return
																																																																				BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00
																																																																				(BgL_objz00_38,
																																																																				BgL_portz00_39,
																																																																				BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																																																		}
																																																																	else
																																																																		{	/* Ieee/output.scm 575 */
																																																																			if (TVECTORP(BgL_objz00_38))
																																																																				{	/* Ieee/output.scm 575 */
																																																																					return
																																																																						BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00
																																																																						(BgL_objz00_38,
																																																																						BgL_portz00_39,
																																																																						BGl_writezd22zd2envz00zz__r4_output_6_10_3z00);
																																																																				}
																																																																			else
																																																																				{	/* Ieee/output.scm 575 */
																																																																					if (BGL_WEAKPTRP(BgL_objz00_38))
																																																																						{	/* Ieee/output.scm 575 */
																																																																							obj_t
																																																																								BgL_dataz00_2647;
																																																																							BgL_dataz00_2647
																																																																								=
																																																																								weakptr_data
																																																																								(BgL_objz00_38);
																																																																							bgl_display_string
																																																																								(BGl_string2607z00zz__r4_output_6_10_3z00,
																																																																								BgL_portz00_39);
																																																																							bgl_write_obj
																																																																								(BgL_dataz00_2647,
																																																																								BgL_portz00_39);
																																																																							return
																																																																								BGL_DISPLAY_CHAR
																																																																								(
																																																																								((unsigned char) '>'), BgL_portz00_39);
																																																																						}
																																																																					else
																																																																						{	/* Ieee/output.scm 575 */
																																																																							if (FOREIGNP(BgL_objz00_38))
																																																																								{	/* Ieee/output.scm 575 */
																																																																									return
																																																																										bgl_write_foreign
																																																																										(BgL_objz00_38,
																																																																										BgL_portz00_39);
																																																																								}
																																																																							else
																																																																								{	/* Ieee/output.scm 575 */
																																																																									if (PROCESSP(BgL_objz00_38))
																																																																										{	/* Ieee/output.scm 575 */
																																																																											return
																																																																												bgl_write_process
																																																																												(BgL_objz00_38,
																																																																												BgL_portz00_39);
																																																																										}
																																																																									else
																																																																										{	/* Ieee/output.scm 575 */
																																																																											if (SOCKETP(BgL_objz00_38))
																																																																												{	/* Ieee/output.scm 575 */
																																																																													return
																																																																														bgl_write_socket
																																																																														(BgL_objz00_38,
																																																																														BgL_portz00_39);
																																																																												}
																																																																											else
																																																																												{	/* Ieee/output.scm 575 */
																																																																													if (BGL_MMAPP(BgL_objz00_38))
																																																																														{	/* Ieee/output.scm 575 */
																																																																															return
																																																																																bgl_write_mmap
																																																																																(BgL_objz00_38,
																																																																																BgL_portz00_39);
																																																																														}
																																																																													else
																																																																														{	/* Ieee/output.scm 575 */
																																																																															if (OPAQUEP(BgL_objz00_38))
																																																																																{	/* Ieee/output.scm 575 */
																																																																																	return
																																																																																		bgl_write_opaque
																																																																																		(BgL_objz00_38,
																																																																																		BgL_portz00_39);
																																																																																}
																																																																															else
																																																																																{	/* Ieee/output.scm 575 */
																																																																																	if (CUSTOMP(BgL_objz00_38))
																																																																																		{	/* Ieee/output.scm 575 */
																																																																																			return
																																																																																				bgl_write_custom
																																																																																				(BgL_objz00_38,
																																																																																				BgL_portz00_39);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ieee/output.scm 575 */
																																																																																			if (BINARY_PORTP(BgL_objz00_38))
																																																																																				{	/* Ieee/output.scm 575 */
																																																																																					return
																																																																																						bgl_write_binary_port
																																																																																						(BgL_objz00_38,
																																																																																						BgL_portz00_39);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ieee/output.scm 575 */
																																																																																					return
																																																																																						bgl_write_unknown
																																																																																						(BgL_objz00_38,
																																																																																						BgL_portz00_39);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _write-22571 */
	obj_t BGl__writezd222571zd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3232,
		obj_t BgL_objz00_3233, obj_t BgL_portz00_3234)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 574 */
			return bgl_write_obj(BgL_objz00_3233, BgL_portz00_3234);
		}
	}



/* display-symbol */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_40, obj_t BgL_portz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 580 */
			{	/* Ieee/output.scm 581 */
				obj_t BgL_arg1863z00_2656;

				BgL_arg1863z00_2656 = SYMBOL_TO_STRING(BgL_objz00_40);
				return bgl_display_string(BgL_arg1863z00_2656, BgL_portz00_41);
			}
		}
	}



/* _display-symbol */
	obj_t BGl__displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3235,
		obj_t BgL_objz00_3236, obj_t BgL_portz00_3237)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 580 */
			return
				BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_3236,
				BgL_portz00_3237);
		}
	}



/* write-symbol */
	BGL_EXPORTED_DEF obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_42, obj_t BgL_portz00_43)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 586 */
			{	/* Ieee/output.scm 587 */
				obj_t BgL_strz00_1202;

				BgL_strz00_1202 = SYMBOL_TO_STRING(BgL_objz00_42);
				{	/* Ieee/output.scm 587 */
					long BgL_lenz00_1203;

					BgL_lenz00_1203 = STRING_LENGTH(BgL_strz00_1202);
					{	/* Ieee/output.scm 588 */
						long BgL_lenzd21zd2_1204;

						BgL_lenzd21zd2_1204 = (BgL_lenz00_1203 - ((long) 1));
						{	/* Ieee/output.scm 589 */

							{

								{
									long BgL_iz00_1206;
									bool_t BgL_az00_1207;

									BgL_iz00_1206 = ((long) 0);
									BgL_az00_1207 = ((bool_t) 0);
								BgL_loopz00_1208:
									if ((BgL_iz00_1206 == BgL_lenz00_1203))
										{	/* Ieee/output.scm 596 */
											if (BgL_az00_1207)
												{	/* Ieee/output.scm 597 */
													return
														bgl_display_string(BgL_strz00_1202, BgL_portz00_43);
												}
											else
												{	/* Ieee/output.scm 597 */
												BgL_zc3anonymousza31880ze3z83_1229:
													bgl_display_string
														(BGl_string2609z00zz__r4_output_6_10_3z00,
														BgL_portz00_43);
													bgl_display_string(string_for_read(BgL_strz00_1202),
														BgL_portz00_43);
													return
														bgl_display_string
														(BGl_string2609z00zz__r4_output_6_10_3z00,
														BgL_portz00_43);
												}
										}
									else
										{	/* Ieee/output.scm 598 */
											unsigned char BgL_cz00_1210;

											BgL_cz00_1210 =
												STRING_REF(BgL_strz00_1202, BgL_iz00_1206);
											{

												switch (BgL_cz00_1210)
													{
													case ((unsigned char) ' '):
													case ((unsigned char) '\n'):
													case ((unsigned char) '\t'):
													case ((unsigned char) '\r'):
													case ((unsigned char) '`'):
													case ((unsigned char) '\''):
													case ((unsigned char) '"'):
													case ((unsigned char) '#'):
													case ((unsigned char) '\\'):
													case ((unsigned char) ';'):
													case ((unsigned char) '('):
													case ((unsigned char) ')'):
													case ((unsigned char) '['):
													case ((unsigned char) ']'):
													case ((unsigned char) '{'):
													case ((unsigned char) '}'):
													case ((unsigned char) ','):

														goto BgL_zc3anonymousza31880ze3z83_1229;
														break;
													case ((unsigned char) ':'):

														if ((BgL_iz00_1206 == ((long) 0)))
															{	/* Ieee/output.scm 605 */
																bool_t BgL_testz00_3937;

																if ((BgL_lenzd21zd2_1204 > ((long) 2)))
																	{	/* Ieee/output.scm 605 */
																		BgL_testz00_3937 =
																			(STRING_REF(BgL_strz00_1202,
																				(BgL_iz00_1206 + ((long) 1))) ==
																			((unsigned char) ':'));
																	}
																else
																	{	/* Ieee/output.scm 605 */
																		BgL_testz00_3937 = ((bool_t) 0);
																	}
																if (BgL_testz00_3937)
																	{
																		long BgL_iz00_3943;

																		BgL_iz00_3943 =
																			(BgL_iz00_1206 + ((long) 2));
																		BgL_iz00_1206 = BgL_iz00_3943;
																		goto BgL_loopz00_1208;
																	}
																else
																	{	/* Ieee/output.scm 605 */
																		goto BgL_zc3anonymousza31880ze3z83_1229;
																	}
															}
														else
															{	/* Ieee/output.scm 604 */
																if ((BgL_iz00_1206 == BgL_lenzd21zd2_1204))
																	{	/* Ieee/output.scm 609 */
																		goto BgL_zc3anonymousza31880ze3z83_1229;
																	}
																else
																	{
																		long BgL_iz00_3947;

																		BgL_iz00_3947 =
																			(BgL_iz00_1206 + ((long) 1));
																		BgL_iz00_1206 = BgL_iz00_3947;
																		goto BgL_loopz00_1208;
																	}
															}
														break;
													case ((unsigned char) '.'):

														if ((BgL_lenz00_1203 == ((long) 1)))
															{	/* Ieee/output.scm 614 */
																goto BgL_zc3anonymousza31880ze3z83_1229;
															}
														else
															{
																long BgL_iz00_3951;

																BgL_iz00_3951 = (BgL_iz00_1206 + ((long) 1));
																BgL_iz00_1206 = BgL_iz00_3951;
																goto BgL_loopz00_1208;
															}
														break;
													default:
														if ((BgL_cz00_1210 >= ((unsigned char) '')))
															{	/* Ieee/output.scm 618 */
																goto BgL_zc3anonymousza31880ze3z83_1229;
															}
														else
															{	/* Ieee/output.scm 620 */
																long BgL_arg1877z00_1225;
																bool_t BgL_arg1878z00_1226;

																BgL_arg1877z00_1225 =
																	(BgL_iz00_1206 + ((long) 1));
																if (BgL_az00_1207)
																	{	/* Ieee/output.scm 620 */
																		BgL_arg1878z00_1226 = BgL_az00_1207;
																	}
																else
																	{	/* Ieee/output.scm 620 */
																		if (isdigit(BgL_cz00_1210))
																			{	/* Ieee/output.scm 620 */
																				BgL_arg1878z00_1226 = ((bool_t) 0);
																			}
																		else
																			{	/* Ieee/output.scm 620 */
																				BgL_arg1878z00_1226 = ((bool_t) 1);
																			}
																	}
																{
																	bool_t BgL_az00_3960;
																	long BgL_iz00_3959;

																	BgL_iz00_3959 = BgL_arg1877z00_1225;
																	BgL_az00_3960 = BgL_arg1878z00_1226;
																	BgL_az00_1207 = BgL_az00_3960;
																	BgL_iz00_1206 = BgL_iz00_3959;
																	goto BgL_loopz00_1208;
																}
															}
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _write-symbol */
	obj_t BGl__writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3238,
		obj_t BgL_objz00_3239, obj_t BgL_portz00_3240)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 586 */
			return
				BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(BgL_objz00_3239,
				BgL_portz00_3240);
		}
	}



/* display-string */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_44, obj_t BgL_portz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 625 */
			return bgl_display_string(BgL_objz00_44, BgL_portz00_45);
		}
	}



/* _display-string */
	obj_t BGl__displayzd2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3241,
		obj_t BgL_objz00_3242, obj_t BgL_portz00_3243)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 625 */
			return bgl_display_string(BgL_objz00_3242, BgL_portz00_3243);
		}
	}



/* display-substring */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_46, long BgL_startz00_47, long BgL_endz00_48,
		obj_t BgL_portz00_49)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 631 */
			{	/* Ieee/output.scm 632 */
				bool_t BgL_testz00_3965;

				if ((BgL_endz00_48 >= BgL_startz00_47))
					{	/* Ieee/output.scm 632 */
						bool_t BgL_testz00_3968;

						{	/* Ieee/output.scm 632 */
							long BgL_auxz00_3969;

							BgL_auxz00_3969 = (STRING_LENGTH(BgL_objz00_46) + ((long) 1));
							BgL_testz00_3968 = BOUND_CHECK(BgL_endz00_48, BgL_auxz00_3969);
						}
						if (BgL_testz00_3968)
							{	/* Ieee/output.scm 632 */
								BgL_testz00_3965 = (BgL_startz00_47 >= ((long) 0));
							}
						else
							{	/* Ieee/output.scm 632 */
								BgL_testz00_3965 = ((bool_t) 0);
							}
					}
				else
					{	/* Ieee/output.scm 632 */
						BgL_testz00_3965 = ((bool_t) 0);
					}
				if (BgL_testz00_3965)
					{	/* Ieee/output.scm 632 */
						return
							bgl_display_substring(BgL_objz00_46, BgL_startz00_47,
							BgL_endz00_48, BgL_portz00_49);
					}
				else
					{	/* Ieee/output.scm 632 */
						obj_t BgL_arg1883z00_3271;
						obj_t BgL_arg1884z00_3272;

						BgL_arg1883z00_3271 = BGl_symbol2610z00zz__r4_output_6_10_3z00;
						{	/* Ieee/output.scm 632 */
							obj_t BgL_list1885z00_3273;

							{	/* Ieee/output.scm 632 */
								obj_t BgL_arg1886z00_3274;

								BgL_arg1886z00_3274 = MAKE_PAIR(BINT(BgL_endz00_48), BNIL);
								BgL_list1885z00_3273 =
									MAKE_PAIR(BINT(BgL_startz00_47), BgL_arg1886z00_3274);
							}
							BgL_arg1884z00_3272 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2612z00zz__r4_output_6_10_3z00,
								BgL_list1885z00_3273);
						}
						return
							BGl_errorz00zz__errorz00(BgL_arg1883z00_3271, BgL_arg1884z00_3272,
							BgL_objz00_46);
					}
			}
		}
	}



/* _display-substring */
	obj_t BGl__displayzd2substringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3244, obj_t BgL_objz00_3245, obj_t BgL_startz00_3246,
		obj_t BgL_endz00_3247, obj_t BgL_portz00_3248)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 631 */
			{	/* Ieee/output.scm 632 */
				obj_t BgL_objz00_3275;
				long BgL_startz00_3276;
				long BgL_endz00_3277;
				obj_t BgL_portz00_3278;

				BgL_objz00_3275 = BgL_objz00_3245;
				BgL_startz00_3276 = (long) CINT(BgL_startz00_3246);
				BgL_endz00_3277 = (long) CINT(BgL_endz00_3247);
				BgL_portz00_3278 = BgL_portz00_3248;
				{	/* Ieee/output.scm 632 */
					bool_t BgL_testz00_3983;

					if ((BgL_endz00_3277 >= BgL_startz00_3276))
						{	/* Ieee/output.scm 632 */
							bool_t BgL_testz00_3986;

							{	/* Ieee/output.scm 632 */
								long BgL_auxz00_3987;

								BgL_auxz00_3987 = (STRING_LENGTH(BgL_objz00_3275) + ((long) 1));
								BgL_testz00_3986 =
									BOUND_CHECK(BgL_endz00_3277, BgL_auxz00_3987);
							}
							if (BgL_testz00_3986)
								{	/* Ieee/output.scm 632 */
									BgL_testz00_3983 = (BgL_startz00_3276 >= ((long) 0));
								}
							else
								{	/* Ieee/output.scm 632 */
									BgL_testz00_3983 = ((bool_t) 0);
								}
						}
					else
						{	/* Ieee/output.scm 632 */
							BgL_testz00_3983 = ((bool_t) 0);
						}
					if (BgL_testz00_3983)
						{	/* Ieee/output.scm 632 */
							return
								bgl_display_substring(BgL_objz00_3275, BgL_startz00_3276,
								BgL_endz00_3277, BgL_portz00_3278);
						}
					else
						{	/* Ieee/output.scm 632 */
							obj_t BgL_arg1883z00_3279;
							obj_t BgL_arg1884z00_3280;

							BgL_arg1883z00_3279 = BGl_symbol2610z00zz__r4_output_6_10_3z00;
							{	/* Ieee/output.scm 632 */
								obj_t BgL_list1885z00_3281;

								{	/* Ieee/output.scm 632 */
									obj_t BgL_arg1886z00_3282;

									BgL_arg1886z00_3282 = MAKE_PAIR(BINT(BgL_endz00_3277), BNIL);
									BgL_list1885z00_3281 =
										MAKE_PAIR(BINT(BgL_startz00_3276), BgL_arg1886z00_3282);
								}
								BgL_arg1884z00_3280 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2612z00zz__r4_output_6_10_3z00,
									BgL_list1885z00_3281);
							}
							return
								BGl_errorz00zz__errorz00(BgL_arg1883z00_3279,
								BgL_arg1884z00_3280, BgL_objz00_3275);
						}
				}
			}
		}
	}



/* write-string */
	BGL_EXPORTED_DEF obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_50, obj_t BgL_portz00_51)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 643 */
			if (BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00())
				{	/* Ieee/output.scm 644 */
					obj_t BgL_strz00_2720;

					BgL_strz00_2720 = string_for_read(BgL_objz00_50);
					{	/* Ieee/output.scm 644 */
						obj_t BgL_escz00_2721;

						{	/* Ieee/output.scm 644 */
							int BgL_auxz00_4002;

							BgL_auxz00_4002 = (int) (((long) 1));
							BgL_escz00_2721 = BGL_MVALUES_VAL(BgL_auxz00_4002);
						}
						return
							bgl_write_string(BgL_strz00_2720,
							CBOOL(BgL_escz00_2721), BgL_portz00_51);
					}
				}
			else
				{	/* Ieee/output.scm 644 */
					return
						bgl_write_string(string_for_read(BgL_objz00_50), ((bool_t) 0),
						BgL_portz00_51);
				}
		}
	}



/* _write-string */
	obj_t BGl__writezd2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3249,
		obj_t BgL_objz00_3250, obj_t BgL_portz00_3251)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 643 */
			return
				BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_objz00_3250,
				BgL_portz00_3251);
		}
	}



/* display-fixnum */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2fixnumzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_54, obj_t BgL_portz00_55)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 664 */
			return bgl_display_fixnum(BgL_objz00_54, BgL_portz00_55);
		}
	}



/* _display-fixnum2572 */
	obj_t BGl__displayzd2fixnum2572zd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3252, obj_t BgL_objz00_3253, obj_t BgL_portz00_3254)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 664 */
			return bgl_display_fixnum(BgL_objz00_3253, BgL_portz00_3254);
		}
	}



/* display-flonum */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_56, obj_t BgL_portz00_57)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 670 */
			{	/* Ieee/output.scm 671 */
				obj_t BgL_arg1895z00_3285;

				BgL_arg1895z00_3285 = real_to_string(REAL_TO_DOUBLE(BgL_objz00_56));
				return bgl_display_string(BgL_arg1895z00_3285, BgL_portz00_57);
			}
		}
	}



/* _display-flonum */
	obj_t BGl__displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3255,
		obj_t BgL_objz00_3256, obj_t BgL_portz00_3257)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 670 */
			{	/* Ieee/output.scm 671 */
				obj_t BgL_objz00_3286;
				obj_t BgL_portz00_3287;

				BgL_objz00_3286 = BgL_objz00_3256;
				BgL_portz00_3287 = BgL_portz00_3257;
				{	/* Ieee/output.scm 671 */
					obj_t BgL_arg1895z00_3288;

					BgL_arg1895z00_3288 = real_to_string(REAL_TO_DOUBLE(BgL_objz00_3286));
					return bgl_display_string(BgL_arg1895z00_3288, BgL_portz00_3287);
				}
			}
		}
	}



/* display-ucs2string */
	BGL_EXPORTED_DEF obj_t
		BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_58,
		obj_t BgL_portz00_59)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 676 */
			return bgl_display_ucs2string(BgL_objz00_58, BgL_portz00_59);
		}
	}



/* _display-ucs2string */
	obj_t BGl__displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_envz00_3258, obj_t BgL_objz00_3259, obj_t BgL_portz00_3260)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 676 */
			return bgl_display_ucs2string(BgL_objz00_3259, BgL_portz00_3260);
		}
	}



/* write-ucs2string */
	BGL_EXPORTED_DEF obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_60, obj_t BgL_portz00_61)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 682 */
			return
				bgl_write_utf8string(string_for_read(ucs2_string_to_utf8_string
					(BgL_objz00_60)), BgL_portz00_61);
		}
	}



/* _write-ucs2string */
	obj_t BGl__writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t BgL_envz00_3261,
		obj_t BgL_objz00_3262, obj_t BgL_portz00_3263)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 682 */
			return
				BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(BgL_objz00_3262,
				BgL_portz00_3263);
		}
	}



/* write/display-structure */
	obj_t BGl_writezf2displayzd2structurez20zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_75, obj_t BgL_portz00_76, obj_t BgL_dispz00_77)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 735 */
			BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_76);
			BGL_DISPLAY_CHAR(((unsigned char) '{'), BgL_portz00_76);
			{	/* Ieee/output.scm 738 */
				obj_t BgL_arg1904z00_1256;

				BgL_arg1904z00_1256 = STRUCT_KEY(BgL_objz00_75);
				PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77, BgL_arg1904z00_1256,
					BgL_portz00_76, BEOA);
			}
			{	/* Ieee/output.scm 739 */
				bool_t BgL_testz00_4029;

				{	/* Ieee/output.scm 739 */
					long BgL_auxz00_4030;

					{	/* Ieee/output.scm 739 */
						obj_t BgL_sz00_2788;

						BgL_sz00_2788 = BgL_objz00_75;
						BgL_auxz00_4030 = (long) (STRUCT_LENGTH(BgL_sz00_2788));
					}
					BgL_testz00_4029 = (((long) 0) == BgL_auxz00_4030);
				}
				if (BgL_testz00_4029)
					{	/* Ieee/output.scm 739 */
						return BGL_DISPLAY_CHAR(((unsigned char) '}'), BgL_portz00_76);
					}
				else
					{	/* Ieee/output.scm 741 */
						long BgL_lenz00_1258;

						{	/* Ieee/output.scm 741 */
							long BgL_auxz00_4035;

							{	/* Ieee/output.scm 741 */
								obj_t BgL_sz00_2791;

								BgL_sz00_2791 = BgL_objz00_75;
								BgL_auxz00_4035 = (long) (STRUCT_LENGTH(BgL_sz00_2791));
							}
							BgL_lenz00_1258 = (BgL_auxz00_4035 - ((long) 1));
						}
						BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_76);
						{
							long BgL_iz00_1259;

							BgL_iz00_1259 = ((long) 0);
						BgL_loopz00_1260:
							if ((BgL_iz00_1259 == BgL_lenz00_1258))
								{	/* Ieee/output.scm 745 */
									{	/* Ieee/output.scm 746 */
										obj_t BgL_arg1908z00_1262;

										BgL_arg1908z00_1262 =
											STRUCT_REF(BgL_objz00_75, (int) (BgL_iz00_1259));
										PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77,
											BgL_arg1908z00_1262, BgL_portz00_76, BEOA);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) '}'), BgL_portz00_76);
								}
							else
								{	/* Ieee/output.scm 745 */
									{	/* Ieee/output.scm 749 */
										obj_t BgL_arg1909z00_1263;

										BgL_arg1909z00_1263 =
											STRUCT_REF(BgL_objz00_75, (int) (BgL_iz00_1259));
										PROCEDURE_ENTRY(BgL_dispz00_77) (BgL_dispz00_77,
											BgL_arg1909z00_1263, BgL_portz00_76, BEOA);
									}
									BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_76);
									{
										long BgL_iz00_4052;

										BgL_iz00_4052 = (((long) 1) + BgL_iz00_1259);
										BgL_iz00_1259 = BgL_iz00_4052;
										goto BgL_loopz00_1260;
									}
								}
						}
					}
			}
		}
	}



/* write/display-vector */
	obj_t BGl_writezf2displayzd2vectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_objz00_78, obj_t BgL_portz00_79, obj_t BgL_dispz00_80)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 756 */
			BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_79);
			{	/* Ieee/output.scm 758 */
				int BgL_tagz00_1269;

				BgL_tagz00_1269 = VECTOR_TAG(BgL_objz00_78);
				if (((long) (BgL_tagz00_1269) > ((long) 0)))
					{	/* Ieee/output.scm 759 */
						if (((long) (BgL_tagz00_1269) >= ((long) 100)))
							{	/* Ieee/output.scm 761 */
								PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
									BINT(BgL_tagz00_1269), BgL_portz00_79, BEOA);
							}
						else
							{	/* Ieee/output.scm 761 */
								BGL_DISPLAY_CHAR(((unsigned char) '0'), BgL_portz00_79);
								if (((long) (BgL_tagz00_1269) >= ((long) 10)))
									{	/* Ieee/output.scm 765 */
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BINT(BgL_tagz00_1269), BgL_portz00_79, BEOA);
									}
								else
									{	/* Ieee/output.scm 765 */
										BGL_DISPLAY_CHAR(((unsigned char) '0'), BgL_portz00_79);
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BINT(BgL_tagz00_1269), BgL_portz00_79, BEOA);
					}}}
				else
					{	/* Ieee/output.scm 759 */
						BFALSE;
					}
			}
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_79);
			{	/* Ieee/output.scm 771 */
				bool_t BgL_testz00_4077;

				{	/* Ieee/output.scm 771 */
					int BgL_arg1930z00_1284;

					BgL_arg1930z00_1284 = VECTOR_LENGTH(BgL_objz00_78);
					BgL_testz00_4077 = (((long) 0) == (long) (BgL_arg1930z00_1284));
				}
				if (BgL_testz00_4077)
					{	/* Ieee/output.scm 771 */
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_79);
					}
				else
					{	/* Ieee/output.scm 773 */
						long BgL_lenz00_1274;

						{	/* Ieee/output.scm 773 */
							int BgL_arg1927z00_1281;

							BgL_arg1927z00_1281 = VECTOR_LENGTH(BgL_objz00_78);
							BgL_lenz00_1274 = ((long) (BgL_arg1927z00_1281) - ((long) 1));
						}
						{
							long BgL_iz00_1275;

							BgL_iz00_1275 = ((long) 0);
						BgL_loopz00_1276:
							if ((BgL_iz00_1275 == BgL_lenz00_1274))
								{	/* Ieee/output.scm 776 */
									{	/* Ieee/output.scm 777 */
										obj_t BgL_arg1924z00_1278;

										BgL_arg1924z00_1278 =
											VECTOR_REF(BgL_objz00_78, (int) (BgL_iz00_1275));
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BgL_arg1924z00_1278, BgL_portz00_79, BEOA);
									}
									return
										BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_79);
								}
							else
								{	/* Ieee/output.scm 776 */
									{	/* Ieee/output.scm 780 */
										obj_t BgL_arg1925z00_1279;

										BgL_arg1925z00_1279 =
											VECTOR_REF(BgL_objz00_78, (int) (BgL_iz00_1275));
										PROCEDURE_ENTRY(BgL_dispz00_80) (BgL_dispz00_80,
											BgL_arg1925z00_1279, BgL_portz00_79, BEOA);
									}
									BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_79);
									{
										long BgL_iz00_4097;

										BgL_iz00_4097 = (((long) 1) + BgL_iz00_1275);
										BgL_iz00_1275 = BgL_iz00_4097;
										goto BgL_loopz00_1276;
									}
								}
						}
					}
			}
		}
	}



/* write/display-tvector */
	obj_t BGl_writezf2displayzd2tvectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_tvecz00_81, obj_t BgL_portz00_82, obj_t BgL_dispz00_83)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 787 */
			{	/* Ieee/output.scm 788 */
				obj_t BgL_tvectorzd2refzd2_1285;
				obj_t BgL_idz00_1286;

				BgL_tvectorzd2refzd2_1285 =
					BGl_tvectorzd2refzd2zz__tvectorz00(BgL_tvecz00_81);
				BgL_idz00_1286 = BGl_tvectorzd2idzd2zz__tvectorz00(BgL_tvecz00_81);
				BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_82);
				PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83, BgL_idz00_1286,
					BgL_portz00_82, BEOA);
				BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_82);
				if (CBOOL(BgL_tvectorzd2refzd2_1285))
					{	/* Ieee/output.scm 798 */
						bool_t BgL_testz00_4107;

						{	/* Ieee/output.scm 798 */
							long BgL_auxz00_4108;

							{	/* Ieee/output.scm 798 */
								obj_t BgL_objz00_2823;

								BgL_objz00_2823 = BgL_tvecz00_81;
								BgL_auxz00_4108 = (long) (TVECTOR_LENGTH(BgL_objz00_2823));
							}
							BgL_testz00_4107 = (((long) 0) == BgL_auxz00_4108);
						}
						if (BgL_testz00_4107)
							{	/* Ieee/output.scm 798 */
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_82);
							}
						else
							{	/* Ieee/output.scm 800 */
								long BgL_lenz00_1288;

								{	/* Ieee/output.scm 800 */
									long BgL_auxz00_4113;

									{	/* Ieee/output.scm 800 */
										obj_t BgL_objz00_2826;

										BgL_objz00_2826 = BgL_tvecz00_81;
										BgL_auxz00_4113 = (long) (TVECTOR_LENGTH(BgL_objz00_2826));
									}
									BgL_lenz00_1288 = (BgL_auxz00_4113 - ((long) 1));
								}
								{
									long BgL_iz00_1289;

									BgL_iz00_1289 = ((long) 0);
								BgL_loopz00_1290:
									if ((BgL_iz00_1289 == BgL_lenz00_1288))
										{	/* Ieee/output.scm 803 */
											{	/* Ieee/output.scm 804 */
												obj_t BgL_arg1936z00_1292;

												BgL_arg1936z00_1292 =
													PROCEDURE_ENTRY(BgL_tvectorzd2refzd2_1285)
													(BgL_tvectorzd2refzd2_1285, BgL_tvecz00_81,
													BINT(BgL_iz00_1289), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83,
													BgL_arg1936z00_1292, BgL_portz00_82, BEOA);
											}
											return
												BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_82);
										}
									else
										{	/* Ieee/output.scm 803 */
											{	/* Ieee/output.scm 807 */
												obj_t BgL_arg1937z00_1293;

												BgL_arg1937z00_1293 =
													PROCEDURE_ENTRY(BgL_tvectorzd2refzd2_1285)
													(BgL_tvectorzd2refzd2_1285, BgL_tvecz00_81,
													BINT(BgL_iz00_1289), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_83) (BgL_dispz00_83,
													BgL_arg1937z00_1293, BgL_portz00_82, BEOA);
											}
											BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_82);
											{
												long BgL_iz00_4131;

												BgL_iz00_4131 = (((long) 1) + BgL_iz00_1289);
												BgL_iz00_1289 = BgL_iz00_4131;
												goto BgL_loopz00_1290;
											}
										}
								}
							}
					}
				else
					{	/* Ieee/output.scm 793 */
						bgl_display_string(BGl_string2613z00zz__r4_output_6_10_3z00,
							BgL_portz00_82);
						return BgL_tvecz00_81;
					}
			}
		}
	}



/* write/display-hvector */
	obj_t BGl_writezf2displayzd2hvectorz20zz__r4_output_6_10_3z00(obj_t
		BgL_svecz00_84, obj_t BgL_portz00_85, obj_t BgL_dispz00_86)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 814 */
			{	/* Ieee/output.scm 815 */
				obj_t BgL_idz00_1299;

				BgL_idz00_1299 =
					BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_svecz00_84);
				{	/* Ieee/output.scm 831 */
					obj_t BgL__z00_1300;
					obj_t BgL_vrefz00_1301;
					obj_t BgL__z00_1302;

					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4135;

						BgL_auxz00_4135 = (int) (((long) 1));
						BgL__z00_1300 = BGL_MVALUES_VAL(BgL_auxz00_4135);
					}
					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4138;

						BgL_auxz00_4138 = (int) (((long) 2));
						BgL_vrefz00_1301 = BGL_MVALUES_VAL(BgL_auxz00_4138);
					}
					{	/* Ieee/output.scm 831 */
						int BgL_auxz00_4141;

						BgL_auxz00_4141 = (int) (((long) 3));
						BgL__z00_1302 = BGL_MVALUES_VAL(BgL_auxz00_4141);
					}
					BGL_DISPLAY_CHAR(((unsigned char) '#'), BgL_portz00_85);
					{	/* Ieee/output.scm 818 */
						obj_t BgL_objz00_2838;

						BgL_objz00_2838 = BgL_idz00_1299;
						{	/* Ieee/output.scm 818 */
							obj_t BgL_arg1863z00_2840;

							BgL_arg1863z00_2840 = SYMBOL_TO_STRING(BgL_objz00_2838);
							bgl_display_string(BgL_arg1863z00_2840, BgL_portz00_85);
					}}
					BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_85);
					{	/* Ieee/output.scm 820 */
						bool_t BgL_testz00_4148;

						{	/* Ieee/output.scm 820 */
							long BgL_arg1953z00_1314;

							BgL_arg1953z00_1314 = BGL_HVECTOR_LENGTH(BgL_svecz00_84);
							BgL_testz00_4148 = (((long) 0) == BgL_arg1953z00_1314);
						}
						if (BgL_testz00_4148)
							{	/* Ieee/output.scm 820 */
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_85);
							}
						else
							{	/* Ieee/output.scm 822 */
								long BgL_lenz00_1304;

								{	/* Ieee/output.scm 822 */
									long BgL_arg1950z00_1311;

									BgL_arg1950z00_1311 = BGL_HVECTOR_LENGTH(BgL_svecz00_84);
									BgL_lenz00_1304 = (BgL_arg1950z00_1311 - ((long) 1));
								}
								{
									long BgL_iz00_1305;

									BgL_iz00_1305 = ((long) 0);
								BgL_loopz00_1306:
									if ((BgL_iz00_1305 == BgL_lenz00_1304))
										{	/* Ieee/output.scm 825 */
											{	/* Ieee/output.scm 826 */
												obj_t BgL_arg1946z00_1308;

												BgL_arg1946z00_1308 =
													PROCEDURE_ENTRY(BgL_vrefz00_1301) (BgL_vrefz00_1301,
													BgL_svecz00_84, BINT(BgL_iz00_1305), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_86) (BgL_dispz00_86,
													BgL_arg1946z00_1308, BgL_portz00_85, BEOA);
											}
											return
												BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_85);
										}
									else
										{	/* Ieee/output.scm 825 */
											{	/* Ieee/output.scm 829 */
												obj_t BgL_arg1947z00_1309;

												BgL_arg1947z00_1309 =
													PROCEDURE_ENTRY(BgL_vrefz00_1301) (BgL_vrefz00_1301,
													BgL_svecz00_84, BINT(BgL_iz00_1305), BEOA);
												PROCEDURE_ENTRY(BgL_dispz00_86) (BgL_dispz00_86,
													BgL_arg1947z00_1309, BgL_portz00_85, BEOA);
											}
											BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_85);
											{
												long BgL_iz00_4168;

												BgL_iz00_4168 = (((long) 1) + BgL_iz00_1305);
												BgL_iz00_1305 = BgL_iz00_4168;
												goto BgL_loopz00_1306;
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* display-pair */
	obj_t BGl_displayzd2pairzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_90,
		obj_t BgL_portz00_91)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 868 */
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_91);
			{
				obj_t BgL_lz00_1316;

				BgL_lz00_1316 = BgL_objz00_90;
			BgL_loopz00_1317:
				if (NULLP(CDR(BgL_lz00_1316)))
					{	/* Ieee/output.scm 869 */
						bgl_display_obj(CAR(BgL_lz00_1316), BgL_portz00_91);
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_91);
					}
				else
					{	/* Ieee/output.scm 869 */
						bool_t BgL_testz00_4177;

						{	/* Ieee/output.scm 869 */
							obj_t BgL_auxz00_4178;

							BgL_auxz00_4178 = CDR(BgL_lz00_1316);
							BgL_testz00_4177 = PAIRP(BgL_auxz00_4178);
						}
						if (BgL_testz00_4177)
							{	/* Ieee/output.scm 869 */
								bgl_display_obj(CAR(BgL_lz00_1316), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								{
									obj_t BgL_lz00_4184;

									BgL_lz00_4184 = CDR(BgL_lz00_1316);
									BgL_lz00_1316 = BgL_lz00_4184;
									goto BgL_loopz00_1317;
								}
							}
						else
							{	/* Ieee/output.scm 869 */
								bgl_display_obj(CAR(BgL_lz00_1316), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) '.'), BgL_portz00_91);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_91);
								bgl_display_obj(CDR(BgL_lz00_1316), BgL_portz00_91);
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_91);
		}}}}
	}



/* write-pair */
	obj_t BGl_writezd2pairzd2zz__r4_output_6_10_3z00(obj_t BgL_objz00_92,
		obj_t BgL_portz00_93)
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 874 */
			BGL_DISPLAY_CHAR(((unsigned char) '('), BgL_portz00_93);
			{
				obj_t BgL_lz00_1327;

				BgL_lz00_1327 = BgL_objz00_92;
			BgL_loopz00_1328:
				if (NULLP(CDR(BgL_lz00_1327)))
					{	/* Ieee/output.scm 875 */
						bgl_write_obj(CAR(BgL_lz00_1327), BgL_portz00_93);
						return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_93);
					}
				else
					{	/* Ieee/output.scm 875 */
						bool_t BgL_testz00_4201;

						{	/* Ieee/output.scm 875 */
							obj_t BgL_auxz00_4202;

							BgL_auxz00_4202 = CDR(BgL_lz00_1327);
							BgL_testz00_4201 = PAIRP(BgL_auxz00_4202);
						}
						if (BgL_testz00_4201)
							{	/* Ieee/output.scm 875 */
								bgl_write_obj(CAR(BgL_lz00_1327), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								{
									obj_t BgL_lz00_4208;

									BgL_lz00_4208 = CDR(BgL_lz00_1327);
									BgL_lz00_1327 = BgL_lz00_4208;
									goto BgL_loopz00_1328;
								}
							}
						else
							{	/* Ieee/output.scm 875 */
								bgl_write_obj(CAR(BgL_lz00_1327), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) '.'), BgL_portz00_93);
								BGL_DISPLAY_CHAR(((unsigned char) ' '), BgL_portz00_93);
								bgl_write_obj(CDR(BgL_lz00_1327), BgL_portz00_93);
								return BGL_DISPLAY_CHAR(((unsigned char) ')'), BgL_portz00_93);
		}}}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_output_6_10_3z00()
	{
		AN_OBJECT;
		{	/* Ieee/output.scm 24 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2614z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2614z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 141084720),
				BSTRING_TO_STRING(BGl_string2614z00zz__r4_output_6_10_3z00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 22534887),
				BSTRING_TO_STRING(BGl_string2614z00zz__r4_output_6_10_3z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2614z00zz__r4_output_6_10_3z00));
		}
	}

#ifdef __cplusplus
}
#endif
