/*===========================================================================*/
/*   (Llib/foreign.scm)                                                      */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/foreign.scm -indent -o objs/obj_u/Llib/foreign.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__foreignz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_foreignzd2nullzf3z21zz__foreignz00(obj_t);
	BGL_EXPORTED_DECL char *BGl_makezd2stringzd2ptrzd2nullzd2zz__foreignz00();
	BGL_EXPORTED_DECL bool_t BGl_stringzd2ptrzd2nullzf3zf3zz__foreignz00(char *);
	extern long obj_to_cobj(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_foreignzf3zf3zz__foreignz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_voidza2zd2nullzf3z83zz__foreignz00(void *);
	static obj_t BGl__makezd2voidza2zd2nullza2zz__foreignz00(obj_t);
	static obj_t BGl__foreignzf3zf3zz__foreignz00(obj_t, obj_t);
	static obj_t BGl__makezd2stringzd2ptrzd2nullzd2zz__foreignz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__foreignz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_foreignzd2eqzf3z21zz__foreignz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__foreignz00();
	static obj_t BGl__voidza2zd2nullzf31354z83zz__foreignz00(obj_t, obj_t);
	static obj_t BGl__foreignzd2nullzf3z21zz__foreignz00(obj_t, obj_t);
	extern obj_t void_star_to_obj(void *);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL void *BGl_makezd2voidza2zd2nullza2zz__foreignz00();
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__foreignzd2eqzf3z21zz__foreignz00(obj_t, obj_t, obj_t);
	static obj_t BGl__stringzd2ptrzd2nullzf31353zf3zz__foreignz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_objzd2ze3cobjz31zz__foreignz00(obj_t);
	static obj_t BGl__objzd2ze3cobjz31zz__foreignz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_foreignzd2nullzf3zd2envzf3zz__foreignz00,
		BgL_bgl__foreignza7d2nullza71358z00,
		BGl__foreignzd2nullzf3z21zz__foreignz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1355z00zz__foreignz00,
		BgL_bgl_string1355za700za7za7_1359za7, "foreign-null?", 13);
	      DEFINE_STRING(BGl_string1356z00zz__foreignz00,
		BgL_bgl_string1356za700za7za7_1360za7, "not a foreign object", 20);
	      DEFINE_STRING(BGl_string1357z00zz__foreignz00,
		BgL_bgl_string1357za700za7za7_1361za7, "__foreign", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ptrzd2nullzf3zd2envz21zz__foreignz00,
		BgL_bgl__stringza7d2ptrza7d21362z00,
		BGl__stringzd2ptrzd2nullzf31353zf3zz__foreignz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_foreignzf3zd2envz21zz__foreignz00,
		BgL_bgl__foreignza7f3za7f3za7za71363z00, BGl__foreignzf3zf3zz__foreignz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_foreignzd2eqzf3zd2envzf3zz__foreignz00,
		BgL_bgl__foreignza7d2eqza7f31364z00, BGl__foreignzd2eqzf3z21zz__foreignz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2voidza2zd2nullzd2envz70zz__foreignz00,
		BgL_bgl__makeza7d2voidza7a2za71365za7,
		BGl__makezd2voidza2zd2nullza2zz__foreignz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_voidza2zd2nullzf3zd2envz51zz__foreignz00,
		BgL_bgl__voidza7a2za7d2nullza71366za7,
		BGl__voidza2zd2nullzf31354z83zz__foreignz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2stringzd2ptrzd2nullzd2envz00zz__foreignz00,
		BgL_bgl__makeza7d2stringza7d1367z00,
		BGl__makezd2stringzd2ptrzd2nullzd2zz__foreignz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_objzd2ze3cobjzd2envze3zz__foreignz00,
		BgL_bgl__objza7d2za7e3cobjza731368za7, BGl__objzd2ze3cobjz31zz__foreignz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__foreignz00(long
		BgL_checksumz00_684, char *BgL_fromz00_685)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__foreignz00))
				{
					BGl_requirezd2initializa7ationz75zz__foreignz00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__foreignz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* foreign? */
	BGL_EXPORTED_DEF bool_t BGl_foreignzf3zf3zz__foreignz00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 86 */
			return FOREIGNP(BgL_objz00_1);
		}
	}



/* _foreign? */
	obj_t BGl__foreignzf3zf3zz__foreignz00(obj_t BgL_envz00_662,
		obj_t BgL_objz00_663)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 86 */
			return BBOOL(FOREIGNP(BgL_objz00_663));
		}
	}



/* foreign-eq? */
	BGL_EXPORTED_DEF bool_t BGl_foreignzd2eqzf3z21zz__foreignz00(obj_t
		BgL_o1z00_2, obj_t BgL_o2z00_3)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 92 */
			return FOREIGN_EQP(BgL_o1z00_2, BgL_o2z00_3);
		}
	}



/* _foreign-eq? */
	obj_t BGl__foreignzd2eqzf3z21zz__foreignz00(obj_t BgL_envz00_664,
		obj_t BgL_o1z00_665, obj_t BgL_o2z00_666)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 92 */
			return BBOOL(FOREIGN_EQP(BgL_o1z00_665, BgL_o2z00_666));
		}
	}



/* foreign-null? */
	BGL_EXPORTED_DEF bool_t BGl_foreignzd2nullzf3z21zz__foreignz00(obj_t
		BgL_objz00_4)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 98 */
			if (FOREIGNP(BgL_objz00_4))
				{	/* Llib/foreign.scm 99 */
					return FOREIGN_NULLP(BgL_objz00_4);
				}
			else
				{	/* Llib/foreign.scm 99 */
					return
						CBOOL(BGl_errorz00zz__errorz00(BGl_string1355z00zz__foreignz00,
							BGl_string1356z00zz__foreignz00, BgL_objz00_4));
				}
		}
	}



/* _foreign-null? */
	obj_t BGl__foreignzd2nullzf3z21zz__foreignz00(obj_t BgL_envz00_667,
		obj_t BgL_objz00_668)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 98 */
			{	/* Llib/foreign.scm 99 */
				bool_t BgL_auxz00_701;

				if (FOREIGNP(BgL_objz00_668))
					{	/* Llib/foreign.scm 99 */
						BgL_auxz00_701 = FOREIGN_NULLP(BgL_objz00_668);
					}
				else
					{	/* Llib/foreign.scm 99 */
						BgL_auxz00_701 =
							CBOOL(BGl_errorz00zz__errorz00(BGl_string1355z00zz__foreignz00,
								BGl_string1356z00zz__foreignz00, BgL_objz00_668));
					}
				return BBOOL(BgL_auxz00_701);
			}
		}
	}



/* string-ptr-null? */
	BGL_EXPORTED_DEF bool_t BGl_stringzd2ptrzd2nullzf3zf3zz__foreignz00(char
		*BgL_objz00_5)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 106 */
			return STRING_PTR_NULL(BgL_objz00_5);
		}
	}



/* _string-ptr-null?1353 */
	obj_t BGl__stringzd2ptrzd2nullzf31353zf3zz__foreignz00(obj_t BgL_envz00_669,
		obj_t BgL_objz00_670)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 106 */
			{	/* Llib/foreign.scm 107 */
				bool_t BgL_auxz00_709;

				{	/* Llib/foreign.scm 107 */
					char *BgL_auxz00_710;

					BgL_auxz00_710 = BSTRING_TO_STRING(BgL_objz00_670);
					BgL_auxz00_709 = STRING_PTR_NULL(BgL_auxz00_710);
				}
				return BBOOL(BgL_auxz00_709);
			}
		}
	}



/* obj->cobj */
	BGL_EXPORTED_DEF long BGl_objzd2ze3cobjz31zz__foreignz00(obj_t BgL_objz00_6)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 112 */
			return obj_to_cobj(BgL_objz00_6);
		}
	}



/* _obj->cobj */
	obj_t BGl__objzd2ze3cobjz31zz__foreignz00(obj_t BgL_envz00_671,
		obj_t BgL_objz00_672)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 112 */
			return (obj_t) (obj_to_cobj(BgL_objz00_672));
		}
	}



/* void*-null? */
	BGL_EXPORTED_DEF bool_t BGl_voidza2zd2nullzf3z83zz__foreignz00(void
		*BgL_objz00_7)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 118 */
			return FOREIGN_PTR_NULL(BgL_objz00_7);
		}
	}



/* _void*-null?1354 */
	obj_t BGl__voidza2zd2nullzf31354z83zz__foreignz00(obj_t BgL_envz00_673,
		obj_t BgL_objz00_674)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 118 */
			{	/* Llib/foreign.scm 119 */
				bool_t BgL_auxz00_718;

				{	/* Llib/foreign.scm 119 */
					void *BgL_auxz00_719;

					BgL_auxz00_719 = FOREIGN_TO_COBJ(BgL_objz00_674);
					BgL_auxz00_718 = FOREIGN_PTR_NULL(BgL_auxz00_719);
				}
				return BBOOL(BgL_auxz00_718);
			}
		}
	}



/* make-string-ptr-null */
	BGL_EXPORTED_DEF char *BGl_makezd2stringzd2ptrzd2nullzd2zz__foreignz00()
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 124 */
			return (0L);
		}
	}



/* _make-string-ptr-null */
	obj_t BGl__makezd2stringzd2ptrzd2nullzd2zz__foreignz00(obj_t BgL_envz00_675)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 124 */
			return string_to_bstring((0L));
		}
	}



/* make-void*-null */
	BGL_EXPORTED_DEF void *BGl_makezd2voidza2zd2nullza2zz__foreignz00()
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 130 */
			return (0L);
		}
	}



/* _make-void*-null */
	obj_t BGl__makezd2voidza2zd2nullza2zz__foreignz00(obj_t BgL_envz00_676)
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 130 */
			return void_star_to_obj((0L));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__foreignz00()
	{
		AN_OBJECT;
		{	/* Llib/foreign.scm 18 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1357z00zz__foreignz00));
		}
	}

#ifdef __cplusplus
}
#endif
