/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Ieee/equiv.scm -indent -o objs/obj_s/Ieee/equiv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Object type definitions */
typedef struct BgL_z62conditionz62_bgl {
   header_t header;
   obj_t widening;
} *BgL_z62conditionz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62typezd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   obj_t BgL_typez00;
} *BgL_z62typezd2errorzb0_bglt;

typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62iozd2portzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2portzd2errorz62_bglt;

typedef struct BgL_z62iozd2readzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2readzd2errorz62_bglt;

typedef struct BgL_z62iozd2writezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2writezd2errorz62_bglt;

typedef struct BgL_z62iozd2closedzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2closedzd2errorz62_bglt;

typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2sigpipezd2errorz62_bglt;

typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2timeoutzd2errorz62_bglt;

typedef struct BgL_z62processzd2exceptionzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62processzd2exceptionzb0_bglt;

typedef struct BgL_z62warningz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62warningz62_bglt;

typedef struct BgL_z62evalzd2warningzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62evalzd2warningzb0_bglt;


extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_symbol2375z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2377z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2379z00zz__r4_equivalence_6_2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_symbol2384z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2386z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2388z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2390z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2401z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2403z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2393z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2405z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2395z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2397z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2409z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2399z00zz__r4_equivalence_6_2z00 = BUNSPEC;
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_list2383z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_list2392z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00();
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00();
extern obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
extern long bgl_date_to_seconds(obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();
extern obj_t weakptr_data(obj_t);
extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt, BgL_objectz00_bglt);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2376z00zz__r4_equivalence_6_2z00, BgL_bgl_string2376za700za7za7_2414za7, "f32", 3 );
DEFINE_STRING( BGl_string2378z00zz__r4_equivalence_6_2z00, BgL_bgl_string2378za700za7za7_2415za7, "f64", 3 );
DEFINE_STRING( BGl_string2380z00zz__r4_equivalence_6_2z00, BgL_bgl_string2380za700za7za7_2416za7, "test", 4 );
DEFINE_STRING( BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_bgl_string2381za700za7za7_2417za7, "procedure", 9 );
DEFINE_STRING( BGl_string2382z00zz__r4_equivalence_6_2z00, BgL_bgl_string2382za700za7za7_2418za7, "test:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string2385z00zz__r4_equivalence_6_2z00, BgL_bgl_string2385za700za7za7_2419za7, "funcall", 7 );
DEFINE_STRING( BGl_string2387z00zz__r4_equivalence_6_2z00, BgL_bgl_string2387za700za7za7_2420za7, "get", 3 );
DEFINE_STRING( BGl_string2400z00zz__r4_equivalence_6_2z00, BgL_bgl_string2400za700za7za7_2421za7, "s16", 3 );
DEFINE_STRING( BGl_string2389z00zz__r4_equivalence_6_2z00, BgL_bgl_string2389za700za7za7_2422za7, "obj1", 4 );
DEFINE_STRING( BGl_string2391z00zz__r4_equivalence_6_2z00, BgL_bgl_string2391za700za7za7_2423za7, "i", 1 );
DEFINE_STRING( BGl_string2402z00zz__r4_equivalence_6_2z00, BgL_bgl_string2402za700za7za7_2424za7, "u16", 3 );
DEFINE_STRING( BGl_string2404z00zz__r4_equivalence_6_2z00, BgL_bgl_string2404za700za7za7_2425za7, "s32", 3 );
DEFINE_STRING( BGl_string2394z00zz__r4_equivalence_6_2z00, BgL_bgl_string2394za700za7za7_2426za7, "obj2", 4 );
DEFINE_STRING( BGl_string2406z00zz__r4_equivalence_6_2z00, BgL_bgl_string2406za700za7za7_2427za7, "u32", 3 );
DEFINE_STRING( BGl_string2396z00zz__r4_equivalence_6_2z00, BgL_bgl_string2396za700za7za7_2428za7, "s8", 2 );
DEFINE_STRING( BGl_string2407z00zz__r4_equivalence_6_2z00, BgL_bgl_string2407za700za7za7_2429za7, "long", 4 );
DEFINE_STRING( BGl_string2408z00zz__r4_equivalence_6_2z00, BgL_bgl_string2408za700za7za7_2430za7, "llong", 5 );
DEFINE_STRING( BGl_string2398z00zz__r4_equivalence_6_2z00, BgL_bgl_string2398za700za7za7_2431za7, "u8", 2 );
DEFINE_STRING( BGl_string2410z00zz__r4_equivalence_6_2z00, BgL_bgl_string2410za700za7za7_2432za7, "equal?", 6 );
DEFINE_STRING( BGl_string2411z00zz__r4_equivalence_6_2z00, BgL_bgl_string2411za700za7za7_2433za7, "object", 6 );
DEFINE_STRING( BGl_string2412z00zz__r4_equivalence_6_2z00, BgL_bgl_string2412za700za7za7_2434za7, "custom", 6 );
DEFINE_STRING( BGl_string2413z00zz__r4_equivalence_6_2z00, BgL_bgl_string2413za700za7za7_2435za7, "__r4_equivalence_6_2", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__equalza7f3za7f3za7za7__2436z00, BGl__equalzf3zf3zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqvza7f3za7f3za7za7__r42437z00, BGl__eqvzf3zf3zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqza7f3za7f3za7za7__r4_2438z00, BGl__eqzf3zf3zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long BgL_checksumz00_2008, char * BgL_fromz00_2009)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* Ieee/equiv.scm 14 */
BGl_symbol2375z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2376z00zz__r4_equivalence_6_2z00); 
BGl_symbol2377z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2378z00zz__r4_equivalence_6_2z00); 
BGl_symbol2379z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2380z00zz__r4_equivalence_6_2z00); 
BGl_symbol2384z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2385z00zz__r4_equivalence_6_2z00); 
BGl_symbol2386z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2387z00zz__r4_equivalence_6_2z00); 
BGl_symbol2388z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2389z00zz__r4_equivalence_6_2z00); 
BGl_symbol2390z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2391z00zz__r4_equivalence_6_2z00); 
BGl_list2383z00zz__r4_equivalence_6_2z00 = 
MAKE_PAIR(BGl_symbol2384z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2386z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2386z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2388z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2390z00zz__r4_equivalence_6_2z00, BNIL))))); 
BGl_symbol2393z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2394z00zz__r4_equivalence_6_2z00); 
BGl_list2392z00zz__r4_equivalence_6_2z00 = 
MAKE_PAIR(BGl_symbol2384z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2386z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2386z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2393z00zz__r4_equivalence_6_2z00, 
MAKE_PAIR(BGl_symbol2390z00zz__r4_equivalence_6_2z00, BNIL))))); 
BGl_symbol2395z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2396z00zz__r4_equivalence_6_2z00); 
BGl_symbol2397z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2398z00zz__r4_equivalence_6_2z00); 
BGl_symbol2399z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2400z00zz__r4_equivalence_6_2z00); 
BGl_symbol2401z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2402z00zz__r4_equivalence_6_2z00); 
BGl_symbol2403z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2404z00zz__r4_equivalence_6_2z00); 
BGl_symbol2405z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2406z00zz__r4_equivalence_6_2z00); 
return ( 
BGl_symbol2409z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string2410z00zz__r4_equivalence_6_2z00), BUNSPEC) ;} 
}



/* eq? */
BGL_EXPORTED_DEF bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_1, obj_t BgL_obj2z00_2)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 64 */
return 
(BgL_obj1z00_1==BgL_obj2z00_2);} 
}



/* _eq? */
obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1869, obj_t BgL_obj1z00_1870, obj_t BgL_obj2z00_1871)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 64 */
return 
BBOOL(
(BgL_obj1z00_1870==BgL_obj2z00_1871));} 
}



/* eqv? */
BGL_EXPORTED_DEF bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_3, obj_t BgL_obj2z00_4)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 70 */
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_3==BgL_obj2z00_4))
{ /* Ieee/equiv.scm 72 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 74 */
bool_t BgL_testz00_2045;
if(
INTEGERP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 74 */
BgL_testz00_2045 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 74 */
if(
ELONGP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 74 */
BgL_testz00_2045 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 74 */
BgL_testz00_2045 = 
LLONGP(BgL_obj1z00_3)
; } } 
if(BgL_testz00_2045)
{ /* Ieee/equiv.scm 75 */
bool_t BgL_testz00_2051;
if(
INTEGERP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 75 */
BgL_testz00_2051 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 75 */
if(
ELONGP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 75 */
BgL_testz00_2051 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 75 */
BgL_testz00_2051 = 
LLONGP(BgL_obj2z00_4)
; } } 
if(BgL_testz00_2051)
{ /* Ieee/equiv.scm 75 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 75 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 74 */
if(
REALP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 76 */
if(
REALP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 77 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 77 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 76 */
if(
SYMBOLP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 78 */
if(
SYMBOLP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 80 */
obj_t BgL_arg1652z00_735;obj_t BgL_arg1653z00_736;
BgL_arg1652z00_735 = 
SYMBOL_TO_STRING(BgL_obj1z00_3); 
BgL_arg1653z00_736 = 
SYMBOL_TO_STRING(BgL_obj2z00_4); 
return 
bigloo_strcmp(BgL_arg1652z00_735, BgL_arg1653z00_736);}  else 
{ /* Ieee/equiv.scm 79 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 78 */
if(
FOREIGNP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 81 */
if(
FOREIGNP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 82 */
return 
FOREIGN_EQP(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 82 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 81 */
if(
BGL_WEAKPTRP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 83 */
if(
BGL_WEAKPTRP(BgL_obj2z00_4))
{ 
obj_t BgL_obj2z00_2081;obj_t BgL_obj1z00_2079;
BgL_obj1z00_2079 = 
weakptr_data(BgL_obj1z00_3); 
BgL_obj2z00_2081 = 
weakptr_data(BgL_obj2z00_4); 
BgL_obj2z00_4 = BgL_obj2z00_2081; 
BgL_obj1z00_3 = BgL_obj1z00_2079; 
goto BGl_eqvzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 84 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 83 */
return ((bool_t)0);} } } } } } } 
}



/* _eqv? */
obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1872, obj_t BgL_obj1z00_1873, obj_t BgL_obj2z00_1874)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 70 */
return 
BBOOL(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1873, BgL_obj2z00_1874));} 
}



/* equal? */
BGL_EXPORTED_DEF bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_5, obj_t BgL_obj2z00_6)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 91 */
BGl_equalzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_5==BgL_obj2z00_6))
{ /* Ieee/equiv.scm 93 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 93 */
if(
STRINGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 95 */
if(
STRINGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 96 */
return 
bigloo_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 96 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 95 */
if(
SYMBOLP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 97 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 97 */
if(
PAIRP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 99 */
if(
PAIRP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 100 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CAR(BgL_obj1z00_5), 
CAR(BgL_obj2z00_6)))
{ 
obj_t BgL_obj2z00_2104;obj_t BgL_obj1z00_2102;
BgL_obj1z00_2102 = 
CDR(BgL_obj1z00_5); 
BgL_obj2z00_2104 = 
CDR(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_2104; 
BgL_obj1z00_5 = BgL_obj1z00_2102; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 101 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 100 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 99 */
if(
VECTORP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 104 */
int BgL_lobj1z00_755;
BgL_lobj1z00_755 = 
VECTOR_LENGTH(BgL_obj1z00_5); 
if(
VECTORP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 106 */
bool_t BgL_testz00_2111;
{ /* Ieee/equiv.scm 106 */
int BgL_arg1672z00_768;
BgL_arg1672z00_768 = 
VECTOR_LENGTH(BgL_obj2z00_6); 
BgL_testz00_2111 = 
(
(long)(BgL_arg1672z00_768)==
(long)(BgL_lobj1z00_755)); } 
if(BgL_testz00_2111)
{ /* Ieee/equiv.scm 107 */
bool_t BgL_testz00_2116;
{ /* Ieee/equiv.scm 107 */
int BgL_arg1670z00_766;int BgL_arg1671z00_767;
BgL_arg1670z00_766 = 
VECTOR_TAG(BgL_obj1z00_5); 
BgL_arg1671z00_767 = 
VECTOR_TAG(BgL_obj2z00_6); 
BgL_testz00_2116 = 
(
(long)(BgL_arg1670z00_766)==
(long)(BgL_arg1671z00_767)); } 
if(BgL_testz00_2116)
{ 
long BgL_iz00_759;
BgL_iz00_759 = ((long)0); 
BgL_testz00_760:
{ /* Ieee/equiv.scm 109 */
bool_t BgL__ortest_1582z00_761;
BgL__ortest_1582z00_761 = 
(BgL_iz00_759==
(long)(BgL_lobj1z00_755)); 
if(BgL__ortest_1582z00_761)
{ /* Ieee/equiv.scm 109 */
return BgL__ortest_1582z00_761;}  else 
{ /* Ieee/equiv.scm 109 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
VECTOR_REF(BgL_obj1z00_5,
(int)(BgL_iz00_759)), 
VECTOR_REF(BgL_obj2z00_6,
(int)(BgL_iz00_759))))
{ 
long BgL_iz00_2131;
BgL_iz00_2131 = 
(BgL_iz00_759+((long)1)); 
BgL_iz00_759 = BgL_iz00_2131; 
goto BgL_testz00_760;}  else 
{ /* Ieee/equiv.scm 110 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 107 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 106 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 105 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 103 */
if(
INTEGERP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 113 */
if(
INTEGERP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 114 */
return 
(
(long)CINT(BgL_obj1z00_5)==
(long)CINT(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 114 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 113 */
if(
BGL_HVECTORP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 116 */
long BgL_lobj1z00_772;
BgL_lobj1z00_772 = 
BGL_HVECTOR_LENGTH(BgL_obj1z00_5); 
if(
BGL_HVECTORP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 118 */
bool_t BgL_testz00_2145;
{ /* Ieee/equiv.scm 118 */
long BgL_arg1687z00_814;
BgL_arg1687z00_814 = 
BGL_HVECTOR_LENGTH(BgL_obj2z00_6); 
BgL_testz00_2145 = 
(BgL_arg1687z00_814==BgL_lobj1z00_772); } 
if(BgL_testz00_2145)
{ /* Ieee/equiv.scm 119 */
obj_t BgL_tag1z00_775;
BgL_tag1z00_775 = 
BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_obj1z00_5); 
{ /* Ieee/equiv.scm 121 */
obj_t BgL__z00_776;obj_t BgL_getz00_777;obj_t BgL__z00_778;
{ /* Ieee/equiv.scm 121 */
int BgL_auxz00_2149;
BgL_auxz00_2149 = 
(int)(((long)1)); 
BgL__z00_776 = 
BGL_MVALUES_VAL(BgL_auxz00_2149); } 
{ /* Ieee/equiv.scm 121 */
int BgL_auxz00_2152;
BgL_auxz00_2152 = 
(int)(((long)2)); 
BgL_getz00_777 = 
BGL_MVALUES_VAL(BgL_auxz00_2152); } 
{ /* Ieee/equiv.scm 121 */
int BgL_auxz00_2155;
BgL_auxz00_2155 = 
(int)(((long)3)); 
BgL__z00_778 = 
BGL_MVALUES_VAL(BgL_auxz00_2155); } 
{ /* Ieee/equiv.scm 121 */
obj_t BgL_tag2z00_779;
BgL_tag2z00_779 = 
BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_obj2z00_6); 
{ /* Ieee/equiv.scm 123 */
obj_t BgL__z00_780;obj_t BgL__z00_781;obj_t BgL__z00_782;
{ /* Ieee/equiv.scm 123 */
int BgL_auxz00_2159;
BgL_auxz00_2159 = 
(int)(((long)1)); 
BgL__z00_780 = 
BGL_MVALUES_VAL(BgL_auxz00_2159); } 
{ /* Ieee/equiv.scm 123 */
int BgL_auxz00_2162;
BgL_auxz00_2162 = 
(int)(((long)2)); 
BgL__z00_781 = 
BGL_MVALUES_VAL(BgL_auxz00_2162); } 
{ /* Ieee/equiv.scm 123 */
int BgL_auxz00_2165;
BgL_auxz00_2165 = 
(int)(((long)3)); 
BgL__z00_782 = 
BGL_MVALUES_VAL(BgL_auxz00_2165); } 
if(
(BgL_tag1z00_775==BgL_tag2z00_779))
{ /* Ieee/equiv.scm 124 */
bool_t BgL_testz00_2170;
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1587z00_813;
BgL__ortest_1587z00_813 = 
(BgL_tag1z00_775==BGl_symbol2375z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1587z00_813)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2170 = BgL__ortest_1587z00_813
; }  else 
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2170 = 
(BgL_tag1z00_775==BGl_symbol2377z00zz__r4_equivalence_6_2z00)
; } } 
if(BgL_testz00_2170)
{ 
long BgL_iz00_786;
BgL_iz00_786 = ((long)0); 
BgL_testz00_787:
{ /* Ieee/equiv.scm 127 */
bool_t BgL__ortest_1588z00_788;
BgL__ortest_1588z00_788 = 
(BgL_iz00_786==BgL_lobj1z00_772); 
if(BgL__ortest_1588z00_788)
{ /* Ieee/equiv.scm 127 */
return BgL__ortest_1588z00_788;}  else 
{ /* Ieee/equiv.scm 128 */
bool_t BgL_testz00_2176;
{ /* Ieee/equiv.scm 128 */
obj_t BgL_arg1678z00_791;obj_t BgL_arg1679z00_792;
{ /* Ieee/equiv.scm 128 */
obj_t BgL_funz00_1920;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 128 */
BgL_funz00_1920 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 128 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1920, ((long)2)))
{ /* Ieee/equiv.scm 128 */
BgL_arg1678z00_791 = 
PROCEDURE_ENTRY(BgL_funz00_1920)(BgL_getz00_777, BgL_obj1z00_5, 
BINT(BgL_iz00_786), BEOA); }  else 
{ /* Ieee/equiv.scm 128 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2383z00zz__r4_equivalence_6_2z00,BgL_funz00_1920);} } 
{ /* Ieee/equiv.scm 128 */
obj_t BgL_funz00_1925;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 128 */
BgL_funz00_1925 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 128 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1925, ((long)2)))
{ /* Ieee/equiv.scm 128 */
BgL_arg1679z00_792 = 
PROCEDURE_ENTRY(BgL_funz00_1925)(BgL_getz00_777, BgL_obj2z00_6, 
BINT(BgL_iz00_786), BEOA); }  else 
{ /* Ieee/equiv.scm 128 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2392z00zz__r4_equivalence_6_2z00,BgL_funz00_1925);} } 
BgL_testz00_2176 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_arg1678z00_791, BgL_arg1679z00_792); } 
if(BgL_testz00_2176)
{ 
long BgL_iz00_2198;
BgL_iz00_2198 = 
(BgL_iz00_786+((long)1)); 
BgL_iz00_786 = BgL_iz00_2198; 
goto BgL_testz00_787;}  else 
{ /* Ieee/equiv.scm 128 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 124 */
bool_t BgL_testz00_2200;
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1590z00_808;
BgL__ortest_1590z00_808 = 
(BgL_tag1z00_775==BGl_symbol2395z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1590z00_808)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = BgL__ortest_1590z00_808
; }  else 
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1591z00_809;
BgL__ortest_1591z00_809 = 
(BgL_tag1z00_775==BGl_symbol2397z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1591z00_809)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = BgL__ortest_1591z00_809
; }  else 
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1592z00_810;
BgL__ortest_1592z00_810 = 
(BgL_tag1z00_775==BGl_symbol2399z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1592z00_810)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = BgL__ortest_1592z00_810
; }  else 
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1593z00_811;
BgL__ortest_1593z00_811 = 
(BgL_tag1z00_775==BGl_symbol2401z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1593z00_811)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = BgL__ortest_1593z00_811
; }  else 
{ /* Ieee/equiv.scm 124 */
bool_t BgL__ortest_1594z00_812;
BgL__ortest_1594z00_812 = 
(BgL_tag1z00_775==BGl_symbol2403z00zz__r4_equivalence_6_2z00); 
if(BgL__ortest_1594z00_812)
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = BgL__ortest_1594z00_812
; }  else 
{ /* Ieee/equiv.scm 124 */
BgL_testz00_2200 = 
(BgL_tag1z00_775==BGl_symbol2405z00zz__r4_equivalence_6_2z00)
; } } } } } } 
if(BgL_testz00_2200)
{ 
long BgL_iz00_794;
BgL_iz00_794 = ((long)0); 
BgL_testz00_795:
{ /* Ieee/equiv.scm 132 */
bool_t BgL__ortest_1595z00_796;
BgL__ortest_1595z00_796 = 
(BgL_iz00_794==BgL_lobj1z00_772); 
if(BgL__ortest_1595z00_796)
{ /* Ieee/equiv.scm 132 */
return BgL__ortest_1595z00_796;}  else 
{ /* Ieee/equiv.scm 133 */
bool_t BgL_testz00_2214;
{ /* Ieee/equiv.scm 133 */
obj_t BgL_arg1682z00_799;obj_t BgL_arg1683z00_800;
{ /* Ieee/equiv.scm 133 */
obj_t BgL_funz00_1930;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 133 */
BgL_funz00_1930 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 133 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1930, ((long)2)))
{ /* Ieee/equiv.scm 133 */
BgL_arg1682z00_799 = 
PROCEDURE_ENTRY(BgL_funz00_1930)(BgL_getz00_777, BgL_obj1z00_5, 
BINT(BgL_iz00_794), BEOA); }  else 
{ /* Ieee/equiv.scm 133 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2383z00zz__r4_equivalence_6_2z00,BgL_funz00_1930);} } 
{ /* Ieee/equiv.scm 133 */
obj_t BgL_funz00_1935;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 133 */
BgL_funz00_1935 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 133 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1935, ((long)2)))
{ /* Ieee/equiv.scm 133 */
BgL_arg1683z00_800 = 
PROCEDURE_ENTRY(BgL_funz00_1935)(BgL_getz00_777, BgL_obj2z00_6, 
BINT(BgL_iz00_794), BEOA); }  else 
{ /* Ieee/equiv.scm 133 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2392z00zz__r4_equivalence_6_2z00,BgL_funz00_1935);} } 
{ /* Ieee/equiv.scm 133 */
long BgL_n1z00_1612;long BgL_n2z00_1613;
{ /* Ieee/equiv.scm 133 */
obj_t BgL_auxz00_2235;
if(
INTEGERP(BgL_arg1682z00_799))
{ /* Ieee/equiv.scm 133 */
BgL_auxz00_2235 = BgL_arg1682z00_799
; }  else 
{ /* Ieee/equiv.scm 133 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2407z00zz__r4_equivalence_6_2z00, BgL_arg1682z00_799); 
exit( -1 );} 
BgL_n1z00_1612 = 
(long)CINT(BgL_auxz00_2235); } 
{ /* Ieee/equiv.scm 133 */
obj_t BgL_auxz00_2241;
if(
INTEGERP(BgL_arg1683z00_800))
{ /* Ieee/equiv.scm 133 */
BgL_auxz00_2241 = BgL_arg1683z00_800
; }  else 
{ /* Ieee/equiv.scm 133 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2407z00zz__r4_equivalence_6_2z00, BgL_arg1683z00_800); 
exit( -1 );} 
BgL_n2z00_1613 = 
(long)CINT(BgL_auxz00_2241); } 
BgL_testz00_2214 = 
(BgL_n1z00_1612==BgL_n2z00_1613); } } 
if(BgL_testz00_2214)
{ 
long BgL_iz00_2248;
BgL_iz00_2248 = 
(BgL_iz00_794+((long)1)); 
BgL_iz00_794 = BgL_iz00_2248; 
goto BgL_testz00_795;}  else 
{ /* Ieee/equiv.scm 133 */
return ((bool_t)0);} } } }  else 
{ 
long BgL_iz00_801;
BgL_iz00_801 = ((long)0); 
BgL_testz00_802:
{ /* Ieee/equiv.scm 137 */
bool_t BgL__ortest_1597z00_803;
BgL__ortest_1597z00_803 = 
(BgL_iz00_801==BgL_lobj1z00_772); 
if(BgL__ortest_1597z00_803)
{ /* Ieee/equiv.scm 137 */
return BgL__ortest_1597z00_803;}  else 
{ /* Ieee/equiv.scm 138 */
bool_t BgL_testz00_2252;
{ /* Ieee/equiv.scm 138 */
obj_t BgL_arg1685z00_806;obj_t BgL_arg1686z00_807;
{ /* Ieee/equiv.scm 138 */
obj_t BgL_funz00_1944;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 138 */
BgL_funz00_1944 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1944, ((long)2)))
{ /* Ieee/equiv.scm 138 */
BgL_arg1685z00_806 = 
PROCEDURE_ENTRY(BgL_funz00_1944)(BgL_getz00_777, BgL_obj1z00_5, 
BINT(BgL_iz00_801), BEOA); }  else 
{ /* Ieee/equiv.scm 138 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2383z00zz__r4_equivalence_6_2z00,BgL_funz00_1944);} } 
{ /* Ieee/equiv.scm 138 */
obj_t BgL_funz00_1949;
if(
PROCEDUREP(BgL_getz00_777))
{ /* Ieee/equiv.scm 138 */
BgL_funz00_1949 = BgL_getz00_777; }  else 
{ /* Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2381z00zz__r4_equivalence_6_2z00, BgL_getz00_777); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1949, ((long)2)))
{ /* Ieee/equiv.scm 138 */
BgL_arg1686z00_807 = 
PROCEDURE_ENTRY(BgL_funz00_1949)(BgL_getz00_777, BgL_obj2z00_6, 
BINT(BgL_iz00_801), BEOA); }  else 
{ /* Ieee/equiv.scm 138 */
FAILURE(BGl_string2382z00zz__r4_equivalence_6_2z00,BGl_list2392z00zz__r4_equivalence_6_2z00,BgL_funz00_1949);} } 
{ /* Ieee/equiv.scm 138 */
BGL_LONGLONG_T BgL_n1z00_1618;BGL_LONGLONG_T BgL_n2z00_1619;
{ /* Ieee/equiv.scm 138 */
obj_t BgL_auxz00_2273;
if(
LLONGP(BgL_arg1685z00_806))
{ /* Ieee/equiv.scm 138 */
BgL_auxz00_2273 = BgL_arg1685z00_806
; }  else 
{ /* Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2408z00zz__r4_equivalence_6_2z00, BgL_arg1685z00_806); 
exit( -1 );} 
BgL_n1z00_1618 = 
BLLONG_TO_LLONG(BgL_auxz00_2273); } 
{ /* Ieee/equiv.scm 138 */
obj_t BgL_auxz00_2279;
if(
LLONGP(BgL_arg1686z00_807))
{ /* Ieee/equiv.scm 138 */
BgL_auxz00_2279 = BgL_arg1686z00_807
; }  else 
{ /* Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2379z00zz__r4_equivalence_6_2z00, BGl_string2408z00zz__r4_equivalence_6_2z00, BgL_arg1686z00_807); 
exit( -1 );} 
BgL_n2z00_1619 = 
BLLONG_TO_LLONG(BgL_auxz00_2279); } 
BgL_testz00_2252 = 
(BgL_n1z00_1618==BgL_n2z00_1619); } } 
if(BgL_testz00_2252)
{ 
long BgL_iz00_2286;
BgL_iz00_2286 = 
(BgL_iz00_801+((long)1)); 
BgL_iz00_801 = BgL_iz00_2286; 
goto BgL_testz00_802;}  else 
{ /* Ieee/equiv.scm 138 */
return ((bool_t)0);} } } } } }  else 
{ /* Ieee/equiv.scm 123 */
return ((bool_t)0);} } } } }  else 
{ /* Ieee/equiv.scm 118 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 117 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 115 */
if(
REALP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 140 */
if(
REALP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 141 */
return 
(
REAL_TO_DOUBLE(BgL_obj1z00_5)==
REAL_TO_DOUBLE(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 141 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 140 */
if(
STRUCTP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 143 */
int BgL_lobj1z00_818;
BgL_lobj1z00_818 = 
STRUCT_LENGTH(BgL_obj1z00_5); 
if(
STRUCTP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 145 */
bool_t BgL_testz00_2300;
{ /* Ieee/equiv.scm 145 */
long BgL_auxz00_2301;
{ /* Ieee/equiv.scm 145 */
obj_t BgL_sz00_1626;
BgL_sz00_1626 = BgL_obj2z00_6; 
BgL_auxz00_2301 = 
(long)(
STRUCT_LENGTH(BgL_sz00_1626)); } 
BgL_testz00_2300 = 
(BgL_auxz00_2301==
(long)(BgL_lobj1z00_818)); } 
if(BgL_testz00_2300)
{ 
long BgL_iz00_821;
BgL_iz00_821 = ((long)0); 
BgL_testz00_822:
{ /* Ieee/equiv.scm 147 */
bool_t BgL__ortest_1602z00_823;
BgL__ortest_1602z00_823 = 
(BgL_iz00_821==
(long)(BgL_lobj1z00_818)); 
if(BgL__ortest_1602z00_823)
{ /* Ieee/equiv.scm 147 */
return BgL__ortest_1602z00_823;}  else 
{ /* Ieee/equiv.scm 147 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
STRUCT_REF(BgL_obj1z00_5, 
(int)(BgL_iz00_821)), 
STRUCT_REF(BgL_obj2z00_6, 
(int)(BgL_iz00_821))))
{ 
long BgL_iz00_2315;
BgL_iz00_2315 = 
(BgL_iz00_821+((long)1)); 
BgL_iz00_821 = BgL_iz00_2315; 
goto BgL_testz00_822;}  else 
{ /* Ieee/equiv.scm 148 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 145 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 144 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 142 */
if(
CELLP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 150 */
if(
CELLP(BgL_obj2z00_6))
{ 
obj_t BgL_obj2z00_2323;obj_t BgL_obj1z00_2321;
BgL_obj1z00_2321 = 
CELL_REF(BgL_obj1z00_5); 
BgL_obj2z00_2323 = 
CELL_REF(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_2323; 
BgL_obj1z00_5 = BgL_obj1z00_2321; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 151 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 150 */
if(
BGL_OBJECTP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 152 */
if(
BGL_OBJECTP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 153 */
BgL_objectz00_bglt BgL_auxz00_2335;BgL_objectz00_bglt BgL_auxz00_2329;
if(
BGL_OBJECTP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 153 */
BgL_auxz00_2335 = 
(BgL_objectz00_bglt)(BgL_obj2z00_6)
; }  else 
{ /* Ieee/equiv.scm 153 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2409z00zz__r4_equivalence_6_2z00, BGl_string2411z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6); 
exit( -1 );} 
if(
BGL_OBJECTP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 153 */
BgL_auxz00_2329 = 
(BgL_objectz00_bglt)(BgL_obj1z00_5)
; }  else 
{ /* Ieee/equiv.scm 153 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2409z00zz__r4_equivalence_6_2z00, BGl_string2411z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5); 
exit( -1 );} 
return 
BGl_objectzd2equalzf3z21zz__objectz00(BgL_auxz00_2329, BgL_auxz00_2335);}  else 
{ /* Ieee/equiv.scm 153 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 152 */
if(
UCS2_STRINGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 154 */
if(
UCS2_STRINGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 155 */
return 
ucs2_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 155 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 154 */
if(
CUSTOMP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 156 */
if(
CUSTOMP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 157 */
obj_t BgL_obj1z00_1645;obj_t BgL_obj2z00_1646;
if(
CUSTOMP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 157 */
BgL_obj1z00_1645 = BgL_obj1z00_5; }  else 
{ /* Ieee/equiv.scm 157 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2409z00zz__r4_equivalence_6_2z00, BGl_string2412z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5); 
exit( -1 );} 
if(
CUSTOMP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 157 */
BgL_obj2z00_1646 = BgL_obj2z00_6; }  else 
{ /* Ieee/equiv.scm 157 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2409z00zz__r4_equivalence_6_2z00, BGl_string2412z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6); 
exit( -1 );} 
return 
CUSTOM_CMP(BgL_obj1z00_1645, BgL_obj2z00_1646);}  else 
{ /* Ieee/equiv.scm 157 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 156 */
if(
UCS2P(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 158 */
if(
UCS2P(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 159 */
return 
(
CUCS2(BgL_obj1z00_5)==
CUCS2(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 159 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 158 */
if(
ELONGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 160 */
if(
ELONGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 161 */
long BgL_n1z00_1653;long BgL_n2z00_1654;
BgL_n1z00_1653 = 
BELONG_TO_LONG(BgL_obj1z00_5); 
BgL_n2z00_1654 = 
BELONG_TO_LONG(BgL_obj2z00_6); 
return 
(BgL_n1z00_1653==BgL_n2z00_1654);}  else 
{ /* Ieee/equiv.scm 161 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 160 */
if(
LLONGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 162 */
if(
LLONGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 163 */
return 
(
BLLONG_TO_LLONG(BgL_obj1z00_5)==
BLLONG_TO_LLONG(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 163 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 162 */
if(
BGL_DATEP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 164 */
if(
BGL_DATEP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 165 */
return 
(
bgl_date_to_seconds(BgL_obj1z00_5)==
bgl_date_to_seconds(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 165 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 166 */
bool_t BgL_testz00_2388;
if(
INTEGERP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 166 */
BgL_testz00_2388 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 166 */
if(
REALP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 166 */
BgL_testz00_2388 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 166 */
if(
ELONGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 166 */
BgL_testz00_2388 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 166 */
BgL_testz00_2388 = 
LLONGP(BgL_obj1z00_5)
; } } } 
if(BgL_testz00_2388)
{ /* Ieee/equiv.scm 167 */
bool_t BgL_testz00_2396;
if(
INTEGERP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 167 */
BgL_testz00_2396 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 167 */
if(
REALP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 167 */
BgL_testz00_2396 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 167 */
if(
ELONGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 167 */
BgL_testz00_2396 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 167 */
BgL_testz00_2396 = 
LLONGP(BgL_obj2z00_6)
; } } } 
if(BgL_testz00_2396)
{ /* Ieee/equiv.scm 167 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 167 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 166 */
if(
FOREIGNP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 168 */
if(
FOREIGNP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 169 */
return 
FOREIGN_EQP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 169 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 168 */
if(
BGL_WEAKPTRP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 170 */
if(
BGL_WEAKPTRP(BgL_obj2z00_6))
{ 
obj_t BgL_obj2z00_2416;obj_t BgL_obj1z00_2414;
BgL_obj1z00_2414 = 
weakptr_data(BgL_obj1z00_5); 
BgL_obj2z00_2416 = 
weakptr_data(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_2416; 
BgL_obj1z00_5 = BgL_obj1z00_2414; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 171 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 170 */
return ((bool_t)0);} } } } } } } } } } } } } } } } } } } } } 
}



/* _equal? */
obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1875, obj_t BgL_obj1z00_1876, obj_t BgL_obj2z00_1877)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 91 */
return 
BBOOL(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1876, BgL_obj2z00_1877));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* Ieee/equiv.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* Ieee/equiv.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)42697480), 
BSTRING_TO_STRING(BGl_string2413z00zz__r4_equivalence_6_2z00));} 
}

#ifdef __cplusplus
}
#endif
