/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_input_fill_string(obj_t, obj_t);
static obj_t BGl__appendzd2outputzd2binar1451z00zz__binaryz00(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern int bgl_output_string(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl__inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__closezd2binaryzd2port1453z00zz__binaryz00(obj_t, obj_t);
static obj_t BGl__inputzd2string1460zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__inputzd2obj1455zd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
extern obj_t bgl_input_string(obj_t, int);
BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl__openzd2inputzd2binaryzd2f1452zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t input_obj(obj_t);
extern obj_t append_output_binary_file(obj_t);
extern obj_t bgl_flush_binary_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
static obj_t BGl__outputzd2char1457zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__outputzd2string1459zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__openzd2outputzd2binaryzd21450zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__flushzd2binaryzd2port1454z00zz__binaryz00(obj_t, obj_t);
static obj_t BGl__inputzd2char1458zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_input_binary_file(obj_t);
static obj_t BGl_symbol1500z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1503z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1493z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1505z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1496z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1507z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1498z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1509z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1512z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1514z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1516z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1519z00zz__binaryz00 = BUNSPEC;
static obj_t BGl__outputzd2obj1456zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl__inputza7d2fillza7d21522z00, BGl__inputzd2fillzd2stringz12z12zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f1523z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d1524z00, BGl__openzd2outputzd2binaryzd21450zd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2char1451525za7, BGl__inputzd2char1458zd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza71526z00, BGl__closezd2binaryzd2port1453z00zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2obj1451527za7, BGl__outputzd2obj1456zd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl__outputza7d2string1528za7, BGl__outputzd2string1459zd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2char141529za7, BGl__outputzd2char1457zd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl__inputza7d2string11530za7, BGl__inputzd2string1460zd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1501z00zz__binaryz00, BgL_bgl_string1501za700za7za7_1531za7, "_close-binary-port1453", 22 );
DEFINE_STRING( BGl_string1502z00zz__binaryz00, BgL_bgl_string1502za700za7za7_1532za7, "binary-port", 11 );
DEFINE_STRING( BGl_string1504z00zz__binaryz00, BgL_bgl_string1504za700za7za7_1533za7, "_flush-binary-port1454", 22 );
DEFINE_STRING( BGl_string1494z00zz__binaryz00, BgL_bgl_string1494za700za7za7_1534za7, "_open-output-binary-1450", 24 );
DEFINE_STRING( BGl_string1495z00zz__binaryz00, BgL_bgl_string1495za700za7za7_1535za7, "bstring", 7 );
DEFINE_STRING( BGl_string1506z00zz__binaryz00, BgL_bgl_string1506za700za7za7_1536za7, "_input-obj1455", 14 );
DEFINE_STRING( BGl_string1497z00zz__binaryz00, BgL_bgl_string1497za700za7za7_1537za7, "_append-output-binar1451", 24 );
DEFINE_STRING( BGl_string1508z00zz__binaryz00, BgL_bgl_string1508za700za7za7_1538za7, "_output-obj1456", 15 );
DEFINE_STRING( BGl_string1510z00zz__binaryz00, BgL_bgl_string1510za700za7za7_1539za7, "_output-char1457", 16 );
DEFINE_STRING( BGl_string1499z00zz__binaryz00, BgL_bgl_string1499za700za7za7_1540za7, "_open-input-binary-f1452", 24 );
DEFINE_STRING( BGl_string1511z00zz__binaryz00, BgL_bgl_string1511za700za7za7_1541za7, "char", 4 );
DEFINE_STRING( BGl_string1513z00zz__binaryz00, BgL_bgl_string1513za700za7za7_1542za7, "_input-char1458", 15 );
DEFINE_STRING( BGl_string1515z00zz__binaryz00, BgL_bgl_string1515za700za7za7_1543za7, "_output-string1459", 18 );
DEFINE_STRING( BGl_string1517z00zz__binaryz00, BgL_bgl_string1517za700za7za7_1544za7, "_input-string1460", 17 );
DEFINE_STRING( BGl_string1518z00zz__binaryz00, BgL_bgl_string1518za700za7za7_1545za7, "int", 3 );
DEFINE_STRING( BGl_string1520z00zz__binaryz00, BgL_bgl_string1520za700za7za7_1546za7, "_input-fill-string!", 19 );
DEFINE_STRING( BGl_string1521z00zz__binaryz00, BgL_bgl_string1521za700za7za7_1547za7, "__binary", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d21548z00, BGl__openzd2inputzd2binaryzd2f1452zd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__flushza7d2binaryza71549z00, BGl__flushzd2binaryzd2port1454z00zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2obj14551550za7, BGl__inputzd2obj1455zd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2output1551za7, BGl__appendzd2outputzd2binar1451z00zz__binaryz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_1008, char * BgL_fromz00_1009)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_symbol1493z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1494z00zz__binaryz00); 
BGl_symbol1496z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1497z00zz__binaryz00); 
BGl_symbol1498z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1499z00zz__binaryz00); 
BGl_symbol1500z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1501z00zz__binaryz00); 
BGl_symbol1503z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1504z00zz__binaryz00); 
BGl_symbol1505z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1506z00zz__binaryz00); 
BGl_symbol1507z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1508z00zz__binaryz00); 
BGl_symbol1509z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1510z00zz__binaryz00); 
BGl_symbol1512z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1513z00zz__binaryz00); 
BGl_symbol1514z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1515z00zz__binaryz00); 
BGl_symbol1516z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1517z00zz__binaryz00); 
return ( 
BGl_symbol1519z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1520z00zz__binaryz00), BUNSPEC) ;} 
}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/binary.scm 125 */
return 
BINARY_PORTP(BgL_objz00_1);} 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_925, obj_t BgL_objz00_926)
{ AN_OBJECT;
{ /* Llib/binary.scm 125 */
return 
BBOOL(
BINARY_PORTP(BgL_objz00_926));} 
}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* Llib/binary.scm 131 */
return 
open_output_binary_file(BgL_strz00_2);} 
}



/* _open-output-binary-1450 */
obj_t BGl__openzd2outputzd2binaryzd21450zd2zz__binaryz00(obj_t BgL_envz00_927, obj_t BgL_strz00_928)
{ AN_OBJECT;
{ /* Llib/binary.scm 131 */
{ /* Llib/binary.scm 132 */
obj_t BgL_strz00_989;
if(
STRINGP(BgL_strz00_928))
{ /* Llib/binary.scm 132 */
BgL_strz00_989 = BgL_strz00_928; }  else 
{ /* Llib/binary.scm 132 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1493z00zz__binaryz00, BGl_string1495z00zz__binaryz00, BgL_strz00_928); 
exit( -1 );} 
return 
open_output_binary_file(BgL_strz00_989);} } 
}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* Llib/binary.scm 137 */
return 
append_output_binary_file(BgL_strz00_3);} 
}



/* _append-output-binar1451 */
obj_t BGl__appendzd2outputzd2binar1451z00zz__binaryz00(obj_t BgL_envz00_929, obj_t BgL_strz00_930)
{ AN_OBJECT;
{ /* Llib/binary.scm 137 */
{ /* Llib/binary.scm 138 */
obj_t BgL_strz00_990;
if(
STRINGP(BgL_strz00_930))
{ /* Llib/binary.scm 138 */
BgL_strz00_990 = BgL_strz00_930; }  else 
{ /* Llib/binary.scm 138 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1496z00zz__binaryz00, BGl_string1495z00zz__binaryz00, BgL_strz00_930); 
exit( -1 );} 
return 
append_output_binary_file(BgL_strz00_990);} } 
}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* Llib/binary.scm 143 */
return 
open_input_binary_file(BgL_strz00_4);} 
}



/* _open-input-binary-f1452 */
obj_t BGl__openzd2inputzd2binaryzd2f1452zd2zz__binaryz00(obj_t BgL_envz00_931, obj_t BgL_strz00_932)
{ AN_OBJECT;
{ /* Llib/binary.scm 143 */
{ /* Llib/binary.scm 144 */
obj_t BgL_strz00_991;
if(
STRINGP(BgL_strz00_932))
{ /* Llib/binary.scm 144 */
BgL_strz00_991 = BgL_strz00_932; }  else 
{ /* Llib/binary.scm 144 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1498z00zz__binaryz00, BGl_string1495z00zz__binaryz00, BgL_strz00_932); 
exit( -1 );} 
return 
open_input_binary_file(BgL_strz00_991);} } 
}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* Llib/binary.scm 149 */
return 
close_binary_port(BgL_portz00_5);} 
}



/* _close-binary-port1453 */
obj_t BGl__closezd2binaryzd2port1453z00zz__binaryz00(obj_t BgL_envz00_933, obj_t BgL_portz00_934)
{ AN_OBJECT;
{ /* Llib/binary.scm 149 */
{ /* Llib/binary.scm 150 */
obj_t BgL_portz00_992;
if(
BINARY_PORTP(BgL_portz00_934))
{ /* Llib/binary.scm 150 */
BgL_portz00_992 = BgL_portz00_934; }  else 
{ /* Llib/binary.scm 150 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1500z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_934); 
exit( -1 );} 
return 
close_binary_port(BgL_portz00_992);} } 
}



/* flush-binary-port */
BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* Llib/binary.scm 155 */
return 
bgl_flush_binary_port(BgL_portz00_6);} 
}



/* _flush-binary-port1454 */
obj_t BGl__flushzd2binaryzd2port1454z00zz__binaryz00(obj_t BgL_envz00_935, obj_t BgL_portz00_936)
{ AN_OBJECT;
{ /* Llib/binary.scm 155 */
{ /* Llib/binary.scm 156 */
obj_t BgL_portz00_993;
if(
BINARY_PORTP(BgL_portz00_936))
{ /* Llib/binary.scm 156 */
BgL_portz00_993 = BgL_portz00_936; }  else 
{ /* Llib/binary.scm 156 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1503z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_936); 
exit( -1 );} 
return 
bgl_flush_binary_port(BgL_portz00_993);} } 
}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7)
{ AN_OBJECT;
{ /* Llib/binary.scm 161 */
return 
input_obj(BgL_portz00_7);} 
}



/* _input-obj1455 */
obj_t BGl__inputzd2obj1455zd2zz__binaryz00(obj_t BgL_envz00_937, obj_t BgL_portz00_938)
{ AN_OBJECT;
{ /* Llib/binary.scm 161 */
{ /* Llib/binary.scm 162 */
obj_t BgL_portz00_994;
if(
BINARY_PORTP(BgL_portz00_938))
{ /* Llib/binary.scm 162 */
BgL_portz00_994 = BgL_portz00_938; }  else 
{ /* Llib/binary.scm 162 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1505z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_938); 
exit( -1 );} 
return 
input_obj(BgL_portz00_994);} } 
}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_8, obj_t BgL_objz00_9)
{ AN_OBJECT;
{ /* Llib/binary.scm 167 */
return 
output_obj(BgL_portz00_8, BgL_objz00_9);} 
}



/* _output-obj1456 */
obj_t BGl__outputzd2obj1456zd2zz__binaryz00(obj_t BgL_envz00_939, obj_t BgL_portz00_940, obj_t BgL_objz00_941)
{ AN_OBJECT;
{ /* Llib/binary.scm 167 */
{ /* Llib/binary.scm 168 */
obj_t BgL_portz00_995;
if(
BINARY_PORTP(BgL_portz00_940))
{ /* Llib/binary.scm 168 */
BgL_portz00_995 = BgL_portz00_940; }  else 
{ /* Llib/binary.scm 168 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1507z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_940); 
exit( -1 );} 
return 
output_obj(BgL_portz00_995, BgL_objz00_941);} } 
}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_10, unsigned char BgL_charz00_11)
{ AN_OBJECT;
{ /* Llib/binary.scm 173 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_10, BgL_charz00_11);} 
}



/* _output-char1457 */
obj_t BGl__outputzd2char1457zd2zz__binaryz00(obj_t BgL_envz00_942, obj_t BgL_portz00_943, obj_t BgL_charz00_944)
{ AN_OBJECT;
{ /* Llib/binary.scm 173 */
{ /* Llib/binary.scm 174 */
obj_t BgL_portz00_997;unsigned char BgL_charz00_998;
if(
BINARY_PORTP(BgL_portz00_943))
{ /* Llib/binary.scm 174 */
BgL_portz00_997 = BgL_portz00_943; }  else 
{ /* Llib/binary.scm 174 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1509z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_943); 
exit( -1 );} 
{ /* Llib/binary.scm 174 */
obj_t BgL_auxz00_1077;
if(
CHARP(BgL_charz00_944))
{ /* Llib/binary.scm 174 */
BgL_auxz00_1077 = BgL_charz00_944
; }  else 
{ /* Llib/binary.scm 174 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1509z00zz__binaryz00, BGl_string1511z00zz__binaryz00, BgL_charz00_944); 
exit( -1 );} 
BgL_charz00_998 = 
CCHAR(BgL_auxz00_1077); } 
return 
BGL_OUTPUT_CHAR(BgL_portz00_997, BgL_charz00_998);} } 
}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12)
{ AN_OBJECT;
{ /* Llib/binary.scm 179 */
{ /* Llib/binary.scm 180 */
int BgL_charz00_999;
BgL_charz00_999 = 
BGL_INPUT_CHAR(BgL_portz00_12); 
if(
BGL_INT_EOFP(BgL_charz00_999))
{ /* Llib/binary.scm 180 */
return BEOF;}  else 
{ /* Llib/binary.scm 180 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_999)));} } } 
}



/* _input-char1458 */
obj_t BGl__inputzd2char1458zd2zz__binaryz00(obj_t BgL_envz00_945, obj_t BgL_portz00_946)
{ AN_OBJECT;
{ /* Llib/binary.scm 179 */
{ /* Llib/binary.scm 180 */
obj_t BgL_portz00_1000;
if(
BINARY_PORTP(BgL_portz00_946))
{ /* Llib/binary.scm 180 */
BgL_portz00_1000 = BgL_portz00_946; }  else 
{ /* Llib/binary.scm 180 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1512z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_946); 
exit( -1 );} 
{ /* Llib/binary.scm 180 */
int BgL_charz00_1001;
BgL_charz00_1001 = 
BGL_INPUT_CHAR(BgL_portz00_1000); 
if(
BGL_INT_EOFP(BgL_charz00_1001))
{ /* Llib/binary.scm 180 */
return BEOF;}  else 
{ /* Llib/binary.scm 180 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_1001)));} } } } 
}



/* output-string */
BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_13, obj_t BgL_stringz00_14)
{ AN_OBJECT;
{ /* Llib/binary.scm 188 */
return 
BINT(
bgl_output_string(BgL_portz00_13, BgL_stringz00_14));} 
}



/* _output-string1459 */
obj_t BGl__outputzd2string1459zd2zz__binaryz00(obj_t BgL_envz00_947, obj_t BgL_portz00_948, obj_t BgL_stringz00_949)
{ AN_OBJECT;
{ /* Llib/binary.scm 188 */
{ /* Llib/binary.scm 189 */
obj_t BgL_portz00_1002;obj_t BgL_stringz00_1003;
if(
BINARY_PORTP(BgL_portz00_948))
{ /* Llib/binary.scm 189 */
BgL_portz00_1002 = BgL_portz00_948; }  else 
{ /* Llib/binary.scm 189 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1514z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_948); 
exit( -1 );} 
if(
STRINGP(BgL_stringz00_949))
{ /* Llib/binary.scm 189 */
BgL_stringz00_1003 = BgL_stringz00_949; }  else 
{ /* Llib/binary.scm 189 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1514z00zz__binaryz00, BGl_string1495z00zz__binaryz00, BgL_stringz00_949); 
exit( -1 );} 
return 
BINT(
bgl_output_string(BgL_portz00_1002, BgL_stringz00_1003));} } 
}



/* input-string */
BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_15, int BgL_lenz00_16)
{ AN_OBJECT;
{ /* Llib/binary.scm 194 */
return 
bgl_input_string(BgL_portz00_15, BgL_lenz00_16);} 
}



/* _input-string1460 */
obj_t BGl__inputzd2string1460zd2zz__binaryz00(obj_t BgL_envz00_950, obj_t BgL_portz00_951, obj_t BgL_lenz00_952)
{ AN_OBJECT;
{ /* Llib/binary.scm 194 */
{ /* Llib/binary.scm 195 */
obj_t BgL_portz00_1004;int BgL_lenz00_1005;
if(
BINARY_PORTP(BgL_portz00_951))
{ /* Llib/binary.scm 195 */
BgL_portz00_1004 = BgL_portz00_951; }  else 
{ /* Llib/binary.scm 195 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1516z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_951); 
exit( -1 );} 
{ /* Llib/binary.scm 195 */
obj_t BgL_auxz00_1117;
if(
INTEGERP(BgL_lenz00_952))
{ /* Llib/binary.scm 195 */
BgL_auxz00_1117 = BgL_lenz00_952
; }  else 
{ /* Llib/binary.scm 195 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1516z00zz__binaryz00, BGl_string1518z00zz__binaryz00, BgL_lenz00_952); 
exit( -1 );} 
BgL_lenz00_1005 = 
CINT(BgL_auxz00_1117); } 
return 
bgl_input_string(BgL_portz00_1004, BgL_lenz00_1005);} } 
}



/* input-fill-string! */
BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_portz00_17, obj_t BgL_strz00_18)
{ AN_OBJECT;
{ /* Llib/binary.scm 200 */
return 
bgl_input_fill_string(BgL_portz00_17, BgL_strz00_18);} 
}



/* _input-fill-string! */
obj_t BGl__inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_envz00_953, obj_t BgL_portz00_954, obj_t BgL_strz00_955)
{ AN_OBJECT;
{ /* Llib/binary.scm 200 */
{ /* Llib/binary.scm 201 */
int BgL_auxz00_1125;
{ /* Llib/binary.scm 201 */
obj_t BgL_portz00_1006;obj_t BgL_strz00_1007;
if(
BINARY_PORTP(BgL_portz00_954))
{ /* Llib/binary.scm 201 */
BgL_portz00_1006 = BgL_portz00_954; }  else 
{ /* Llib/binary.scm 201 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1519z00zz__binaryz00, BGl_string1502z00zz__binaryz00, BgL_portz00_954); 
exit( -1 );} 
if(
STRINGP(BgL_strz00_955))
{ /* Llib/binary.scm 201 */
BgL_strz00_1007 = BgL_strz00_955; }  else 
{ /* Llib/binary.scm 201 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1519z00zz__binaryz00, BGl_string1495z00zz__binaryz00, BgL_strz00_955); 
exit( -1 );} 
BgL_auxz00_1125 = 
bgl_input_fill_string(BgL_portz00_1006, BgL_strz00_1007); } 
return 
BINT(BgL_auxz00_1125);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)42697480), 
BSTRING_TO_STRING(BGl_string1521z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)77210208), 
BSTRING_TO_STRING(BGl_string1521z00zz__binaryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)216816546), 
BSTRING_TO_STRING(BGl_string1521z00zz__binaryz00));} 
}

#ifdef __cplusplus
}
#endif
