/*===========================================================================*/
/*   (Eval/expddefine.scm)                                                   */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Eval/expddefine.scm -indent -o objs/obj_u/Eval/expddefine.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	static obj_t BGl_getzd2argszd2zz__expander_definez00(obj_t);
	extern obj_t BGl_parsezd2formalzd2identz00zz__expandz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_definez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00(obj_t,
		obj_t);
	static obj_t
		BGl__expandzd2evalzd2definezd2genericzd2zz__expander_definez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2definezd2methodzd2zz__expander_definez00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t bgl_reverse(obj_t);
	extern obj_t BGl_z52withzd2lexicalz80zz__expandz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_definez00 =
		BUNSPEC;
	static obj_t BGl_symbol2476z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2482z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2484z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2486z00zz__expander_definez00 = BUNSPEC;
	extern obj_t BGl_argszd2ze3listz31zz__expandz00(obj_t);
	static obj_t BGl_symbol2489z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2501z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2491z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2503z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2493z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2495z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2507z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2497z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2509z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2499z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2511z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2514z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2516z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2518z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2520z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2522z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_symbol2524z00zz__expander_definez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza31661ze3z83zz__expander_definez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_lambdazd2defineszd2zz__expander_definez00(obj_t);
	extern obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evalzd2beginzd2expanderz00zz__expander_definez00(obj_t);
	static obj_t BGl__evalzd2beginzd2expanderz00zz__expander_definez00(obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__expander_definez00(obj_t, obj_t);
	extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_mapzb2zb2zz__expander_definez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_definez00();
	static obj_t BGl__expandzd2evalzd2definez00zz__expander_definez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32067ze3z83zz__expander_definez00(obj_t,
		obj_t);
	extern obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl__expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_definez00();
	extern obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_zc3anonymousza32077ze3z83zz__expander_definez00(obj_t,
		obj_t);
	static obj_t BGl_newez00zz__expander_definez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2definez00zz__expander_definez00(obj_t, obj_t);
	static obj_t
		BGl__expandzd2evalzd2definezd2methodzd2zz__expander_definez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2definezd2genericzd2zz__expander_definez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_definez00();
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2lambdazd2envzd2zz__expander_definez00,
		BgL_bgl__expandza7d2evalza7d2527z00,
		BGl__expandzd2evalzd2lambdaz00zz__expander_definez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2474z00zz__expander_definez00,
		BgL_bgl_string2474za700za7za7_2528za7, "expand", 6);
	      DEFINE_STRING(BGl_string2475z00zz__expander_definez00,
		BgL_bgl_string2475za700za7za7_2529za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2477z00zz__expander_definez00,
		BgL_bgl_string2477za700za7za7_2530za7, "begin", 5);
	      DEFINE_STRING(BGl_string2478z00zz__expander_definez00,
		BgL_bgl_string2478za700za7za7_2531za7, "Illegal `begin' form", 20);
	      DEFINE_STRING(BGl_string2480z00zz__expander_definez00,
		BgL_bgl_string2480za700za7za7_2532za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2481z00zz__expander_definez00,
		BgL_bgl_string2481za700za7za7_2533za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2483z00zz__expander_definez00,
		BgL_bgl_string2483za700za7za7_2534za7, "define", 6);
	      DEFINE_STRING(BGl_string2485z00zz__expander_definez00,
		BgL_bgl_string2485za700za7za7_2535za7, "set!", 4);
	      DEFINE_STRING(BGl_string2487z00zz__expander_definez00,
		BgL_bgl_string2487za700za7za7_2536za7, "let", 3);
	      DEFINE_STRING(BGl_string2488z00zz__expander_definez00,
		BgL_bgl_string2488za700za7za7_2537za7, "define-inline", 13);
	      DEFINE_STRING(BGl_string2500z00zz__expander_definez00,
		BgL_bgl_string2500za700za7za7_2538za7, "object?", 7);
	      DEFINE_STRING(BGl_string2490z00zz__expander_definez00,
		BgL_bgl_string2490za700za7za7_2539za7, "generic-default", 15);
	      DEFINE_STRING(BGl_string2502z00zz__expander_definez00,
		BgL_bgl_string2502za700za7za7_2540za7, "find-method", 11);
	      DEFINE_STRING(BGl_string2492z00zz__expander_definez00,
		BgL_bgl_string2492za700za7za7_2541za7, "met", 3);
	      DEFINE_STRING(BGl_string2504z00zz__expander_definez00,
		BgL_bgl_string2504za700za7za7_2542za7, "if", 2);
	      DEFINE_STRING(BGl_string2494z00zz__expander_definez00,
		BgL_bgl_string2494za700za7za7_2543za7, "procedure->generic", 18);
	      DEFINE_STRING(BGl_string2506z00zz__expander_definez00,
		BgL_bgl_string2506za700za7za7_2544za7, "procedure?", 10);
	      DEFINE_STRING(BGl_string2496z00zz__expander_definez00,
		BgL_bgl_string2496za700za7za7_2545za7, "apply", 5);
	      DEFINE_STRING(BGl_string2508z00zz__expander_definez00,
		BgL_bgl_string2508za700za7za7_2546za7, "add-generic!", 12);
	      DEFINE_STRING(BGl_string2498z00zz__expander_definez00,
		BgL_bgl_string2498za700za7za7_2547za7, "and", 3);
	      DEFINE_STRING(BGl_string2510z00zz__expander_definez00,
		BgL_bgl_string2510za700za7za7_2548za7, "error", 5);
	      DEFINE_STRING(BGl_string2512z00zz__expander_definez00,
		BgL_bgl_string2512za700za7za7_2549za7, "quote", 5);
	      DEFINE_STRING(BGl_string2513z00zz__expander_definez00,
		BgL_bgl_string2513za700za7za7_2550za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2515z00zz__expander_definez00,
		BgL_bgl_string2515za700za7za7_2551za7, "define-generic", 14);
	      DEFINE_STRING(BGl_string2517z00zz__expander_definez00,
		BgL_bgl_string2517za700za7za7_2552za7, "add-method!", 11);
	      DEFINE_STRING(BGl_string2519z00zz__expander_definez00,
		BgL_bgl_string2519za700za7za7_2553za7, "call-next-method", 16);
	      DEFINE_STRING(BGl_string2521z00zz__expander_definez00,
		BgL_bgl_string2521za700za7za7_2554za7, "next", 4);
	      DEFINE_STRING(BGl_string2523z00zz__expander_definez00,
		BgL_bgl_string2523za700za7za7_2555za7, "find-super-class-method", 23);
	      DEFINE_STRING(BGl_string2525z00zz__expander_definez00,
		BgL_bgl_string2525za700za7za7_2556za7, "define-method", 13);
	      DEFINE_STRING(BGl_string2526z00zz__expander_definez00,
		BgL_bgl_string2526za700za7za7_2557za7, "__expander_define", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2definezd2inlinezd2envz00zz__expander_definez00,
		BgL_bgl__expandza7d2evalza7d2558z00,
		BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evalzd2beginzd2expanderzd2envzd2zz__expander_definez00,
		BgL_bgl__evalza7d2beginza7d22559z00,
		BGl__evalzd2beginzd2expanderz00zz__expander_definez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2definezd2envzd2zz__expander_definez00,
		BgL_bgl__expandza7d2evalza7d2560z00,
		BGl__expandzd2evalzd2definez00zz__expander_definez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2definezd2methodzd2envz00zz__expander_definez00,
		BgL_bgl__expandza7d2evalza7d2561z00,
		BGl__expandzd2evalzd2definezd2methodzd2zz__expander_definez00, 0L, BUNSPEC,
		2);
	extern obj_t BGl_parsezd2formalzd2identzd2envzd2zz__expandz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2definezd2genericzd2envz00zz__expander_definez00,
		BgL_bgl__expandza7d2evalza7d2562z00,
		BGl__expandzd2evalzd2definezd2genericzd2zz__expander_definez00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_definez00(long
		BgL_checksumz00_2239, char *BgL_fromz00_2240)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_definez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_definez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_definez00();
					BGl_importedzd2moduleszd2initz00zz__expander_definez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_definez00()
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 15 */
			BGl_symbol2476z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2477z00zz__expander_definez00);
			BGl_symbol2479z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2480z00zz__expander_definez00);
			BGl_symbol2482z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2483z00zz__expander_definez00);
			BGl_symbol2484z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2485z00zz__expander_definez00);
			BGl_symbol2486z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2487z00zz__expander_definez00);
			BGl_symbol2489z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2490z00zz__expander_definez00);
			BGl_symbol2491z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2492z00zz__expander_definez00);
			BGl_symbol2493z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2494z00zz__expander_definez00);
			BGl_symbol2495z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2496z00zz__expander_definez00);
			BGl_symbol2497z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2498z00zz__expander_definez00);
			BGl_symbol2499z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2500z00zz__expander_definez00);
			BGl_symbol2501z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2502z00zz__expander_definez00);
			BGl_symbol2503z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2504z00zz__expander_definez00);
			BGl_symbol2505z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2506z00zz__expander_definez00);
			BGl_symbol2507z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2508z00zz__expander_definez00);
			BGl_symbol2509z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2510z00zz__expander_definez00);
			BGl_symbol2511z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2512z00zz__expander_definez00);
			BGl_symbol2514z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2515z00zz__expander_definez00);
			BGl_symbol2516z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2517z00zz__expander_definez00);
			BGl_symbol2518z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2519z00zz__expander_definez00);
			BGl_symbol2520z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2521z00zz__expander_definez00);
			BGl_symbol2522z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2523z00zz__expander_definez00);
			return (BGl_symbol2524z00zz__expander_definez00 =
				bstring_to_symbol(BGl_string2525z00zz__expander_definez00), BUNSPEC);
		}
	}



/* loop */
	obj_t BGl_loopz00zz__expander_definez00(obj_t BgL_ez00_2226,
		obj_t BgL_argsz00_619)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 58 */
			if (NULLP(BgL_argsz00_619))
				{	/* Eval/expddefine.scm 60 */
					return BNIL;
				}
			else
				{	/* Eval/expddefine.scm 60 */
					if (SYMBOLP(BgL_argsz00_619))
						{	/* Eval/expddefine.scm 62 */
							return BgL_argsz00_619;
						}
					else
						{	/* Eval/expddefine.scm 62 */
							if (PAIRP(BgL_argsz00_619))
								{	/* Eval/expddefine.scm 66 */
									bool_t BgL_testz00_2275;

									{	/* Eval/expddefine.scm 66 */
										bool_t BgL_testz00_2276;

										{	/* Eval/expddefine.scm 66 */
											obj_t BgL_auxz00_2277;

											BgL_auxz00_2277 = CAR(BgL_argsz00_619);
											BgL_testz00_2276 = PAIRP(BgL_auxz00_2277);
										}
										if (BgL_testz00_2276)
											{	/* Eval/expddefine.scm 67 */
												bool_t BgL_testz00_2280;

												{	/* Eval/expddefine.scm 67 */
													obj_t BgL_auxz00_2281;

													BgL_auxz00_2281 = CDR(CAR(BgL_argsz00_619));
													BgL_testz00_2280 = PAIRP(BgL_auxz00_2281);
												}
												if (BgL_testz00_2280)
													{	/* Eval/expddefine.scm 68 */
														obj_t BgL_auxz00_2285;

														{	/* Eval/expddefine.scm 68 */
															obj_t BgL_pairz00_1712;

															BgL_pairz00_1712 = CAR(BgL_argsz00_619);
															BgL_auxz00_2285 = CDR(CDR(BgL_pairz00_1712));
														}
														BgL_testz00_2275 = NULLP(BgL_auxz00_2285);
													}
												else
													{	/* Eval/expddefine.scm 67 */
														BgL_testz00_2275 = ((bool_t) 0);
													}
											}
										else
											{	/* Eval/expddefine.scm 66 */
												BgL_testz00_2275 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_2275)
										{	/* Eval/expddefine.scm 71 */
											obj_t BgL_arg1637z00_625;
											obj_t BgL_arg1638z00_626;

											{	/* Eval/expddefine.scm 71 */
												obj_t BgL_arg1641z00_627;
												obj_t BgL_arg1642z00_628;

												BgL_arg1641z00_627 = CAR(CAR(BgL_argsz00_619));
												{	/* Eval/expddefine.scm 71 */
													obj_t BgL_arg1647z00_632;

													{	/* Eval/expddefine.scm 71 */
														obj_t BgL_pairz00_1720;

														BgL_pairz00_1720 = CAR(BgL_argsz00_619);
														BgL_arg1647z00_632 = CAR(CDR(BgL_pairz00_1720));
													}
													BgL_arg1642z00_628 =
														PROCEDURE_ENTRY(BgL_ez00_2226) (BgL_ez00_2226,
														BgL_arg1647z00_632, BgL_ez00_2226, BEOA);
												}
												{	/* Eval/expddefine.scm 71 */
													obj_t BgL_list1643z00_629;

													{	/* Eval/expddefine.scm 71 */
														obj_t BgL_arg1644z00_630;

														BgL_arg1644z00_630 =
															MAKE_PAIR(BgL_arg1642z00_628, BNIL);
														BgL_list1643z00_629 =
															MAKE_PAIR(BgL_arg1641z00_627, BgL_arg1644z00_630);
													}
													BgL_arg1637z00_625 = BgL_list1643z00_629;
												}
											}
											BgL_arg1638z00_626 =
												BGl_loopz00zz__expander_definez00(BgL_ez00_2226,
												CDR(BgL_argsz00_619));
											return MAKE_PAIR(BgL_arg1637z00_625, BgL_arg1638z00_626);
										}
									else
										{	/* Eval/expddefine.scm 66 */
											return
												MAKE_PAIR(CAR(BgL_argsz00_619),
												BGl_loopz00zz__expander_definez00(BgL_ez00_2226,
													CDR(BgL_argsz00_619)));
										}
								}
							else
								{	/* Eval/expddefine.scm 64 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string2474z00zz__expander_definez00,
										BGl_string2475z00zz__expander_definez00, BgL_argsz00_619);
								}
						}
				}
		}
	}



/* eval-begin-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_evalzd2beginzd2expanderz00zz__expander_definez00(obj_t BgL_oldez00_3)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 77 */
			{	/* Eval/expddefine.scm 78 */
				obj_t BgL_zc3anonymousza31661ze3z83_2191;

				BgL_zc3anonymousza31661ze3z83_2191 =
					make_fx_procedure(BGl_zc3anonymousza31661ze3z83zz__expander_definez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31661ze3z83_2191,
					(int) (((long) 0)), BgL_oldez00_3);
				return BgL_zc3anonymousza31661ze3z83_2191;
			}
		}
	}



/* _eval-begin-expander */
	obj_t BGl__evalzd2beginzd2expanderz00zz__expander_definez00(obj_t
		BgL_envz00_2192, obj_t BgL_oldez00_2193)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 77 */
			return
				BGl_evalzd2beginzd2expanderz00zz__expander_definez00(BgL_oldez00_2193);
		}
	}



/* <anonymous:1661> */
	obj_t BGl_zc3anonymousza31661ze3z83zz__expander_definez00(obj_t
		BgL_envz00_2194, obj_t BgL_xz00_2196, obj_t BgL_ez00_2197)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 78 */
			{	/* Eval/expddefine.scm 79 */
				obj_t BgL_oldez00_2195;

				BgL_oldez00_2195 = PROCEDURE_REF(BgL_envz00_2194, (int) (((long) 0)));
				{
					obj_t BgL_xz00_645;
					obj_t BgL_ez00_646;

					BgL_xz00_645 = BgL_xz00_2196;
					BgL_ez00_646 = BgL_ez00_2197;
					{	/* Eval/expddefine.scm 79 */
						obj_t BgL_resz00_648;

						{
							obj_t BgL_restz00_650;

							if (PAIRP(BgL_xz00_645))
								{	/* Eval/expddefine.scm 79 */
									if (
										(CAR(BgL_xz00_645) ==
											BGl_symbol2476z00zz__expander_definez00))
										{	/* Eval/expddefine.scm 79 */
											if (NULLP(CDR(BgL_xz00_645)))
												{	/* Eval/expddefine.scm 79 */
													BgL_resz00_648 = BUNSPEC;
												}
											else
												{	/* Eval/expddefine.scm 79 */
													BgL_restz00_650 = CDR(BgL_xz00_645);
													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
														(BgL_restz00_650))
														{	/* Eval/expddefine.scm 86 */
															obj_t BgL_arg1670z00_662;

															if (NULLP(BgL_restz00_650))
																{	/* Eval/expddefine.scm 86 */
																	BgL_arg1670z00_662 = BNIL;
																}
															else
																{	/* Eval/expddefine.scm 86 */
																	obj_t BgL_head1594z00_665;

																	BgL_head1594z00_665 = MAKE_PAIR(BNIL, BNIL);
																	{
																		obj_t BgL_l1592z00_666;
																		obj_t BgL_tail1595z00_667;

																		BgL_l1592z00_666 = BgL_restz00_650;
																		BgL_tail1595z00_667 = BgL_head1594z00_665;
																	BgL_map1593z00_668:
																		if (NULLP(BgL_l1592z00_666))
																			{	/* Eval/expddefine.scm 86 */
																				BgL_arg1670z00_662 =
																					CDR(BgL_head1594z00_665);
																			}
																		else
																			{	/* Eval/expddefine.scm 86 */
																				obj_t BgL_newtail1596z00_670;

																				{	/* Eval/expddefine.scm 86 */
																					obj_t BgL_arg1674z00_672;

																					{	/* Eval/expddefine.scm 86 */
																						obj_t BgL_xz00_674;

																						BgL_xz00_674 =
																							CAR(BgL_l1592z00_666);
																						BgL_arg1674z00_672 =
																							PROCEDURE_ENTRY(BgL_oldez00_2195)
																							(BgL_oldez00_2195, BgL_xz00_674,
																							BgL_ez00_646, BEOA);
																					}
																					BgL_newtail1596z00_670 =
																						MAKE_PAIR(BgL_arg1674z00_672, BNIL);
																				}
																				SET_CDR(BgL_tail1595z00_667,
																					BgL_newtail1596z00_670);
																				{
																					obj_t BgL_tail1595z00_2338;
																					obj_t BgL_l1592z00_2336;

																					BgL_l1592z00_2336 =
																						CDR(BgL_l1592z00_666);
																					BgL_tail1595z00_2338 =
																						BgL_newtail1596z00_670;
																					BgL_tail1595z00_667 =
																						BgL_tail1595z00_2338;
																					BgL_l1592z00_666 = BgL_l1592z00_2336;
																					goto BgL_map1593z00_668;
																				}
																			}
																	}
																}
															BgL_resz00_648 =
																BGl_lambdazd2defineszd2zz__expander_definez00
																(BgL_arg1670z00_662);
														}
													else
														{	/* Eval/expddefine.scm 83 */
															BgL_resz00_648 =
																BGl_errorz00zz__errorz00
																(BGl_symbol2476z00zz__expander_definez00,
																BGl_string2478z00zz__expander_definez00,
																BgL_xz00_645);
														}
												}
										}
									else
										{	/* Eval/expddefine.scm 79 */
										BgL_tagzd2931zd2_652:
											{	/* Eval/expddefine.scm 88 */
												obj_t BgL_nxz00_675;

												BgL_nxz00_675 =
													PROCEDURE_ENTRY(BgL_oldez00_2195) (BgL_oldez00_2195,
													BgL_xz00_645, BgL_ez00_646, BEOA);
												if (PAIRP(BgL_nxz00_675))
													{	/* Eval/expddefine.scm 89 */
														if (
															(CAR(BgL_nxz00_675) ==
																BGl_symbol2476z00zz__expander_definez00))
															{	/* Eval/expddefine.scm 89 */
																if (NULLP(CDR(BgL_nxz00_675)))
																	{	/* Eval/expddefine.scm 89 */
																		BgL_resz00_648 = BUNSPEC;
																	}
																else
																	{	/* Eval/expddefine.scm 89 */
																		obj_t BgL_arg1679z00_684;

																		BgL_arg1679z00_684 = CDR(BgL_nxz00_675);
																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1679z00_684))
																			{	/* Eval/expddefine.scm 89 */
																				BgL_resz00_648 =
																					BGl_lambdazd2defineszd2zz__expander_definez00
																					(BgL_arg1679z00_684);
																			}
																		else
																			{	/* Eval/expddefine.scm 89 */
																				BgL_resz00_648 =
																					BGl_errorz00zz__errorz00
																					(BGl_symbol2476z00zz__expander_definez00,
																					BGl_string2478z00zz__expander_definez00,
																					BgL_xz00_645);
																			}
																	}
															}
														else
															{	/* Eval/expddefine.scm 89 */
																BgL_resz00_648 = BgL_nxz00_675;
															}
													}
												else
													{	/* Eval/expddefine.scm 89 */
														BgL_resz00_648 = BgL_nxz00_675;
													}
											}
										}
								}
							else
								{	/* Eval/expddefine.scm 79 */
									goto BgL_tagzd2931zd2_652;
								}
						}
						return BGl_evepairifyz00zz__prognz00(BgL_resz00_648, BgL_xz00_645);
					}
				}
			}
		}
	}



/* expand-eval-lambda */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t BgL_xz00_4,
		obj_t BgL_ez00_5)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 103 */
			{	/* Eval/expddefine.scm 104 */
				obj_t BgL_resz00_689;

				{
					obj_t BgL_argsz00_690;
					obj_t BgL_bodyz00_691;

					if (PAIRP(BgL_xz00_4))
						{	/* Eval/expddefine.scm 104 */
							obj_t BgL_cdrzd2969zd2_696;

							BgL_cdrzd2969zd2_696 = CDR(BgL_xz00_4);
							if (PAIRP(BgL_cdrzd2969zd2_696))
								{	/* Eval/expddefine.scm 104 */
									obj_t BgL_cdrzd2973zd2_698;

									BgL_cdrzd2973zd2_698 = CDR(BgL_cdrzd2969zd2_696);
									if (NULLP(BgL_cdrzd2973zd2_698))
										{	/* Eval/expddefine.scm 104 */
											BgL_resz00_689 =
												BGl_errorz00zz__errorz00
												(BGl_string2480z00zz__expander_definez00,
												BGl_string2481z00zz__expander_definez00, BgL_xz00_4);
										}
									else
										{	/* Eval/expddefine.scm 104 */
											BgL_argsz00_690 = CAR(BgL_cdrzd2969zd2_696);
											BgL_bodyz00_691 = BgL_cdrzd2973zd2_698;
											{	/* Eval/expddefine.scm 106 */
												obj_t BgL_ez00_701;
												obj_t BgL_eargsz00_702;

												BgL_ez00_701 =
													BGl_evalzd2beginzd2expanderz00zz__expander_definez00
													(BgL_ez00_5);
												BgL_eargsz00_702 =
													BGl_loopz00zz__expander_definez00(BgL_ez00_5,
													BgL_argsz00_690);
												{	/* Eval/expddefine.scm 108 */
													obj_t BgL_arg1688z00_703;
													obj_t BgL_arg1689z00_704;

													BgL_arg1688z00_703 =
														BGl_symbol2479z00zz__expander_definez00;
													{	/* Eval/expddefine.scm 110 */
														obj_t BgL_arg1690z00_705;

														BgL_arg1690z00_705 =
															BGl_z52withzd2lexicalz80zz__expandz00
															(BGl_argszd2ze3listz31zz__expandz00
															(BgL_eargsz00_702),
															BGl_expandzd2prognzd2zz__prognz00
															(BgL_bodyz00_691), BgL_ez00_701, BFALSE);
														{	/* Eval/expddefine.scm 108 */
															obj_t BgL_list1692z00_707;

															{	/* Eval/expddefine.scm 108 */
																obj_t BgL_arg1693z00_708;

																BgL_arg1693z00_708 = MAKE_PAIR(BNIL, BNIL);
																BgL_list1692z00_707 =
																	MAKE_PAIR(BgL_arg1690z00_705,
																	BgL_arg1693z00_708);
															}
															BgL_arg1689z00_704 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_eargsz00_702, BgL_list1692z00_707);
														}
													}
													BgL_resz00_689 =
														MAKE_PAIR(BgL_arg1688z00_703, BgL_arg1689z00_704);
												}
											}
										}
								}
							else
								{	/* Eval/expddefine.scm 104 */
									BgL_resz00_689 =
										BGl_errorz00zz__errorz00
										(BGl_string2480z00zz__expander_definez00,
										BGl_string2481z00zz__expander_definez00, BgL_xz00_4);
								}
						}
					else
						{	/* Eval/expddefine.scm 104 */
							BgL_resz00_689 =
								BGl_errorz00zz__errorz00
								(BGl_string2480z00zz__expander_definez00,
								BGl_string2481z00zz__expander_definez00, BgL_xz00_4);
						}
				}
				return BGl_evepairifyz00zz__prognz00(BgL_resz00_689, BgL_xz00_4);
			}
		}
	}



/* _expand-eval-lambda */
	obj_t BGl__expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t
		BgL_envz00_2198, obj_t BgL_xz00_2199, obj_t BgL_ez00_2200)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 103 */
			return
				BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(BgL_xz00_2199,
				BgL_ez00_2200);
		}
	}



/* expand-eval-define */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2definez00zz__expander_definez00(obj_t BgL_xz00_6,
		obj_t BgL_oldez00_7)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 122 */
			{	/* Eval/expddefine.scm 123 */
				obj_t BgL_newez00_2201;

				BgL_newez00_2201 =
					make_fx_procedure(BGl_newez00zz__expander_definez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_newez00_2201, (int) (((long) 0)), BgL_oldez00_7);
				return
					BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00
					(BgL_xz00_6, BgL_newez00_2201);
			}
		}
	}



/* _expand-eval-define */
	obj_t BGl__expandzd2evalzd2definez00zz__expander_definez00(obj_t
		BgL_envz00_2202, obj_t BgL_xz00_2203, obj_t BgL_oldez00_2204)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 122 */
			return
				BGl_expandzd2evalzd2definez00zz__expander_definez00(BgL_xz00_2203,
				BgL_oldez00_2204);
		}
	}



/* newe */
	obj_t BGl_newez00zz__expander_definez00(obj_t BgL_envz00_2205,
		obj_t BgL_xz00_2207, obj_t BgL_ez00_2208)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 123 */
			{	/* Eval/expddefine.scm 123 */
				obj_t BgL_oldez00_2206;

				BgL_oldez00_2206 = PROCEDURE_REF(BgL_envz00_2205, (int) (((long) 0)));
				{
					obj_t BgL_xz00_712;
					obj_t BgL_ez00_713;

					BgL_xz00_712 = BgL_xz00_2207;
					BgL_ez00_713 = BgL_ez00_2208;
					if (PAIRP(BgL_xz00_712))
						{	/* Eval/expddefine.scm 123 */
							if (
								(CAR(BgL_xz00_712) == BGl_symbol2482z00zz__expander_definez00))
								{	/* Eval/expddefine.scm 123 */
									return
										BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00
										(BgL_xz00_712, BgL_ez00_713);
								}
							else
								{	/* Eval/expddefine.scm 123 */
									return
										PROCEDURE_ENTRY(BgL_oldez00_2206) (BgL_oldez00_2206,
										BgL_xz00_712, BgL_ez00_713, BEOA);
								}
						}
					else
						{	/* Eval/expddefine.scm 123 */
							return
								PROCEDURE_ENTRY(BgL_oldez00_2206) (BgL_oldez00_2206,
								BgL_xz00_712, BgL_ez00_713, BEOA);
						}
				}
			}
		}
	}



/* expand-eval-external-define */
	obj_t BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00(obj_t
		BgL_xz00_8, obj_t BgL_ez00_9)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 134 */
			{	/* Eval/expddefine.scm 135 */
				obj_t BgL_ez00_723;

				BgL_ez00_723 =
					BGl_evalzd2beginzd2expanderz00zz__expander_definez00(BgL_ez00_9);
				{	/* Eval/expddefine.scm 136 */
					obj_t BgL_resz00_725;

					{	/* Eval/expddefine.scm 137 */
						bool_t BgL_testz00_2401;

						if (PAIRP(BgL_xz00_8))
							{	/* Eval/expddefine.scm 137 */
								bool_t BgL_testz00_2404;

								{	/* Eval/expddefine.scm 137 */
									obj_t BgL_auxz00_2405;

									BgL_auxz00_2405 = CDR(BgL_xz00_8);
									BgL_testz00_2404 = PAIRP(BgL_auxz00_2405);
								}
								if (BgL_testz00_2404)
									{	/* Eval/expddefine.scm 137 */
										obj_t BgL_auxz00_2408;

										{	/* Eval/expddefine.scm 137 */
											obj_t BgL_pairz00_1764;

											BgL_pairz00_1764 = BgL_xz00_8;
											BgL_auxz00_2408 = CDR(CDR(BgL_pairz00_1764));
										}
										BgL_testz00_2401 = PAIRP(BgL_auxz00_2408);
									}
								else
									{	/* Eval/expddefine.scm 137 */
										BgL_testz00_2401 = ((bool_t) 0);
									}
							}
						else
							{	/* Eval/expddefine.scm 137 */
								BgL_testz00_2401 = ((bool_t) 0);
							}
						if (BgL_testz00_2401)
							{	/* Eval/expddefine.scm 138 */
								obj_t BgL_typez00_727;

								{	/* Eval/expddefine.scm 138 */
									obj_t BgL_pairz00_1769;

									BgL_pairz00_1769 = BgL_xz00_8;
									BgL_typez00_727 = CAR(CDR(BgL_pairz00_1769));
								}
								{	/* Eval/expddefine.scm 140 */
									bool_t BgL_testz00_2414;

									if (PAIRP(BgL_typez00_727))
										{	/* Eval/expddefine.scm 140 */
											obj_t BgL_auxz00_2417;

											BgL_auxz00_2417 = CAR(BgL_typez00_727);
											BgL_testz00_2414 = SYMBOLP(BgL_auxz00_2417);
										}
									else
										{	/* Eval/expddefine.scm 140 */
											BgL_testz00_2414 = ((bool_t) 0);
										}
									if (BgL_testz00_2414)
										{	/* Eval/expddefine.scm 141 */
											obj_t BgL_arg1704z00_729;
											obj_t BgL_arg1705z00_730;

											BgL_arg1704z00_729 =
												BGl_symbol2482z00zz__expander_definez00;
											{	/* Eval/expddefine.scm 141 */
												obj_t BgL_arg1706z00_731;
												obj_t BgL_arg1707z00_732;

												BgL_arg1706z00_731 = CAR(BgL_typez00_727);
												{	/* Eval/expddefine.scm 142 */
													obj_t BgL_arg1711z00_736;
													obj_t BgL_arg1712z00_737;

													BgL_arg1711z00_736 =
														BGl_symbol2479z00zz__expander_definez00;
													{	/* Eval/expddefine.scm 142 */
														obj_t BgL_arg1713z00_738;
														obj_t BgL_arg1714z00_739;

														BgL_arg1713z00_738 =
															BGl_loopz00zz__expander_definez00(BgL_ez00_723,
															CDR(BgL_typez00_727));
														{	/* Eval/expddefine.scm 143 */
															obj_t BgL_arg1719z00_744;

															{	/* Eval/expddefine.scm 143 */
																obj_t BgL_arg1720z00_745;

																{	/* Eval/expddefine.scm 143 */
																	obj_t BgL_pairz00_1778;

																	BgL_pairz00_1778 = BgL_xz00_8;
																	BgL_arg1720z00_745 =
																		CDR(CDR(BgL_pairz00_1778));
																}
																BgL_arg1719z00_744 =
																	BGl_expandzd2prognzd2zz__prognz00
																	(BgL_arg1720z00_745);
															}
															BgL_arg1714z00_739 =
																PROCEDURE_ENTRY(BgL_ez00_723) (BgL_ez00_723,
																BgL_arg1719z00_744, BgL_ez00_723, BEOA);
														}
														{	/* Eval/expddefine.scm 142 */
															obj_t BgL_list1716z00_741;

															{	/* Eval/expddefine.scm 142 */
																obj_t BgL_arg1717z00_742;

																BgL_arg1717z00_742 = MAKE_PAIR(BNIL, BNIL);
																BgL_list1716z00_741 =
																	MAKE_PAIR(BgL_arg1714z00_739,
																	BgL_arg1717z00_742);
															}
															BgL_arg1712z00_737 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1713z00_738, BgL_list1716z00_741);
														}
													}
													BgL_arg1707z00_732 =
														MAKE_PAIR(BgL_arg1711z00_736, BgL_arg1712z00_737);
												}
												{	/* Eval/expddefine.scm 141 */
													obj_t BgL_list1709z00_734;

													{	/* Eval/expddefine.scm 141 */
														obj_t BgL_arg1710z00_735;

														BgL_arg1710z00_735 = MAKE_PAIR(BNIL, BNIL);
														BgL_list1709z00_734 =
															MAKE_PAIR(BgL_arg1707z00_732, BgL_arg1710z00_735);
													}
													BgL_arg1705z00_730 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1706z00_731, BgL_list1709z00_734);
												}
											}
											BgL_resz00_725 =
												MAKE_PAIR(BgL_arg1704z00_729, BgL_arg1705z00_730);
										}
									else
										{	/* Eval/expddefine.scm 140 */
											if (SYMBOLP(BgL_typez00_727))
												{	/* Eval/expddefine.scm 145 */
													obj_t BgL_arg1722z00_747;
													obj_t BgL_arg1723z00_748;

													BgL_arg1722z00_747 =
														BGl_symbol2482z00zz__expander_definez00;
													{	/* Eval/expddefine.scm 146 */
														obj_t BgL_arg1724z00_749;

														{	/* Eval/expddefine.scm 146 */
															obj_t BgL_arg1728z00_753;

															{	/* Eval/expddefine.scm 146 */
																obj_t BgL_arg1729z00_754;

																{	/* Eval/expddefine.scm 146 */
																	obj_t BgL_pairz00_1783;

																	BgL_pairz00_1783 = BgL_xz00_8;
																	BgL_arg1729z00_754 =
																		CDR(CDR(BgL_pairz00_1783));
																}
																BgL_arg1728z00_753 =
																	BGl_expandzd2prognzd2zz__prognz00
																	(BgL_arg1729z00_754);
															}
															BgL_arg1724z00_749 =
																PROCEDURE_ENTRY(BgL_ez00_723) (BgL_ez00_723,
																BgL_arg1728z00_753, BgL_ez00_723, BEOA);
														}
														{	/* Eval/expddefine.scm 145 */
															obj_t BgL_list1726z00_751;

															{	/* Eval/expddefine.scm 145 */
																obj_t BgL_arg1727z00_752;

																BgL_arg1727z00_752 = MAKE_PAIR(BNIL, BNIL);
																BgL_list1726z00_751 =
																	MAKE_PAIR(BgL_arg1724z00_749,
																	BgL_arg1727z00_752);
															}
															BgL_arg1723z00_748 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_typez00_727, BgL_list1726z00_751);
														}
													}
													BgL_resz00_725 =
														MAKE_PAIR(BgL_arg1722z00_747, BgL_arg1723z00_748);
												}
											else
												{	/* Eval/expddefine.scm 144 */
													BgL_resz00_725 =
														BGl_errorz00zz__errorz00
														(BGl_string2483z00zz__expander_definez00,
														BGl_string2481z00zz__expander_definez00,
														BgL_xz00_8);
												}
										}
								}
							}
						else
							{	/* Eval/expddefine.scm 137 */
								BgL_resz00_725 =
									BGl_errorz00zz__errorz00
									(BGl_string2483z00zz__expander_definez00,
									BGl_string2481z00zz__expander_definez00, BgL_xz00_8);
							}
					}
					{	/* Eval/expddefine.scm 137 */

						return BGl_evepairifyz00zz__prognz00(BgL_resz00_725, BgL_xz00_8);
					}
				}
			}
		}
	}



/* expand-eval-internal-define */
	obj_t BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00(obj_t
		BgL_xz00_10, obj_t BgL_ez00_11)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 155 */
			{
				obj_t BgL_namez00_767;
				obj_t BgL_valuez00_768;
				obj_t BgL_namez00_763;
				obj_t BgL_argsz00_764;
				obj_t BgL_bodyz00_765;

				if (PAIRP(BgL_xz00_10))
					{	/* Eval/expddefine.scm 156 */
						obj_t BgL_cdrzd2998zd2_773;

						BgL_cdrzd2998zd2_773 = CDR(BgL_xz00_10);
						if (PAIRP(BgL_cdrzd2998zd2_773))
							{	/* Eval/expddefine.scm 156 */
								obj_t BgL_carzd21002zd2_775;
								obj_t BgL_cdrzd21003zd2_776;

								BgL_carzd21002zd2_775 = CAR(BgL_cdrzd2998zd2_773);
								BgL_cdrzd21003zd2_776 = CDR(BgL_cdrzd2998zd2_773);
								if (PAIRP(BgL_carzd21002zd2_775))
									{	/* Eval/expddefine.scm 156 */
										if (NULLP(BgL_cdrzd21003zd2_776))
											{	/* Eval/expddefine.scm 156 */
												obj_t BgL_cdrzd21021zd2_780;

												BgL_cdrzd21021zd2_780 = CDR(BgL_cdrzd2998zd2_773);
												if (PAIRP(BgL_cdrzd21021zd2_780))
													{	/* Eval/expddefine.scm 156 */
														obj_t BgL_carzd21025zd2_782;

														BgL_carzd21025zd2_782 = CAR(BgL_cdrzd21021zd2_780);
														if (PAIRP(BgL_carzd21025zd2_782))
															{	/* Eval/expddefine.scm 156 */
																obj_t BgL_cdrzd21030zd2_784;

																BgL_cdrzd21030zd2_784 =
																	CDR(BgL_carzd21025zd2_782);
																if (
																	(CAR(BgL_carzd21025zd2_782) ==
																		BGl_symbol2479z00zz__expander_definez00))
																	{	/* Eval/expddefine.scm 156 */
																		if (PAIRP(BgL_cdrzd21030zd2_784))
																			{	/* Eval/expddefine.scm 156 */
																				obj_t BgL_cdrzd21034zd2_787;

																				BgL_cdrzd21034zd2_787 =
																					CDR(BgL_cdrzd21030zd2_784);
																				if (NULLP(BgL_cdrzd21034zd2_787))
																					{	/* Eval/expddefine.scm 156 */
																						obj_t BgL_cdrzd21043zd2_789;

																						BgL_cdrzd21043zd2_789 =
																							CDR(BgL_xz00_10);
																						{	/* Eval/expddefine.scm 156 */
																							obj_t BgL_cdrzd21047zd2_790;

																							BgL_cdrzd21047zd2_790 =
																								CDR(BgL_cdrzd21043zd2_789);
																							if (NULLP(CDR
																									(BgL_cdrzd21047zd2_790)))
																								{	/* Eval/expddefine.scm 156 */
																									BgL_namez00_767 =
																										CAR(BgL_cdrzd21043zd2_789);
																									BgL_valuez00_768 =
																										CAR(BgL_cdrzd21047zd2_790);
																								BgL_tagzd2983zd2_769:
																									{	/* Eval/expddefine.scm 168 */
																										obj_t BgL_resz00_886;

																										{	/* Eval/expddefine.scm 168 */
																											obj_t BgL_arg1838z00_887;
																											obj_t BgL_arg1840z00_888;

																											BgL_arg1838z00_887 =
																												BGl_symbol2482z00zz__expander_definez00;
																											{	/* Eval/expddefine.scm 168 */
																												obj_t
																													BgL_arg1841z00_889;
																												obj_t
																													BgL_arg1842z00_890;
																												BgL_arg1841z00_889 =
																													CAR
																													(BGl_parsezd2formalzd2identz00zz__expandz00
																													(BgL_namez00_767));
																												BgL_arg1842z00_890 =
																													PROCEDURE_ENTRY
																													(BgL_ez00_11)
																													(BgL_ez00_11,
																													BgL_valuez00_768,
																													BgL_ez00_11, BEOA);
																												{	/* Eval/expddefine.scm 168 */
																													obj_t
																														BgL_list1844z00_892;
																													{	/* Eval/expddefine.scm 168 */
																														obj_t
																															BgL_arg1845z00_893;
																														BgL_arg1845z00_893 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list1844z00_892
																															=
																															MAKE_PAIR
																															(BgL_arg1842z00_890,
																															BgL_arg1845z00_893);
																													}
																													BgL_arg1840z00_888 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1841z00_889,
																														BgL_list1844z00_892);
																												}
																											}
																											BgL_resz00_886 =
																												MAKE_PAIR
																												(BgL_arg1838z00_887,
																												BgL_arg1840z00_888);
																										}
																										return
																											BGl_evepairifyz00zz__prognz00
																											(BgL_resz00_886,
																											BgL_xz00_10);
																									}
																								}
																							else
																								{	/* Eval/expddefine.scm 156 */
																									return
																										BGl_errorz00zz__errorz00
																										(BGl_string2483z00zz__expander_definez00,
																										BGl_string2481z00zz__expander_definez00,
																										BgL_xz00_10);
																								}
																						}
																					}
																				else
																					{	/* Eval/expddefine.scm 156 */
																						if (NULLP(CDR
																								(BgL_cdrzd21021zd2_780)))
																							{	/* Eval/expddefine.scm 156 */
																								BgL_namez00_763 =
																									CAR(BgL_cdrzd2998zd2_773);
																								BgL_argsz00_764 =
																									CAR(BgL_cdrzd21030zd2_784);
																								BgL_bodyz00_765 =
																									BgL_cdrzd21034zd2_787;
																							BgL_tagzd2982zd2_766:
																								{	/* Eval/expddefine.scm 160 */
																									obj_t BgL_eargsz00_868;

																									BgL_eargsz00_868 =
																										BGl_loopz00zz__expander_definez00
																										(BgL_ez00_11,
																										BgL_argsz00_764);
																									{	/* Eval/expddefine.scm 160 */
																										obj_t BgL_resz00_869;

																										{	/* Eval/expddefine.scm 161 */
																											obj_t BgL_arg1814z00_870;
																											obj_t BgL_arg1815z00_871;

																											BgL_arg1814z00_870 =
																												BGl_symbol2482z00zz__expander_definez00;
																											{	/* Eval/expddefine.scm 161 */
																												obj_t
																													BgL_arg1816z00_872;
																												obj_t
																													BgL_arg1817z00_873;
																												BgL_arg1816z00_872 =
																													CAR
																													(BGl_parsezd2formalzd2identz00zz__expandz00
																													(BgL_namez00_763));
																												{	/* Eval/expddefine.scm 162 */
																													obj_t
																														BgL_arg1825z00_878;
																													obj_t
																														BgL_arg1827z00_879;
																													BgL_arg1825z00_878 =
																														BGl_symbol2479z00zz__expander_definez00;
																													{	/* Eval/expddefine.scm 164 */
																														obj_t
																															BgL_arg1829z00_880;
																														BgL_arg1829z00_880 =
																															BGl_z52withzd2lexicalz80zz__expandz00
																															(BGl_argszd2ze3listz31zz__expandz00
																															(BgL_eargsz00_868),
																															BGl_expandzd2prognzd2zz__prognz00
																															(BgL_bodyz00_765),
																															BgL_ez00_11,
																															BFALSE);
																														{	/* Eval/expddefine.scm 162 */
																															obj_t
																																BgL_list1832z00_882;
																															{	/* Eval/expddefine.scm 162 */
																																obj_t
																																	BgL_arg1833z00_883;
																																BgL_arg1833z00_883
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list1832z00_882
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1829z00_880,
																																	BgL_arg1833z00_883);
																															}
																															BgL_arg1827z00_879
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_eargsz00_868,
																																BgL_list1832z00_882);
																														}
																													}
																													BgL_arg1817z00_873 =
																														MAKE_PAIR
																														(BgL_arg1825z00_878,
																														BgL_arg1827z00_879);
																												}
																												{	/* Eval/expddefine.scm 161 */
																													obj_t
																														BgL_list1820z00_875;
																													{	/* Eval/expddefine.scm 161 */
																														obj_t
																															BgL_arg1821z00_876;
																														BgL_arg1821z00_876 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list1820z00_875
																															=
																															MAKE_PAIR
																															(BgL_arg1817z00_873,
																															BgL_arg1821z00_876);
																													}
																													BgL_arg1815z00_871 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1816z00_872,
																														BgL_list1820z00_875);
																												}
																											}
																											BgL_resz00_869 =
																												MAKE_PAIR
																												(BgL_arg1814z00_870,
																												BgL_arg1815z00_871);
																										}
																										{	/* Eval/expddefine.scm 161 */

																											return
																												BGl_evepairifyz00zz__prognz00
																												(BgL_resz00_869,
																												BgL_xz00_10);
																										}
																									}
																								}
																							}
																						else
																							{	/* Eval/expddefine.scm 156 */
																								return
																									BGl_errorz00zz__errorz00
																									(BGl_string2483z00zz__expander_definez00,
																									BGl_string2481z00zz__expander_definez00,
																									BgL_xz00_10);
																							}
																					}
																			}
																		else
																			{	/* Eval/expddefine.scm 156 */
																				obj_t BgL_cdrzd21062zd2_799;

																				BgL_cdrzd21062zd2_799 =
																					CDR(BgL_xz00_10);
																				{	/* Eval/expddefine.scm 156 */
																					obj_t BgL_cdrzd21066zd2_800;

																					BgL_cdrzd21066zd2_800 =
																						CDR(BgL_cdrzd21062zd2_799);
																					if (NULLP(CDR(BgL_cdrzd21066zd2_800)))
																						{
																							obj_t BgL_valuez00_2521;
																							obj_t BgL_namez00_2519;

																							BgL_namez00_2519 =
																								CAR(BgL_cdrzd21062zd2_799);
																							BgL_valuez00_2521 =
																								CAR(BgL_cdrzd21066zd2_800);
																							BgL_valuez00_768 =
																								BgL_valuez00_2521;
																							BgL_namez00_767 =
																								BgL_namez00_2519;
																							goto BgL_tagzd2983zd2_769;
																						}
																					else
																						{	/* Eval/expddefine.scm 156 */
																							return
																								BGl_errorz00zz__errorz00
																								(BGl_string2483z00zz__expander_definez00,
																								BGl_string2481z00zz__expander_definez00,
																								BgL_xz00_10);
																						}
																				}
																			}
																	}
																else
																	{	/* Eval/expddefine.scm 156 */
																		obj_t BgL_cdrzd21077zd2_805;

																		BgL_cdrzd21077zd2_805 = CDR(BgL_xz00_10);
																		{	/* Eval/expddefine.scm 156 */
																			obj_t BgL_cdrzd21081zd2_806;

																			BgL_cdrzd21081zd2_806 =
																				CDR(BgL_cdrzd21077zd2_805);
																			if (NULLP(CDR(BgL_cdrzd21081zd2_806)))
																				{
																					obj_t BgL_valuez00_2531;
																					obj_t BgL_namez00_2529;

																					BgL_namez00_2529 =
																						CAR(BgL_cdrzd21077zd2_805);
																					BgL_valuez00_2531 =
																						CAR(BgL_cdrzd21081zd2_806);
																					BgL_valuez00_768 = BgL_valuez00_2531;
																					BgL_namez00_767 = BgL_namez00_2529;
																					goto BgL_tagzd2983zd2_769;
																				}
																			else
																				{	/* Eval/expddefine.scm 156 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string2483z00zz__expander_definez00,
																						BGl_string2481z00zz__expander_definez00,
																						BgL_xz00_10);
																				}
																		}
																	}
															}
														else
															{	/* Eval/expddefine.scm 156 */
																obj_t BgL_cdrzd21096zd2_814;

																BgL_cdrzd21096zd2_814 =
																	CDR(BgL_cdrzd2998zd2_773);
																if (NULLP(CDR(BgL_cdrzd21096zd2_814)))
																	{
																		obj_t BgL_valuez00_2540;
																		obj_t BgL_namez00_2538;

																		BgL_namez00_2538 =
																			CAR(BgL_cdrzd2998zd2_773);
																		BgL_valuez00_2540 =
																			CAR(BgL_cdrzd21096zd2_814);
																		BgL_valuez00_768 = BgL_valuez00_2540;
																		BgL_namez00_767 = BgL_namez00_2538;
																		goto BgL_tagzd2983zd2_769;
																	}
																else
																	{	/* Eval/expddefine.scm 156 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_string2483z00zz__expander_definez00,
																			BGl_string2481z00zz__expander_definez00,
																			BgL_xz00_10);
																	}
															}
													}
												else
													{	/* Eval/expddefine.scm 156 */
														obj_t BgL_cdrzd21111zd2_820;

														BgL_cdrzd21111zd2_820 = CDR(BgL_cdrzd2998zd2_773);
														if (PAIRP(BgL_cdrzd21111zd2_820))
															{	/* Eval/expddefine.scm 156 */
																if (NULLP(CDR(BgL_cdrzd21111zd2_820)))
																	{
																		obj_t BgL_valuez00_2551;
																		obj_t BgL_namez00_2549;

																		BgL_namez00_2549 =
																			CAR(BgL_cdrzd2998zd2_773);
																		BgL_valuez00_2551 =
																			CAR(BgL_cdrzd21111zd2_820);
																		BgL_valuez00_768 = BgL_valuez00_2551;
																		BgL_namez00_767 = BgL_namez00_2549;
																		goto BgL_tagzd2983zd2_769;
																	}
																else
																	{	/* Eval/expddefine.scm 156 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_string2483z00zz__expander_definez00,
																			BGl_string2481z00zz__expander_definez00,
																			BgL_xz00_10);
																	}
															}
														else
															{	/* Eval/expddefine.scm 156 */
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string2483z00zz__expander_definez00,
																	BGl_string2481z00zz__expander_definez00,
																	BgL_xz00_10);
															}
													}
											}
										else
											{
												obj_t BgL_bodyz00_2559;
												obj_t BgL_argsz00_2557;
												obj_t BgL_namez00_2555;

												BgL_namez00_2555 = CAR(BgL_carzd21002zd2_775);
												BgL_argsz00_2557 = CDR(BgL_carzd21002zd2_775);
												BgL_bodyz00_2559 = BgL_cdrzd21003zd2_776;
												BgL_bodyz00_765 = BgL_bodyz00_2559;
												BgL_argsz00_764 = BgL_argsz00_2557;
												BgL_namez00_763 = BgL_namez00_2555;
												goto BgL_tagzd2982zd2_766;
											}
									}
								else
									{	/* Eval/expddefine.scm 156 */
										obj_t BgL_cdrzd21126zd2_829;

										BgL_cdrzd21126zd2_829 = CDR(BgL_cdrzd2998zd2_773);
										if (PAIRP(BgL_cdrzd21126zd2_829))
											{	/* Eval/expddefine.scm 156 */
												obj_t BgL_carzd21130zd2_831;

												BgL_carzd21130zd2_831 = CAR(BgL_cdrzd21126zd2_829);
												if (PAIRP(BgL_carzd21130zd2_831))
													{	/* Eval/expddefine.scm 156 */
														obj_t BgL_cdrzd21135zd2_833;

														BgL_cdrzd21135zd2_833 = CDR(BgL_carzd21130zd2_831);
														if (
															(CAR(BgL_carzd21130zd2_831) ==
																BGl_symbol2479z00zz__expander_definez00))
															{	/* Eval/expddefine.scm 156 */
																if (PAIRP(BgL_cdrzd21135zd2_833))
																	{	/* Eval/expddefine.scm 156 */
																		obj_t BgL_cdrzd21139zd2_836;

																		BgL_cdrzd21139zd2_836 =
																			CDR(BgL_cdrzd21135zd2_833);
																		if (NULLP(BgL_cdrzd21139zd2_836))
																			{	/* Eval/expddefine.scm 156 */
																				obj_t BgL_cdrzd21149zd2_838;

																				BgL_cdrzd21149zd2_838 =
																					CDR(BgL_xz00_10);
																				{	/* Eval/expddefine.scm 156 */
																					obj_t BgL_cdrzd21154zd2_839;

																					BgL_cdrzd21154zd2_839 =
																						CDR(BgL_cdrzd21149zd2_838);
																					if (NULLP(CDR(BgL_cdrzd21154zd2_839)))
																						{
																							obj_t BgL_valuez00_2582;
																							obj_t BgL_namez00_2580;

																							BgL_namez00_2580 =
																								CAR(BgL_cdrzd21149zd2_838);
																							BgL_valuez00_2582 =
																								CAR(BgL_cdrzd21154zd2_839);
																							BgL_valuez00_768 =
																								BgL_valuez00_2582;
																							BgL_namez00_767 =
																								BgL_namez00_2580;
																							goto BgL_tagzd2983zd2_769;
																						}
																					else
																						{	/* Eval/expddefine.scm 156 */
																							return
																								BGl_errorz00zz__errorz00
																								(BGl_string2483z00zz__expander_definez00,
																								BGl_string2481z00zz__expander_definez00,
																								BgL_xz00_10);
																						}
																				}
																			}
																		else
																			{	/* Eval/expddefine.scm 156 */
																				if (NULLP(CDR(BgL_cdrzd21126zd2_829)))
																					{
																						obj_t BgL_bodyz00_2592;
																						obj_t BgL_argsz00_2590;
																						obj_t BgL_namez00_2588;

																						BgL_namez00_2588 =
																							CAR(BgL_cdrzd2998zd2_773);
																						BgL_argsz00_2590 =
																							CAR(BgL_cdrzd21135zd2_833);
																						BgL_bodyz00_2592 =
																							BgL_cdrzd21139zd2_836;
																						BgL_bodyz00_765 = BgL_bodyz00_2592;
																						BgL_argsz00_764 = BgL_argsz00_2590;
																						BgL_namez00_763 = BgL_namez00_2588;
																						goto BgL_tagzd2982zd2_766;
																					}
																				else
																					{	/* Eval/expddefine.scm 156 */
																						return
																							BGl_errorz00zz__errorz00
																							(BGl_string2483z00zz__expander_definez00,
																							BGl_string2481z00zz__expander_definez00,
																							BgL_xz00_10);
																					}
																			}
																	}
																else
																	{	/* Eval/expddefine.scm 156 */
																		obj_t BgL_cdrzd21172zd2_848;

																		BgL_cdrzd21172zd2_848 = CDR(BgL_xz00_10);
																		{	/* Eval/expddefine.scm 156 */
																			obj_t BgL_cdrzd21177zd2_849;

																			BgL_cdrzd21177zd2_849 =
																				CDR(BgL_cdrzd21172zd2_848);
																			if (NULLP(CDR(BgL_cdrzd21177zd2_849)))
																				{
																					obj_t BgL_valuez00_2601;
																					obj_t BgL_namez00_2599;

																					BgL_namez00_2599 =
																						CAR(BgL_cdrzd21172zd2_848);
																					BgL_valuez00_2601 =
																						CAR(BgL_cdrzd21177zd2_849);
																					BgL_valuez00_768 = BgL_valuez00_2601;
																					BgL_namez00_767 = BgL_namez00_2599;
																					goto BgL_tagzd2983zd2_769;
																				}
																			else
																				{	/* Eval/expddefine.scm 156 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string2483z00zz__expander_definez00,
																						BGl_string2481z00zz__expander_definez00,
																						BgL_xz00_10);
																				}
																		}
																	}
															}
														else
															{	/* Eval/expddefine.scm 156 */
																obj_t BgL_cdrzd21190zd2_854;

																BgL_cdrzd21190zd2_854 = CDR(BgL_xz00_10);
																{	/* Eval/expddefine.scm 156 */
																	obj_t BgL_cdrzd21195zd2_855;

																	BgL_cdrzd21195zd2_855 =
																		CDR(BgL_cdrzd21190zd2_854);
																	if (NULLP(CDR(BgL_cdrzd21195zd2_855)))
																		{
																			obj_t BgL_valuez00_2611;
																			obj_t BgL_namez00_2609;

																			BgL_namez00_2609 =
																				CAR(BgL_cdrzd21190zd2_854);
																			BgL_valuez00_2611 =
																				CAR(BgL_cdrzd21195zd2_855);
																			BgL_valuez00_768 = BgL_valuez00_2611;
																			BgL_namez00_767 = BgL_namez00_2609;
																			goto BgL_tagzd2983zd2_769;
																		}
																	else
																		{	/* Eval/expddefine.scm 156 */
																			return
																				BGl_errorz00zz__errorz00
																				(BGl_string2483z00zz__expander_definez00,
																				BGl_string2481z00zz__expander_definez00,
																				BgL_xz00_10);
																		}
																}
															}
													}
												else
													{	/* Eval/expddefine.scm 156 */
														obj_t BgL_cdrzd21213zd2_863;

														BgL_cdrzd21213zd2_863 = CDR(BgL_cdrzd2998zd2_773);
														if (NULLP(CDR(BgL_cdrzd21213zd2_863)))
															{
																obj_t BgL_valuez00_2620;
																obj_t BgL_namez00_2618;

																BgL_namez00_2618 = CAR(BgL_cdrzd2998zd2_773);
																BgL_valuez00_2620 = CAR(BgL_cdrzd21213zd2_863);
																BgL_valuez00_768 = BgL_valuez00_2620;
																BgL_namez00_767 = BgL_namez00_2618;
																goto BgL_tagzd2983zd2_769;
															}
														else
															{	/* Eval/expddefine.scm 156 */
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string2483z00zz__expander_definez00,
																	BGl_string2481z00zz__expander_definez00,
																	BgL_xz00_10);
															}
													}
											}
										else
											{	/* Eval/expddefine.scm 156 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string2483z00zz__expander_definez00,
													BGl_string2481z00zz__expander_definez00, BgL_xz00_10);
											}
									}
							}
						else
							{	/* Eval/expddefine.scm 156 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string2483z00zz__expander_definez00,
									BGl_string2481z00zz__expander_definez00, BgL_xz00_10);
							}
					}
				else
					{	/* Eval/expddefine.scm 156 */
						return
							BGl_errorz00zz__errorz00(BGl_string2483z00zz__expander_definez00,
							BGl_string2481z00zz__expander_definez00, BgL_xz00_10);
					}
			}
		}
	}



/* lambda-defines */
	obj_t BGl_lambdazd2defineszd2zz__expander_definez00(obj_t BgL_bodyz00_12)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 177 */
			{
				obj_t BgL_oldformsz00_898;
				obj_t BgL_newformsz00_899;
				obj_t BgL_varsz00_900;
				obj_t BgL_setsz00_901;

				BgL_oldformsz00_898 = BgL_bodyz00_12;
				BgL_newformsz00_899 = BNIL;
				BgL_varsz00_900 = BNIL;
				BgL_setsz00_901 = BNIL;
			BgL_loopz00_902:
				if (PAIRP(BgL_oldformsz00_898))
					{	/* Eval/expddefine.scm 183 */
						obj_t BgL_formz00_904;

						BgL_formz00_904 = CAR(BgL_oldformsz00_898);
						{	/* Eval/expddefine.scm 184 */
							bool_t BgL_testz00_2629;

							if (PAIRP(BgL_formz00_904))
								{	/* Eval/expddefine.scm 184 */
									if (
										(CAR(BgL_formz00_904) ==
											BGl_symbol2482z00zz__expander_definez00))
										{	/* Eval/expddefine.scm 185 */
											BgL_testz00_2629 = ((bool_t) 0);
										}
									else
										{	/* Eval/expddefine.scm 185 */
											BgL_testz00_2629 = ((bool_t) 1);
										}
								}
							else
								{	/* Eval/expddefine.scm 184 */
									BgL_testz00_2629 = ((bool_t) 1);
								}
							if (BgL_testz00_2629)
								{	/* Eval/expddefine.scm 186 */
									obj_t BgL_arg1849z00_906;
									obj_t BgL_arg1850z00_907;

									BgL_arg1849z00_906 = CDR(BgL_oldformsz00_898);
									BgL_arg1850z00_907 =
										MAKE_PAIR(BgL_formz00_904, BgL_newformsz00_899);
									{
										obj_t BgL_newformsz00_2638;
										obj_t BgL_oldformsz00_2637;

										BgL_oldformsz00_2637 = BgL_arg1849z00_906;
										BgL_newformsz00_2638 = BgL_arg1850z00_907;
										BgL_newformsz00_899 = BgL_newformsz00_2638;
										BgL_oldformsz00_898 = BgL_oldformsz00_2637;
										goto BgL_loopz00_902;
									}
								}
							else
								{	/* Eval/expddefine.scm 190 */
									obj_t BgL_arg1851z00_908;
									obj_t BgL_arg1852z00_909;
									obj_t BgL_arg1853z00_910;

									BgL_arg1851z00_908 = CDR(BgL_oldformsz00_898);
									{	/* Eval/expddefine.scm 191 */
										obj_t BgL_arg1854z00_911;

										{	/* Eval/expddefine.scm 191 */
											obj_t BgL_pairz00_1887;

											BgL_pairz00_1887 = BgL_formz00_904;
											BgL_arg1854z00_911 = CAR(CDR(BgL_pairz00_1887));
										}
										BgL_arg1852z00_909 =
											MAKE_PAIR(BgL_arg1854z00_911, BgL_varsz00_900);
									}
									{	/* Eval/expddefine.scm 192 */
										obj_t BgL_arg1855z00_912;

										{	/* Eval/expddefine.scm 192 */
											obj_t BgL_arg1856z00_913;
											obj_t BgL_arg1857z00_914;

											BgL_arg1856z00_913 =
												BGl_symbol2484z00zz__expander_definez00;
											{	/* Eval/expddefine.scm 192 */
												obj_t BgL_arg1858z00_915;
												obj_t BgL_arg1860z00_916;

												{	/* Eval/expddefine.scm 192 */
													obj_t BgL_pairz00_1891;

													BgL_pairz00_1891 = BgL_formz00_904;
													BgL_arg1858z00_915 = CAR(CDR(BgL_pairz00_1891));
												}
												{	/* Eval/expddefine.scm 192 */
													obj_t BgL_pairz00_1895;

													BgL_pairz00_1895 = BgL_formz00_904;
													BgL_arg1860z00_916 = CAR(CDR(CDR(BgL_pairz00_1895)));
												}
												{	/* Eval/expddefine.scm 192 */
													obj_t BgL_list1862z00_918;

													{	/* Eval/expddefine.scm 192 */
														obj_t BgL_arg1863z00_919;

														BgL_arg1863z00_919 = MAKE_PAIR(BNIL, BNIL);
														BgL_list1862z00_918 =
															MAKE_PAIR(BgL_arg1860z00_916, BgL_arg1863z00_919);
													}
													BgL_arg1857z00_914 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1858z00_915, BgL_list1862z00_918);
												}
											}
											BgL_arg1855z00_912 =
												MAKE_PAIR(BgL_arg1856z00_913, BgL_arg1857z00_914);
										}
										BgL_arg1853z00_910 =
											MAKE_PAIR(BgL_arg1855z00_912, BgL_setsz00_901);
									}
									{
										obj_t BgL_setsz00_2655;
										obj_t BgL_varsz00_2654;
										obj_t BgL_oldformsz00_2653;

										BgL_oldformsz00_2653 = BgL_arg1851z00_908;
										BgL_varsz00_2654 = BgL_arg1852z00_909;
										BgL_setsz00_2655 = BgL_arg1853z00_910;
										BgL_setsz00_901 = BgL_setsz00_2655;
										BgL_varsz00_900 = BgL_varsz00_2654;
										BgL_oldformsz00_898 = BgL_oldformsz00_2653;
										goto BgL_loopz00_902;
									}
								}
						}
					}
				else
					{	/* Eval/expddefine.scm 182 */
						if (NULLP(BgL_varsz00_900))
							{	/* Eval/expddefine.scm 194 */
								return BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_12);
							}
						else
							{	/* Eval/expddefine.scm 195 */
								obj_t BgL_arg1869z00_925;
								obj_t BgL_arg1870z00_926;

								BgL_arg1869z00_925 = BGl_symbol2486z00zz__expander_definez00;
								{	/* Eval/expddefine.scm 195 */
									obj_t BgL_arg1871z00_927;
									obj_t BgL_arg1873z00_928;

									{	/* Eval/expddefine.scm 195 */
										obj_t BgL_head1599z00_934;

										BgL_head1599z00_934 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1597z00_935;
											obj_t BgL_tail1600z00_936;

											BgL_l1597z00_935 = BgL_varsz00_900;
											BgL_tail1600z00_936 = BgL_head1599z00_934;
										BgL_map1598z00_937:
											if (NULLP(BgL_l1597z00_935))
												{	/* Eval/expddefine.scm 195 */
													BgL_arg1871z00_927 = CDR(BgL_head1599z00_934);
												}
											else
												{	/* Eval/expddefine.scm 195 */
													obj_t BgL_newtail1601z00_939;

													{	/* Eval/expddefine.scm 195 */
														obj_t BgL_arg1881z00_941;

														{	/* Eval/expddefine.scm 195 */
															obj_t BgL_vz00_943;

															BgL_vz00_943 = CAR(BgL_l1597z00_935);
															{	/* Eval/expddefine.scm 195 */
																obj_t BgL_list1883z00_944;

																{	/* Eval/expddefine.scm 195 */
																	obj_t BgL_arg1884z00_945;

																	BgL_arg1884z00_945 = MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_list1883z00_944 =
																		MAKE_PAIR(BgL_vz00_943, BgL_arg1884z00_945);
																}
																BgL_arg1881z00_941 = BgL_list1883z00_944;
															}
														}
														BgL_newtail1601z00_939 =
															MAKE_PAIR(BgL_arg1881z00_941, BNIL);
													}
													SET_CDR(BgL_tail1600z00_936, BgL_newtail1601z00_939);
													{
														obj_t BgL_tail1600z00_2670;
														obj_t BgL_l1597z00_2668;

														BgL_l1597z00_2668 = CDR(BgL_l1597z00_935);
														BgL_tail1600z00_2670 = BgL_newtail1601z00_939;
														BgL_tail1600z00_936 = BgL_tail1600z00_2670;
														BgL_l1597z00_935 = BgL_l1597z00_2668;
														goto BgL_map1598z00_937;
													}
												}
										}
									}
									BgL_arg1873z00_928 =
										BGl_expandzd2prognzd2zz__prognz00(bgl_append2(bgl_reverse
											(BgL_setsz00_901), bgl_reverse(BgL_newformsz00_899)));
									{	/* Eval/expddefine.scm 195 */
										obj_t BgL_list1875z00_930;

										{	/* Eval/expddefine.scm 195 */
											obj_t BgL_arg1876z00_931;

											BgL_arg1876z00_931 = MAKE_PAIR(BNIL, BNIL);
											BgL_list1875z00_930 =
												MAKE_PAIR(BgL_arg1873z00_928, BgL_arg1876z00_931);
										}
										BgL_arg1870z00_926 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1871z00_927, BgL_list1875z00_930);
									}
								}
								return MAKE_PAIR(BgL_arg1869z00_925, BgL_arg1870z00_926);
							}
					}
			}
		}
	}



/* expand-eval-define-inline */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t
		BgL_xz00_13, obj_t BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 202 */
			{
				obj_t BgL_funz00_949;
				obj_t BgL_formalsz00_950;
				obj_t BgL_bodyz00_951;

				if (PAIRP(BgL_xz00_13))
					{	/* Eval/expddefine.scm 203 */
						obj_t BgL_cdrzd21249zd2_956;

						BgL_cdrzd21249zd2_956 = CDR(BgL_xz00_13);
						if (PAIRP(BgL_cdrzd21249zd2_956))
							{	/* Eval/expddefine.scm 203 */
								obj_t BgL_carzd21253zd2_958;
								obj_t BgL_cdrzd21254zd2_959;

								BgL_carzd21253zd2_958 = CAR(BgL_cdrzd21249zd2_956);
								BgL_cdrzd21254zd2_959 = CDR(BgL_cdrzd21249zd2_956);
								if (PAIRP(BgL_carzd21253zd2_958))
									{	/* Eval/expddefine.scm 203 */
										if (NULLP(BgL_cdrzd21254zd2_959))
											{	/* Eval/expddefine.scm 203 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string2488z00zz__expander_definez00,
													BGl_string2481z00zz__expander_definez00, BgL_xz00_13);
											}
										else
											{	/* Eval/expddefine.scm 203 */
												BgL_funz00_949 = CAR(BgL_carzd21253zd2_958);
												BgL_formalsz00_950 = CDR(BgL_carzd21253zd2_958);
												BgL_bodyz00_951 = BgL_cdrzd21254zd2_959;
												{	/* Eval/expddefine.scm 205 */
													obj_t BgL_resz00_964;

													{	/* Eval/expddefine.scm 205 */
														obj_t BgL_arg1894z00_965;
														obj_t BgL_arg1895z00_966;

														BgL_arg1894z00_965 =
															BGl_symbol2482z00zz__expander_definez00;
														{	/* Eval/expddefine.scm 205 */
															obj_t BgL_arg1896z00_967;
															obj_t BgL_arg1897z00_968;

															BgL_arg1896z00_967 =
																CAR(BGl_parsezd2formalzd2identz00zz__expandz00
																(BgL_funz00_949));
															{	/* Eval/expddefine.scm 206 */
																obj_t BgL_arg1902z00_973;

																{	/* Eval/expddefine.scm 206 */
																	obj_t BgL_arg1903z00_974;
																	obj_t BgL_arg1904z00_975;

																	BgL_arg1903z00_974 =
																		BGl_symbol2479z00zz__expander_definez00;
																	{	/* Eval/expddefine.scm 206 */
																		obj_t BgL_arg1905z00_976;
																		obj_t BgL_arg1906z00_977;

																		BgL_arg1905z00_976 =
																			BGl_loopz00zz__expander_definez00
																			(BgL_ez00_14, BgL_formalsz00_950);
																		BgL_arg1906z00_977 =
																			BGl_expandzd2prognzd2zz__prognz00
																			(BgL_bodyz00_951);
																		{	/* Eval/expddefine.scm 206 */
																			obj_t BgL_list1909z00_979;

																			{	/* Eval/expddefine.scm 206 */
																				obj_t BgL_arg1912z00_980;

																				BgL_arg1912z00_980 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list1909z00_979 =
																					MAKE_PAIR(BgL_arg1906z00_977,
																					BgL_arg1912z00_980);
																			}
																			BgL_arg1904z00_975 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg1905z00_976,
																				BgL_list1909z00_979);
																		}
																	}
																	BgL_arg1902z00_973 =
																		MAKE_PAIR(BgL_arg1903z00_974,
																		BgL_arg1904z00_975);
																}
																BgL_arg1897z00_968 =
																	PROCEDURE_ENTRY(BgL_ez00_14) (BgL_ez00_14,
																	BgL_arg1902z00_973, BgL_ez00_14, BEOA);
															}
															{	/* Eval/expddefine.scm 205 */
																obj_t BgL_list1899z00_970;

																{	/* Eval/expddefine.scm 205 */
																	obj_t BgL_arg1900z00_971;

																	BgL_arg1900z00_971 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list1899z00_970 =
																		MAKE_PAIR(BgL_arg1897z00_968,
																		BgL_arg1900z00_971);
																}
																BgL_arg1895z00_966 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1896z00_967, BgL_list1899z00_970);
															}
														}
														BgL_resz00_964 =
															MAKE_PAIR(BgL_arg1894z00_965, BgL_arg1895z00_966);
													}
													{	/* Eval/expddefine.scm 205 */

														return
															BGl_evepairifyz00zz__prognz00(BgL_resz00_964,
															BgL_xz00_13);
													}
												}
											}
									}
								else
									{	/* Eval/expddefine.scm 203 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string2488z00zz__expander_definez00,
											BGl_string2481z00zz__expander_definez00, BgL_xz00_13);
									}
							}
						else
							{	/* Eval/expddefine.scm 203 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string2488z00zz__expander_definez00,
									BGl_string2481z00zz__expander_definez00, BgL_xz00_13);
							}
					}
				else
					{	/* Eval/expddefine.scm 203 */
						return
							BGl_errorz00zz__errorz00(BGl_string2488z00zz__expander_definez00,
							BGl_string2481z00zz__expander_definez00, BgL_xz00_13);
					}
			}
		}
	}



/* _expand-eval-define-inline */
	obj_t BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t
		BgL_envz00_2209, obj_t BgL_xz00_2210, obj_t BgL_ez00_2211)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 202 */
			return
				BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00
				(BgL_xz00_2210, BgL_ez00_2211);
		}
	}



/* map+ */
	obj_t BGl_mapzb2zb2zz__expander_definez00(obj_t BgL_fz00_15,
		obj_t BgL_lstz00_16)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 215 */
			if (NULLP(BgL_lstz00_16))
				{	/* Eval/expddefine.scm 217 */
					return BNIL;
				}
			else
				{	/* Eval/expddefine.scm 217 */
					if (PAIRP(BgL_lstz00_16))
						{	/* Eval/expddefine.scm 222 */
							obj_t BgL_arg1915z00_983;
							obj_t BgL_arg1916z00_984;

							{	/* Eval/expddefine.scm 222 */
								obj_t BgL_arg1917z00_985;

								BgL_arg1917z00_985 = CAR(BgL_lstz00_16);
								BgL_arg1915z00_983 =
									PROCEDURE_ENTRY(BgL_fz00_15) (BgL_fz00_15, BgL_arg1917z00_985,
									BEOA);
							}
							BgL_arg1916z00_984 =
								BGl_mapzb2zb2zz__expander_definez00(BgL_fz00_15,
								CDR(BgL_lstz00_16));
							return MAKE_PAIR(BgL_arg1915z00_983, BgL_arg1916z00_984);
						}
					else
						{	/* Eval/expddefine.scm 219 */
							return
								PROCEDURE_ENTRY(BgL_fz00_15) (BgL_fz00_15, BgL_lstz00_16, BEOA);
						}
				}
		}
	}



/* expand-eval-define-generic */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2definezd2genericzd2zz__expander_definez00(obj_t
		BgL_xz00_17, obj_t BgL_ez00_18)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 227 */
			{
				obj_t BgL_funz00_987;
				obj_t BgL_f0z00_988;
				obj_t BgL_formalsz00_989;
				obj_t BgL_bodyz00_990;

				if (PAIRP(BgL_xz00_17))
					{	/* Eval/expddefine.scm 228 */
						obj_t BgL_cdrzd21275zd2_995;

						BgL_cdrzd21275zd2_995 = CDR(BgL_xz00_17);
						if (PAIRP(BgL_cdrzd21275zd2_995))
							{	/* Eval/expddefine.scm 228 */
								obj_t BgL_carzd21280zd2_997;

								BgL_carzd21280zd2_997 = CAR(BgL_cdrzd21275zd2_995);
								if (PAIRP(BgL_carzd21280zd2_997))
									{	/* Eval/expddefine.scm 228 */
										obj_t BgL_cdrzd21286zd2_999;

										BgL_cdrzd21286zd2_999 = CDR(BgL_carzd21280zd2_997);
										if (PAIRP(BgL_cdrzd21286zd2_999))
											{	/* Eval/expddefine.scm 228 */
												BgL_funz00_987 = CAR(BgL_carzd21280zd2_997);
												BgL_f0z00_988 = CAR(BgL_cdrzd21286zd2_999);
												BgL_formalsz00_989 = CDR(BgL_cdrzd21286zd2_999);
												BgL_bodyz00_990 = CDR(BgL_cdrzd21275zd2_995);
												{	/* Eval/expddefine.scm 230 */
													obj_t BgL_pfz00_1005;

													BgL_pfz00_1005 =
														BGl_parsezd2formalzd2identz00zz__expandz00
														(BgL_funz00_987);
													{	/* Eval/expddefine.scm 230 */
														obj_t BgL_idz00_1006;

														BgL_idz00_1006 = CAR(BgL_pfz00_1005);
														{	/* Eval/expddefine.scm 231 */
															obj_t BgL_paz00_1007;

															{	/* Eval/expddefine.scm 232 */
																obj_t BgL_arg2084z00_1168;

																BgL_arg2084z00_1168 =
																	MAKE_PAIR(BgL_f0z00_988, BgL_formalsz00_989);
																BgL_paz00_1007 =
																	BGl_mapzb2zb2zz__expander_definez00
																	(BGl_parsezd2formalzd2identzd2envzd2zz__expandz00,
																	BgL_arg2084z00_1168);
															}
															{	/* Eval/expddefine.scm 232 */
																obj_t BgL_defz00_1008;

																{	/* Eval/expddefine.scm 233 */

																	{	/* Eval/expddefine.scm 233 */

																		BgL_defz00_1008 =
																			BGl_gensymz00zz__r4_symbols_6_4z00
																			(BFALSE);
																	}
																}
																{	/* Eval/expddefine.scm 233 */
																	obj_t BgL_epaz00_1009;

																	BgL_epaz00_1009 =
																		BGl_loopz00zz__expander_definez00
																		(BgL_ez00_18, BgL_paz00_1007);
																	{	/* Eval/expddefine.scm 234 */
																		bool_t BgL_vaz00_1010;

																		{	/* Eval/expddefine.scm 235 */
																			bool_t BgL_testz00_2741;

																			if (NULLP(BgL_formalsz00_989))
																				{	/* Eval/expddefine.scm 235 */
																					BgL_testz00_2741 = ((bool_t) 0);
																				}
																			else
																				{	/* Eval/expddefine.scm 235 */
																					BgL_testz00_2741 = ((bool_t) 1);
																				}
																			if (BgL_testz00_2741)
																				{	/* Eval/expddefine.scm 236 */
																					bool_t BgL__ortest_1575z00_1161;

																					if (PAIRP(BgL_formalsz00_989))
																						{	/* Eval/expddefine.scm 236 */
																							BgL__ortest_1575z00_1161 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Eval/expddefine.scm 236 */
																							BgL__ortest_1575z00_1161 =
																								((bool_t) 1);
																						}
																					if (BgL__ortest_1575z00_1161)
																						{	/* Eval/expddefine.scm 236 */
																							BgL_vaz00_1010 =
																								BgL__ortest_1575z00_1161;
																						}
																					else
																						{	/* Eval/expddefine.scm 236 */
																							if (NULLP(CDR
																									(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_formalsz00_989))))
																								{	/* Eval/expddefine.scm 237 */
																									BgL_vaz00_1010 = ((bool_t) 0);
																								}
																							else
																								{	/* Eval/expddefine.scm 237 */
																									BgL_vaz00_1010 = ((bool_t) 1);
																								}
																						}
																				}
																			else
																				{	/* Eval/expddefine.scm 235 */
																					BgL_vaz00_1010 = ((bool_t) 0);
																				}
																		}
																		{	/* Eval/expddefine.scm 235 */
																			obj_t BgL_defzd2bodyzd2_1011;

																			{	/* Eval/expddefine.scm 238 */
																				obj_t BgL_arg2069z00_1148;
																				obj_t BgL_arg2070z00_1149;

																				{	/* Eval/expddefine.scm 238 */
																					obj_t BgL_arg2071z00_1150;
																					obj_t BgL_arg2072z00_1151;

																					BgL_arg2071z00_1150 =
																						BGl_symbol2489z00zz__expander_definez00;
																					{	/* Eval/expddefine.scm 238 */
																						obj_t BgL_list2073z00_1152;

																						BgL_list2073z00_1152 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2072z00_1151 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_idz00_1006,
																							BgL_list2073z00_1152);
																					}
																					BgL_arg2069z00_1148 =
																						MAKE_PAIR(BgL_arg2071z00_1150,
																						BgL_arg2072z00_1151);
																				}
																				BgL_arg2070z00_1149 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BGl_mapzb2zb2zz__expander_definez00
																					(make_fx_procedure
																						(BGl_zc3anonymousza32077ze3z83zz__expander_definez00,
																							(int) (((long) 1)),
																							(int) (((long) 0))),
																						BgL_epaz00_1009), BNIL);
																				BgL_defzd2bodyzd2_1011 =
																					MAKE_PAIR(BgL_arg2069z00_1148,
																					BgL_arg2070z00_1149);
																			}
																			{	/* Eval/expddefine.scm 238 */
																				obj_t BgL_metzd2bodyzd2_1012;

																				BgL_metzd2bodyzd2_1012 =
																					MAKE_PAIR
																					(BGl_symbol2491z00zz__expander_definez00,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BGl_mapzb2zb2zz__expander_definez00
																						(make_fx_procedure
																							(BGl_zc3anonymousza32067ze3z83zz__expander_definez00,
																								(int) (((long) 1)),
																								(int) (((long) 0))),
																							BgL_epaz00_1009), BNIL));
																				{	/* Eval/expddefine.scm 242 */

																					{	/* Eval/expddefine.scm 245 */
																						obj_t BgL_arg1928z00_1013;

																						{	/* Eval/expddefine.scm 245 */
																							obj_t BgL_arg1929z00_1014;
																							obj_t BgL_arg1930z00_1015;

																							BgL_arg1929z00_1014 =
																								BGl_symbol2476z00zz__expander_definez00;
																							{	/* Eval/expddefine.scm 246 */
																								obj_t BgL_arg1931z00_1016;
																								obj_t BgL_arg1932z00_1017;

																								{	/* Eval/expddefine.scm 246 */
																									obj_t BgL_arg1939z00_1021;
																									obj_t BgL_arg1940z00_1022;

																									BgL_arg1939z00_1021 =
																										BGl_symbol2482z00zz__expander_definez00;
																									{	/* Eval/expddefine.scm 247 */
																										obj_t BgL_arg1941z00_1023;

																										{	/* Eval/expddefine.scm 247 */
																											obj_t BgL_arg1946z00_1027;
																											obj_t BgL_arg1947z00_1028;

																											BgL_arg1946z00_1027 =
																												BGl_symbol2493z00zz__expander_definez00;
																											{	/* Eval/expddefine.scm 248 */
																												obj_t
																													BgL_arg1949z00_1029;
																												{	/* Eval/expddefine.scm 248 */
																													obj_t
																														BgL_arg1952z00_1032;
																													obj_t
																														BgL_arg1953z00_1033;
																													BgL_arg1952z00_1032 =
																														BGl_symbol2479z00zz__expander_definez00;
																													{	/* Eval/expddefine.scm 248 */
																														obj_t
																															BgL_arg1954z00_1034;
																														obj_t
																															BgL_arg1955z00_1035;
																														BgL_arg1954z00_1034
																															=
																															MAKE_PAIR
																															(BgL_f0z00_988,
																															BgL_formalsz00_989);
																														{	/* Eval/expddefine.scm 249 */
																															obj_t
																																BgL_arg1959z00_1039;
																															obj_t
																																BgL_arg1960z00_1040;
																															BgL_arg1959z00_1039
																																=
																																BGl_symbol2486z00zz__expander_definez00;
																															{	/* Eval/expddefine.scm 249 */
																																obj_t
																																	BgL_arg1961z00_1041;
																																obj_t
																																	BgL_arg1963z00_1042;
																																{	/* Eval/expddefine.scm 249 */
																																	obj_t
																																		BgL_arg1967z00_1046;
																																	{	/* Eval/expddefine.scm 249 */
																																		obj_t
																																			BgL_arg1969z00_1048;
																																		{	/* Eval/expddefine.scm 249 */
																																			obj_t
																																				BgL_arg1970z00_1049;
																																			{	/* Eval/expddefine.scm 249 */
																																				obj_t
																																					BgL_arg1973z00_1052;
																																				obj_t
																																					BgL_arg1974z00_1053;
																																				BgL_arg1973z00_1052
																																					=
																																					BGl_symbol2479z00zz__expander_definez00;
																																				{	/* Eval/expddefine.scm 249 */
																																					obj_t
																																						BgL_arg1977z00_1055;
																																					if (BgL_vaz00_1010)
																																						{	/* Eval/expddefine.scm 250 */
																																							BgL_arg1977z00_1055
																																								=
																																								MAKE_PAIR
																																								(BGl_symbol2495z00zz__expander_definez00,
																																								BgL_defzd2bodyzd2_1011);
																																						}
																																					else
																																						{	/* Eval/expddefine.scm 250 */
																																							BgL_arg1977z00_1055
																																								=
																																								BgL_defzd2bodyzd2_1011;
																																						}
																																					{	/* Eval/expddefine.scm 249 */
																																						obj_t
																																							BgL_list1979z00_1057;
																																						{	/* Eval/expddefine.scm 249 */
																																							obj_t
																																								BgL_arg1980z00_1058;
																																							BgL_arg1980z00_1058
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_list1979z00_1057
																																								=
																																								MAKE_PAIR
																																								(BgL_arg1977z00_1055,
																																								BgL_arg1980z00_1058);
																																						}
																																						BgL_arg1974z00_1053
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BNIL,
																																							BgL_list1979z00_1057);
																																					}
																																				}
																																				BgL_arg1970z00_1049
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1973z00_1052,
																																					BgL_arg1974z00_1053);
																																			}
																																			{	/* Eval/expddefine.scm 249 */
																																				obj_t
																																					BgL_list1972z00_1051;
																																				BgL_list1972z00_1051
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg1969z00_1048
																																					=
																																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_arg1970z00_1049,
																																					BgL_list1972z00_1051);
																																			}
																																		}
																																		BgL_arg1967z00_1046
																																			=
																																			MAKE_PAIR
																																			(BgL_defz00_1008,
																																			BgL_arg1969z00_1048);
																																	}
																																	BgL_arg1961z00_1041
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1967z00_1046,
																																		BNIL);
																																}
																																{	/* Eval/expddefine.scm 253 */
																																	obj_t
																																		BgL_arg1981z00_1059;
																																	obj_t
																																		BgL_arg1982z00_1060;
																																	BgL_arg1981z00_1059
																																		=
																																		BGl_symbol2486z00zz__expander_definez00;
																																	{	/* Eval/expddefine.scm 253 */
																																		obj_t
																																			BgL_arg1983z00_1061;
																																		obj_t
																																			BgL_arg1984z00_1062;
																																		{	/* Eval/expddefine.scm 253 */
																																			obj_t
																																				BgL_arg1988z00_1066;
																																			{	/* Eval/expddefine.scm 253 */
																																				obj_t
																																					BgL_arg1990z00_1068;
																																				obj_t
																																					BgL_arg1991z00_1069;
																																				BgL_arg1990z00_1068
																																					=
																																					BGl_symbol2491z00zz__expander_definez00;
																																				{	/* Eval/expddefine.scm 253 */
																																					obj_t
																																						BgL_arg1992z00_1070;
																																					{	/* Eval/expddefine.scm 253 */
																																						obj_t
																																							BgL_arg1995z00_1073;
																																						obj_t
																																							BgL_arg1996z00_1074;
																																						BgL_arg1995z00_1073
																																							=
																																							BGl_symbol2497z00zz__expander_definez00;
																																						{	/* Eval/expddefine.scm 253 */
																																							obj_t
																																								BgL_arg1997z00_1075;
																																							obj_t
																																								BgL_arg1998z00_1076;
																																							{	/* Eval/expddefine.scm 253 */
																																								obj_t
																																									BgL_arg2002z00_1080;
																																								obj_t
																																									BgL_arg2003z00_1081;
																																								BgL_arg2002z00_1080
																																									=
																																									BGl_symbol2499z00zz__expander_definez00;
																																								{	/* Eval/expddefine.scm 253 */
																																									obj_t
																																										BgL_arg2004z00_1082;
																																									{	/* Eval/expddefine.scm 253 */
																																										obj_t
																																											BgL_pairz00_1951;
																																										BgL_pairz00_1951
																																											=
																																											BgL_paz00_1007;
																																										BgL_arg2004z00_1082
																																											=
																																											CAR
																																											(CAR
																																											(BgL_pairz00_1951));
																																									}
																																									{	/* Eval/expddefine.scm 253 */
																																										obj_t
																																											BgL_list2006z00_1084;
																																										BgL_list2006z00_1084
																																											=
																																											MAKE_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_arg2003z00_1081
																																											=
																																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																											(BgL_arg2004z00_1082,
																																											BgL_list2006z00_1084);
																																									}
																																								}
																																								BgL_arg1997z00_1075
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2002z00_1080,
																																									BgL_arg2003z00_1081);
																																							}
																																							{	/* Eval/expddefine.scm 254 */
																																								obj_t
																																									BgL_arg2007z00_1085;
																																								obj_t
																																									BgL_arg2008z00_1086;
																																								BgL_arg2007z00_1085
																																									=
																																									BGl_symbol2501z00zz__expander_definez00;
																																								{	/* Eval/expddefine.scm 254 */
																																									obj_t
																																										BgL_arg2009z00_1087;
																																									{	/* Eval/expddefine.scm 254 */
																																										obj_t
																																											BgL_pairz00_1955;
																																										BgL_pairz00_1955
																																											=
																																											BgL_paz00_1007;
																																										BgL_arg2009z00_1087
																																											=
																																											CAR
																																											(CAR
																																											(BgL_pairz00_1955));
																																									}
																																									{	/* Eval/expddefine.scm 254 */
																																										obj_t
																																											BgL_list2011z00_1089;
																																										{	/* Eval/expddefine.scm 254 */
																																											obj_t
																																												BgL_arg2012z00_1090;
																																											BgL_arg2012z00_1090
																																												=
																																												MAKE_PAIR
																																												(BNIL,
																																												BNIL);
																																											BgL_list2011z00_1089
																																												=
																																												MAKE_PAIR
																																												(BgL_idz00_1006,
																																												BgL_arg2012z00_1090);
																																										}
																																										BgL_arg2008z00_1086
																																											=
																																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																											(BgL_arg2009z00_1087,
																																											BgL_list2011z00_1089);
																																									}
																																								}
																																								BgL_arg1998z00_1076
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2007z00_1085,
																																									BgL_arg2008z00_1086);
																																							}
																																							{	/* Eval/expddefine.scm 253 */
																																								obj_t
																																									BgL_list2000z00_1078;
																																								{	/* Eval/expddefine.scm 253 */
																																									obj_t
																																										BgL_arg2001z00_1079;
																																									BgL_arg2001z00_1079
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_list2000z00_1078
																																										=
																																										MAKE_PAIR
																																										(BgL_arg1998z00_1076,
																																										BgL_arg2001z00_1079);
																																								}
																																								BgL_arg1996z00_1074
																																									=
																																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																									(BgL_arg1997z00_1075,
																																									BgL_list2000z00_1078);
																																							}
																																						}
																																						BgL_arg1992z00_1070
																																							=
																																							MAKE_PAIR
																																							(BgL_arg1995z00_1073,
																																							BgL_arg1996z00_1074);
																																					}
																																					{	/* Eval/expddefine.scm 253 */
																																						obj_t
																																							BgL_list1994z00_1072;
																																						BgL_list1994z00_1072
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_arg1991z00_1069
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_arg1992z00_1070,
																																							BgL_list1994z00_1072);
																																					}
																																				}
																																				BgL_arg1988z00_1066
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1990z00_1068,
																																					BgL_arg1991z00_1069);
																																			}
																																			BgL_arg1983z00_1061
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1988z00_1066,
																																				BNIL);
																																		}
																																		{	/* Eval/expddefine.scm 255 */
																																			obj_t
																																				BgL_arg2013z00_1091;
																																			obj_t
																																				BgL_arg2014z00_1092;
																																			BgL_arg2013z00_1091
																																				=
																																				BGl_symbol2503z00zz__expander_definez00;
																																			{	/* Eval/expddefine.scm 255 */
																																				obj_t
																																					BgL_arg2015z00_1093;
																																				obj_t
																																					BgL_arg2016z00_1094;
																																				obj_t
																																					BgL_arg2017z00_1095;
																																				{	/* Eval/expddefine.scm 255 */
																																					obj_t
																																						BgL_arg2022z00_1100;
																																					obj_t
																																						BgL_arg2023z00_1101;
																																					BgL_arg2022z00_1100
																																						=
																																						BGl_symbol2505z00zz__expander_definez00;
																																					{	/* Eval/expddefine.scm 255 */
																																						obj_t
																																							BgL_list2024z00_1102;
																																						BgL_list2024z00_1102
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_arg2023z00_1101
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BGl_symbol2491z00zz__expander_definez00,
																																							BgL_list2024z00_1102);
																																					}
																																					BgL_arg2015z00_1093
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2022z00_1100,
																																						BgL_arg2023z00_1101);
																																				}
																																				if (BgL_vaz00_1010)
																																					{	/* Eval/expddefine.scm 256 */
																																						BgL_arg2016z00_1094
																																							=
																																							MAKE_PAIR
																																							(BGl_symbol2495z00zz__expander_definez00,
																																							BgL_metzd2bodyzd2_1012);
																																					}
																																				else
																																					{	/* Eval/expddefine.scm 256 */
																																						BgL_arg2016z00_1094
																																							=
																																							BgL_metzd2bodyzd2_1012;
																																					}
																																				BgL_arg2017z00_1095
																																					=
																																					MAKE_PAIR
																																					(BgL_defz00_1008,
																																					BNIL);
																																				{	/* Eval/expddefine.scm 255 */
																																					obj_t
																																						BgL_list2019z00_1097;
																																					{	/* Eval/expddefine.scm 255 */
																																						obj_t
																																							BgL_arg2020z00_1098;
																																						{	/* Eval/expddefine.scm 255 */
																																							obj_t
																																								BgL_arg2021z00_1099;
																																							BgL_arg2021z00_1099
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_arg2020z00_1098
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2017z00_1095,
																																								BgL_arg2021z00_1099);
																																						}
																																						BgL_list2019z00_1097
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2016z00_1094,
																																							BgL_arg2020z00_1098);
																																					}
																																					BgL_arg2014z00_1092
																																						=
																																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																						(BgL_arg2015z00_1093,
																																						BgL_list2019z00_1097);
																																				}
																																			}
																																			BgL_arg1984z00_1062
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2013z00_1091,
																																				BgL_arg2014z00_1092);
																																		}
																																		{	/* Eval/expddefine.scm 253 */
																																			obj_t
																																				BgL_list1986z00_1064;
																																			{	/* Eval/expddefine.scm 253 */
																																				obj_t
																																					BgL_arg1987z00_1065;
																																				BgL_arg1987z00_1065
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_list1986z00_1064
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1984z00_1062,
																																					BgL_arg1987z00_1065);
																																			}
																																			BgL_arg1982z00_1060
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg1983z00_1061,
																																				BgL_list1986z00_1064);
																																		}
																																	}
																																	BgL_arg1963z00_1042
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1981z00_1059,
																																		BgL_arg1982z00_1060);
																																}
																																{	/* Eval/expddefine.scm 249 */
																																	obj_t
																																		BgL_list1965z00_1044;
																																	{	/* Eval/expddefine.scm 249 */
																																		obj_t
																																			BgL_arg1966z00_1045;
																																		BgL_arg1966z00_1045
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list1965z00_1044
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1963z00_1042,
																																			BgL_arg1966z00_1045);
																																	}
																																	BgL_arg1960z00_1040
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg1961z00_1041,
																																		BgL_list1965z00_1044);
																																}
																															}
																															BgL_arg1955z00_1035
																																=
																																MAKE_PAIR
																																(BgL_arg1959z00_1039,
																																BgL_arg1960z00_1040);
																														}
																														{	/* Eval/expddefine.scm 248 */
																															obj_t
																																BgL_list1957z00_1037;
																															{	/* Eval/expddefine.scm 248 */
																																obj_t
																																	BgL_arg1958z00_1038;
																																BgL_arg1958z00_1038
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list1957z00_1037
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1955z00_1035,
																																	BgL_arg1958z00_1038);
																															}
																															BgL_arg1953z00_1033
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg1954z00_1034,
																																BgL_list1957z00_1037);
																														}
																													}
																													BgL_arg1949z00_1029 =
																														MAKE_PAIR
																														(BgL_arg1952z00_1032,
																														BgL_arg1953z00_1033);
																												}
																												{	/* Eval/expddefine.scm 247 */
																													obj_t
																														BgL_list1951z00_1031;
																													BgL_list1951z00_1031 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1947z00_1028 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1949z00_1029,
																														BgL_list1951z00_1031);
																												}
																											}
																											BgL_arg1941z00_1023 =
																												MAKE_PAIR
																												(BgL_arg1946z00_1027,
																												BgL_arg1947z00_1028);
																										}
																										{	/* Eval/expddefine.scm 246 */
																											obj_t
																												BgL_list1943z00_1025;
																											{	/* Eval/expddefine.scm 246 */
																												obj_t
																													BgL_arg1944z00_1026;
																												BgL_arg1944z00_1026 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list1943z00_1025 =
																													MAKE_PAIR
																													(BgL_arg1941z00_1023,
																													BgL_arg1944z00_1026);
																											}
																											BgL_arg1940z00_1022 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_funz00_987,
																												BgL_list1943z00_1025);
																										}
																									}
																									BgL_arg1931z00_1016 =
																										MAKE_PAIR
																										(BgL_arg1939z00_1021,
																										BgL_arg1940z00_1022);
																								}
																								{	/* Eval/expddefine.scm 258 */
																									obj_t BgL_arg2025z00_1103;
																									obj_t BgL_arg2026z00_1104;

																									BgL_arg2025z00_1103 =
																										BGl_symbol2507z00zz__expander_definez00;
																									{	/* Eval/expddefine.scm 259 */
																										obj_t BgL_arg2027z00_1105;

																										{	/* Eval/expddefine.scm 259 */
																											obj_t BgL_arg2031z00_1109;
																											obj_t BgL_arg2032z00_1110;

																											BgL_arg2031z00_1109 =
																												BGl_symbol2479z00zz__expander_definez00;
																											{	/* Eval/expddefine.scm 259 */
																												obj_t
																													BgL_arg2033z00_1111;
																												obj_t
																													BgL_arg2034z00_1112;
																												BgL_arg2033z00_1111 =
																													MAKE_PAIR
																													(BgL_f0z00_988,
																													BgL_formalsz00_989);
																												if (PAIRP
																													(BgL_bodyz00_990))
																													{	/* Eval/expddefine.scm 260 */
																														BgL_arg2034z00_1112
																															=
																															MAKE_PAIR
																															(BGl_symbol2476z00zz__expander_definez00,
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_bodyz00_990,
																																BNIL));
																													}
																												else
																													{	/* Eval/expddefine.scm 262 */
																														obj_t
																															BgL_arg2042z00_1119;
																														obj_t
																															BgL_arg2043z00_1120;
																														BgL_arg2042z00_1119
																															=
																															BGl_symbol2509z00zz__expander_definez00;
																														{	/* Eval/expddefine.scm 262 */
																															obj_t
																																BgL_arg2044z00_1121;
																															obj_t
																																BgL_arg2046z00_1123;
																															{	/* Eval/expddefine.scm 262 */
																																obj_t
																																	BgL_arg2051z00_1128;
																																obj_t
																																	BgL_arg2052z00_1129;
																																BgL_arg2051z00_1128
																																	=
																																	BGl_symbol2511z00zz__expander_definez00;
																																{	/* Eval/expddefine.scm 262 */
																																	obj_t
																																		BgL_arg2053z00_1130;
																																	BgL_arg2053z00_1130
																																		=
																																		CAR
																																		(BgL_pfz00_1005);
																																	{	/* Eval/expddefine.scm 262 */
																																		obj_t
																																			BgL_list2055z00_1132;
																																		BgL_list2055z00_1132
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2052z00_1129
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2053z00_1130,
																																			BgL_list2055z00_1132);
																																	}
																																}
																																BgL_arg2044z00_1121
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2051z00_1128,
																																	BgL_arg2052z00_1129);
																															}
																															{	/* Eval/expddefine.scm 264 */
																																obj_t
																																	BgL_arg2056z00_1133;
																																obj_t
																																	BgL_arg2057z00_1134;
																																BgL_arg2056z00_1133
																																	=
																																	BGl_symbol2511z00zz__expander_definez00;
																																{	/* Eval/expddefine.scm 264 */
																																	obj_t
																																		BgL_arg2058z00_1135;
																																	BgL_arg2058z00_1135
																																		=
																																		CAR(CAR
																																		(BgL_paz00_1007));
																																	{	/* Eval/expddefine.scm 264 */
																																		obj_t
																																			BgL_list2060z00_1137;
																																		BgL_list2060z00_1137
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2057z00_1134
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2058z00_1135,
																																			BgL_list2060z00_1137);
																																	}
																																}
																																BgL_arg2046z00_1123
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2056z00_1133,
																																	BgL_arg2057z00_1134);
																															}
																															{	/* Eval/expddefine.scm 262 */
																																obj_t
																																	BgL_list2048z00_1125;
																																{	/* Eval/expddefine.scm 262 */
																																	obj_t
																																		BgL_arg2049z00_1126;
																																	{	/* Eval/expddefine.scm 262 */
																																		obj_t
																																			BgL_arg2050z00_1127;
																																		BgL_arg2050z00_1127
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2049z00_1126
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2046z00_1123,
																																			BgL_arg2050z00_1127);
																																	}
																																	BgL_list2048z00_1125
																																		=
																																		MAKE_PAIR
																																		(BGl_string2513z00zz__expander_definez00,
																																		BgL_arg2049z00_1126);
																																}
																																BgL_arg2043z00_1120
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2044z00_1121,
																																	BgL_list2048z00_1125);
																															}
																														}
																														BgL_arg2034z00_1112
																															=
																															MAKE_PAIR
																															(BgL_arg2042z00_1119,
																															BgL_arg2043z00_1120);
																													}
																												{	/* Eval/expddefine.scm 259 */
																													obj_t
																														BgL_list2036z00_1114;
																													{	/* Eval/expddefine.scm 259 */
																														obj_t
																															BgL_arg2037z00_1115;
																														BgL_arg2037z00_1115
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2036z00_1114
																															=
																															MAKE_PAIR
																															(BgL_arg2034z00_1112,
																															BgL_arg2037z00_1115);
																													}
																													BgL_arg2032z00_1110 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2033z00_1111,
																														BgL_list2036z00_1114);
																												}
																											}
																											BgL_arg2027z00_1105 =
																												MAKE_PAIR
																												(BgL_arg2031z00_1109,
																												BgL_arg2032z00_1110);
																										}
																										{	/* Eval/expddefine.scm 258 */
																											obj_t
																												BgL_list2029z00_1107;
																											{	/* Eval/expddefine.scm 258 */
																												obj_t
																													BgL_arg2030z00_1108;
																												BgL_arg2030z00_1108 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list2029z00_1107 =
																													MAKE_PAIR
																													(BgL_arg2027z00_1105,
																													BgL_arg2030z00_1108);
																											}
																											BgL_arg2026z00_1104 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_idz00_1006,
																												BgL_list2029z00_1107);
																										}
																									}
																									BgL_arg1932z00_1017 =
																										MAKE_PAIR
																										(BgL_arg2025z00_1103,
																										BgL_arg2026z00_1104);
																								}
																								{	/* Eval/expddefine.scm 245 */
																									obj_t BgL_list1937z00_1019;

																									{	/* Eval/expddefine.scm 245 */
																										obj_t BgL_arg1938z00_1020;

																										BgL_arg1938z00_1020 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list1937z00_1019 =
																											MAKE_PAIR
																											(BgL_arg1932z00_1017,
																											BgL_arg1938z00_1020);
																									}
																									BgL_arg1930z00_1015 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1931z00_1016,
																										BgL_list1937z00_1019);
																								}
																							}
																							BgL_arg1928z00_1013 =
																								MAKE_PAIR(BgL_arg1929z00_1014,
																								BgL_arg1930z00_1015);
																						}
																						return
																							PROCEDURE_ENTRY(BgL_ez00_18)
																							(BgL_ez00_18, BgL_arg1928z00_1013,
																							BgL_ez00_18, BEOA);
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										else
											{	/* Eval/expddefine.scm 228 */
												return
													BGl_errorz00zz__errorz00
													(BGl_symbol2514z00zz__expander_definez00,
													BGl_string2481z00zz__expander_definez00, BgL_xz00_17);
											}
									}
								else
									{	/* Eval/expddefine.scm 228 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol2514z00zz__expander_definez00,
											BGl_string2481z00zz__expander_definez00, BgL_xz00_17);
									}
							}
						else
							{	/* Eval/expddefine.scm 228 */
								return
									BGl_errorz00zz__errorz00
									(BGl_symbol2514z00zz__expander_definez00,
									BGl_string2481z00zz__expander_definez00, BgL_xz00_17);
							}
					}
				else
					{	/* Eval/expddefine.scm 228 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2514z00zz__expander_definez00,
							BGl_string2481z00zz__expander_definez00, BgL_xz00_17);
					}
			}
		}
	}



/* _expand-eval-define-generic */
	obj_t BGl__expandzd2evalzd2definezd2genericzd2zz__expander_definez00(obj_t
		BgL_envz00_2214, obj_t BgL_xz00_2215, obj_t BgL_ez00_2216)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 227 */
			return
				BGl_expandzd2evalzd2definezd2genericzd2zz__expander_definez00
				(BgL_xz00_2215, BgL_ez00_2216);
		}
	}



/* <anonymous:2067> */
	obj_t BGl_zc3anonymousza32067ze3z83zz__expander_definez00(obj_t
		BgL_envz00_2217, obj_t BgL_az00_2218)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 242 */
			{
				obj_t BgL_az00_1144;

				BgL_az00_1144 = BgL_az00_2218;
				if (PAIRP(BgL_az00_1144))
					{	/* Eval/expddefine.scm 243 */
						return CAR(BgL_az00_1144);
					}
				else
					{	/* Eval/expddefine.scm 243 */
						return BgL_az00_1144;
					}
			}
		}
	}



/* <anonymous:2077> */
	obj_t BGl_zc3anonymousza32077ze3z83zz__expander_definez00(obj_t
		BgL_envz00_2219, obj_t BgL_az00_2220)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 239 */
			{
				obj_t BgL_az00_1156;

				BgL_az00_1156 = BgL_az00_2220;
				if (PAIRP(BgL_az00_1156))
					{	/* Eval/expddefine.scm 240 */
						return CAR(BgL_az00_1156);
					}
				else
					{	/* Eval/expddefine.scm 240 */
						return BgL_az00_1156;
					}
			}
		}
	}



/* expand-eval-define-method */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2definezd2methodzd2zz__expander_definez00(obj_t
		BgL_xz00_19, obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 272 */
			{
				obj_t BgL_funz00_1171;
				obj_t BgL_f0z00_1172;
				obj_t BgL_formalsz00_1173;
				obj_t BgL_bodyz00_1174;

				if (PAIRP(BgL_xz00_19))
					{	/* Eval/expddefine.scm 286 */
						obj_t BgL_cdrzd21307zd2_1179;

						BgL_cdrzd21307zd2_1179 = CDR(BgL_xz00_19);
						if (PAIRP(BgL_cdrzd21307zd2_1179))
							{	/* Eval/expddefine.scm 286 */
								obj_t BgL_carzd21312zd2_1181;
								obj_t BgL_cdrzd21313zd2_1182;

								BgL_carzd21312zd2_1181 = CAR(BgL_cdrzd21307zd2_1179);
								BgL_cdrzd21313zd2_1182 = CDR(BgL_cdrzd21307zd2_1179);
								if (PAIRP(BgL_carzd21312zd2_1181))
									{	/* Eval/expddefine.scm 286 */
										obj_t BgL_cdrzd21318zd2_1184;

										BgL_cdrzd21318zd2_1184 = CDR(BgL_carzd21312zd2_1181);
										if (PAIRP(BgL_cdrzd21318zd2_1184))
											{	/* Eval/expddefine.scm 286 */
												if (NULLP(BgL_cdrzd21313zd2_1182))
													{	/* Eval/expddefine.scm 286 */
														return
															BGl_errorz00zz__errorz00
															(BGl_symbol2524z00zz__expander_definez00,
															BGl_string2481z00zz__expander_definez00,
															BgL_xz00_19);
													}
												else
													{	/* Eval/expddefine.scm 286 */
														BgL_funz00_1171 = CAR(BgL_carzd21312zd2_1181);
														BgL_f0z00_1172 = CAR(BgL_cdrzd21318zd2_1184);
														BgL_formalsz00_1173 = CDR(BgL_cdrzd21318zd2_1184);
														BgL_bodyz00_1174 = BgL_cdrzd21313zd2_1182;
														{	/* Eval/expddefine.scm 288 */
															obj_t BgL_p0z00_1190;
															obj_t BgL_restz00_1191;
															bool_t BgL_vaz00_1192;

															BgL_p0z00_1190 =
																BGl_parsezd2formalzd2identz00zz__expandz00
																(BgL_f0z00_1172);
															BgL_restz00_1191 =
																BGl_getzd2argszd2zz__expander_definez00
																(BgL_formalsz00_1173);
															{	/* Eval/expddefine.scm 290 */
																bool_t BgL_testz00_2891;

																if (NULLP(BgL_formalsz00_1173))
																	{	/* Eval/expddefine.scm 290 */
																		BgL_testz00_2891 = ((bool_t) 0);
																	}
																else
																	{	/* Eval/expddefine.scm 290 */
																		BgL_testz00_2891 = ((bool_t) 1);
																	}
																if (BgL_testz00_2891)
																	{	/* Eval/expddefine.scm 291 */
																		bool_t BgL__ortest_1577z00_1290;

																		if (PAIRP(BgL_formalsz00_1173))
																			{	/* Eval/expddefine.scm 291 */
																				BgL__ortest_1577z00_1290 = ((bool_t) 0);
																			}
																		else
																			{	/* Eval/expddefine.scm 291 */
																				BgL__ortest_1577z00_1290 = ((bool_t) 1);
																			}
																		if (BgL__ortest_1577z00_1290)
																			{	/* Eval/expddefine.scm 291 */
																				BgL_vaz00_1192 =
																					BgL__ortest_1577z00_1290;
																			}
																		else
																			{	/* Eval/expddefine.scm 291 */
																				if (NULLP(CDR
																						(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_formalsz00_1173))))
																					{	/* Eval/expddefine.scm 292 */
																						BgL_vaz00_1192 = ((bool_t) 0);
																					}
																				else
																					{	/* Eval/expddefine.scm 292 */
																						BgL_vaz00_1192 = ((bool_t) 1);
																					}
																			}
																	}
																else
																	{	/* Eval/expddefine.scm 290 */
																		BgL_vaz00_1192 = ((bool_t) 0);
																	}
															}
															{	/* Eval/expddefine.scm 293 */
																bool_t BgL_testz00_2901;

																if (PAIRP(BgL_p0z00_1190))
																	{	/* Eval/expddefine.scm 293 */
																		obj_t BgL_auxz00_2904;

																		BgL_auxz00_2904 = CDR(BgL_p0z00_1190);
																		BgL_testz00_2901 = SYMBOLP(BgL_auxz00_2904);
																	}
																else
																	{	/* Eval/expddefine.scm 293 */
																		BgL_testz00_2901 = ((bool_t) 0);
																	}
																if (BgL_testz00_2901)
																	{	/* Eval/expddefine.scm 294 */
																		obj_t BgL_resz00_1194;

																		{	/* Eval/expddefine.scm 294 */
																			obj_t BgL_arg2096z00_1195;
																			obj_t BgL_arg2097z00_1196;

																			BgL_arg2096z00_1195 =
																				BGl_symbol2516z00zz__expander_definez00;
																			{	/* Eval/expddefine.scm 296 */
																				obj_t BgL_arg2098z00_1197;
																				obj_t BgL_arg2099z00_1198;

																				BgL_arg2098z00_1197 =
																					CDR(BgL_p0z00_1190);
																				{	/* Eval/expddefine.scm 297 */
																					obj_t BgL_arg2104z00_1203;

																					{	/* Eval/expddefine.scm 297 */
																						obj_t BgL_arg2105z00_1204;
																						obj_t BgL_arg2106z00_1205;

																						BgL_arg2105z00_1204 =
																							BGl_symbol2479z00zz__expander_definez00;
																						{	/* Eval/expddefine.scm 297 */
																							obj_t BgL_arg2107z00_1206;
																							obj_t BgL_arg2108z00_1207;
																							obj_t BgL_arg2109z00_1208;

																							{	/* Eval/expddefine.scm 297 */
																								obj_t BgL_arg2114z00_1213;

																								BgL_arg2114z00_1213 =
																									MAKE_PAIR(BgL_f0z00_1172,
																									BgL_formalsz00_1173);
																								BgL_arg2107z00_1206 =
																									BGl_loopz00zz__expander_definez00
																									(BgL_ez00_20,
																									BgL_arg2114z00_1213);
																							}
																							{	/* Eval/expddefine.scm 298 */
																								obj_t BgL_arg2115z00_1214;
																								obj_t BgL_arg2116z00_1215;

																								BgL_arg2115z00_1214 =
																									BGl_symbol2482z00zz__expander_definez00;
																								{	/* Eval/expddefine.scm 298 */
																									obj_t BgL_arg2117z00_1216;
																									obj_t BgL_arg2118z00_1217;

																									BgL_arg2117z00_1216 =
																										MAKE_PAIR
																										(BGl_symbol2518z00zz__expander_definez00,
																										BNIL);
																									{	/* Eval/expddefine.scm 299 */
																										obj_t BgL_arg2122z00_1221;
																										obj_t BgL_arg2123z00_1222;

																										BgL_arg2122z00_1221 =
																											BGl_symbol2486z00zz__expander_definez00;
																										{	/* Eval/expddefine.scm 299 */
																											obj_t BgL_arg2124z00_1223;
																											obj_t BgL_arg2125z00_1224;

																											{	/* Eval/expddefine.scm 299 */
																												obj_t
																													BgL_arg2130z00_1228;
																												{	/* Eval/expddefine.scm 299 */
																													obj_t
																														BgL_arg2132z00_1230;
																													obj_t
																														BgL_arg2133z00_1231;
																													BgL_arg2132z00_1230 =
																														BGl_symbol2520z00zz__expander_definez00;
																													{	/* Eval/expddefine.scm 299 */
																														obj_t
																															BgL_arg2134z00_1232;
																														{	/* Eval/expddefine.scm 299 */
																															obj_t
																																BgL_arg2137z00_1235;
																															obj_t
																																BgL_arg2138z00_1236;
																															BgL_arg2137z00_1235
																																=
																																BGl_symbol2522z00zz__expander_definez00;
																															{	/* Eval/expddefine.scm 300 */
																																obj_t
																																	BgL_arg2139z00_1237;
																																obj_t
																																	BgL_arg2140z00_1238;
																																BgL_arg2139z00_1237
																																	=
																																	CAR
																																	(BgL_p0z00_1190);
																																BgL_arg2140z00_1238
																																	=
																																	CDR
																																	(BgL_p0z00_1190);
																																{	/* Eval/expddefine.scm 299 */
																																	obj_t
																																		BgL_list2142z00_1240;
																																	{	/* Eval/expddefine.scm 299 */
																																		obj_t
																																			BgL_arg2143z00_1241;
																																		{	/* Eval/expddefine.scm 299 */
																																			obj_t
																																				BgL_arg2144z00_1242;
																																			BgL_arg2144z00_1242
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2143z00_1241
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2140z00_1238,
																																				BgL_arg2144z00_1242);
																																		}
																																		BgL_list2142z00_1240
																																			=
																																			MAKE_PAIR
																																			(BgL_funz00_1171,
																																			BgL_arg2143z00_1241);
																																	}
																																	BgL_arg2138z00_1236
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2139z00_1237,
																																		BgL_list2142z00_1240);
																																}
																															}
																															BgL_arg2134z00_1232
																																=
																																MAKE_PAIR
																																(BgL_arg2137z00_1235,
																																BgL_arg2138z00_1236);
																														}
																														{	/* Eval/expddefine.scm 299 */
																															obj_t
																																BgL_list2136z00_1234;
																															BgL_list2136z00_1234
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg2133z00_1231
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg2134z00_1232,
																																BgL_list2136z00_1234);
																														}
																													}
																													BgL_arg2130z00_1228 =
																														MAKE_PAIR
																														(BgL_arg2132z00_1230,
																														BgL_arg2133z00_1231);
																												}
																												BgL_arg2124z00_1223 =
																													MAKE_PAIR
																													(BgL_arg2130z00_1228,
																													BNIL);
																											}
																											{	/* Eval/expddefine.scm 303 */
																												obj_t
																													BgL_arg2145z00_1243;
																												obj_t
																													BgL_arg2146z00_1244;
																												BgL_arg2145z00_1243 =
																													BGl_symbol2503z00zz__expander_definez00;
																												{	/* Eval/expddefine.scm 303 */
																													obj_t
																														BgL_arg2147z00_1245;
																													obj_t
																														BgL_arg2148z00_1246;
																													{	/* Eval/expddefine.scm 303 */
																														obj_t
																															BgL_arg2152z00_1250;
																														obj_t
																															BgL_arg2153z00_1251;
																														BgL_arg2152z00_1250
																															=
																															BGl_symbol2505z00zz__expander_definez00;
																														{	/* Eval/expddefine.scm 303 */
																															obj_t
																																BgL_list2154z00_1252;
																															BgL_list2154z00_1252
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg2153z00_1251
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BGl_symbol2520z00zz__expander_definez00,
																																BgL_list2154z00_1252);
																														}
																														BgL_arg2147z00_1245
																															=
																															MAKE_PAIR
																															(BgL_arg2152z00_1250,
																															BgL_arg2153z00_1251);
																													}
																													{	/* Eval/expddefine.scm 304 */
																														obj_t
																															BgL_arg2156z00_1253;
																														obj_t
																															BgL_arg2157z00_1254;
																														BgL_arg2156z00_1253
																															=
																															BGl_symbol2503z00zz__expander_definez00;
																														{	/* Eval/expddefine.scm 304 */
																															obj_t
																																BgL_arg2158z00_1255;
																															obj_t
																																BgL_arg2159z00_1256;
																															obj_t
																																BgL_arg2160z00_1257;
																															{	/* Eval/expddefine.scm 304 */
																																obj_t
																																	BgL_arg2167z00_1262;
																																obj_t
																																	BgL_arg2168z00_1263;
																																BgL_arg2167z00_1262
																																	=
																																	BGl_symbol2505z00zz__expander_definez00;
																																{	/* Eval/expddefine.scm 304 */
																																	obj_t
																																		BgL_list2169z00_1264;
																																	BgL_list2169z00_1264
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2168z00_1263
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BGl_symbol2520z00zz__expander_definez00,
																																		BgL_list2169z00_1264);
																																}
																																BgL_arg2158z00_1255
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2167z00_1262,
																																	BgL_arg2168z00_1263);
																															}
																															if (BgL_vaz00_1192)
																																{	/* Eval/expddefine.scm 306 */
																																	obj_t
																																		BgL_arg2170z00_1265;
																																	obj_t
																																		BgL_arg2171z00_1266;
																																	BgL_arg2170z00_1265
																																		=
																																		BGl_symbol2495z00zz__expander_definez00;
																																	{	/* Eval/expddefine.scm 306 */
																																		obj_t
																																			BgL_arg2172z00_1267;
																																		obj_t
																																			BgL_arg2173z00_1268;
																																		obj_t
																																			BgL_arg2174z00_1269;
																																		BgL_arg2172z00_1267
																																			=
																																			BGl_symbol2520z00zz__expander_definez00;
																																		BgL_arg2173z00_1268
																																			=
																																			CAR
																																			(BgL_p0z00_1190);
																																		BgL_arg2174z00_1269
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_restz00_1191,
																																			BNIL);
																																		{	/* Eval/expddefine.scm 306 */
																																			obj_t
																																				BgL_list2175z00_1270;
																																			{	/* Eval/expddefine.scm 306 */
																																				obj_t
																																					BgL_arg2176z00_1271;
																																				BgL_arg2176z00_1271
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2174z00_1269,
																																					BNIL);
																																				BgL_list2175z00_1270
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2173z00_1268,
																																					BgL_arg2176z00_1271);
																																			}
																																			BgL_arg2171z00_1266
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2172z00_1267,
																																				BgL_list2175z00_1270);
																																		}
																																	}
																																	BgL_arg2159z00_1256
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2170z00_1265,
																																		BgL_arg2171z00_1266);
																																}
																															else
																																{	/* Eval/expddefine.scm 307 */
																																	obj_t
																																		BgL_arg2177z00_1272;
																																	obj_t
																																		BgL_arg2178z00_1273;
																																	BgL_arg2177z00_1272
																																		=
																																		BGl_symbol2520z00zz__expander_definez00;
																																	{	/* Eval/expddefine.scm 307 */
																																		obj_t
																																			BgL_arg2179z00_1274;
																																		obj_t
																																			BgL_arg2180z00_1275;
																																		BgL_arg2179z00_1274
																																			=
																																			CAR
																																			(BgL_p0z00_1190);
																																		BgL_arg2180z00_1275
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_restz00_1191,
																																			BNIL);
																																		{	/* Eval/expddefine.scm 307 */
																																			obj_t
																																				BgL_list2181z00_1276;
																																			BgL_list2181z00_1276
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2180z00_1275,
																																				BNIL);
																																			BgL_arg2178z00_1273
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2179z00_1274,
																																				BgL_list2181z00_1276);
																																		}
																																	}
																																	BgL_arg2159z00_1256
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2177z00_1272,
																																		BgL_arg2178z00_1273);
																																}
																															if (BgL_vaz00_1192)
																																{	/* Eval/expddefine.scm 309 */
																																	obj_t
																																		BgL_arg2182z00_1277;
																																	obj_t
																																		BgL_arg2183z00_1278;
																																	BgL_arg2182z00_1277
																																		=
																																		BGl_symbol2495z00zz__expander_definez00;
																																	{	/* Eval/expddefine.scm 309 */
																																		obj_t
																																			BgL_arg2184z00_1279;
																																		obj_t
																																			BgL_arg2186z00_1280;
																																		BgL_arg2184z00_1279
																																			=
																																			CAR
																																			(BgL_p0z00_1190);
																																		BgL_arg2186z00_1280
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_restz00_1191,
																																			BNIL);
																																		{	/* Eval/expddefine.scm 309 */
																																			obj_t
																																				BgL_list2187z00_1281;
																																			{	/* Eval/expddefine.scm 309 */
																																				obj_t
																																					BgL_arg2189z00_1282;
																																				BgL_arg2189z00_1282
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2186z00_1280,
																																					BNIL);
																																				BgL_list2187z00_1281
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2184z00_1279,
																																					BgL_arg2189z00_1282);
																																			}
																																			BgL_arg2183z00_1278
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_funz00_1171,
																																				BgL_list2187z00_1281);
																																		}
																																	}
																																	BgL_arg2160z00_1257
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2182z00_1277,
																																		BgL_arg2183z00_1278);
																																}
																															else
																																{	/* Eval/expddefine.scm 310 */
																																	obj_t
																																		BgL_arg2190z00_1283;
																																	{	/* Eval/expddefine.scm 310 */
																																		obj_t
																																			BgL_arg2191z00_1284;
																																		obj_t
																																			BgL_arg2192z00_1285;
																																		BgL_arg2191z00_1284
																																			=
																																			CAR
																																			(BgL_p0z00_1190);
																																		BgL_arg2192z00_1285
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_restz00_1191,
																																			BNIL);
																																		{	/* Eval/expddefine.scm 310 */
																																			obj_t
																																				BgL_list2193z00_1286;
																																			BgL_list2193z00_1286
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2192z00_1285,
																																				BNIL);
																																			BgL_arg2190z00_1283
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2191z00_1284,
																																				BgL_list2193z00_1286);
																																		}
																																	}
																																	BgL_arg2160z00_1257
																																		=
																																		MAKE_PAIR
																																		(BgL_funz00_1171,
																																		BgL_arg2190z00_1283);
																																}
																															{	/* Eval/expddefine.scm 304 */
																																obj_t
																																	BgL_list2162z00_1259;
																																{	/* Eval/expddefine.scm 304 */
																																	obj_t
																																		BgL_arg2165z00_1260;
																																	{	/* Eval/expddefine.scm 304 */
																																		obj_t
																																			BgL_arg2166z00_1261;
																																		BgL_arg2166z00_1261
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2165z00_1260
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2160z00_1257,
																																			BgL_arg2166z00_1261);
																																	}
																																	BgL_list2162z00_1259
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2159z00_1256,
																																		BgL_arg2165z00_1260);
																																}
																																BgL_arg2157z00_1254
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2158z00_1255,
																																	BgL_list2162z00_1259);
																															}
																														}
																														BgL_arg2148z00_1246
																															=
																															MAKE_PAIR
																															(BgL_arg2156z00_1253,
																															BgL_arg2157z00_1254);
																													}
																													{	/* Eval/expddefine.scm 303 */
																														obj_t
																															BgL_list2150z00_1248;
																														{	/* Eval/expddefine.scm 303 */
																															obj_t
																																BgL_arg2151z00_1249;
																															BgL_arg2151z00_1249
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2150z00_1248
																																=
																																MAKE_PAIR
																																(BgL_arg2148z00_1246,
																																BgL_arg2151z00_1249);
																														}
																														BgL_arg2146z00_1244
																															=
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg2147z00_1245,
																															BgL_list2150z00_1248);
																													}
																												}
																												BgL_arg2125z00_1224 =
																													MAKE_PAIR
																													(BgL_arg2145z00_1243,
																													BgL_arg2146z00_1244);
																											}
																											{	/* Eval/expddefine.scm 299 */
																												obj_t
																													BgL_list2127z00_1226;
																												{	/* Eval/expddefine.scm 299 */
																													obj_t
																														BgL_arg2129z00_1227;
																													BgL_arg2129z00_1227 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2127z00_1226 =
																														MAKE_PAIR
																														(BgL_arg2125z00_1224,
																														BgL_arg2129z00_1227);
																												}
																												BgL_arg2123z00_1222 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2124z00_1223,
																													BgL_list2127z00_1226);
																											}
																										}
																										BgL_arg2118z00_1217 =
																											MAKE_PAIR
																											(BgL_arg2122z00_1221,
																											BgL_arg2123z00_1222);
																									}
																									{	/* Eval/expddefine.scm 298 */
																										obj_t BgL_list2120z00_1219;

																										{	/* Eval/expddefine.scm 298 */
																											obj_t BgL_arg2121z00_1220;

																											BgL_arg2121z00_1220 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2120z00_1219 =
																												MAKE_PAIR
																												(BgL_arg2118z00_1217,
																												BgL_arg2121z00_1220);
																										}
																										BgL_arg2116z00_1215 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2117z00_1216,
																											BgL_list2120z00_1219);
																									}
																								}
																								BgL_arg2108z00_1207 =
																									MAKE_PAIR(BgL_arg2115z00_1214,
																									BgL_arg2116z00_1215);
																							}
																							BgL_arg2109z00_1208 =
																								BGl_expandzd2prognzd2zz__prognz00
																								(BgL_bodyz00_1174);
																							{	/* Eval/expddefine.scm 297 */
																								obj_t BgL_list2111z00_1210;

																								{	/* Eval/expddefine.scm 297 */
																									obj_t BgL_arg2112z00_1211;

																									{	/* Eval/expddefine.scm 297 */
																										obj_t BgL_arg2113z00_1212;

																										BgL_arg2113z00_1212 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2112z00_1211 =
																											MAKE_PAIR
																											(BgL_arg2109z00_1208,
																											BgL_arg2113z00_1212);
																									}
																									BgL_list2111z00_1210 =
																										MAKE_PAIR
																										(BgL_arg2108z00_1207,
																										BgL_arg2112z00_1211);
																								}
																								BgL_arg2106z00_1205 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2107z00_1206,
																									BgL_list2111z00_1210);
																							}
																						}
																						BgL_arg2104z00_1203 =
																							MAKE_PAIR(BgL_arg2105z00_1204,
																							BgL_arg2106z00_1205);
																					}
																					BgL_arg2099z00_1198 =
																						PROCEDURE_ENTRY(BgL_ez00_20)
																						(BgL_ez00_20, BgL_arg2104z00_1203,
																						BgL_ez00_20, BEOA);
																				}
																				{	/* Eval/expddefine.scm 294 */
																					obj_t BgL_list2101z00_1200;

																					{	/* Eval/expddefine.scm 294 */
																						obj_t BgL_arg2102z00_1201;

																						{	/* Eval/expddefine.scm 294 */
																							obj_t BgL_arg2103z00_1202;

																							BgL_arg2103z00_1202 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2102z00_1201 =
																								MAKE_PAIR(BgL_arg2099z00_1198,
																								BgL_arg2103z00_1202);
																						}
																						BgL_list2101z00_1200 =
																							MAKE_PAIR(BgL_arg2098z00_1197,
																							BgL_arg2102z00_1201);
																					}
																					BgL_arg2097z00_1196 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_funz00_1171,
																						BgL_list2101z00_1200);
																				}
																			}
																			BgL_resz00_1194 =
																				MAKE_PAIR(BgL_arg2096z00_1195,
																				BgL_arg2097z00_1196);
																		}
																		{	/* Eval/expddefine.scm 294 */

																			return
																				BGl_evepairifyz00zz__prognz00
																				(BgL_resz00_1194, BgL_xz00_19);
																		}
																	}
																else
																	{	/* Eval/expddefine.scm 293 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_symbol2524z00zz__expander_definez00,
																			BGl_string2481z00zz__expander_definez00,
																			BgL_xz00_19);
																	}
															}
														}
													}
											}
										else
											{	/* Eval/expddefine.scm 286 */
												return
													BGl_errorz00zz__errorz00
													(BGl_symbol2524z00zz__expander_definez00,
													BGl_string2481z00zz__expander_definez00, BgL_xz00_19);
											}
									}
								else
									{	/* Eval/expddefine.scm 286 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol2524z00zz__expander_definez00,
											BGl_string2481z00zz__expander_definez00, BgL_xz00_19);
									}
							}
						else
							{	/* Eval/expddefine.scm 286 */
								return
									BGl_errorz00zz__errorz00
									(BGl_symbol2524z00zz__expander_definez00,
									BGl_string2481z00zz__expander_definez00, BgL_xz00_19);
							}
					}
				else
					{	/* Eval/expddefine.scm 286 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2524z00zz__expander_definez00,
							BGl_string2481z00zz__expander_definez00, BgL_xz00_19);
					}
			}
		}
	}



/* get-args */
	obj_t BGl_getzd2argszd2zz__expander_definez00(obj_t BgL_argsz00_1296)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 285 */
			if (NULLP(BgL_argsz00_1296))
				{	/* Eval/expddefine.scm 280 */
					return BNIL;
				}
			else
				{	/* Eval/expddefine.scm 280 */
					if (PAIRP(BgL_argsz00_1296))
						{	/* Eval/expddefine.scm 283 */
							obj_t BgL_arg2205z00_1300;
							obj_t BgL_arg2206z00_1301;

							{	/* Eval/expddefine.scm 283 */
								obj_t BgL_arg2207z00_1302;

								BgL_arg2207z00_1302 = CAR(BgL_argsz00_1296);
								{	/* Eval/expddefine.scm 283 */
									obj_t BgL_rz00_1993;

									BgL_rz00_1993 =
										BGl_parsezd2formalzd2identz00zz__expandz00
										(BgL_arg2207z00_1302);
									if (PAIRP(BgL_rz00_1993))
										{	/* Eval/expddefine.scm 283 */
											BgL_arg2205z00_1300 = CAR(BgL_rz00_1993);
										}
									else
										{	/* Eval/expddefine.scm 283 */
											BgL_arg2205z00_1300 = BgL_rz00_1993;
										}
								}
							}
							BgL_arg2206z00_1301 =
								BGl_getzd2argszd2zz__expander_definez00(CDR(BgL_argsz00_1296));
							return MAKE_PAIR(BgL_arg2205z00_1300, BgL_arg2206z00_1301);
						}
					else
						{	/* Eval/expddefine.scm 285 */
							obj_t BgL_arg2209z00_1304;

							{	/* Eval/expddefine.scm 285 */
								obj_t BgL_rz00_1999;

								BgL_rz00_1999 =
									BGl_parsezd2formalzd2identz00zz__expandz00(BgL_argsz00_1296);
								if (PAIRP(BgL_rz00_1999))
									{	/* Eval/expddefine.scm 285 */
										BgL_arg2209z00_1304 = CAR(BgL_rz00_1999);
									}
								else
									{	/* Eval/expddefine.scm 285 */
										BgL_arg2209z00_1304 = BgL_rz00_1999;
									}
							}
							{	/* Eval/expddefine.scm 285 */
								obj_t BgL_list2210z00_1305;

								BgL_list2210z00_1305 = MAKE_PAIR(BgL_arg2209z00_1304, BNIL);
								return BgL_list2210z00_1305;
							}
						}
				}
		}
	}



/* _expand-eval-define-method */
	obj_t BGl__expandzd2evalzd2definezd2methodzd2zz__expander_definez00(obj_t
		BgL_envz00_2223, obj_t BgL_xz00_2224, obj_t BgL_ez00_2225)
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 272 */
			return
				BGl_expandzd2evalzd2definezd2methodzd2zz__expander_definez00
				(BgL_xz00_2224, BgL_ez00_2225);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_definez00()
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_definez00()
	{
		AN_OBJECT;
		{	/* Eval/expddefine.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 22534887),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 276194849),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 334229225),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					366911490),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					7848053), BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 53765602),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523356980),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 301642106),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294143011),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 141084720),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					490722456),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 361745055),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(((long) 364445500),
				BSTRING_TO_STRING(BGl_string2526z00zz__expander_definez00));
		}
	}

#ifdef __cplusplus
}
#endif
