/*===========================================================================*/
/*   (Lalr/driver.scm)                                                       */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Lalr/driver.scm -indent -o objs/obj_u/Lalr/driver.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t bgl_system_failure(int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_za2debugzd2parserza2zd2zz__lalr_driverz00 =
		BUNSPEC;
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00();
	static long BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00;
	extern obj_t close_output_port(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__lalr_driverz00();
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_zc3anonymousza31159ze3z83zz__lalr_driverz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = BUNSPEC;
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
	static long BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00;
	extern obj_t open_output_string();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1464z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1467z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1470z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1472z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1474z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1476z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl____makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t, obj_t);
	static obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1465z00zz__lalr_driverz00,
		BgL_bgl_string1465za700za7za7_1481za7, "read/rp", 7);
	      DEFINE_STRING(BGl_string1466z00zz__lalr_driverz00,
		BgL_bgl_string1466za700za7za7_1482za7, "Grammar arity mismatch", 22);
	      DEFINE_STRING(BGl_string1468z00zz__lalr_driverz00,
		BgL_bgl_string1468za700za7za7_1483za7, "parser", 6);
	      DEFINE_STRING(BGl_string1469z00zz__lalr_driverz00,
		BgL_bgl_string1469za700za7za7_1484za7, "Illegal `#f' token", 18);
	      DEFINE_STRING(BGl_string1471z00zz__lalr_driverz00,
		BgL_bgl_string1471za700za7za7_1485za7, "*eoi*", 5);
	      DEFINE_STRING(BGl_string1473z00zz__lalr_driverz00,
		BgL_bgl_string1473za700za7za7_1486za7, "accept", 6);
	      DEFINE_STRING(BGl_string1475z00zz__lalr_driverz00,
		BgL_bgl_string1475za700za7za7_1487za7, "*error*", 7);
	      DEFINE_STRING(BGl_string1477z00zz__lalr_driverz00,
		BgL_bgl_string1477za700za7za7_1488za7, "error", 5);
	      DEFINE_STRING(BGl_string1478z00zz__lalr_driverz00,
		BgL_bgl_string1478za700za7za7_1489za7, "parse error (unexpected token `",
		31);
	      DEFINE_STRING(BGl_string1480z00zz__lalr_driverz00,
		BgL_bgl_string1480za700za7za7_1490za7, "__lalr_driver", 13);
	      DEFINE_STRING(BGl_string1479z00zz__lalr_driverz00,
		BgL_bgl_string1479za700za7za7_1491za7, "')", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl___makezd2parserzd2envz00zz__lalr_driverz00,
		BgL_bgl____makeza7d2parser1492za7,
		BGl____makezd2parserzd2zz__lalr_driverz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long
		BgL_checksumz00_1016, char *BgL_fromz00_1017)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_driverz00))
				{
					BGl_requirezd2initializa7ationz75zz__lalr_driverz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__lalr_driverz00();
					BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
					BGl_toplevelzd2initzd2zz__lalr_driverz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_symbol1464z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1465z00zz__lalr_driverz00);
			BGl_symbol1467z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1468z00zz__lalr_driverz00);
			BGl_symbol1470z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1471z00zz__lalr_driverz00);
			BGl_symbol1472z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1473z00zz__lalr_driverz00);
			BGl_symbol1474z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1475z00zz__lalr_driverz00);
			return (BGl_symbol1476z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1477z00zz__lalr_driverz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00 = ((long) 500);
			BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00 = ((long) 200);
			return (BGl_za2debugzd2parserza2zd2zz__lalr_driverz00 = BFALSE, BUNSPEC);
		}
	}



/* grow-stack! */
	obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t BgL_vz00_1)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 45 */
			{	/* Lalr/driver.scm 46 */
				int BgL_lenz00_458;

				BgL_lenz00_458 = VECTOR_LENGTH(BgL_vz00_1);
				{	/* Lalr/driver.scm 46 */
					obj_t BgL_v2z00_459;

					{	/* Lalr/driver.scm 47 */
						long BgL_arg1157z00_465;

						BgL_arg1157z00_465 =
							(
							(long) (BgL_lenz00_458) +
							BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00);
						BgL_v2z00_459 =
							make_vector((int) (BgL_arg1157z00_465), BINT(((long) 0)));
					}
					{	/* Lalr/driver.scm 47 */

						{
							long BgL_iz00_460;

							BgL_iz00_460 = ((long) 0);
						BgL_loopz00_461:
							if ((BgL_iz00_460 < (long) (BgL_lenz00_458)))
								{	/* Lalr/driver.scm 49 */
									VECTOR_SET(BgL_v2z00_459,
										(int) (BgL_iz00_460),
										VECTOR_REF(BgL_vz00_1, (int) (BgL_iz00_460)));
									{
										long BgL_iz00_1043;

										BgL_iz00_1043 = (BgL_iz00_460 + ((long) 1));
										BgL_iz00_460 = BgL_iz00_1043;
										goto BgL_loopz00_461;
									}
								}
							else
								{	/* Lalr/driver.scm 49 */
									return BgL_v2z00_459;
								}
						}
					}
				}
			}
		}
	}



/* __make-parser */
	BGL_EXPORTED_DEF obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t
		BgL_actionzd2tablezd2_2, obj_t BgL_reductionzd2functionzd2_3)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 59 */
			{	/* Lalr/driver.scm 61 */
				obj_t BgL_zc3anonymousza31159ze3z83_1006;

				BgL_zc3anonymousza31159ze3z83_1006 =
					make_fx_procedure(BGl_zc3anonymousza31159ze3z83zz__lalr_driverz00,
					(int) (((long) 3)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31159ze3z83_1006,
					(int) (((long) 0)), BgL_actionzd2tablezd2_2);
				PROCEDURE_SET(BgL_zc3anonymousza31159ze3z83_1006,
					(int) (((long) 1)), BgL_reductionzd2functionzd2_3);
				return BgL_zc3anonymousza31159ze3z83_1006;
			}
		}
	}



/* ___make-parser */
	obj_t BGl____makezd2parserzd2zz__lalr_driverz00(obj_t BgL_envz00_1007,
		obj_t BgL_actionzd2tablezd2_1008, obj_t BgL_reductionzd2functionzd2_1009)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 59 */
			return
				BGl___makezd2parserzd2zz__lalr_driverz00(BgL_actionzd2tablezd2_1008,
				BgL_reductionzd2functionzd2_1009);
		}
	}



/* <anonymous:1159> */
	obj_t BGl_zc3anonymousza31159ze3z83zz__lalr_driverz00(obj_t BgL_envz00_1010,
		obj_t BgL_rgcz00_1013, obj_t BgL_inputzd2portzd2_1014,
		obj_t BgL_iszd2eofzf3z21_1015)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 61 */
			{	/* Lalr/driver.scm 69 */
				obj_t BgL_actionzd2tablezd2_1011;
				obj_t BgL_reductionzd2functionzd2_1012;

				BgL_actionzd2tablezd2_1011 =
					PROCEDURE_REF(BgL_envz00_1010, (int) (((long) 0)));
				BgL_reductionzd2functionzd2_1012 =
					PROCEDURE_REF(BgL_envz00_1010, (int) (((long) 1)));
				{
					obj_t BgL_rgcz00_467;
					obj_t BgL_inputzd2portzd2_468;
					obj_t BgL_iszd2eofzf3z21_469;

					BgL_rgcz00_467 = BgL_rgcz00_1013;
					BgL_inputzd2portzd2_468 = BgL_inputzd2portzd2_1014;
					BgL_iszd2eofzf3z21_469 = BgL_iszd2eofzf3z21_1015;
					{	/* Lalr/driver.scm 69 */
						obj_t BgL_stackz00_472;
						obj_t BgL_statez00_473;
						obj_t BgL_inputz00_474;
						obj_t BgL_inz00_475;
						obj_t BgL_attrz00_476;
						obj_t BgL_actsz00_477;
						obj_t BgL_actz00_478;
						bool_t BgL_eofzf3zf3_479;

						BgL_stackz00_472 =
							make_vector(
							(int) (BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00),
							BINT(((long) 0)));
						BgL_statez00_473 = BFALSE;
						BgL_inputz00_474 = BFALSE;
						BgL_inz00_475 = BFALSE;
						BgL_attrz00_476 = BFALSE;
						BgL_actsz00_477 = BFALSE;
						BgL_actz00_478 = BFALSE;
						BgL_eofzf3zf3_479 = ((bool_t) 0);
						{
							obj_t BgL_spz00_480;

							BgL_spz00_480 = BINT(((long) 0));
						BgL_loopz00_481:
							BgL_statez00_473 =
								VECTOR_REF(BgL_stackz00_472, CINT(BgL_spz00_480));
							BgL_actsz00_477 =
								VECTOR_REF(BgL_actionzd2tablezd2_1011, CINT(BgL_statez00_473));
							if (NULLP(CDR(BgL_actsz00_477)))
								{	/* Lalr/driver.scm 83 */
									obj_t BgL_pairz00_795;

									BgL_pairz00_795 = BgL_actsz00_477;
									BgL_actz00_478 = CDR(CAR(BgL_pairz00_795));
								}
							else
								{	/* Lalr/driver.scm 82 */
									if (CBOOL(BgL_inputz00_474))
										{	/* Lalr/driver.scm 85 */
											BFALSE;
										}
									else
										{	/* Lalr/driver.scm 85 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_rgcz00_467,
													(int) (((long) 1))))
												{	/* Lalr/driver.scm 86 */
													BgL_inputz00_474 =
														PROCEDURE_ENTRY(BgL_rgcz00_467) (BgL_rgcz00_467,
														BgL_inputzd2portzd2_468, BEOA);
												}
											else
												{	/* Lalr/driver.scm 86 */
													BgL_inputz00_474 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1464z00zz__lalr_driverz00,
														BGl_string1466z00zz__lalr_driverz00,
														BgL_rgcz00_467);
												}
										}
									if (CBOOL(BgL_inputz00_474))
										{	/* Lalr/driver.scm 87 */
											((bool_t) 0);
										}
									else
										{	/* Lalr/driver.scm 87 */
											bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_symbol1467z00zz__lalr_driverz00,
												BGl_string1469z00zz__lalr_driverz00, BFALSE);
										}
									if (CBOOL(PROCEDURE_ENTRY(BgL_iszd2eofzf3z21_469)
											(BgL_iszd2eofzf3z21_469, BgL_inputz00_474, BEOA)))
										{	/* Lalr/driver.scm 93 */
											BgL_inz00_475 = BGl_symbol1470z00zz__lalr_driverz00;
											BgL_attrz00_476 = BFALSE;
											BgL_eofzf3zf3_479 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 93 */
											if (PAIRP(BgL_inputz00_474))
												{	/* Lalr/driver.scm 97 */
													BgL_inz00_475 = CAR(BgL_inputz00_474);
													BgL_attrz00_476 = CDR(BgL_inputz00_474);
												}
											else
												{	/* Lalr/driver.scm 97 */
													BgL_inz00_475 = BgL_inputz00_474;
													BgL_attrz00_476 = BFALSE;
												}
										}
									{	/* Lalr/driver.scm 104 */
										obj_t BgL_xz00_802;
										obj_t BgL_lz00_803;

										BgL_xz00_802 = BgL_inz00_475;
										BgL_lz00_803 = BgL_actsz00_477;
										{	/* Lalr/driver.scm 104 */
											obj_t BgL_yz00_804;

											BgL_yz00_804 =
												BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_802,
												BgL_lz00_803);
											if (CBOOL(BgL_yz00_804))
												{	/* Lalr/driver.scm 104 */
													BgL_actz00_478 = CDR(BgL_yz00_804);
												}
											else
												{	/* Lalr/driver.scm 104 */
													obj_t BgL_pairz00_806;

													BgL_pairz00_806 = BgL_lz00_803;
													BgL_actz00_478 = CDR(CAR(BgL_pairz00_806));
												}
										}
									}
								}
							if ((BgL_actz00_478 == BGl_symbol1472z00zz__lalr_driverz00))
								{	/* Lalr/driver.scm 120 */
									return VECTOR_REF(BgL_stackz00_472, (int) (((long) 1)));
								}
							else
								{	/* Lalr/driver.scm 124 */
									bool_t BgL_testz00_1098;

									if ((BgL_actz00_478 == BGl_symbol1474z00zz__lalr_driverz00))
										{	/* Lalr/driver.scm 124 */
											BgL_testz00_1098 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 124 */
											BgL_testz00_1098 =
												(BgL_actz00_478 == BGl_symbol1476z00zz__lalr_driverz00);
										}
									if (BgL_testz00_1098)
										{	/* Lalr/driver.scm 125 */
											obj_t BgL_msgz00_490;

											{	/* Lalr/driver.scm 125 */
												obj_t BgL_arg1168z00_492;

												if (SYMBOLP(BgL_inz00_475))
													{	/* Lalr/driver.scm 128 */
														BgL_arg1168z00_492 =
															SYMBOL_TO_STRING(BgL_inz00_475);
													}
												else
													{	/* Lalr/driver.scm 128 */
														if (CHARP(BgL_inz00_475))
															{	/* Lalr/driver.scm 131 */
																obj_t BgL_list1172z00_496;

																BgL_list1172z00_496 =
																	MAKE_PAIR(BgL_inz00_475, BNIL);
																{	/* Lalr/driver.scm 131 */
																	obj_t BgL_res1457z00_821;

																	{	/* Lalr/driver.scm 131 */
																		obj_t BgL_arg1404z00_818;

																		BgL_arg1404z00_818 =
																			CAR(BgL_list1172z00_496);
																		BgL_res1457z00_821 =
																			make_string(((long) 1),
																			CCHAR(BgL_arg1404z00_818));
																	}
																	BgL_arg1168z00_492 = BgL_res1457z00_821;
															}}
														else
															{	/* Lalr/driver.scm 133 */
																obj_t BgL_portz00_497;

																BgL_portz00_497 = open_output_string();
																{	/* Lalr/driver.scm 134 */
																	obj_t BgL_list1173z00_498;

																	BgL_list1173z00_498 =
																		MAKE_PAIR(BgL_portz00_497, BNIL);
																	BGl_writez00zz__r4_output_6_10_3z00
																		(BgL_inz00_475, BgL_list1173z00_498);
																}
																BgL_arg1168z00_492 =
																	close_output_port(BgL_portz00_497);
															}
													}
												BgL_msgz00_490 =
													string_append_3(BGl_string1478z00zz__lalr_driverz00,
													BgL_arg1168z00_492,
													BGl_string1479z00zz__lalr_driverz00);
											}
											return
												bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_string1468z00zz__lalr_driverz00, BgL_msgz00_490,
												BgL_inputz00_474);
										}
									else
										{	/* Lalr/driver.scm 124 */
											if (((long) CINT(BgL_actz00_478) >= ((long) 0)))
												{	/* Lalr/driver.scm 140 */
													{	/* Lalr/driver.scm 141 */
														bool_t BgL_testz00_1120;

														{	/* Lalr/driver.scm 141 */
															long BgL_arg1201z00_501;

															{	/* Lalr/driver.scm 141 */
																int BgL_arg1203z00_502;

																BgL_arg1203z00_502 =
																	VECTOR_LENGTH(BgL_stackz00_472);
																BgL_arg1201z00_501 =
																	((long) (BgL_arg1203z00_502) - ((long) 4));
															}
															BgL_testz00_1120 =
																(
																(long) CINT(BgL_spz00_480) >=
																BgL_arg1201z00_501);
														}
														if (BgL_testz00_1120)
															{	/* Lalr/driver.scm 141 */
																BgL_stackz00_472 =
																	BGl_growzd2stackz12zc0zz__lalr_driverz00
																	(BgL_stackz00_472);
															}
														else
															{	/* Lalr/driver.scm 141 */
																BFALSE;
															}
													}
													{	/* Lalr/driver.scm 143 */
														long BgL_arg1205z00_504;

														BgL_arg1205z00_504 =
															((long) CINT(BgL_spz00_480) + ((long) 1));
														VECTOR_SET(BgL_stackz00_472,
															(int) (BgL_arg1205z00_504), BgL_attrz00_476);
													}
													{	/* Lalr/driver.scm 144 */
														long BgL_arg1206z00_505;

														BgL_arg1206z00_505 =
															((long) CINT(BgL_spz00_480) + ((long) 2));
														VECTOR_SET(BgL_stackz00_472,
															(int) (BgL_arg1206z00_505), BgL_actz00_478);
													}
													if (BgL_eofzf3zf3_479)
														{	/* Lalr/driver.scm 145 */
															BFALSE;
														}
													else
														{	/* Lalr/driver.scm 145 */
															BgL_inputz00_474 = BFALSE;
														}
													{	/* Lalr/driver.scm 147 */
														long BgL_arg1207z00_506;

														BgL_arg1207z00_506 =
															((long) CINT(BgL_spz00_480) + ((long) 2));
														{
															obj_t BgL_spz00_1138;

															BgL_spz00_1138 = BINT(BgL_arg1207z00_506);
															BgL_spz00_480 = BgL_spz00_1138;
															goto BgL_loopz00_481;
														}
													}
												}
											else
												{	/* Lalr/driver.scm 151 */
													obj_t BgL_arg1208z00_507;

													{	/* Lalr/driver.scm 151 */
														long BgL_arg1209z00_508;

														BgL_arg1209z00_508 =
															NEG((long) CINT(BgL_actz00_478));
														BgL_arg1208z00_507 =
															PROCEDURE_ENTRY(BgL_reductionzd2functionzd2_1012)
															(BgL_reductionzd2functionzd2_1012,
															BINT(BgL_arg1209z00_508), BgL_stackz00_472,
															BgL_spz00_480, BEOA);
													}
													{
														obj_t BgL_spz00_1145;

														BgL_spz00_1145 = BgL_arg1208z00_507;
														BgL_spz00_480 = BgL_spz00_1145;
														goto BgL_loopz00_481;
													}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1480z00zz__lalr_driverz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string1480z00zz__lalr_driverz00));
		}
	}

#ifdef __cplusplus
}
#endif
