/*===========================================================================*/
/*   (Llib/hash.scm)                                                         */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/hash.scm -indent -o objs/obj_u/Llib/hash.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	static obj_t BGl_zc3anonymousza31777ze3z83zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__weakhashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_plainzd2hashtablezd2updatez12z12zz__hashz00(obj_t, obj_t,
		obj_t, obj_t);
	extern long bgl_pointer_hashnumber(obj_t, long);
	static obj_t BGl_toplevelzd2initzd2zz__hashz00();
	static obj_t BGl_plainzd2hashtablezd2ze3listze3zz__hashz00(obj_t);
	static bool_t BGl_plainzd2hashtablezd2removez12z12zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_hashtablezd2siza7ez75zz__hashz00(obj_t);
	static obj_t BGl__hashtablezd2ze3vector2189z31zz__hashz00(obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
	static obj_t BGl__hashtablezd2updatez12zc0zz__hashz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t,
		obj_t);
	extern long bgl_symbol_hash_number(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__hashtablezd2keyzd2list2191z00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__hashz00 = BUNSPEC;
	extern obj_t make_vector(int, obj_t);
	BGL_EXPORTED_DECL long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2filterz12zc0zz__hashz00(obj_t, obj_t);
	static obj_t BGl_plainzd2hashtablezd2mapz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2ze3vectorz31zz__hashz00(obj_t);
	static obj_t BGl__hashtablezd2forzd2each2192z00zz__hashz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t);
	extern obj_t BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static long BGl_defaultzd2maxzd2bucketzd2lengthzd2zz__hashz00;
	static obj_t BGl__makezd2hashtablezd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t, obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
	static obj_t BGl__hashtablezd2removez122196zc0zz__hashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_plainzd2hashtablezd2getz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl__hashtablezd2filterz122193zc0zz__hashz00(obj_t, obj_t,
		obj_t);
	static long BGl_defaultzd2hashtablezd2bucketzd2lengthzd2zz__hashz00;
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_plainzd2hashtablezd2containszf3zf3zz__hashz00(obj_t, obj_t);
	extern long bgl_foreign_hash_number(obj_t);
	extern obj_t create_struct(obj_t, int);
	extern obj_t BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl__hashtablezf3zf3zz__hashz00(obj_t, obj_t);
	static obj_t BGl__hashtablezd2mapzd2zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_plainzd2hashtablezd2keyzd2listzd2zz__hashz00(obj_t);
	static obj_t BGl_plainzd2hashtablezd2filterz12z12zz__hashz00(obj_t, obj_t);
	static obj_t BGl_plainzd2hashtablezd2ze3vectorze3zz__hashz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__hashz00();
	static obj_t BGl__hashtablezd2siza7e2188z75zz__hashz00(obj_t, obj_t);
	static obj_t BGl__hashtablezd2get2194zd2zz__hashz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2updatez12zc0zz__hashz00(obj_t, obj_t,
		obj_t, obj_t);
	extern long bgl_string_hash_number(char *);
	static obj_t BGl__hashtablezd2putz122195zc0zz__hashz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2keyzd2listz00zz__hashz00(obj_t);
	static bool_t BGl_plainzd2hashtablezd2forzd2eachzd2zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_hashtablezd2removez12zc0zz__hashz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__hashz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL long BGl_getzd2pointerzd2hashnumberz00zz__hashz00(obj_t,
		long);
	BGL_EXPORTED_DECL bool_t BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2mapzd2zz__hashz00(obj_t, obj_t);
	extern long bgl_keyword_hash_number(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2201z00zz__hashz00 = BUNSPEC;
	static obj_t BGl_symbol2204z00zz__hashz00 = BUNSPEC;
	extern obj_t BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl__getzd2hashnumberzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl__hashtablezd2ze3list2190z31zz__hashz00(obj_t, obj_t);
	static obj_t BGl__hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t,
		obj_t);
	extern obj_t BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t);
	static bool_t BGl_plainzd2hashtablezd2expandz12z12zz__hashz00(obj_t);
	extern long bgl_obj_hash_number(obj_t);
	extern obj_t BGl_weakzd2hashtablezd2getz00zz__weakhashz00(obj_t, obj_t);
	extern obj_t BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__hashz00();
	static obj_t BGl_plainzd2hashtablezd2putz12z12zz__hashz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t);
	extern int BGl_objectzd2hashnumberzd2zz__objectz00(BgL_objectz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_hashtablezd2containszf3z21zz__hashz00(obj_t,
		obj_t);
	static obj_t BGl__getzd2pointerzd2hashnum2197z00zz__hashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__hashtablezd2containszf3z21zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2siza7ezd2envza7zz__hashz00,
		BgL_bgl__hashtableza7d2siza72207z00,
		BGl__hashtablezd2siza7e2188z75zz__hashz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2ze3listzd2envze3zz__hashz00,
		BgL_bgl__hashtableza7d2za7e32208z00,
		BGl__hashtablezd2ze3list2190z31zz__hashz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2putz12zd2envz12zz__hashz00,
		BgL_bgl__hashtableza7d2put2209za7,
		BGl__hashtablezd2putz122195zc0zz__hashz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2ze3vectorzd2envze3zz__hashz00,
		BgL_bgl__hashtableza7d2za7e32210z00,
		BGl__hashtablezd2ze3vector2189z31zz__hashz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2hashtablezd2envz00zz__hashz00,
		BgL_bgl__makeza7d2hashtabl2211za7, va_generic_entry,
		BGl__makezd2hashtablezd2zz__hashz00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezf3zd2envz21zz__hashz00,
		BgL_bgl__hashtableza7f3za7f32212z00, BGl__hashtablezf3zf3zz__hashz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2keyzd2listzd2envzd2zz__hashz00,
		BgL_bgl__hashtableza7d2key2213za7,
		BGl__hashtablezd2keyzd2list2191z00zz__hashz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2getzd2envz00zz__hashz00,
		BgL_bgl__hashtableza7d2get2214za7, BGl__hashtablezd2get2194zd2zz__hashz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2removez12zd2envz12zz__hashz00,
		BgL_bgl__hashtableza7d2rem2215za7,
		BGl__hashtablezd2removez122196zc0zz__hashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2filterz12zd2envz12zz__hashz00,
		BgL_bgl__hashtableza7d2fil2216za7,
		BGl__hashtablezd2filterz122193zc0zz__hashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2forzd2eachzd2envzd2zz__hashz00,
		BgL_bgl__hashtableza7d2for2217za7,
		BGl__hashtablezd2forzd2each2192z00zz__hashz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2hashnumberzd2envz00zz__hashz00,
		BgL_bgl__getza7d2hashnumbe2218za7, BGl__getzd2hashnumberzd2zz__hashz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hashtablezd2weakzd2datazf3zd2envz21zz__hashz00,
		BgL_bgl__hashtableza7d2wea2219za7,
		BGl__hashtablezd2weakzd2datazf3zf3zz__hashz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2mapzd2envz00zz__hashz00,
		BgL_bgl__hashtableza7d2map2220za7, BGl__hashtablezd2mapzd2zz__hashz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2200z00zz__hashz00,
		BgL_bgl_string2200za700za7za7_2221za7, "Illegal max bucket length", 25);
	      DEFINE_STRING(BGl_string2202z00zz__hashz00,
		BgL_bgl_string2202za700za7za7_2222za7, "Illegal equality test", 21);
	      DEFINE_STRING(BGl_string2203z00zz__hashz00,
		BgL_bgl_string2203za700za7za7_2223za7, "Illegal hashnumber function", 27);
	      DEFINE_STRING(BGl_string2205z00zz__hashz00,
		BgL_bgl_string2205za700za7za7_2224za7, "%hashtable", 10);
	      DEFINE_STRING(BGl_string2206z00zz__hashz00,
		BgL_bgl_string2206za700za7za7_2225za7, "__hash", 6);
	      DEFINE_STRING(BGl_string2198z00zz__hashz00,
		BgL_bgl_string2198za700za7za7_2226za7, "make-hashtable", 14);
	      DEFINE_STRING(BGl_string2199z00zz__hashz00,
		BgL_bgl_string2199za700za7za7_2227za7, "Illegal default bucket length", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hashtablezd2weakzd2keyszf3zd2envz21zz__hashz00,
		BgL_bgl__hashtableza7d2wea2228za7,
		BGl__hashtablezd2weakzd2keyszf3zf3zz__hashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2containszf3zd2envzf3zz__hashz00,
		BgL_bgl__hashtableza7d2con2229za7,
		BGl__hashtablezd2containszf3z21zz__hashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2pointerzd2hashnumberzd2envzd2zz__hashz00,
		BgL_bgl__getza7d2pointerza7d2230z00,
		BGl__getzd2pointerzd2hashnum2197z00zz__hashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hashtablezd2updatez12zd2envz12zz__hashz00,
		BgL_bgl__hashtableza7d2upd2231za7, BGl__hashtablezd2updatez12zc0zz__hashz00,
		0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long
		BgL_checksumz00_2748, char *BgL_fromz00_2749)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__hashz00))
				{
					BGl_requirezd2initializa7ationz75zz__hashz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__hashz00();
					BGl_importedzd2moduleszd2initz00zz__hashz00();
					BGl_toplevelzd2initzd2zz__hashz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__hashz00()
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 18 */
			BGl_symbol2201z00zz__hashz00 =
				bstring_to_symbol(BGl_string2198z00zz__hashz00);
			return (BGl_symbol2204z00zz__hashz00 =
				bstring_to_symbol(BGl_string2205z00zz__hashz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__hashz00()
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 18 */
			BGl_defaultzd2hashtablezd2bucketzd2lengthzd2zz__hashz00 = ((long) 128);
			return (BGl_defaultzd2maxzd2bucketzd2lengthzd2zz__hashz00 =
				((long) 10), BUNSPEC);
		}
	}



/* make-hashtable */
	BGL_EXPORTED_DEF obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t
		BgL_argsz00_32)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 107 */
			{	/* Llib/hash.scm 108 */
				obj_t BgL_siza7eza7_727;
				obj_t BgL_mblenz00_728;
				obj_t BgL_eqtestz00_729;
				obj_t BgL_hashnz00_730;
				long BgL_wkz00_731;

				if (PAIRP(BgL_argsz00_32))
					{	/* Llib/hash.scm 110 */
						bool_t BgL_testz00_2760;

						if (INTEGERP(CAR(BgL_argsz00_32)))
							{	/* Llib/hash.scm 110 */
								long BgL_auxz00_2764;

								{	/* Llib/hash.scm 110 */
									obj_t BgL_pairz00_1561;

									BgL_pairz00_1561 = BgL_argsz00_32;
									BgL_auxz00_2764 = (long) CINT(CAR(BgL_pairz00_1561));
								}
								BgL_testz00_2760 = (BgL_auxz00_2764 >= ((long) 1));
							}
						else
							{	/* Llib/hash.scm 110 */
								BgL_testz00_2760 = ((bool_t) 0);
							}
						if (BgL_testz00_2760)
							{	/* Llib/hash.scm 110 */
								BgL_siza7eza7_727 = CAR(BgL_argsz00_32);
							}
						else
							{	/* Llib/hash.scm 110 */
								if ((CAR(BgL_argsz00_32) == BUNSPEC))
									{	/* Llib/hash.scm 112 */
										BgL_siza7eza7_727 =
											BINT
											(BGl_defaultzd2hashtablezd2bucketzd2lengthzd2zz__hashz00);
									}
								else
									{	/* Llib/hash.scm 112 */
										BgL_siza7eza7_727 =
											BGl_errorz00zz__errorz00(BGl_string2198z00zz__hashz00,
											BGl_string2199z00zz__hashz00, BgL_argsz00_32);
									}
							}
					}
				else
					{	/* Llib/hash.scm 108 */
						BgL_siza7eza7_727 =
							BINT(BGl_defaultzd2hashtablezd2bucketzd2lengthzd2zz__hashz00);
					}
				{	/* Llib/hash.scm 119 */
					bool_t BgL_testz00_2775;

					if (PAIRP(BgL_argsz00_32))
						{	/* Llib/hash.scm 119 */
							obj_t BgL_auxz00_2778;

							BgL_auxz00_2778 = CDR(BgL_argsz00_32);
							BgL_testz00_2775 = PAIRP(BgL_auxz00_2778);
						}
					else
						{	/* Llib/hash.scm 119 */
							BgL_testz00_2775 = ((bool_t) 0);
						}
					if (BgL_testz00_2775)
						{	/* Llib/hash.scm 121 */
							bool_t BgL_testz00_2781;

							{	/* Llib/hash.scm 121 */
								bool_t BgL_testz00_2782;

								{	/* Llib/hash.scm 121 */
									obj_t BgL_auxz00_2783;

									{	/* Llib/hash.scm 121 */
										obj_t BgL_pairz00_1569;

										BgL_pairz00_1569 = BgL_argsz00_32;
										BgL_auxz00_2783 = CAR(CDR(BgL_pairz00_1569));
									}
									BgL_testz00_2782 = INTEGERP(BgL_auxz00_2783);
								}
								if (BgL_testz00_2782)
									{	/* Llib/hash.scm 121 */
										long BgL_auxz00_2787;

										{	/* Llib/hash.scm 121 */
											obj_t BgL_pairz00_1574;

											BgL_pairz00_1574 = BgL_argsz00_32;
											{	/* Llib/hash.scm 121 */
												obj_t BgL_pairz00_1577;

												BgL_pairz00_1577 = CDR(BgL_pairz00_1574);
												BgL_auxz00_2787 = (long) CINT(CAR(BgL_pairz00_1577));
										}}
										BgL_testz00_2781 = (BgL_auxz00_2787 >= ((long) 1));
									}
								else
									{	/* Llib/hash.scm 121 */
										BgL_testz00_2781 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2781)
								{	/* Llib/hash.scm 122 */
									obj_t BgL_pairz00_1580;

									BgL_pairz00_1580 = BgL_argsz00_32;
									BgL_mblenz00_728 = CAR(CDR(BgL_pairz00_1580));
								}
							else
								{	/* Llib/hash.scm 123 */
									bool_t BgL_testz00_2794;

									{	/* Llib/hash.scm 123 */
										obj_t BgL_auxz00_2795;

										{	/* Llib/hash.scm 123 */
											obj_t BgL_pairz00_1584;

											BgL_pairz00_1584 = BgL_argsz00_32;
											BgL_auxz00_2795 = CAR(CDR(BgL_pairz00_1584));
										}
										BgL_testz00_2794 = (BgL_auxz00_2795 == BUNSPEC);
									}
									if (BgL_testz00_2794)
										{	/* Llib/hash.scm 123 */
											BgL_mblenz00_728 =
												BINT(BGl_defaultzd2maxzd2bucketzd2lengthzd2zz__hashz00);
										}
									else
										{	/* Llib/hash.scm 123 */
											BgL_mblenz00_728 =
												BGl_errorz00zz__errorz00(BGl_string2198z00zz__hashz00,
												BGl_string2200z00zz__hashz00, BgL_argsz00_32);
										}
								}
						}
					else
						{	/* Llib/hash.scm 119 */
							BgL_mblenz00_728 =
								BINT(BGl_defaultzd2maxzd2bucketzd2lengthzd2zz__hashz00);
						}
				}
				{
					obj_t BgL_eqz00_752;

					if (PAIRP(BgL_argsz00_32))
						{	/* Llib/hash.scm 130 */
							obj_t BgL_cdrzd21003zd2_757;

							BgL_cdrzd21003zd2_757 = CDR(BgL_argsz00_32);
							if (PAIRP(BgL_cdrzd21003zd2_757))
								{	/* Llib/hash.scm 130 */
									obj_t BgL_cdrzd21006zd2_759;

									BgL_cdrzd21006zd2_759 = CDR(BgL_cdrzd21003zd2_757);
									if (PAIRP(BgL_cdrzd21006zd2_759))
										{	/* Llib/hash.scm 130 */
											BgL_eqz00_752 = CAR(BgL_cdrzd21006zd2_759);
											{	/* Llib/hash.scm 133 */
												bool_t BgL_testz00_2810;

												if (PROCEDUREP(BgL_eqz00_752))
													{	/* Llib/hash.scm 133 */
														BgL_testz00_2810 =
															PROCEDURE_CORRECT_ARITYP(BgL_eqz00_752,
															(int) (((long) 2)));
													}
												else
													{	/* Llib/hash.scm 133 */
														BgL_testz00_2810 = ((bool_t) 0);
													}
												if (BgL_testz00_2810)
													{	/* Llib/hash.scm 133 */
														BgL_eqtestz00_729 = BgL_eqz00_752;
													}
												else
													{	/* Llib/hash.scm 133 */
														if ((BgL_eqz00_752 == BUNSPEC))
															{	/* Llib/hash.scm 135 */
																BgL_eqtestz00_729 = BFALSE;
															}
														else
															{	/* Llib/hash.scm 135 */
																BgL_eqtestz00_729 =
																	BGl_errorz00zz__errorz00
																	(BGl_symbol2201z00zz__hashz00,
																	BGl_string2202z00zz__hashz00, BgL_eqz00_752);
															}
													}
											}
										}
									else
										{	/* Llib/hash.scm 130 */
											BgL_eqtestz00_729 = BFALSE;
										}
								}
							else
								{	/* Llib/hash.scm 130 */
									BgL_eqtestz00_729 = BFALSE;
								}
						}
					else
						{	/* Llib/hash.scm 130 */
							BgL_eqtestz00_729 = BFALSE;
						}
				}
				{
					obj_t BgL_hnz00_765;

					if (PAIRP(BgL_argsz00_32))
						{	/* Llib/hash.scm 143 */
							obj_t BgL_cdrzd21017zd2_770;

							BgL_cdrzd21017zd2_770 = CDR(BgL_argsz00_32);
							if (PAIRP(BgL_cdrzd21017zd2_770))
								{	/* Llib/hash.scm 143 */
									obj_t BgL_cdrzd21020zd2_772;

									BgL_cdrzd21020zd2_772 = CDR(BgL_cdrzd21017zd2_770);
									if (PAIRP(BgL_cdrzd21020zd2_772))
										{	/* Llib/hash.scm 143 */
											obj_t BgL_cdrzd21023zd2_774;

											BgL_cdrzd21023zd2_774 = CDR(BgL_cdrzd21020zd2_772);
											if (PAIRP(BgL_cdrzd21023zd2_774))
												{	/* Llib/hash.scm 143 */
													BgL_hnz00_765 = CAR(BgL_cdrzd21023zd2_774);
													{	/* Llib/hash.scm 146 */
														bool_t BgL_testz00_2830;

														if (PROCEDUREP(BgL_hnz00_765))
															{	/* Llib/hash.scm 146 */
																BgL_testz00_2830 =
																	PROCEDURE_CORRECT_ARITYP(BgL_hnz00_765,
																	(int) (((long) 1)));
															}
														else
															{	/* Llib/hash.scm 146 */
																BgL_testz00_2830 = ((bool_t) 0);
															}
														if (BgL_testz00_2830)
															{	/* Llib/hash.scm 146 */
																BgL_hashnz00_730 = BgL_hnz00_765;
															}
														else
															{	/* Llib/hash.scm 146 */
																if ((BgL_hnz00_765 == BUNSPEC))
																	{	/* Llib/hash.scm 148 */
																		BgL_hashnz00_730 = BFALSE;
																	}
																else
																	{	/* Llib/hash.scm 148 */
																		BgL_hashnz00_730 =
																			BGl_errorz00zz__errorz00
																			(BGl_symbol2201z00zz__hashz00,
																			BGl_string2203z00zz__hashz00,
																			BgL_hnz00_765);
																	}
															}
													}
												}
											else
												{	/* Llib/hash.scm 143 */
													BgL_hashnz00_730 = BFALSE;
												}
										}
									else
										{	/* Llib/hash.scm 143 */
											BgL_hashnz00_730 = BFALSE;
										}
								}
							else
								{	/* Llib/hash.scm 143 */
									BgL_hashnz00_730 = BFALSE;
								}
						}
					else
						{	/* Llib/hash.scm 143 */
							BgL_hashnz00_730 = BFALSE;
						}
				}
				{	/* Llib/hash.scm 156 */
					long BgL_auxz00_2859;
					long BgL_auxz00_2839;

					if (PAIRP(BgL_argsz00_32))
						{	/* Llib/hash.scm 156 */
							obj_t BgL_cdrzd21054zd2_803;

							BgL_cdrzd21054zd2_803 = CDR(BgL_argsz00_32);
							if (PAIRP(BgL_cdrzd21054zd2_803))
								{	/* Llib/hash.scm 156 */
									obj_t BgL_cdrzd21057zd2_805;

									BgL_cdrzd21057zd2_805 = CDR(BgL_cdrzd21054zd2_803);
									if (PAIRP(BgL_cdrzd21057zd2_805))
										{	/* Llib/hash.scm 156 */
											obj_t BgL_cdrzd21060zd2_807;

											BgL_cdrzd21060zd2_807 = CDR(BgL_cdrzd21057zd2_805);
											if (PAIRP(BgL_cdrzd21060zd2_807))
												{	/* Llib/hash.scm 156 */
													obj_t BgL_cdrzd21063zd2_809;

													BgL_cdrzd21063zd2_809 = CDR(BgL_cdrzd21060zd2_807);
													if (PAIRP(BgL_cdrzd21063zd2_809))
														{	/* Llib/hash.scm 156 */
															obj_t BgL_cdrzd21066zd2_811;

															BgL_cdrzd21066zd2_811 =
																CDR(BgL_cdrzd21063zd2_809);
															if (PAIRP(BgL_cdrzd21066zd2_811))
																{	/* Llib/hash.scm 156 */
																	if (NULLP(CDR(BgL_cdrzd21066zd2_811)))
																		{	/* Llib/hash.scm 156 */
																			obj_t BgL_wkdz00_1633;

																			BgL_wkdz00_1633 =
																				CAR(BgL_cdrzd21066zd2_811);
																			{	/* Llib/hash.scm 156 */
																				bool_t BgL_testz00_2881;

																				if ((BgL_wkdz00_1633 == BUNSPEC))
																					{	/* Llib/hash.scm 156 */
																						BgL_testz00_2881 = ((bool_t) 0);
																					}
																				else
																					{	/* Llib/hash.scm 156 */
																						BgL_testz00_2881 =
																							CBOOL(BgL_wkdz00_1633);
																					}
																				if (BgL_testz00_2881)
																					{	/* Llib/hash.scm 156 */
																						BgL_auxz00_2859 = ((long) 2);
																					}
																				else
																					{	/* Llib/hash.scm 156 */
																						BgL_auxz00_2859 = ((long) 0);
																		}}}
																	else
																		{	/* Llib/hash.scm 156 */
																			BgL_auxz00_2859 = ((long) 0);
																}}
															else
																{	/* Llib/hash.scm 156 */
																	BgL_auxz00_2859 = ((long) 0);
														}}
													else
														{	/* Llib/hash.scm 156 */
															BgL_auxz00_2859 = ((long) 0);
												}}
											else
												{	/* Llib/hash.scm 156 */
													BgL_auxz00_2859 = ((long) 0);
										}}
									else
										{	/* Llib/hash.scm 156 */
											BgL_auxz00_2859 = ((long) 0);
								}}
							else
								{	/* Llib/hash.scm 156 */
									BgL_auxz00_2859 = ((long) 0);
						}}
					else
						{	/* Llib/hash.scm 156 */
							BgL_auxz00_2859 = ((long) 0);
						}
					if (PAIRP(BgL_argsz00_32))
						{	/* Llib/hash.scm 156 */
							obj_t BgL_cdrzd21034zd2_787;

							BgL_cdrzd21034zd2_787 = CDR(BgL_argsz00_32);
							if (PAIRP(BgL_cdrzd21034zd2_787))
								{	/* Llib/hash.scm 156 */
									obj_t BgL_cdrzd21037zd2_789;

									BgL_cdrzd21037zd2_789 = CDR(BgL_cdrzd21034zd2_787);
									if (PAIRP(BgL_cdrzd21037zd2_789))
										{	/* Llib/hash.scm 156 */
											obj_t BgL_cdrzd21040zd2_791;

											BgL_cdrzd21040zd2_791 = CDR(BgL_cdrzd21037zd2_789);
											if (PAIRP(BgL_cdrzd21040zd2_791))
												{	/* Llib/hash.scm 156 */
													obj_t BgL_cdrzd21043zd2_793;

													BgL_cdrzd21043zd2_793 = CDR(BgL_cdrzd21040zd2_791);
													if (PAIRP(BgL_cdrzd21043zd2_793))
														{	/* Llib/hash.scm 156 */
															obj_t BgL_wkkz00_1614;

															BgL_wkkz00_1614 = CAR(BgL_cdrzd21043zd2_793);
															{	/* Llib/hash.scm 156 */
																bool_t BgL_testz00_2855;

																if ((BgL_wkkz00_1614 == BUNSPEC))
																	{	/* Llib/hash.scm 156 */
																		BgL_testz00_2855 = ((bool_t) 0);
																	}
																else
																	{	/* Llib/hash.scm 156 */
																		BgL_testz00_2855 = CBOOL(BgL_wkkz00_1614);
																	}
																if (BgL_testz00_2855)
																	{	/* Llib/hash.scm 156 */
																		BgL_auxz00_2839 = ((long) 1);
																	}
																else
																	{	/* Llib/hash.scm 156 */
																		BgL_auxz00_2839 = ((long) 0);
														}}}
													else
														{	/* Llib/hash.scm 156 */
															BgL_auxz00_2839 = ((long) 0);
												}}
											else
												{	/* Llib/hash.scm 156 */
													BgL_auxz00_2839 = ((long) 0);
										}}
									else
										{	/* Llib/hash.scm 156 */
											BgL_auxz00_2839 = ((long) 0);
								}}
							else
								{	/* Llib/hash.scm 156 */
									BgL_auxz00_2839 = ((long) 0);
						}}
					else
						{	/* Llib/hash.scm 156 */
							BgL_auxz00_2839 = ((long) 0);
						}
					BgL_wkz00_731 = (BgL_auxz00_2839 | BgL_auxz00_2859);
				}
				{	/* Llib/hash.scm 172 */
					obj_t BgL_arg1652z00_733;

					BgL_arg1652z00_733 = make_vector(CINT(BgL_siza7eza7_727), BNIL);
					{	/* Llib/hash.scm 172 */
						obj_t BgL_newz00_1646;

						BgL_newz00_1646 =
							create_struct(BGl_symbol2204z00zz__hashz00, (int) (((long) 6)));
						{	/* Llib/hash.scm 172 */
							obj_t BgL_auxz00_2892;
							int BgL_auxz00_2890;

							BgL_auxz00_2892 = BINT(BgL_wkz00_731);
							BgL_auxz00_2890 = (int) (((long) 5));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2890, BgL_auxz00_2892);
						}
						{	/* Llib/hash.scm 172 */
							int BgL_auxz00_2895;

							BgL_auxz00_2895 = (int) (((long) 4));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2895, BgL_hashnz00_730);
						}
						{	/* Llib/hash.scm 172 */
							int BgL_auxz00_2898;

							BgL_auxz00_2898 = (int) (((long) 3));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2898, BgL_eqtestz00_729);
						}
						{	/* Llib/hash.scm 172 */
							int BgL_auxz00_2901;

							BgL_auxz00_2901 = (int) (((long) 2));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2901, BgL_arg1652z00_733);
						}
						{	/* Llib/hash.scm 172 */
							int BgL_auxz00_2904;

							BgL_auxz00_2904 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2904, BgL_mblenz00_728);
						}
						{	/* Llib/hash.scm 172 */
							obj_t BgL_auxz00_2909;
							int BgL_auxz00_2907;

							BgL_auxz00_2909 = BINT(((long) 0));
							BgL_auxz00_2907 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_1646, BgL_auxz00_2907, BgL_auxz00_2909);
						}
						return BgL_newz00_1646;
					}
				}
			}
		}
	}



/* _make-hashtable */
	obj_t BGl__makezd2hashtablezd2zz__hashz00(obj_t BgL_envz00_2689,
		obj_t BgL_argsz00_2690)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 107 */
			return BGl_makezd2hashtablezd2zz__hashz00(BgL_argsz00_2690);
		}
	}



/* hashtable? */
	BGL_EXPORTED_DEF bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t BgL_objz00_33)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 177 */
			if (STRUCTP(BgL_objz00_33))
				{	/* Llib/hash.scm 178 */
					return (STRUCT_KEY(BgL_objz00_33) == BGl_symbol2204z00zz__hashz00);
				}
			else
				{	/* Llib/hash.scm 178 */
					return ((bool_t) 0);
				}
		}
	}



/* _hashtable? */
	obj_t BGl__hashtablezf3zf3zz__hashz00(obj_t BgL_envz00_2691,
		obj_t BgL_objz00_2692)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 177 */
			return BBOOL(BGl_hashtablezf3zf3zz__hashz00(BgL_objz00_2692));
		}
	}



/* hashtable-weak-keys? */
	BGL_EXPORTED_DEF bool_t BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t
		BgL_tablez00_35)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 189 */
			if (
				(((long) 0) ==
					(((long) 1) &
						(long) CINT(STRUCT_REF(BgL_tablez00_35, (int) (((long) 5)))))))
				{	/* Llib/hash.scm 190 */
					return ((bool_t) 0);
				}
			else
				{	/* Llib/hash.scm 190 */
					return ((bool_t) 1);
				}
		}
	}



/* _hashtable-weak-keys? */
	obj_t BGl__hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t BgL_envz00_2693,
		obj_t BgL_tablez00_2694)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 189 */
			return
				BBOOL(BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00(BgL_tablez00_2694));
		}
	}



/* hashtable-weak-data? */
	BGL_EXPORTED_DEF bool_t BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t
		BgL_tablez00_36)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 195 */
			if (
				(((long) 0) ==
					(((long) 2) &
						(long) CINT(STRUCT_REF(BgL_tablez00_36, (int) (((long) 5)))))))
				{	/* Llib/hash.scm 196 */
					return ((bool_t) 0);
				}
			else
				{	/* Llib/hash.scm 196 */
					return ((bool_t) 1);
				}
		}
	}



/* _hashtable-weak-data? */
	obj_t BGl__hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t BgL_envz00_2695,
		obj_t BgL_tablez00_2696)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 195 */
			return
				BBOOL(BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00(BgL_tablez00_2696));
		}
	}



/* hashtable-size */
	BGL_EXPORTED_DEF long BGl_hashtablezd2siza7ez75zz__hashz00(obj_t
		BgL_tablez00_37)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 201 */
			return (long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 0))));
		}
	}



/* _hashtable-size2188 */
	obj_t BGl__hashtablezd2siza7e2188z75zz__hashz00(obj_t BgL_envz00_2697,
		obj_t BgL_tablez00_2698)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 201 */
			return BINT(BGl_hashtablezd2siza7ez75zz__hashz00(BgL_tablez00_2698));
		}
	}



/* hashtable->vector */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2ze3vectorz31zz__hashz00(obj_t
		BgL_tablez00_38)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 207 */
			{	/* Llib/hash.scm 208 */
				bool_t BgL_testz00_2940;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_38, (int) (((long) 5))))))
					{	/* Llib/hash.scm 208 */
						BgL_testz00_2940 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 208 */
						BgL_testz00_2940 = ((bool_t) 1);
					}
				if (BgL_testz00_2940)
					{	/* Llib/hash.scm 208 */
						return
							BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00
							(BgL_tablez00_38);
					}
				else
					{	/* Llib/hash.scm 208 */
						return
							BGl_plainzd2hashtablezd2ze3vectorze3zz__hashz00(BgL_tablez00_38);
					}
			}
		}
	}



/* _hashtable->vector2189 */
	obj_t BGl__hashtablezd2ze3vector2189z31zz__hashz00(obj_t BgL_envz00_2699,
		obj_t BgL_tablez00_2700)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 207 */
			return BGl_hashtablezd2ze3vectorz31zz__hashz00(BgL_tablez00_2700);
		}
	}



/* plain-hashtable->vector */
	obj_t BGl_plainzd2hashtablezd2ze3vectorze3zz__hashz00(obj_t BgL_tablez00_39)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 215 */
			{	/* Llib/hash.scm 216 */
				obj_t BgL_vecz00_832;

				{	/* Llib/hash.scm 216 */
					long BgL_arg1728z00_848;

					BgL_arg1728z00_848 =
						(long) CINT(STRUCT_REF(BgL_tablez00_39, (int) (((long) 0))));
					BgL_vecz00_832 = make_vector((int) (BgL_arg1728z00_848), BUNSPEC);
				}
				{	/* Llib/hash.scm 216 */
					obj_t BgL_bucketsz00_833;

					BgL_bucketsz00_833 = STRUCT_REF(BgL_tablez00_39, (int) (((long) 2)));
					{	/* Llib/hash.scm 217 */
						int BgL_bucketszd2lenzd2_834;

						BgL_bucketszd2lenzd2_834 = VECTOR_LENGTH(BgL_bucketsz00_833);
						{	/* Llib/hash.scm 218 */

							{
								long BgL_iz00_835;
								long BgL_wz00_836;

								BgL_iz00_835 = ((long) 0);
								BgL_wz00_836 = ((long) 0);
							BgL_loopz00_837:
								if ((BgL_iz00_835 == (long) (BgL_bucketszd2lenzd2_834)))
									{	/* Llib/hash.scm 221 */
										return BgL_vecz00_832;
									}
								else
									{	/* Llib/hash.scm 223 */
										obj_t BgL_g1583z00_839;

										BgL_g1583z00_839 =
											VECTOR_REF(BgL_bucketsz00_833, (int) (BgL_iz00_835));
										{
											obj_t BgL_bucketz00_840;
											long BgL_wz00_841;

											BgL_bucketz00_840 = BgL_g1583z00_839;
											BgL_wz00_841 = BgL_wz00_836;
										BgL_liipz00_842:
											if (NULLP(BgL_bucketz00_840))
												{
													long BgL_wz00_2966;
													long BgL_iz00_2964;

													BgL_iz00_2964 = (BgL_iz00_835 + ((long) 1));
													BgL_wz00_2966 = BgL_wz00_841;
													BgL_wz00_836 = BgL_wz00_2966;
													BgL_iz00_835 = BgL_iz00_2964;
													goto BgL_loopz00_837;
												}
											else
												{	/* Llib/hash.scm 225 */
													{	/* Llib/hash.scm 228 */
														obj_t BgL_arg1725z00_845;

														{	/* Llib/hash.scm 228 */
															obj_t BgL_pairz00_1747;

															BgL_pairz00_1747 = BgL_bucketz00_840;
															BgL_arg1725z00_845 = CDR(CAR(BgL_pairz00_1747));
														}
														VECTOR_SET(BgL_vecz00_832,
															(int) (BgL_wz00_841), BgL_arg1725z00_845);
													}
													{
														long BgL_wz00_2973;
														obj_t BgL_bucketz00_2971;

														BgL_bucketz00_2971 = CDR(BgL_bucketz00_840);
														BgL_wz00_2973 = (BgL_wz00_841 + ((long) 1));
														BgL_wz00_841 = BgL_wz00_2973;
														BgL_bucketz00_840 = BgL_bucketz00_2971;
														goto BgL_liipz00_842;
													}
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* hashtable->list */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t
		BgL_tablez00_40)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 234 */
			{	/* Llib/hash.scm 235 */
				bool_t BgL_testz00_2975;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_40, (int) (((long) 5))))))
					{	/* Llib/hash.scm 235 */
						BgL_testz00_2975 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 235 */
						BgL_testz00_2975 = ((bool_t) 1);
					}
				if (BgL_testz00_2975)
					{	/* Llib/hash.scm 235 */
						return
							BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(BgL_tablez00_40);
					}
				else
					{	/* Llib/hash.scm 235 */
						return
							BGl_plainzd2hashtablezd2ze3listze3zz__hashz00(BgL_tablez00_40);
					}
			}
		}
	}



/* _hashtable->list2190 */
	obj_t BGl__hashtablezd2ze3list2190z31zz__hashz00(obj_t BgL_envz00_2701,
		obj_t BgL_tablez00_2702)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 234 */
			return BGl_hashtablezd2ze3listz31zz__hashz00(BgL_tablez00_2702);
		}
	}



/* plain-hashtable->list */
	obj_t BGl_plainzd2hashtablezd2ze3listze3zz__hashz00(obj_t BgL_tablez00_41)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 242 */
			{	/* Llib/hash.scm 243 */
				obj_t BgL_vecz00_851;

				{	/* Llib/hash.scm 243 */
					long BgL_arg1737z00_868;

					BgL_arg1737z00_868 =
						(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 0))));
					BgL_vecz00_851 = make_vector((int) (BgL_arg1737z00_868), BUNSPEC);
				}
				{	/* Llib/hash.scm 243 */
					obj_t BgL_bucketsz00_852;

					BgL_bucketsz00_852 = STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
					{	/* Llib/hash.scm 244 */
						int BgL_bucketszd2lenzd2_853;

						BgL_bucketszd2lenzd2_853 = VECTOR_LENGTH(BgL_bucketsz00_852);
						{	/* Llib/hash.scm 245 */

							{
								long BgL_iz00_855;
								obj_t BgL_resz00_856;

								BgL_iz00_855 = ((long) 0);
								BgL_resz00_856 = BNIL;
							BgL_loopz00_857:
								if ((BgL_iz00_855 == (long) (BgL_bucketszd2lenzd2_853)))
									{	/* Llib/hash.scm 248 */
										return BgL_resz00_856;
									}
								else
									{	/* Llib/hash.scm 250 */
										obj_t BgL_g1585z00_859;

										BgL_g1585z00_859 =
											VECTOR_REF(BgL_bucketsz00_852, (int) (BgL_iz00_855));
										{
											obj_t BgL_bucketz00_1783;
											obj_t BgL_resz00_1784;

											BgL_bucketz00_1783 = BgL_g1585z00_859;
											BgL_resz00_1784 = BgL_resz00_856;
										BgL_liipz00_1782:
											if (NULLP(BgL_bucketz00_1783))
												{
													obj_t BgL_resz00_3001;
													long BgL_iz00_2999;

													BgL_iz00_2999 = (BgL_iz00_855 + ((long) 1));
													BgL_resz00_3001 = BgL_resz00_1784;
													BgL_resz00_856 = BgL_resz00_3001;
													BgL_iz00_855 = BgL_iz00_2999;
													goto BgL_loopz00_857;
												}
											else
												{	/* Llib/hash.scm 250 */
													obj_t BgL_arg1734z00_1792;
													obj_t BgL_arg1735z00_1793;

													BgL_arg1734z00_1792 = CDR(BgL_bucketz00_1783);
													{	/* Llib/hash.scm 250 */
														obj_t BgL_arg1736z00_1794;

														{	/* Llib/hash.scm 250 */
															obj_t BgL_pairz00_1799;

															BgL_pairz00_1799 = BgL_bucketz00_1783;
															BgL_arg1736z00_1794 = CDR(CAR(BgL_pairz00_1799));
														}
														BgL_arg1735z00_1793 =
															MAKE_PAIR(BgL_arg1736z00_1794, BgL_resz00_1784);
													}
													{
														obj_t BgL_resz00_3007;
														obj_t BgL_bucketz00_3006;

														BgL_bucketz00_3006 = BgL_arg1734z00_1792;
														BgL_resz00_3007 = BgL_arg1735z00_1793;
														BgL_resz00_1784 = BgL_resz00_3007;
														BgL_bucketz00_1783 = BgL_bucketz00_3006;
														goto BgL_liipz00_1782;
													}
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-key-list */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2keyzd2listz00zz__hashz00(obj_t
		BgL_tablez00_42)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 259 */
			{	/* Llib/hash.scm 260 */
				bool_t BgL_testz00_3008;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_42, (int) (((long) 5))))))
					{	/* Llib/hash.scm 260 */
						BgL_testz00_3008 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 260 */
						BgL_testz00_3008 = ((bool_t) 1);
					}
				if (BgL_testz00_3008)
					{	/* Llib/hash.scm 260 */
						return
							BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00
							(BgL_tablez00_42);
					}
				else
					{	/* Llib/hash.scm 260 */
						return
							BGl_plainzd2hashtablezd2keyzd2listzd2zz__hashz00(BgL_tablez00_42);
					}
			}
		}
	}



/* _hashtable-key-list2191 */
	obj_t BGl__hashtablezd2keyzd2list2191z00zz__hashz00(obj_t BgL_envz00_2703,
		obj_t BgL_tablez00_2704)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 259 */
			return BGl_hashtablezd2keyzd2listz00zz__hashz00(BgL_tablez00_2704);
		}
	}



/* plain-hashtable-key-list */
	obj_t BGl_plainzd2hashtablezd2keyzd2listzd2zz__hashz00(obj_t BgL_tablez00_43)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 267 */
			{	/* Llib/hash.scm 268 */
				obj_t BgL_vecz00_871;

				{	/* Llib/hash.scm 268 */
					long BgL_arg1746z00_888;

					BgL_arg1746z00_888 =
						(long) CINT(STRUCT_REF(BgL_tablez00_43, (int) (((long) 0))));
					BgL_vecz00_871 = make_vector((int) (BgL_arg1746z00_888), BUNSPEC);
				}
				{	/* Llib/hash.scm 268 */
					obj_t BgL_bucketsz00_872;

					BgL_bucketsz00_872 = STRUCT_REF(BgL_tablez00_43, (int) (((long) 2)));
					{	/* Llib/hash.scm 269 */
						int BgL_bucketszd2lenzd2_873;

						BgL_bucketszd2lenzd2_873 = VECTOR_LENGTH(BgL_bucketsz00_872);
						{	/* Llib/hash.scm 270 */

							{
								long BgL_iz00_875;
								obj_t BgL_resz00_876;

								BgL_iz00_875 = ((long) 0);
								BgL_resz00_876 = BNIL;
							BgL_loopz00_877:
								if ((BgL_iz00_875 == (long) (BgL_bucketszd2lenzd2_873)))
									{	/* Llib/hash.scm 273 */
										return BgL_resz00_876;
									}
								else
									{	/* Llib/hash.scm 275 */
										obj_t BgL_g1587z00_879;

										BgL_g1587z00_879 =
											VECTOR_REF(BgL_bucketsz00_872, (int) (BgL_iz00_875));
										{
											obj_t BgL_bucketz00_1857;
											obj_t BgL_resz00_1858;

											BgL_bucketz00_1857 = BgL_g1587z00_879;
											BgL_resz00_1858 = BgL_resz00_876;
										BgL_liipz00_1856:
											if (NULLP(BgL_bucketz00_1857))
												{
													obj_t BgL_resz00_3034;
													long BgL_iz00_3032;

													BgL_iz00_3032 = (BgL_iz00_875 + ((long) 1));
													BgL_resz00_3034 = BgL_resz00_1858;
													BgL_resz00_876 = BgL_resz00_3034;
													BgL_iz00_875 = BgL_iz00_3032;
													goto BgL_loopz00_877;
												}
											else
												{	/* Llib/hash.scm 275 */
													obj_t BgL_arg1743z00_1866;
													obj_t BgL_arg1744z00_1867;

													BgL_arg1743z00_1866 = CDR(BgL_bucketz00_1857);
													{	/* Llib/hash.scm 275 */
														obj_t BgL_arg1745z00_1868;

														{	/* Llib/hash.scm 275 */
															obj_t BgL_pairz00_1873;

															BgL_pairz00_1873 = BgL_bucketz00_1857;
															BgL_arg1745z00_1868 = CAR(CAR(BgL_pairz00_1873));
														}
														BgL_arg1744z00_1867 =
															MAKE_PAIR(BgL_arg1745z00_1868, BgL_resz00_1858);
													}
													{
														obj_t BgL_resz00_3040;
														obj_t BgL_bucketz00_3039;

														BgL_bucketz00_3039 = BgL_arg1743z00_1866;
														BgL_resz00_3040 = BgL_arg1744z00_1867;
														BgL_resz00_1858 = BgL_resz00_3040;
														BgL_bucketz00_1857 = BgL_bucketz00_3039;
														goto BgL_liipz00_1856;
													}
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-map */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2mapzd2zz__hashz00(obj_t
		BgL_tablez00_44, obj_t BgL_funz00_45)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 284 */
			{	/* Llib/hash.scm 285 */
				bool_t BgL_testz00_3041;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_44, (int) (((long) 5))))))
					{	/* Llib/hash.scm 285 */
						BgL_testz00_3041 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 285 */
						BgL_testz00_3041 = ((bool_t) 1);
					}
				if (BgL_testz00_3041)
					{	/* Llib/hash.scm 285 */
						return
							BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(BgL_tablez00_44,
							BgL_funz00_45);
					}
				else
					{	/* Llib/hash.scm 285 */
						return
							BGl_plainzd2hashtablezd2mapz00zz__hashz00(BgL_tablez00_44,
							BgL_funz00_45);
					}
			}
		}
	}



/* _hashtable-map */
	obj_t BGl__hashtablezd2mapzd2zz__hashz00(obj_t BgL_envz00_2705,
		obj_t BgL_tablez00_2706, obj_t BgL_funz00_2707)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 284 */
			return
				BGl_hashtablezd2mapzd2zz__hashz00(BgL_tablez00_2706, BgL_funz00_2707);
		}
	}



/* plain-hashtable-map */
	obj_t BGl_plainzd2hashtablezd2mapz00zz__hashz00(obj_t BgL_tablez00_46,
		obj_t BgL_funz00_47)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 292 */
			{	/* Llib/hash.scm 293 */
				obj_t BgL_bucketsz00_891;

				BgL_bucketsz00_891 = STRUCT_REF(BgL_tablez00_46, (int) (((long) 2)));
				{	/* Llib/hash.scm 293 */
					int BgL_bucketszd2lenzd2_892;

					BgL_bucketszd2lenzd2_892 = VECTOR_LENGTH(BgL_bucketsz00_891);
					{	/* Llib/hash.scm 294 */

						{
							long BgL_iz00_894;
							obj_t BgL_resz00_895;

							BgL_iz00_894 = ((long) 0);
							BgL_resz00_895 = BNIL;
						BgL_loopz00_896:
							if ((BgL_iz00_894 < (long) (BgL_bucketszd2lenzd2_892)))
								{	/* Llib/hash.scm 298 */
									obj_t BgL_g1589z00_898;

									BgL_g1589z00_898 =
										VECTOR_REF(BgL_bucketsz00_891, (int) (BgL_iz00_894));
									{
										obj_t BgL_lstz00_899;
										obj_t BgL_resz00_900;

										BgL_lstz00_899 = BgL_g1589z00_898;
										BgL_resz00_900 = BgL_resz00_895;
									BgL_liipz00_901:
										if (NULLP(BgL_lstz00_899))
											{
												obj_t BgL_resz00_3062;
												long BgL_iz00_3060;

												BgL_iz00_3060 = (BgL_iz00_894 + ((long) 1));
												BgL_resz00_3062 = BgL_resz00_900;
												BgL_resz00_895 = BgL_resz00_3062;
												BgL_iz00_894 = BgL_iz00_3060;
												goto BgL_loopz00_896;
											}
										else
											{	/* Llib/hash.scm 302 */
												obj_t BgL_cellz00_904;

												BgL_cellz00_904 = CAR(BgL_lstz00_899);
												{	/* Llib/hash.scm 303 */
													obj_t BgL_arg1753z00_905;
													obj_t BgL_arg1754z00_906;

													BgL_arg1753z00_905 = CDR(BgL_lstz00_899);
													{	/* Llib/hash.scm 304 */
														obj_t BgL_arg1755z00_907;

														{	/* Llib/hash.scm 304 */
															obj_t BgL_arg1758z00_908;
															obj_t BgL_arg1759z00_909;

															BgL_arg1758z00_908 = CAR(BgL_cellz00_904);
															BgL_arg1759z00_909 = CDR(BgL_cellz00_904);
															BgL_arg1755z00_907 =
																PROCEDURE_ENTRY(BgL_funz00_47) (BgL_funz00_47,
																BgL_arg1758z00_908, BgL_arg1759z00_909, BEOA);
														}
														BgL_arg1754z00_906 =
															MAKE_PAIR(BgL_arg1755z00_907, BgL_resz00_900);
													}
													{
														obj_t BgL_resz00_3071;
														obj_t BgL_lstz00_3070;

														BgL_lstz00_3070 = BgL_arg1753z00_905;
														BgL_resz00_3071 = BgL_arg1754z00_906;
														BgL_resz00_900 = BgL_resz00_3071;
														BgL_lstz00_899 = BgL_lstz00_3070;
														goto BgL_liipz00_901;
													}
												}
											}
									}
								}
							else
								{	/* Llib/hash.scm 297 */
									return BgL_resz00_895;
								}
						}
					}
				}
			}
		}
	}



/* hashtable-for-each */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t
		BgL_tablez00_48, obj_t BgL_funz00_49)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 310 */
			{	/* Llib/hash.scm 311 */
				bool_t BgL_testz00_3072;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_48, (int) (((long) 5))))))
					{	/* Llib/hash.scm 311 */
						BgL_testz00_3072 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 311 */
						BgL_testz00_3072 = ((bool_t) 1);
					}
				if (BgL_testz00_3072)
					{	/* Llib/hash.scm 311 */
						return
							BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00
							(BgL_tablez00_48, BgL_funz00_49);
					}
				else
					{	/* Llib/hash.scm 311 */
						return
							BBOOL(BGl_plainzd2hashtablezd2forzd2eachzd2zz__hashz00
							(BgL_tablez00_48, BgL_funz00_49));
					}
			}
		}
	}



/* _hashtable-for-each2192 */
	obj_t BGl__hashtablezd2forzd2each2192z00zz__hashz00(obj_t BgL_envz00_2708,
		obj_t BgL_tablez00_2709, obj_t BgL_funz00_2710)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 310 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tablez00_2709,
				BgL_funz00_2710);
		}
	}



/* plain-hashtable-for-each */
	bool_t BGl_plainzd2hashtablezd2forzd2eachzd2zz__hashz00(obj_t BgL_tablez00_50,
		obj_t BgL_funz00_51)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 318 */
			{	/* Llib/hash.scm 319 */
				obj_t BgL_bucketsz00_911;

				BgL_bucketsz00_911 = STRUCT_REF(BgL_tablez00_50, (int) (((long) 2)));
				{	/* Llib/hash.scm 319 */
					int BgL_bucketszd2lenzd2_912;

					BgL_bucketszd2lenzd2_912 = VECTOR_LENGTH(BgL_bucketsz00_911);
					{	/* Llib/hash.scm 320 */

						{
							long BgL_iz00_913;

							BgL_iz00_913 = ((long) 0);
						BgL_loopz00_914:
							if ((BgL_iz00_913 < (long) (BgL_bucketszd2lenzd2_912)))
								{	/* Llib/hash.scm 322 */
									{	/* Llib/hash.scm 324 */
										obj_t BgL_g1604z00_916;

										BgL_g1604z00_916 =
											VECTOR_REF(BgL_bucketsz00_911, (int) (BgL_iz00_913));
										{
											obj_t BgL_l1601z00_917;

											BgL_l1601z00_917 = BgL_g1604z00_916;
										BgL_forzd2each1603zd2_918:
											if (PAIRP(BgL_l1601z00_917))
												{	/* Llib/hash.scm 324 */
													{	/* Llib/hash.scm 325 */
														obj_t BgL_cellz00_920;

														BgL_cellz00_920 = CAR(BgL_l1601z00_917);
														{	/* Llib/hash.scm 325 */
															obj_t BgL_arg1763z00_921;
															obj_t BgL_arg1764z00_922;

															BgL_arg1763z00_921 = CAR(BgL_cellz00_920);
															BgL_arg1764z00_922 = CDR(BgL_cellz00_920);
															PROCEDURE_ENTRY(BgL_funz00_51) (BgL_funz00_51,
																BgL_arg1763z00_921, BgL_arg1764z00_922, BEOA);
														}
													}
													{
														obj_t BgL_l1601z00_3097;

														BgL_l1601z00_3097 = CDR(BgL_l1601z00_917);
														BgL_l1601z00_917 = BgL_l1601z00_3097;
														goto BgL_forzd2each1603zd2_918;
													}
												}
											else
												{	/* Llib/hash.scm 324 */
													((bool_t) 1);
												}
										}
									}
									{
										long BgL_iz00_3099;

										BgL_iz00_3099 = (BgL_iz00_913 + ((long) 1));
										BgL_iz00_913 = BgL_iz00_3099;
										goto BgL_loopz00_914;
									}
								}
							else
								{	/* Llib/hash.scm 322 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* hashtable-filter! */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2filterz12zc0zz__hashz00(obj_t
		BgL_tablez00_52, obj_t BgL_funz00_53)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 332 */
			{	/* Llib/hash.scm 333 */
				bool_t BgL_testz00_3101;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_52, (int) (((long) 5))))))
					{	/* Llib/hash.scm 333 */
						BgL_testz00_3101 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 333 */
						BgL_testz00_3101 = ((bool_t) 1);
					}
				if (BgL_testz00_3101)
					{	/* Llib/hash.scm 333 */
						return
							BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00
							(BgL_tablez00_52, BgL_funz00_53);
					}
				else
					{	/* Llib/hash.scm 333 */
						return
							BGl_plainzd2hashtablezd2filterz12z12zz__hashz00(BgL_tablez00_52,
							BgL_funz00_53);
					}
			}
		}
	}



/* _hashtable-filter!2193 */
	obj_t BGl__hashtablezd2filterz122193zc0zz__hashz00(obj_t BgL_envz00_2711,
		obj_t BgL_tablez00_2712, obj_t BgL_funz00_2713)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 332 */
			return
				BGl_hashtablezd2filterz12zc0zz__hashz00(BgL_tablez00_2712,
				BgL_funz00_2713);
		}
	}



/* plain-hashtable-filter! */
	obj_t BGl_plainzd2hashtablezd2filterz12z12zz__hashz00(obj_t BgL_tablez00_54,
		obj_t BgL_funz00_55)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 340 */
			{	/* Llib/hash.scm 341 */
				obj_t BgL_bucketsz00_926;

				BgL_bucketsz00_926 = STRUCT_REF(BgL_tablez00_54, (int) (((long) 2)));
				{	/* Llib/hash.scm 341 */
					int BgL_bucketszd2lenzd2_927;

					BgL_bucketszd2lenzd2_927 = VECTOR_LENGTH(BgL_bucketsz00_926);
					{	/* Llib/hash.scm 342 */

						{
							long BgL_iz00_928;
							long BgL_deltaz00_929;

							BgL_iz00_928 = ((long) 0);
							BgL_deltaz00_929 = ((long) 0);
						BgL_loopz00_930:
							if ((BgL_iz00_928 < (long) (BgL_bucketszd2lenzd2_927)))
								{	/* Llib/hash.scm 345 */
									obj_t BgL_lz00_932;

									BgL_lz00_932 =
										VECTOR_REF(BgL_bucketsz00_926, (int) (BgL_iz00_928));
									{	/* Llib/hash.scm 345 */
										long BgL_oldzd2lenzd2_933;

										BgL_oldzd2lenzd2_933 = bgl_list_length(BgL_lz00_932);
										{	/* Llib/hash.scm 346 */
											obj_t BgL_newlz00_934;

											{	/* Llib/hash.scm 348 */
												obj_t BgL_zc3anonymousza31777ze3z83_2714;

												BgL_zc3anonymousza31777ze3z83_2714 =
													make_fx_procedure
													(BGl_zc3anonymousza31777ze3z83zz__hashz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_2714,
													(int) (((long) 0)), BgL_funz00_55);
												BgL_newlz00_934 =
													BGl_filterz12z12zz__r4_control_features_6_9z00
													(BgL_zc3anonymousza31777ze3z83_2714, BgL_lz00_932);
											}
											{	/* Llib/hash.scm 347 */
												long BgL_newzd2lenzd2_935;

												BgL_newzd2lenzd2_935 = bgl_list_length(BgL_newlz00_934);
												{	/* Llib/hash.scm 350 */

													VECTOR_SET(BgL_bucketsz00_926,
														(int) (BgL_iz00_928), BgL_newlz00_934);
													{
														long BgL_deltaz00_3130;
														long BgL_iz00_3128;

														BgL_iz00_3128 = (BgL_iz00_928 + ((long) 1));
														BgL_deltaz00_3130 =
															(BgL_deltaz00_929 +
															(BgL_newzd2lenzd2_935 - BgL_oldzd2lenzd2_933));
														BgL_deltaz00_929 = BgL_deltaz00_3130;
														BgL_iz00_928 = BgL_iz00_3128;
														goto BgL_loopz00_930;
													}
												}
											}
										}
									}
								}
							else
								{	/* Llib/hash.scm 354 */
									long BgL_arg1780z00_945;

									BgL_arg1780z00_945 =
										(BgL_deltaz00_929 +
										(long) CINT(STRUCT_REF(BgL_tablez00_54,
												(int) (((long) 0)))));
									{	/* Llib/hash.scm 353 */
										obj_t BgL_oz00_1998;

										BgL_oz00_1998 = BINT(BgL_arg1780z00_945);
										{	/* Llib/hash.scm 353 */
											obj_t BgL_xz00_2745;

											{	/* Llib/hash.scm 353 */
												int BgL_auxz00_3138;

												BgL_auxz00_3138 = (int) (((long) 0));
												BgL_xz00_2745 =
													STRUCT_SET(BgL_tablez00_54, BgL_auxz00_3138,
													BgL_oz00_1998);
											}
											return BUNSPEC;
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:1777> */
	obj_t BGl_zc3anonymousza31777ze3z83zz__hashz00(obj_t BgL_envz00_2715,
		obj_t BgL_cellz00_2717)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 347 */
			{	/* Llib/hash.scm 348 */
				obj_t BgL_funz00_2716;

				BgL_funz00_2716 = PROCEDURE_REF(BgL_envz00_2715, (int) (((long) 0)));
				{
					obj_t BgL_cellz00_940;

					BgL_cellz00_940 = BgL_cellz00_2717;
					{	/* Llib/hash.scm 348 */
						obj_t BgL_arg1778z00_1976;
						obj_t BgL_arg1779z00_1977;

						BgL_arg1778z00_1976 = CAR(BgL_cellz00_940);
						BgL_arg1779z00_1977 = CDR(BgL_cellz00_940);
						return
							PROCEDURE_ENTRY(BgL_funz00_2716) (BgL_funz00_2716,
							BgL_arg1778z00_1976, BgL_arg1779z00_1977, BEOA);
					}
				}
			}
		}
	}



/* hashtable-contains? */
	BGL_EXPORTED_DEF bool_t BGl_hashtablezd2containszf3z21zz__hashz00(obj_t
		BgL_tablez00_56, obj_t BgL_keyz00_57)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 359 */
			{	/* Llib/hash.scm 360 */
				bool_t BgL_testz00_3147;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_56, (int) (((long) 5))))))
					{	/* Llib/hash.scm 360 */
						BgL_testz00_3147 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 360 */
						BgL_testz00_3147 = ((bool_t) 1);
					}
				if (BgL_testz00_3147)
					{	/* Llib/hash.scm 360 */
						return
							BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00
							(BgL_tablez00_56, BgL_keyz00_57);
					}
				else
					{	/* Llib/hash.scm 360 */
						return
							BGl_plainzd2hashtablezd2containszf3zf3zz__hashz00(BgL_tablez00_56,
							BgL_keyz00_57);
					}
			}
		}
	}



/* _hashtable-contains? */
	obj_t BGl__hashtablezd2containszf3z21zz__hashz00(obj_t BgL_envz00_2718,
		obj_t BgL_tablez00_2719, obj_t BgL_keyz00_2720)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 359 */
			return
				BBOOL(BGl_hashtablezd2containszf3z21zz__hashz00(BgL_tablez00_2719,
					BgL_keyz00_2720));
		}
	}



/* plain-hashtable-contains? */
	bool_t BGl_plainzd2hashtablezd2containszf3zf3zz__hashz00(obj_t
		BgL_tablez00_58, obj_t BgL_keyz00_59)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 367 */
			{	/* Llib/hash.scm 368 */
				obj_t BgL_bucketsz00_948;

				BgL_bucketsz00_948 = STRUCT_REF(BgL_tablez00_58, (int) (((long) 2)));
				{	/* Llib/hash.scm 368 */
					int BgL_bucketzd2lenzd2_949;

					BgL_bucketzd2lenzd2_949 = VECTOR_LENGTH(BgL_bucketsz00_948);
					{	/* Llib/hash.scm 369 */
						long BgL_bucketzd2numzd2_950;

						{	/* Llib/hash.scm 370 */
							long BgL_arg1788z00_958;

							{	/* Llib/hash.scm 370 */
								long BgL_res2154z00_2029;

								{	/* Llib/hash.scm 370 */
									obj_t BgL_hashnz00_2016;

									BgL_hashnz00_2016 =
										STRUCT_REF(BgL_tablez00_58, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2016))
										{	/* Llib/hash.scm 370 */
											obj_t BgL_arg1647z00_2018;

											BgL_arg1647z00_2018 =
												PROCEDURE_ENTRY(BgL_hashnz00_2016) (BgL_hashnz00_2016,
												BgL_keyz00_59, BEOA);
											{	/* Llib/hash.scm 370 */
												long BgL_nz00_2023;

												BgL_nz00_2023 = (long) CINT(BgL_arg1647z00_2018);
												if ((BgL_nz00_2023 < ((long) 0)))
													{	/* Llib/hash.scm 370 */
														BgL_res2154z00_2029 = NEG(BgL_nz00_2023);
													}
												else
													{	/* Llib/hash.scm 370 */
														BgL_res2154z00_2029 = BgL_nz00_2023;
													}
											}
										}
									else
										{	/* Llib/hash.scm 370 */
											BgL_res2154z00_2029 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_59);
										}
								}
								BgL_arg1788z00_958 = BgL_res2154z00_2029;
							}
							{	/* Llib/hash.scm 370 */
								long BgL_auxz00_3171;

								BgL_auxz00_3171 = (long) (BgL_bucketzd2lenzd2_949);
								BgL_bucketzd2numzd2_950 =
									(BgL_arg1788z00_958 % BgL_auxz00_3171);
						}}
						{	/* Llib/hash.scm 370 */
							obj_t BgL_bucketz00_951;

							BgL_bucketz00_951 =
								VECTOR_REF(BgL_bucketsz00_948, (int) (BgL_bucketzd2numzd2_950));
							{	/* Llib/hash.scm 371 */

								{
									obj_t BgL_bucketz00_952;

									BgL_bucketz00_952 = BgL_bucketz00_951;
								BgL_loopz00_953:
									if (NULLP(BgL_bucketz00_952))
										{	/* Llib/hash.scm 374 */
											return ((bool_t) 0);
										}
									else
										{	/* Llib/hash.scm 376 */
											bool_t BgL_testz00_3178;

											{	/* Llib/hash.scm 376 */
												obj_t BgL_arg1787z00_957;

												{	/* Llib/hash.scm 376 */
													obj_t BgL_pairz00_2035;

													BgL_pairz00_2035 = BgL_bucketz00_952;
													BgL_arg1787z00_957 = CAR(CAR(BgL_pairz00_2035));
												}
												{	/* Llib/hash.scm 376 */
													obj_t BgL_eqtz00_2042;

													BgL_eqtz00_2042 =
														STRUCT_REF(BgL_tablez00_58, (int) (((long) 3)));
													if (PROCEDUREP(BgL_eqtz00_2042))
														{	/* Llib/hash.scm 376 */
															BgL_testz00_3178 =
																CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2042)
																(BgL_eqtz00_2042, BgL_arg1787z00_957,
																	BgL_keyz00_59, BEOA));
														}
													else
														{	/* Llib/hash.scm 376 */
															if (STRINGP(BgL_arg1787z00_957))
																{	/* Llib/hash.scm 376 */
																	if (STRINGP(BgL_keyz00_59))
																		{	/* Llib/hash.scm 376 */
																			BgL_testz00_3178 =
																				bigloo_strcmp(BgL_arg1787z00_957,
																				BgL_keyz00_59);
																		}
																	else
																		{	/* Llib/hash.scm 376 */
																			BgL_testz00_3178 = ((bool_t) 0);
																		}
																}
															else
																{	/* Llib/hash.scm 376 */
																	BgL_testz00_3178 =
																		BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_arg1787z00_957, BgL_keyz00_59);
																}
														}
												}
											}
											if (BgL_testz00_3178)
												{	/* Llib/hash.scm 376 */
													return ((bool_t) 1);
												}
											else
												{
													obj_t BgL_bucketz00_3194;

													BgL_bucketz00_3194 = CDR(BgL_bucketz00_952);
													BgL_bucketz00_952 = BgL_bucketz00_3194;
													goto BgL_loopz00_953;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-get */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t
		BgL_tablez00_60, obj_t BgL_keyz00_61)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 384 */
			{	/* Llib/hash.scm 385 */
				bool_t BgL_testz00_3196;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_60, (int) (((long) 5))))))
					{	/* Llib/hash.scm 385 */
						BgL_testz00_3196 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 385 */
						BgL_testz00_3196 = ((bool_t) 1);
					}
				if (BgL_testz00_3196)
					{	/* Llib/hash.scm 385 */
						return
							BGl_weakzd2hashtablezd2getz00zz__weakhashz00(BgL_tablez00_60,
							BgL_keyz00_61);
					}
				else
					{	/* Llib/hash.scm 385 */
						return
							BGl_plainzd2hashtablezd2getz00zz__hashz00(BgL_tablez00_60,
							BgL_keyz00_61);
					}
			}
		}
	}



/* _hashtable-get2194 */
	obj_t BGl__hashtablezd2get2194zd2zz__hashz00(obj_t BgL_envz00_2721,
		obj_t BgL_tablez00_2722, obj_t BgL_keyz00_2723)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 384 */
			return
				BGl_hashtablezd2getzd2zz__hashz00(BgL_tablez00_2722, BgL_keyz00_2723);
		}
	}



/* plain-hashtable-get */
	obj_t BGl_plainzd2hashtablezd2getz00zz__hashz00(obj_t BgL_tablez00_62,
		obj_t BgL_keyz00_63)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 392 */
			{	/* Llib/hash.scm 393 */
				obj_t BgL_bucketsz00_960;

				BgL_bucketsz00_960 = STRUCT_REF(BgL_tablez00_62, (int) (((long) 2)));
				{	/* Llib/hash.scm 393 */
					int BgL_bucketzd2lenzd2_961;

					BgL_bucketzd2lenzd2_961 = VECTOR_LENGTH(BgL_bucketsz00_960);
					{	/* Llib/hash.scm 394 */
						long BgL_bucketzd2numzd2_962;

						{	/* Llib/hash.scm 395 */
							long BgL_arg1795z00_970;

							{	/* Llib/hash.scm 395 */
								long BgL_res2157z00_2085;

								{	/* Llib/hash.scm 395 */
									obj_t BgL_hashnz00_2072;

									BgL_hashnz00_2072 =
										STRUCT_REF(BgL_tablez00_62, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2072))
										{	/* Llib/hash.scm 395 */
											obj_t BgL_arg1647z00_2074;

											BgL_arg1647z00_2074 =
												PROCEDURE_ENTRY(BgL_hashnz00_2072) (BgL_hashnz00_2072,
												BgL_keyz00_63, BEOA);
											{	/* Llib/hash.scm 395 */
												long BgL_nz00_2079;

												BgL_nz00_2079 = (long) CINT(BgL_arg1647z00_2074);
												if ((BgL_nz00_2079 < ((long) 0)))
													{	/* Llib/hash.scm 395 */
														BgL_res2157z00_2085 = NEG(BgL_nz00_2079);
													}
												else
													{	/* Llib/hash.scm 395 */
														BgL_res2157z00_2085 = BgL_nz00_2079;
													}
											}
										}
									else
										{	/* Llib/hash.scm 395 */
											BgL_res2157z00_2085 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_63);
										}
								}
								BgL_arg1795z00_970 = BgL_res2157z00_2085;
							}
							{	/* Llib/hash.scm 395 */
								long BgL_auxz00_3219;

								BgL_auxz00_3219 = (long) (BgL_bucketzd2lenzd2_961);
								BgL_bucketzd2numzd2_962 =
									(BgL_arg1795z00_970 % BgL_auxz00_3219);
						}}
						{	/* Llib/hash.scm 395 */
							obj_t BgL_bucketz00_963;

							BgL_bucketz00_963 =
								VECTOR_REF(BgL_bucketsz00_960, (int) (BgL_bucketzd2numzd2_962));
							{	/* Llib/hash.scm 396 */

								{
									obj_t BgL_bucketz00_964;

									BgL_bucketz00_964 = BgL_bucketz00_963;
								BgL_loopz00_965:
									if (NULLP(BgL_bucketz00_964))
										{	/* Llib/hash.scm 399 */
											return BFALSE;
										}
									else
										{	/* Llib/hash.scm 401 */
											bool_t BgL_testz00_3226;

											{	/* Llib/hash.scm 401 */
												obj_t BgL_arg1793z00_969;

												{	/* Llib/hash.scm 401 */
													obj_t BgL_pairz00_2091;

													BgL_pairz00_2091 = BgL_bucketz00_964;
													BgL_arg1793z00_969 = CAR(CAR(BgL_pairz00_2091));
												}
												{	/* Llib/hash.scm 401 */
													obj_t BgL_eqtz00_2098;

													BgL_eqtz00_2098 =
														STRUCT_REF(BgL_tablez00_62, (int) (((long) 3)));
													if (PROCEDUREP(BgL_eqtz00_2098))
														{	/* Llib/hash.scm 401 */
															BgL_testz00_3226 =
																CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2098)
																(BgL_eqtz00_2098, BgL_arg1793z00_969,
																	BgL_keyz00_63, BEOA));
														}
													else
														{	/* Llib/hash.scm 401 */
															if (STRINGP(BgL_arg1793z00_969))
																{	/* Llib/hash.scm 401 */
																	if (STRINGP(BgL_keyz00_63))
																		{	/* Llib/hash.scm 401 */
																			BgL_testz00_3226 =
																				bigloo_strcmp(BgL_arg1793z00_969,
																				BgL_keyz00_63);
																		}
																	else
																		{	/* Llib/hash.scm 401 */
																			BgL_testz00_3226 = ((bool_t) 0);
																		}
																}
															else
																{	/* Llib/hash.scm 401 */
																	BgL_testz00_3226 =
																		BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_arg1793z00_969, BgL_keyz00_63);
																}
														}
												}
											}
											if (BgL_testz00_3226)
												{	/* Llib/hash.scm 402 */
													obj_t BgL_pairz00_2110;

													BgL_pairz00_2110 = BgL_bucketz00_964;
													return CDR(CAR(BgL_pairz00_2110));
												}
											else
												{
													obj_t BgL_bucketz00_3244;

													BgL_bucketz00_3244 = CDR(BgL_bucketz00_964);
													BgL_bucketz00_964 = BgL_bucketz00_3244;
													goto BgL_loopz00_965;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-put! */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t
		BgL_tablez00_64, obj_t BgL_keyz00_65, obj_t BgL_objz00_66)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 409 */
			{	/* Llib/hash.scm 410 */
				bool_t BgL_testz00_3246;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_64, (int) (((long) 5))))))
					{	/* Llib/hash.scm 410 */
						BgL_testz00_3246 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 410 */
						BgL_testz00_3246 = ((bool_t) 1);
					}
				if (BgL_testz00_3246)
					{	/* Llib/hash.scm 410 */
						return
							BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(BgL_tablez00_64,
							BgL_keyz00_65, BgL_objz00_66);
					}
				else
					{	/* Llib/hash.scm 410 */
						return
							BGl_plainzd2hashtablezd2putz12z12zz__hashz00(BgL_tablez00_64,
							BgL_keyz00_65, BgL_objz00_66);
					}
			}
		}
	}



/* _hashtable-put!2195 */
	obj_t BGl__hashtablezd2putz122195zc0zz__hashz00(obj_t BgL_envz00_2724,
		obj_t BgL_tablez00_2725, obj_t BgL_keyz00_2726, obj_t BgL_objz00_2727)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 409 */
			return
				BGl_hashtablezd2putz12zc0zz__hashz00(BgL_tablez00_2725, BgL_keyz00_2726,
				BgL_objz00_2727);
		}
	}



/* plain-hashtable-put! */
	obj_t BGl_plainzd2hashtablezd2putz12z12zz__hashz00(obj_t BgL_tablez00_67,
		obj_t BgL_keyz00_68, obj_t BgL_objz00_69)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 417 */
			{	/* Llib/hash.scm 418 */
				obj_t BgL_bucketsz00_972;

				BgL_bucketsz00_972 = STRUCT_REF(BgL_tablez00_67, (int) (((long) 2)));
				{	/* Llib/hash.scm 418 */
					int BgL_bucketzd2lenzd2_973;

					BgL_bucketzd2lenzd2_973 = VECTOR_LENGTH(BgL_bucketsz00_972);
					{	/* Llib/hash.scm 419 */
						long BgL_bucketzd2numzd2_974;

						{	/* Llib/hash.scm 420 */
							long BgL_arg1821z00_1000;

							{	/* Llib/hash.scm 420 */
								long BgL_res2160z00_2145;

								{	/* Llib/hash.scm 420 */
									obj_t BgL_hashnz00_2132;

									BgL_hashnz00_2132 =
										STRUCT_REF(BgL_tablez00_67, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2132))
										{	/* Llib/hash.scm 420 */
											obj_t BgL_arg1647z00_2134;

											BgL_arg1647z00_2134 =
												PROCEDURE_ENTRY(BgL_hashnz00_2132) (BgL_hashnz00_2132,
												BgL_keyz00_68, BEOA);
											{	/* Llib/hash.scm 420 */
												long BgL_nz00_2139;

												BgL_nz00_2139 = (long) CINT(BgL_arg1647z00_2134);
												if ((BgL_nz00_2139 < ((long) 0)))
													{	/* Llib/hash.scm 420 */
														BgL_res2160z00_2145 = NEG(BgL_nz00_2139);
													}
												else
													{	/* Llib/hash.scm 420 */
														BgL_res2160z00_2145 = BgL_nz00_2139;
													}
											}
										}
									else
										{	/* Llib/hash.scm 420 */
											BgL_res2160z00_2145 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_68);
										}
								}
								BgL_arg1821z00_1000 = BgL_res2160z00_2145;
							}
							{	/* Llib/hash.scm 420 */
								long BgL_auxz00_3269;

								BgL_auxz00_3269 = (long) (BgL_bucketzd2lenzd2_973);
								BgL_bucketzd2numzd2_974 =
									(BgL_arg1821z00_1000 % BgL_auxz00_3269);
						}}
						{	/* Llib/hash.scm 420 */
							obj_t BgL_bucketz00_975;

							BgL_bucketz00_975 =
								VECTOR_REF(BgL_bucketsz00_972, (int) (BgL_bucketzd2numzd2_974));
							{	/* Llib/hash.scm 421 */
								obj_t BgL_maxzd2bucketzd2lenz00_976;

								BgL_maxzd2bucketzd2lenz00_976 =
									STRUCT_REF(BgL_tablez00_67, (int) (((long) 1)));
								{	/* Llib/hash.scm 422 */

									if (NULLP(BgL_bucketz00_975))
										{	/* Llib/hash.scm 423 */
											{	/* Llib/hash.scm 425 */
												long BgL_arg1799z00_978;

												BgL_arg1799z00_978 =
													(
													(long) CINT(STRUCT_REF(BgL_tablez00_67,
															(int) (((long) 0)))) + ((long) 1));
												{	/* Llib/hash.scm 425 */
													obj_t BgL_auxz00_3284;
													int BgL_auxz00_3282;

													BgL_auxz00_3284 = BINT(BgL_arg1799z00_978);
													BgL_auxz00_3282 = (int) (((long) 0));
													STRUCT_SET(BgL_tablez00_67, BgL_auxz00_3282,
														BgL_auxz00_3284);
											}}
											{	/* Llib/hash.scm 426 */
												obj_t BgL_arg1803z00_981;

												{	/* Llib/hash.scm 426 */
													obj_t BgL_arg1804z00_982;

													BgL_arg1804z00_982 =
														MAKE_PAIR(BgL_keyz00_68, BgL_objz00_69);
													{	/* Llib/hash.scm 426 */
														obj_t BgL_list1805z00_983;

														BgL_list1805z00_983 =
															MAKE_PAIR(BgL_arg1804z00_982, BNIL);
														BgL_arg1803z00_981 = BgL_list1805z00_983;
												}}
												VECTOR_SET(BgL_bucketsz00_972,
													(int) (BgL_bucketzd2numzd2_974), BgL_arg1803z00_981);
											}
											return BgL_objz00_69;
										}
									else
										{
											obj_t BgL_buckz00_984;
											long BgL_countz00_985;

											BgL_buckz00_984 = BgL_bucketz00_975;
											BgL_countz00_985 = ((long) 0);
										BgL_loopz00_986:
											if (NULLP(BgL_buckz00_984))
												{	/* Llib/hash.scm 431 */
													{	/* Llib/hash.scm 432 */
														long BgL_arg1808z00_988;

														BgL_arg1808z00_988 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_67,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/hash.scm 432 */
															obj_t BgL_auxz00_3299;
															int BgL_auxz00_3297;

															BgL_auxz00_3299 = BINT(BgL_arg1808z00_988);
															BgL_auxz00_3297 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_67, BgL_auxz00_3297,
																BgL_auxz00_3299);
													}}
													{	/* Llib/hash.scm 433 */
														obj_t BgL_arg1812z00_991;

														{	/* Llib/hash.scm 433 */
															obj_t BgL_arg1813z00_992;

															BgL_arg1813z00_992 =
																MAKE_PAIR(BgL_keyz00_68, BgL_objz00_69);
															BgL_arg1812z00_991 =
																MAKE_PAIR(BgL_arg1813z00_992,
																BgL_bucketz00_975);
														}
														VECTOR_SET(BgL_bucketsz00_972,
															(int) (BgL_bucketzd2numzd2_974),
															BgL_arg1812z00_991);
													}
													if (
														(BgL_countz00_985 >
															(long) CINT(BgL_maxzd2bucketzd2lenz00_976)))
														{	/* Llib/hash.scm 434 */
															BGl_plainzd2hashtablezd2expandz12z12zz__hashz00
																(BgL_tablez00_67);
														}
													else
														{	/* Llib/hash.scm 434 */
															((bool_t) 0);
														}
													return BgL_objz00_69;
												}
											else
												{	/* Llib/hash.scm 437 */
													bool_t BgL_testz00_3310;

													{	/* Llib/hash.scm 437 */
														obj_t BgL_arg1820z00_999;

														{	/* Llib/hash.scm 437 */
															obj_t BgL_pairz00_2185;

															BgL_pairz00_2185 = BgL_buckz00_984;
															BgL_arg1820z00_999 = CAR(CAR(BgL_pairz00_2185));
														}
														{	/* Llib/hash.scm 437 */
															obj_t BgL_eqtz00_2192;

															BgL_eqtz00_2192 =
																STRUCT_REF(BgL_tablez00_67, (int) (((long) 3)));
															if (PROCEDUREP(BgL_eqtz00_2192))
																{	/* Llib/hash.scm 437 */
																	BgL_testz00_3310 =
																		CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2192)
																		(BgL_eqtz00_2192, BgL_arg1820z00_999,
																			BgL_keyz00_68, BEOA));
																}
															else
																{	/* Llib/hash.scm 437 */
																	if (STRINGP(BgL_arg1820z00_999))
																		{	/* Llib/hash.scm 437 */
																			if (STRINGP(BgL_keyz00_68))
																				{	/* Llib/hash.scm 437 */
																					BgL_testz00_3310 =
																						bigloo_strcmp(BgL_arg1820z00_999,
																						BgL_keyz00_68);
																				}
																			else
																				{	/* Llib/hash.scm 437 */
																					BgL_testz00_3310 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Llib/hash.scm 437 */
																			BgL_testz00_3310 =
																				BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																				(BgL_arg1820z00_999, BgL_keyz00_68);
																		}
																}
														}
													}
													if (BgL_testz00_3310)
														{	/* Llib/hash.scm 438 */
															obj_t BgL_oldzd2objzd2_995;

															{	/* Llib/hash.scm 438 */
																obj_t BgL_pairz00_2204;

																BgL_pairz00_2204 = BgL_buckz00_984;
																BgL_oldzd2objzd2_995 =
																	CDR(CAR(BgL_pairz00_2204));
															}
															{	/* Llib/hash.scm 439 */
																obj_t BgL_auxz00_3328;

																BgL_auxz00_3328 = CAR(BgL_buckz00_984);
																SET_CDR(BgL_auxz00_3328, BgL_objz00_69);
															}
															return BgL_oldzd2objzd2_995;
														}
													else
														{
															long BgL_countz00_3333;
															obj_t BgL_buckz00_3331;

															BgL_buckz00_3331 = CDR(BgL_buckz00_984);
															BgL_countz00_3333 =
																(BgL_countz00_985 + ((long) 1));
															BgL_countz00_985 = BgL_countz00_3333;
															BgL_buckz00_984 = BgL_buckz00_3331;
															goto BgL_loopz00_986;
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-update! */
	BGL_EXPORTED_DEF obj_t BGl_hashtablezd2updatez12zc0zz__hashz00(obj_t
		BgL_tablez00_70, obj_t BgL_keyz00_71, obj_t BgL_procz00_72,
		obj_t BgL_objz00_73)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 447 */
			{	/* Llib/hash.scm 448 */
				bool_t BgL_testz00_3335;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
					{	/* Llib/hash.scm 448 */
						BgL_testz00_3335 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 448 */
						BgL_testz00_3335 = ((bool_t) 1);
					}
				if (BgL_testz00_3335)
					{	/* Llib/hash.scm 448 */
						return
							BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00
							(BgL_tablez00_70, BgL_keyz00_71, BgL_procz00_72, BgL_objz00_73);
					}
				else
					{	/* Llib/hash.scm 448 */
						return
							BGl_plainzd2hashtablezd2updatez12z12zz__hashz00(BgL_tablez00_70,
							BgL_keyz00_71, BgL_procz00_72, BgL_objz00_73);
					}
			}
		}
	}



/* _hashtable-update! */
	obj_t BGl__hashtablezd2updatez12zc0zz__hashz00(obj_t BgL_envz00_2728,
		obj_t BgL_tablez00_2729, obj_t BgL_keyz00_2730, obj_t BgL_procz00_2731,
		obj_t BgL_objz00_2732)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 447 */
			return
				BGl_hashtablezd2updatez12zc0zz__hashz00(BgL_tablez00_2729,
				BgL_keyz00_2730, BgL_procz00_2731, BgL_objz00_2732);
		}
	}



/* plain-hashtable-update! */
	obj_t BGl_plainzd2hashtablezd2updatez12z12zz__hashz00(obj_t BgL_tablez00_74,
		obj_t BgL_keyz00_75, obj_t BgL_procz00_76, obj_t BgL_objz00_77)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 455 */
			{	/* Llib/hash.scm 456 */
				obj_t BgL_bucketsz00_1002;

				BgL_bucketsz00_1002 = STRUCT_REF(BgL_tablez00_74, (int) (((long) 2)));
				{	/* Llib/hash.scm 456 */
					int BgL_bucketzd2lenzd2_1003;

					BgL_bucketzd2lenzd2_1003 = VECTOR_LENGTH(BgL_bucketsz00_1002);
					{	/* Llib/hash.scm 457 */
						long BgL_bucketzd2numzd2_1004;

						{	/* Llib/hash.scm 458 */
							long BgL_arg1850z00_1031;

							{	/* Llib/hash.scm 458 */
								long BgL_res2164z00_2244;

								{	/* Llib/hash.scm 458 */
									obj_t BgL_hashnz00_2231;

									BgL_hashnz00_2231 =
										STRUCT_REF(BgL_tablez00_74, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2231))
										{	/* Llib/hash.scm 458 */
											obj_t BgL_arg1647z00_2233;

											BgL_arg1647z00_2233 =
												PROCEDURE_ENTRY(BgL_hashnz00_2231) (BgL_hashnz00_2231,
												BgL_keyz00_75, BEOA);
											{	/* Llib/hash.scm 458 */
												long BgL_nz00_2238;

												BgL_nz00_2238 = (long) CINT(BgL_arg1647z00_2233);
												if ((BgL_nz00_2238 < ((long) 0)))
													{	/* Llib/hash.scm 458 */
														BgL_res2164z00_2244 = NEG(BgL_nz00_2238);
													}
												else
													{	/* Llib/hash.scm 458 */
														BgL_res2164z00_2244 = BgL_nz00_2238;
													}
											}
										}
									else
										{	/* Llib/hash.scm 458 */
											BgL_res2164z00_2244 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_75);
										}
								}
								BgL_arg1850z00_1031 = BgL_res2164z00_2244;
							}
							{	/* Llib/hash.scm 458 */
								long BgL_auxz00_3358;

								BgL_auxz00_3358 = (long) (BgL_bucketzd2lenzd2_1003);
								BgL_bucketzd2numzd2_1004 =
									(BgL_arg1850z00_1031 % BgL_auxz00_3358);
						}}
						{	/* Llib/hash.scm 458 */
							obj_t BgL_bucketz00_1005;

							BgL_bucketz00_1005 =
								VECTOR_REF(BgL_bucketsz00_1002,
								(int) (BgL_bucketzd2numzd2_1004));
							{	/* Llib/hash.scm 459 */
								obj_t BgL_maxzd2bucketzd2lenz00_1006;

								BgL_maxzd2bucketzd2lenz00_1006 =
									STRUCT_REF(BgL_tablez00_74, (int) (((long) 1)));
								{	/* Llib/hash.scm 460 */

									if (NULLP(BgL_bucketz00_1005))
										{	/* Llib/hash.scm 461 */
											{	/* Llib/hash.scm 463 */
												long BgL_arg1825z00_1008;

												BgL_arg1825z00_1008 =
													(
													(long) CINT(STRUCT_REF(BgL_tablez00_74,
															(int) (((long) 0)))) + ((long) 1));
												{	/* Llib/hash.scm 463 */
													obj_t BgL_auxz00_3373;
													int BgL_auxz00_3371;

													BgL_auxz00_3373 = BINT(BgL_arg1825z00_1008);
													BgL_auxz00_3371 = (int) (((long) 0));
													STRUCT_SET(BgL_tablez00_74, BgL_auxz00_3371,
														BgL_auxz00_3373);
											}}
											{	/* Llib/hash.scm 464 */
												obj_t BgL_arg1831z00_1011;

												{	/* Llib/hash.scm 464 */
													obj_t BgL_arg1833z00_1012;

													BgL_arg1833z00_1012 =
														MAKE_PAIR(BgL_keyz00_75, BgL_objz00_77);
													{	/* Llib/hash.scm 464 */
														obj_t BgL_list1834z00_1013;

														BgL_list1834z00_1013 =
															MAKE_PAIR(BgL_arg1833z00_1012, BNIL);
														BgL_arg1831z00_1011 = BgL_list1834z00_1013;
												}}
												VECTOR_SET(BgL_bucketsz00_1002,
													(int) (BgL_bucketzd2numzd2_1004),
													BgL_arg1831z00_1011);
											}
											return BgL_objz00_77;
										}
									else
										{
											obj_t BgL_buckz00_1014;
											long BgL_countz00_1015;

											BgL_buckz00_1014 = BgL_bucketz00_1005;
											BgL_countz00_1015 = ((long) 0);
										BgL_loopz00_1016:
											if (NULLP(BgL_buckz00_1014))
												{	/* Llib/hash.scm 469 */
													{	/* Llib/hash.scm 470 */
														long BgL_arg1836z00_1018;

														BgL_arg1836z00_1018 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_74,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/hash.scm 470 */
															obj_t BgL_auxz00_3388;
															int BgL_auxz00_3386;

															BgL_auxz00_3388 = BINT(BgL_arg1836z00_1018);
															BgL_auxz00_3386 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_74, BgL_auxz00_3386,
																BgL_auxz00_3388);
													}}
													{	/* Llib/hash.scm 471 */
														obj_t BgL_arg1841z00_1021;

														{	/* Llib/hash.scm 471 */
															obj_t BgL_arg1842z00_1022;

															BgL_arg1842z00_1022 =
																MAKE_PAIR(BgL_keyz00_75, BgL_objz00_77);
															BgL_arg1841z00_1021 =
																MAKE_PAIR(BgL_arg1842z00_1022,
																BgL_bucketz00_1005);
														}
														VECTOR_SET(BgL_bucketsz00_1002,
															(int) (BgL_bucketzd2numzd2_1004),
															BgL_arg1841z00_1021);
													}
													if (
														(BgL_countz00_1015 >
															(long) CINT(BgL_maxzd2bucketzd2lenz00_1006)))
														{	/* Llib/hash.scm 472 */
															BGl_plainzd2hashtablezd2expandz12z12zz__hashz00
																(BgL_tablez00_74);
														}
													else
														{	/* Llib/hash.scm 472 */
															((bool_t) 0);
														}
													return BgL_objz00_77;
												}
											else
												{	/* Llib/hash.scm 475 */
													bool_t BgL_testz00_3399;

													{	/* Llib/hash.scm 475 */
														obj_t BgL_arg1849z00_1030;

														{	/* Llib/hash.scm 475 */
															obj_t BgL_pairz00_2284;

															BgL_pairz00_2284 = BgL_buckz00_1014;
															BgL_arg1849z00_1030 = CAR(CAR(BgL_pairz00_2284));
														}
														{	/* Llib/hash.scm 475 */
															obj_t BgL_eqtz00_2291;

															BgL_eqtz00_2291 =
																STRUCT_REF(BgL_tablez00_74, (int) (((long) 3)));
															if (PROCEDUREP(BgL_eqtz00_2291))
																{	/* Llib/hash.scm 475 */
																	BgL_testz00_3399 =
																		CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2291)
																		(BgL_eqtz00_2291, BgL_arg1849z00_1030,
																			BgL_keyz00_75, BEOA));
																}
															else
																{	/* Llib/hash.scm 475 */
																	if (STRINGP(BgL_arg1849z00_1030))
																		{	/* Llib/hash.scm 475 */
																			if (STRINGP(BgL_keyz00_75))
																				{	/* Llib/hash.scm 475 */
																					BgL_testz00_3399 =
																						bigloo_strcmp(BgL_arg1849z00_1030,
																						BgL_keyz00_75);
																				}
																			else
																				{	/* Llib/hash.scm 475 */
																					BgL_testz00_3399 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Llib/hash.scm 475 */
																			BgL_testz00_3399 =
																				BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																				(BgL_arg1849z00_1030, BgL_keyz00_75);
																		}
																}
														}
													}
													if (BgL_testz00_3399)
														{	/* Llib/hash.scm 476 */
															obj_t BgL_resz00_1025;

															{	/* Llib/hash.scm 476 */
																obj_t BgL_arg1846z00_1027;

																{	/* Llib/hash.scm 476 */
																	obj_t BgL_pairz00_2303;

																	BgL_pairz00_2303 = BgL_buckz00_1014;
																	BgL_arg1846z00_1027 =
																		CDR(CAR(BgL_pairz00_2303));
																}
																BgL_resz00_1025 =
																	PROCEDURE_ENTRY(BgL_procz00_76)
																	(BgL_procz00_76, BgL_arg1846z00_1027, BEOA);
															}
															{	/* Llib/hash.scm 477 */
																obj_t BgL_auxz00_3419;

																BgL_auxz00_3419 = CAR(BgL_buckz00_1014);
																SET_CDR(BgL_auxz00_3419, BgL_resz00_1025);
															}
															return BgL_resz00_1025;
														}
													else
														{
															long BgL_countz00_3424;
															obj_t BgL_buckz00_3422;

															BgL_buckz00_3422 = CDR(BgL_buckz00_1014);
															BgL_countz00_3424 =
																(BgL_countz00_1015 + ((long) 1));
															BgL_countz00_1015 = BgL_countz00_3424;
															BgL_buckz00_1014 = BgL_buckz00_3422;
															goto BgL_loopz00_1016;
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* hashtable-remove! */
	BGL_EXPORTED_DEF bool_t BGl_hashtablezd2removez12zc0zz__hashz00(obj_t
		BgL_tablez00_78, obj_t BgL_keyz00_79)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 485 */
			{	/* Llib/hash.scm 486 */
				bool_t BgL_testz00_3426;

				if (
					(((long) 0) ==
						(long) CINT(STRUCT_REF(BgL_tablez00_78, (int) (((long) 5))))))
					{	/* Llib/hash.scm 486 */
						BgL_testz00_3426 = ((bool_t) 0);
					}
				else
					{	/* Llib/hash.scm 486 */
						BgL_testz00_3426 = ((bool_t) 1);
					}
				if (BgL_testz00_3426)
					{	/* Llib/hash.scm 486 */
						return
							CBOOL(BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00
							(BgL_tablez00_78, BgL_keyz00_79));
					}
				else
					{	/* Llib/hash.scm 486 */
						return
							BGl_plainzd2hashtablezd2removez12z12zz__hashz00(BgL_tablez00_78,
							BgL_keyz00_79);
					}
			}
		}
	}



/* _hashtable-remove!2196 */
	obj_t BGl__hashtablezd2removez122196zc0zz__hashz00(obj_t BgL_envz00_2733,
		obj_t BgL_tablez00_2734, obj_t BgL_keyz00_2735)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 485 */
			return
				BBOOL(BGl_hashtablezd2removez12zc0zz__hashz00(BgL_tablez00_2734,
					BgL_keyz00_2735));
		}
	}



/* plain-hashtable-remove! */
	bool_t BGl_plainzd2hashtablezd2removez12z12zz__hashz00(obj_t BgL_tablez00_80,
		obj_t BgL_keyz00_81)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 493 */
			{	/* Llib/hash.scm 494 */
				obj_t BgL_bucketsz00_1033;

				BgL_bucketsz00_1033 = STRUCT_REF(BgL_tablez00_80, (int) (((long) 2)));
				{	/* Llib/hash.scm 494 */
					int BgL_bucketzd2lenzd2_1034;

					BgL_bucketzd2lenzd2_1034 = VECTOR_LENGTH(BgL_bucketsz00_1033);
					{	/* Llib/hash.scm 495 */
						long BgL_bucketzd2numzd2_1035;

						{	/* Llib/hash.scm 496 */
							long BgL_arg1867z00_1056;

							{	/* Llib/hash.scm 496 */
								long BgL_res2168z00_2343;

								{	/* Llib/hash.scm 496 */
									obj_t BgL_hashnz00_2330;

									BgL_hashnz00_2330 =
										STRUCT_REF(BgL_tablez00_80, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2330))
										{	/* Llib/hash.scm 496 */
											obj_t BgL_arg1647z00_2332;

											BgL_arg1647z00_2332 =
												PROCEDURE_ENTRY(BgL_hashnz00_2330) (BgL_hashnz00_2330,
												BgL_keyz00_81, BEOA);
											{	/* Llib/hash.scm 496 */
												long BgL_nz00_2337;

												BgL_nz00_2337 = (long) CINT(BgL_arg1647z00_2332);
												if ((BgL_nz00_2337 < ((long) 0)))
													{	/* Llib/hash.scm 496 */
														BgL_res2168z00_2343 = NEG(BgL_nz00_2337);
													}
												else
													{	/* Llib/hash.scm 496 */
														BgL_res2168z00_2343 = BgL_nz00_2337;
													}
											}
										}
									else
										{	/* Llib/hash.scm 496 */
											BgL_res2168z00_2343 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_81);
										}
								}
								BgL_arg1867z00_1056 = BgL_res2168z00_2343;
							}
							{	/* Llib/hash.scm 496 */
								long BgL_auxz00_3451;

								BgL_auxz00_3451 = (long) (BgL_bucketzd2lenzd2_1034);
								BgL_bucketzd2numzd2_1035 =
									(BgL_arg1867z00_1056 % BgL_auxz00_3451);
						}}
						{	/* Llib/hash.scm 496 */
							obj_t BgL_bucketz00_1036;

							BgL_bucketz00_1036 =
								VECTOR_REF(BgL_bucketsz00_1033,
								(int) (BgL_bucketzd2numzd2_1035));
							{	/* Llib/hash.scm 497 */

								if (NULLP(BgL_bucketz00_1036))
									{	/* Llib/hash.scm 499 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/hash.scm 501 */
										bool_t BgL_testz00_3458;

										{	/* Llib/hash.scm 501 */
											obj_t BgL_arg1866z00_1055;

											{	/* Llib/hash.scm 501 */
												obj_t BgL_pairz00_2349;

												BgL_pairz00_2349 = BgL_bucketz00_1036;
												BgL_arg1866z00_1055 = CAR(CAR(BgL_pairz00_2349));
											}
											{	/* Llib/hash.scm 501 */
												obj_t BgL_eqtz00_2356;

												BgL_eqtz00_2356 =
													STRUCT_REF(BgL_tablez00_80, (int) (((long) 3)));
												if (PROCEDUREP(BgL_eqtz00_2356))
													{	/* Llib/hash.scm 501 */
														BgL_testz00_3458 =
															CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2356)
															(BgL_eqtz00_2356, BgL_arg1866z00_1055,
																BgL_keyz00_81, BEOA));
													}
												else
													{	/* Llib/hash.scm 501 */
														if (STRINGP(BgL_arg1866z00_1055))
															{	/* Llib/hash.scm 501 */
																if (STRINGP(BgL_keyz00_81))
																	{	/* Llib/hash.scm 501 */
																		BgL_testz00_3458 =
																			bigloo_strcmp(BgL_arg1866z00_1055,
																			BgL_keyz00_81);
																	}
																else
																	{	/* Llib/hash.scm 501 */
																		BgL_testz00_3458 = ((bool_t) 0);
																	}
															}
														else
															{	/* Llib/hash.scm 501 */
																BgL_testz00_3458 =
																	BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_arg1866z00_1055, BgL_keyz00_81);
															}
													}
											}
										}
										if (BgL_testz00_3458)
											{	/* Llib/hash.scm 501 */
												VECTOR_SET(BgL_bucketsz00_1033,
													(int) (BgL_bucketzd2numzd2_1035),
													CDR(BgL_bucketz00_1036));
												{	/* Llib/hash.scm 503 */
													long BgL_arg1855z00_1040;

													BgL_arg1855z00_1040 =
														(
														(long) CINT(STRUCT_REF(BgL_tablez00_80,
																(int) (((long) 0)))) - ((long) 1));
													{	/* Llib/hash.scm 503 */
														obj_t BgL_auxz00_3483;
														int BgL_auxz00_3481;

														BgL_auxz00_3483 = BINT(BgL_arg1855z00_1040);
														BgL_auxz00_3481 = (int) (((long) 0));
														STRUCT_SET(BgL_tablez00_80, BgL_auxz00_3481,
															BgL_auxz00_3483);
												}}
												return ((bool_t) 1);
											}
										else
											{	/* Llib/hash.scm 506 */
												obj_t BgL_g1590z00_1043;

												BgL_g1590z00_1043 = CDR(BgL_bucketz00_1036);
												{
													obj_t BgL_bucketz00_1044;
													obj_t BgL_prevz00_1045;

													BgL_bucketz00_1044 = BgL_g1590z00_1043;
													BgL_prevz00_1045 = BgL_bucketz00_1036;
												BgL_loopz00_1046:
													if (PAIRP(BgL_bucketz00_1044))
														{	/* Llib/hash.scm 509 */
															bool_t BgL_testz00_3489;

															{	/* Llib/hash.scm 509 */
																obj_t BgL_arg1865z00_1054;

																{	/* Llib/hash.scm 509 */
																	obj_t BgL_pairz00_2384;

																	BgL_pairz00_2384 = BgL_bucketz00_1044;
																	BgL_arg1865z00_1054 =
																		CAR(CAR(BgL_pairz00_2384));
																}
																{	/* Llib/hash.scm 509 */
																	obj_t BgL_eqtz00_2391;

																	BgL_eqtz00_2391 =
																		STRUCT_REF(BgL_tablez00_80,
																		(int) (((long) 3)));
																	if (PROCEDUREP(BgL_eqtz00_2391))
																		{	/* Llib/hash.scm 509 */
																			BgL_testz00_3489 =
																				CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2391)
																				(BgL_eqtz00_2391, BgL_arg1865z00_1054,
																					BgL_keyz00_81, BEOA));
																		}
																	else
																		{	/* Llib/hash.scm 509 */
																			if (STRINGP(BgL_arg1865z00_1054))
																				{	/* Llib/hash.scm 509 */
																					if (STRINGP(BgL_keyz00_81))
																						{	/* Llib/hash.scm 509 */
																							BgL_testz00_3489 =
																								bigloo_strcmp
																								(BgL_arg1865z00_1054,
																								BgL_keyz00_81);
																						}
																					else
																						{	/* Llib/hash.scm 509 */
																							BgL_testz00_3489 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Llib/hash.scm 509 */
																					BgL_testz00_3489 =
																						BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																						(BgL_arg1865z00_1054,
																						BgL_keyz00_81);
																				}
																		}
																}
															}
															if (BgL_testz00_3489)
																{	/* Llib/hash.scm 509 */
																	{	/* Llib/hash.scm 511 */
																		obj_t BgL_auxz00_3505;

																		BgL_auxz00_3505 = CDR(BgL_bucketz00_1044);
																		SET_CDR(BgL_prevz00_1045, BgL_auxz00_3505);
																	}
																	{	/* Llib/hash.scm 513 */
																		long BgL_arg1861z00_1050;

																		BgL_arg1861z00_1050 =
																			(
																			(long) CINT(STRUCT_REF(BgL_tablez00_80,
																					(int) (((long) 0)))) - ((long) 1));
																		{	/* Llib/hash.scm 512 */
																			obj_t BgL_auxz00_3514;
																			int BgL_auxz00_3512;

																			BgL_auxz00_3514 =
																				BINT(BgL_arg1861z00_1050);
																			BgL_auxz00_3512 = (int) (((long) 0));
																			STRUCT_SET(BgL_tablez00_80,
																				BgL_auxz00_3512, BgL_auxz00_3514);
																	}}
																	return ((bool_t) 1);
																}
															else
																{
																	obj_t BgL_prevz00_3519;
																	obj_t BgL_bucketz00_3517;

																	BgL_bucketz00_3517 = CDR(BgL_bucketz00_1044);
																	BgL_prevz00_3519 = BgL_bucketz00_1044;
																	BgL_prevz00_1045 = BgL_prevz00_3519;
																	BgL_bucketz00_1044 = BgL_bucketz00_3517;
																	goto BgL_loopz00_1046;
																}
														}
													else
														{	/* Llib/hash.scm 508 */
															return ((bool_t) 0);
														}
												}
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* plain-hashtable-expand! */
	bool_t BGl_plainzd2hashtablezd2expandz12z12zz__hashz00(obj_t BgL_tablez00_83)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 530 */
			{	/* Llib/hash.scm 531 */
				obj_t BgL_oldzd2buckszd2_1058;

				BgL_oldzd2buckszd2_1058 =
					STRUCT_REF(BgL_tablez00_83, (int) (((long) 2)));
				{	/* Llib/hash.scm 531 */
					int BgL_oldzd2buckszd2lenz00_1059;

					BgL_oldzd2buckszd2lenz00_1059 =
						VECTOR_LENGTH(BgL_oldzd2buckszd2_1058);
					{	/* Llib/hash.scm 532 */
						long BgL_newzd2buckszd2lenz00_1060;

						BgL_newzd2buckszd2lenz00_1060 =
							(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1059));
						{	/* Llib/hash.scm 533 */
							obj_t BgL_newzd2buckszd2_1061;

							BgL_newzd2buckszd2_1061 =
								make_vector((int) (BgL_newzd2buckszd2lenz00_1060), BNIL);
							{	/* Llib/hash.scm 534 */

								{	/* Llib/hash.scm 535 */
									int BgL_auxz00_3527;

									BgL_auxz00_3527 = (int) (((long) 2));
									STRUCT_SET(BgL_tablez00_83, BgL_auxz00_3527,
										BgL_newzd2buckszd2_1061);
								}
								{
									long BgL_iz00_1062;

									BgL_iz00_1062 = ((long) 0);
								BgL_loopz00_1063:
									if ((BgL_iz00_1062 < (long) (BgL_oldzd2buckszd2lenz00_1059)))
										{	/* Llib/hash.scm 537 */
											{	/* Llib/hash.scm 538 */
												obj_t BgL_g1607z00_1065;

												BgL_g1607z00_1065 =
													VECTOR_REF(BgL_oldzd2buckszd2_1058,
													(int) (BgL_iz00_1062));
												{
													obj_t BgL_l1605z00_1066;

													BgL_l1605z00_1066 = BgL_g1607z00_1065;
												BgL_forzd2each1606zd2_1067:
													if (PAIRP(BgL_l1605z00_1066))
														{	/* Llib/hash.scm 538 */
															{	/* Llib/hash.scm 539 */
																obj_t BgL_cellz00_1069;

																BgL_cellz00_1069 = CAR(BgL_l1605z00_1066);
																{	/* Llib/hash.scm 539 */
																	obj_t BgL_keyz00_1070;

																	BgL_keyz00_1070 = CAR(BgL_cellz00_1069);
																	{	/* Llib/hash.scm 539 */
																		long BgL_hz00_1071;

																		{	/* Llib/hash.scm 540 */
																			long BgL_arg1874z00_1074;

																			{	/* Llib/hash.scm 540 */
																				long BgL_res2170z00_2450;

																				{	/* Llib/hash.scm 540 */
																					obj_t BgL_hashnz00_2437;

																					BgL_hashnz00_2437 =
																						STRUCT_REF(BgL_tablez00_83,
																						(int) (((long) 4)));
																					if (PROCEDUREP(BgL_hashnz00_2437))
																						{	/* Llib/hash.scm 540 */
																							obj_t BgL_arg1647z00_2439;

																							BgL_arg1647z00_2439 =
																								PROCEDURE_ENTRY
																								(BgL_hashnz00_2437)
																								(BgL_hashnz00_2437,
																								BgL_keyz00_1070, BEOA);
																							{	/* Llib/hash.scm 540 */
																								long BgL_nz00_2444;

																								BgL_nz00_2444 =
																									(long)
																									CINT(BgL_arg1647z00_2439);
																								if ((BgL_nz00_2444 <
																										((long) 0)))
																									{	/* Llib/hash.scm 540 */
																										BgL_res2170z00_2450 =
																											NEG(BgL_nz00_2444);
																									}
																								else
																									{	/* Llib/hash.scm 540 */
																										BgL_res2170z00_2450 =
																											BgL_nz00_2444;
																									}
																							}
																						}
																					else
																						{	/* Llib/hash.scm 540 */
																							BgL_res2170z00_2450 =
																								BGl_getzd2hashnumberzd2zz__hashz00
																								(BgL_keyz00_1070);
																						}
																				}
																				BgL_arg1874z00_1074 =
																					BgL_res2170z00_2450;
																			}
																			BgL_hz00_1071 =
																				(BgL_arg1874z00_1074 %
																				BgL_newzd2buckszd2lenz00_1060);
																		}
																		{	/* Llib/hash.scm 540 */

																			{	/* Llib/hash.scm 545 */
																				obj_t BgL_arg1871z00_1072;

																				BgL_arg1871z00_1072 =
																					MAKE_PAIR(BgL_cellz00_1069,
																					VECTOR_REF(BgL_newzd2buckszd2_1061,
																						(int) (BgL_hz00_1071)));
																				VECTOR_SET(BgL_newzd2buckszd2_1061,
																					(int) (BgL_hz00_1071),
																					BgL_arg1871z00_1072);
															}}}}}
															{
																obj_t BgL_l1605z00_3556;

																BgL_l1605z00_3556 = CDR(BgL_l1605z00_1066);
																BgL_l1605z00_1066 = BgL_l1605z00_3556;
																goto BgL_forzd2each1606zd2_1067;
															}
														}
													else
														{	/* Llib/hash.scm 538 */
															((bool_t) 1);
														}
												}
											}
											{
												long BgL_iz00_3558;

												BgL_iz00_3558 = (BgL_iz00_1062 + ((long) 1));
												BgL_iz00_1062 = BgL_iz00_3558;
												goto BgL_loopz00_1063;
											}
										}
									else
										{	/* Llib/hash.scm 537 */
											return ((bool_t) 0);
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* get-hashnumber */
	BGL_EXPORTED_DEF long BGl_getzd2hashnumberzd2zz__hashz00(obj_t BgL_keyz00_84)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 552 */
			if (STRINGP(BgL_keyz00_84))
				{	/* Llib/hash.scm 555 */
					long BgL_arg1878z00_1078;

					BgL_arg1878z00_1078 =
						bgl_string_hash_number(BSTRING_TO_STRING(BgL_keyz00_84));
					if ((BgL_arg1878z00_1078 < ((long) 0)))
						{	/* Llib/hash.scm 555 */
							return NEG(BgL_arg1878z00_1078);
						}
					else
						{	/* Llib/hash.scm 555 */
							return BgL_arg1878z00_1078;
						}
				}
			else
				{	/* Llib/hash.scm 554 */
					if (SYMBOLP(BgL_keyz00_84))
						{	/* Llib/hash.scm 557 */
							long BgL_arg1881z00_1080;

							BgL_arg1881z00_1080 = bgl_symbol_hash_number(BgL_keyz00_84);
							if ((BgL_arg1881z00_1080 < ((long) 0)))
								{	/* Llib/hash.scm 557 */
									return NEG(BgL_arg1881z00_1080);
								}
							else
								{	/* Llib/hash.scm 557 */
									return BgL_arg1881z00_1080;
								}
						}
					else
						{	/* Llib/hash.scm 556 */
							if (KEYWORDP(BgL_keyz00_84))
								{	/* Llib/hash.scm 559 */
									long BgL_arg1883z00_1082;

									BgL_arg1883z00_1082 = bgl_keyword_hash_number(BgL_keyz00_84);
									if ((BgL_arg1883z00_1082 < ((long) 0)))
										{	/* Llib/hash.scm 559 */
											return NEG(BgL_arg1883z00_1082);
										}
									else
										{	/* Llib/hash.scm 559 */
											return BgL_arg1883z00_1082;
										}
								}
							else
								{	/* Llib/hash.scm 558 */
									if (INTEGERP(BgL_keyz00_84))
										{	/* Llib/hash.scm 561 */
											long BgL_nz00_2483;

											BgL_nz00_2483 = (long) CINT(BgL_keyz00_84);
											if ((BgL_nz00_2483 < ((long) 0)))
												{	/* Llib/hash.scm 561 */
													return NEG(BgL_nz00_2483);
												}
											else
												{	/* Llib/hash.scm 561 */
													return BgL_nz00_2483;
												}
										}
									else
										{	/* Llib/hash.scm 560 */
											if (ELONGP(BgL_keyz00_84))
												{	/* Llib/hash.scm 563 */
													long BgL_arg1886z00_1085;

													{	/* Llib/hash.scm 563 */
														long BgL_auxz00_3587;

														BgL_auxz00_3587 = BELONG_TO_LONG(BgL_keyz00_84);
														BgL_arg1886z00_1085 = (long) (BgL_auxz00_3587);
													}
													if ((BgL_arg1886z00_1085 < ((long) 0)))
														{	/* Llib/hash.scm 563 */
															return NEG(BgL_arg1886z00_1085);
														}
													else
														{	/* Llib/hash.scm 563 */
															return BgL_arg1886z00_1085;
														}
												}
											else
												{	/* Llib/hash.scm 562 */
													if (LLONGP(BgL_keyz00_84))
														{	/* Llib/hash.scm 565 */
															long BgL_arg1888z00_1087;

															{	/* Llib/hash.scm 565 */
																BGL_LONGLONG_T BgL_auxz00_3595;

																BgL_auxz00_3595 =
																	BLLONG_TO_LLONG(BgL_keyz00_84);
																BgL_arg1888z00_1087 = (long) (BgL_auxz00_3595);
															}
															if ((BgL_arg1888z00_1087 < ((long) 0)))
																{	/* Llib/hash.scm 565 */
																	return NEG(BgL_arg1888z00_1087);
																}
															else
																{	/* Llib/hash.scm 565 */
																	return BgL_arg1888z00_1087;
																}
														}
													else
														{	/* Llib/hash.scm 564 */
															if (BGL_OBJECTP(BgL_keyz00_84))
																{	/* Llib/hash.scm 567 */
																	int BgL_arg1890z00_1089;

																	BgL_arg1890z00_1089 =
																		BGl_objectzd2hashnumberzd2zz__objectz00(
																		(BgL_objectz00_bglt) (BgL_keyz00_84));
																	{	/* Llib/hash.scm 567 */
																		long BgL_nz00_2504;

																		BgL_nz00_2504 =
																			(long) (BgL_arg1890z00_1089);
																		if ((BgL_nz00_2504 < ((long) 0)))
																			{	/* Llib/hash.scm 567 */
																				return NEG(BgL_nz00_2504);
																			}
																		else
																			{	/* Llib/hash.scm 567 */
																				return BgL_nz00_2504;
																			}
																	}
																}
															else
																{	/* Llib/hash.scm 566 */
																	if (FOREIGNP(BgL_keyz00_84))
																		{	/* Llib/hash.scm 569 */
																			long BgL_arg1892z00_1091;

																			BgL_arg1892z00_1091 =
																				bgl_foreign_hash_number(BgL_keyz00_84);
																			if ((BgL_arg1892z00_1091 < ((long) 0)))
																				{	/* Llib/hash.scm 569 */
																					return NEG(BgL_arg1892z00_1091);
																				}
																			else
																				{	/* Llib/hash.scm 569 */
																					return BgL_arg1892z00_1091;
																				}
																		}
																	else
																		{	/* Llib/hash.scm 571 */
																			long BgL_arg1893z00_1092;

																			BgL_arg1893z00_1092 =
																				bgl_obj_hash_number(BgL_keyz00_84);
																			if ((BgL_arg1893z00_1092 < ((long) 0)))
																				{	/* Llib/hash.scm 571 */
																					return NEG(BgL_arg1893z00_1092);
																				}
																			else
																				{	/* Llib/hash.scm 571 */
																					return BgL_arg1893z00_1092;
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _get-hashnumber */
	obj_t BGl__getzd2hashnumberzd2zz__hashz00(obj_t BgL_envz00_2736,
		obj_t BgL_keyz00_2737)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 552 */
			return BINT(BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_2737));
		}
	}



/* get-pointer-hashnumber */
	BGL_EXPORTED_DEF long BGl_getzd2pointerzd2hashnumberz00zz__hashz00(obj_t
		BgL_ptrz00_85, long BgL_powerz00_86)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 576 */
			return bgl_pointer_hashnumber(BgL_ptrz00_85, BgL_powerz00_86);
		}
	}



/* _get-pointer-hashnum2197 */
	obj_t BGl__getzd2pointerzd2hashnum2197z00zz__hashz00(obj_t BgL_envz00_2738,
		obj_t BgL_ptrz00_2739, obj_t BgL_powerz00_2740)
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 576 */
			return
				BINT(bgl_pointer_hashnumber(BgL_ptrz00_2739,
					(long) CINT(BgL_powerz00_2740)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__hashz00()
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 18 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__hashz00()
	{
		AN_OBJECT;
		{	/* Llib/hash.scm 18 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2206z00zz__hashz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2206z00zz__hashz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2206z00zz__hashz00));
			return
				BGl_modulezd2initializa7ationz75zz__weakhashz00(((long) 92160532),
				BSTRING_TO_STRING(BGl_string2206z00zz__hashz00));
		}
	}

#ifdef __cplusplus
}
#endif
