/*===========================================================================*/
/*   (Llib/weakhash.scm)                                                     */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/weakhash.scm -indent -o objs/obj_u/Llib/weakhash.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	static obj_t BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31777ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__weakhashz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t make_weakptr(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__weakhashz00();
	static obj_t BGl_zc3anonymousza31853ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_removestopz00zz__weakhashz00 = BUNSPEC;
	extern long BGl_hashtablezd2siza7ez75zz__hashz00(obj_t);
	static obj_t BGl_zc3anonymousza31781ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl_keepgoingz00zz__weakhashz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza31861ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31800ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__weakhashz00 = BUNSPEC;
	extern obj_t make_vector(int, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t);
	extern long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	extern bool_t BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00(obj_t);
	static obj_t BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t);
	static obj_t BGl_zc3anonymousza31806ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t, obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t, obj_t);
	extern obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, int);
	static obj_t BGl__weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31755ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31832ze3z83zz__weakhashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2getz00zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__weakhashz00();
	extern bool_t BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00(obj_t);
	static obj_t BGl_zc3anonymousza31762ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza31764ze3z83zz__weakhashz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t,
		obj_t);
	static obj_t BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_traversezd2bucketszd2zz__weakhashz00(obj_t, obj_t, long,
		obj_t);
	static bool_t BGl_traversezd2hashzd2zz__weakhashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t, obj_t);
	static obj_t BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t);
	static obj_t BGl_removez00zz__weakhashz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2getz00zz__weakhashz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__weakhashz00();
	extern obj_t weakptr_data(obj_t);
	static obj_t BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2keyzd2listzd2envz00zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2187za7,
		BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2getzd2envzd2zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2188za7,
		BGl__weakzd2hashtablezd2getz00zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2forzd2eachzd2envz00zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2189za7,
		BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2expandz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2190za7,
		BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2updatez12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2191za7,
		BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2ze3listzd2envz31zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2192za7,
		BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2mapzd2envzd2zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2193za7,
		BGl__weakzd2hashtablezd2mapz00zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2ze3vectorzd2envz31zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2194za7,
		BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2containszf3zd2envz21zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2195za7,
		BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2removez12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2196za7,
		BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2filterz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2197za7,
		BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_weakzd2hashtablezd2putz12zd2envzc0zz__weakhashz00,
		BgL_bgl__weakza7d2hashtabl2198za7,
		BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2186z00zz__weakhashz00,
		BgL_bgl_string2186za700za7za7_2199za7, "__weakhash", 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__weakhashz00(long
		BgL_checksumz00_2920, char *BgL_fromz00_2921)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__weakhashz00))
				{
					BGl_requirezd2initializa7ationz75zz__weakhashz00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__weakhashz00();
					BGl_toplevelzd2initzd2zz__weakhashz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			BGl_keepgoingz00zz__weakhashz00 = MAKE_PAIR(BUNSPEC, BUNSPEC);
			BGl_removez00zz__weakhashz00 = MAKE_PAIR(BUNSPEC, BUNSPEC);
			return (BGl_removestopz00zz__weakhashz00 =
				MAKE_PAIR(BUNSPEC, BUNSPEC), BUNSPEC);
		}
	}



/* traverse-buckets */
	obj_t BGl_traversezd2bucketszd2zz__weakhashz00(obj_t BgL_tablez00_37,
		obj_t BgL_bucketsz00_38, long BgL_iz00_39, obj_t BgL_funz00_40)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 127 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 134 */
					obj_t BgL_g1586z00_719;

					BgL_g1586z00_719 = VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
					{
						obj_t BgL_bucketz00_720;
						obj_t BgL_lastzd2bucketzd2_721;

						BgL_bucketz00_720 = BgL_g1586z00_719;
						BgL_lastzd2bucketzd2_721 = BFALSE;
					BgL_liipz00_722:
						if (NULLP(BgL_bucketz00_720))
							{	/* Llib/weakhash.scm 134 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
						else
							{	/* Llib/weakhash.scm 136 */
								obj_t BgL_retz00_724;

								{	/* Llib/weakhash.scm 136 */
									obj_t BgL_keyz00_730;

									{	/* Llib/weakhash.scm 136 */
										obj_t BgL_arg1670z00_733;

										{	/* Llib/weakhash.scm 136 */
											obj_t BgL_pairz00_1626;

											BgL_pairz00_1626 = BgL_bucketz00_720;
											BgL_arg1670z00_733 = CAR(CAR(BgL_pairz00_1626));
										}
										BgL_keyz00_730 = weakptr_data(BgL_arg1670z00_733);
									}
									if ((BgL_keyz00_730 == BUNSPEC))
										{	/* Llib/weakhash.scm 137 */
											BgL_retz00_724 = BGl_removez00zz__weakhashz00;
										}
									else
										{	/* Llib/weakhash.scm 139 */
											obj_t BgL_arg1669z00_732;

											{	/* Llib/weakhash.scm 139 */
												obj_t BgL_pairz00_1631;

												BgL_pairz00_1631 = BgL_bucketz00_720;
												BgL_arg1669z00_732 = CDR(CAR(BgL_pairz00_1631));
											}
											BgL_retz00_724 =
												PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
												BgL_keyz00_730, BgL_arg1669z00_732, BgL_bucketz00_720);
										}
								}
								if ((BgL_retz00_724 == BGl_keepgoingz00zz__weakhashz00))
									{
										obj_t BgL_lastzd2bucketzd2_2952;
										obj_t BgL_bucketz00_2950;

										BgL_bucketz00_2950 = CDR(BgL_bucketz00_720);
										BgL_lastzd2bucketzd2_2952 = BgL_bucketz00_720;
										BgL_lastzd2bucketzd2_721 = BgL_lastzd2bucketzd2_2952;
										BgL_bucketz00_720 = BgL_bucketz00_2950;
										goto BgL_liipz00_722;
									}
								else
									{	/* Llib/weakhash.scm 134 */
										if ((BgL_retz00_724 == BGl_removez00zz__weakhashz00))
											{	/* Llib/weakhash.scm 134 */
												{	/* Llib/weakhash.scm 134 */
													long BgL_arg1655z00_1641;

													BgL_arg1655z00_1641 =
														(
														(long) CINT(STRUCT_REF(BgL_tablez00_37,
																(int) (((long) 0)))) - ((long) 1));
													{	/* Llib/weakhash.scm 134 */
														obj_t BgL_auxz00_2961;
														int BgL_auxz00_2959;

														BgL_auxz00_2961 = BINT(BgL_arg1655z00_1641);
														BgL_auxz00_2959 = (int) (((long) 0));
														STRUCT_SET(BgL_tablez00_37, BgL_auxz00_2959,
															BgL_auxz00_2961);
												}}
												if (CBOOL(BgL_lastzd2bucketzd2_721))
													{	/* Llib/weakhash.scm 134 */
														obj_t BgL_auxz00_2966;

														BgL_auxz00_2966 = CDR(BgL_bucketz00_720);
														SET_CDR(BgL_lastzd2bucketzd2_721, BgL_auxz00_2966);
													}
												else
													{	/* Llib/weakhash.scm 134 */
														VECTOR_SET(BgL_bucketsz00_38,
															(int) (BgL_iz00_39), CDR(BgL_bucketz00_720));
													} BGl_keepgoingz00zz__weakhashz00;
												{
													obj_t BgL_bucketz00_2972;

													BgL_bucketz00_2972 = CDR(BgL_bucketz00_720);
													BgL_bucketz00_720 = BgL_bucketz00_2972;
													goto BgL_liipz00_722;
												}
											}
										else
											{	/* Llib/weakhash.scm 134 */
												if (
													(BgL_retz00_724 == BGl_removestopz00zz__weakhashz00))
													{	/* Llib/weakhash.scm 134 */
														{	/* Llib/weakhash.scm 134 */
															long BgL_arg1655z00_1669;

															BgL_arg1655z00_1669 =
																(
																(long) CINT(STRUCT_REF(BgL_tablez00_37,
																		(int) (((long) 0)))) - ((long) 1));
															{	/* Llib/weakhash.scm 134 */
																obj_t BgL_auxz00_2982;
																int BgL_auxz00_2980;

																BgL_auxz00_2982 = BINT(BgL_arg1655z00_1669);
																BgL_auxz00_2980 = (int) (((long) 0));
																STRUCT_SET(BgL_tablez00_37, BgL_auxz00_2980,
																	BgL_auxz00_2982);
														}}
														if (CBOOL(BgL_lastzd2bucketzd2_721))
															{	/* Llib/weakhash.scm 134 */
																obj_t BgL_auxz00_2987;

																BgL_auxz00_2987 = CDR(BgL_bucketz00_720);
																SET_CDR(BgL_lastzd2bucketzd2_721,
																	BgL_auxz00_2987);
															}
														else
															{	/* Llib/weakhash.scm 134 */
																VECTOR_SET(BgL_bucketsz00_38,
																	(int) (BgL_iz00_39), CDR(BgL_bucketz00_720));
															}
														return BGl_keepgoingz00zz__weakhashz00;
													}
												else
													{	/* Llib/weakhash.scm 134 */
														return BgL_retz00_724;
													}
											}
									}
							}
					}
				}
			else
				{	/* Llib/weakhash.scm 134 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 140 */
							obj_t BgL_g1587z00_735;

							BgL_g1587z00_735 =
								VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
							{
								obj_t BgL_bucketz00_736;
								obj_t BgL_lastzd2bucketzd2_737;

								BgL_bucketz00_736 = BgL_g1587z00_735;
								BgL_lastzd2bucketzd2_737 = BFALSE;
							BgL_liipz00_738:
								if (NULLP(BgL_bucketz00_736))
									{	/* Llib/weakhash.scm 140 */
										return BGl_keepgoingz00zz__weakhashz00;
									}
								else
									{	/* Llib/weakhash.scm 142 */
										obj_t BgL_retz00_740;

										{	/* Llib/weakhash.scm 142 */
											obj_t BgL_dataz00_746;

											{	/* Llib/weakhash.scm 142 */
												obj_t BgL_arg1680z00_749;

												{	/* Llib/weakhash.scm 142 */
													obj_t BgL_pairz00_1699;

													BgL_pairz00_1699 = BgL_bucketz00_736;
													BgL_arg1680z00_749 = CDR(CAR(BgL_pairz00_1699));
												}
												BgL_dataz00_746 = weakptr_data(BgL_arg1680z00_749);
											}
											if ((BgL_dataz00_746 == BUNSPEC))
												{	/* Llib/weakhash.scm 143 */
													BgL_retz00_740 = BGl_removez00zz__weakhashz00;
												}
											else
												{	/* Llib/weakhash.scm 145 */
													obj_t BgL_arg1679z00_748;

													{	/* Llib/weakhash.scm 145 */
														obj_t BgL_pairz00_1704;

														BgL_pairz00_1704 = BgL_bucketz00_736;
														BgL_arg1679z00_748 = CAR(CAR(BgL_pairz00_1704));
													}
													BgL_retz00_740 =
														PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
														BgL_arg1679z00_748, BgL_dataz00_746,
														BgL_bucketz00_736);
												}
										}
										if ((BgL_retz00_740 == BGl_keepgoingz00zz__weakhashz00))
											{
												obj_t BgL_lastzd2bucketzd2_3015;
												obj_t BgL_bucketz00_3013;

												BgL_bucketz00_3013 = CDR(BgL_bucketz00_736);
												BgL_lastzd2bucketzd2_3015 = BgL_bucketz00_736;
												BgL_lastzd2bucketzd2_737 = BgL_lastzd2bucketzd2_3015;
												BgL_bucketz00_736 = BgL_bucketz00_3013;
												goto BgL_liipz00_738;
											}
										else
											{	/* Llib/weakhash.scm 140 */
												if ((BgL_retz00_740 == BGl_removez00zz__weakhashz00))
													{	/* Llib/weakhash.scm 140 */
														{	/* Llib/weakhash.scm 140 */
															long BgL_arg1655z00_1714;

															BgL_arg1655z00_1714 =
																(
																(long) CINT(STRUCT_REF(BgL_tablez00_37,
																		(int) (((long) 0)))) - ((long) 1));
															{	/* Llib/weakhash.scm 140 */
																obj_t BgL_auxz00_3024;
																int BgL_auxz00_3022;

																BgL_auxz00_3024 = BINT(BgL_arg1655z00_1714);
																BgL_auxz00_3022 = (int) (((long) 0));
																STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3022,
																	BgL_auxz00_3024);
														}}
														if (CBOOL(BgL_lastzd2bucketzd2_737))
															{	/* Llib/weakhash.scm 140 */
																obj_t BgL_auxz00_3029;

																BgL_auxz00_3029 = CDR(BgL_bucketz00_736);
																SET_CDR(BgL_lastzd2bucketzd2_737,
																	BgL_auxz00_3029);
															}
														else
															{	/* Llib/weakhash.scm 140 */
																VECTOR_SET(BgL_bucketsz00_38,
																	(int) (BgL_iz00_39), CDR(BgL_bucketz00_736));
															} BGl_keepgoingz00zz__weakhashz00;
														{
															obj_t BgL_bucketz00_3035;

															BgL_bucketz00_3035 = CDR(BgL_bucketz00_736);
															BgL_bucketz00_736 = BgL_bucketz00_3035;
															goto BgL_liipz00_738;
														}
													}
												else
													{	/* Llib/weakhash.scm 140 */
														if (
															(BgL_retz00_740 ==
																BGl_removestopz00zz__weakhashz00))
															{	/* Llib/weakhash.scm 140 */
																{	/* Llib/weakhash.scm 140 */
																	long BgL_arg1655z00_1742;

																	BgL_arg1655z00_1742 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 140 */
																		obj_t BgL_auxz00_3045;
																		int BgL_auxz00_3043;

																		BgL_auxz00_3045 = BINT(BgL_arg1655z00_1742);
																		BgL_auxz00_3043 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3043,
																			BgL_auxz00_3045);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_737))
																	{	/* Llib/weakhash.scm 140 */
																		obj_t BgL_auxz00_3050;

																		BgL_auxz00_3050 = CDR(BgL_bucketz00_736);
																		SET_CDR(BgL_lastzd2bucketzd2_737,
																			BgL_auxz00_3050);
																	}
																else
																	{	/* Llib/weakhash.scm 140 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_736));
																	}
																return BGl_keepgoingz00zz__weakhashz00;
															}
														else
															{	/* Llib/weakhash.scm 140 */
																return BgL_retz00_740;
															}
													}
											}
									}
							}
						}
					else
						{	/* Llib/weakhash.scm 140 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_37, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 146 */
									obj_t BgL_g1588z00_751;

									BgL_g1588z00_751 =
										VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
									{
										obj_t BgL_bucketz00_752;
										obj_t BgL_lastzd2bucketzd2_753;

										BgL_bucketz00_752 = BgL_g1588z00_751;
										BgL_lastzd2bucketzd2_753 = BFALSE;
									BgL_liipz00_754:
										if (NULLP(BgL_bucketz00_752))
											{	/* Llib/weakhash.scm 146 */
												return BGl_keepgoingz00zz__weakhashz00;
											}
										else
											{	/* Llib/weakhash.scm 148 */
												obj_t BgL_retz00_756;

												{	/* Llib/weakhash.scm 148 */
													obj_t BgL_keyz00_762;
													obj_t BgL_dataz00_763;

													{	/* Llib/weakhash.scm 148 */
														obj_t BgL_arg1690z00_766;

														{	/* Llib/weakhash.scm 148 */
															obj_t BgL_pairz00_1772;

															BgL_pairz00_1772 = BgL_bucketz00_752;
															BgL_arg1690z00_766 = CAR(CAR(BgL_pairz00_1772));
														}
														BgL_keyz00_762 = weakptr_data(BgL_arg1690z00_766);
													}
													{	/* Llib/weakhash.scm 149 */
														obj_t BgL_arg1691z00_767;

														{	/* Llib/weakhash.scm 149 */
															obj_t BgL_pairz00_1777;

															BgL_pairz00_1777 = BgL_bucketz00_752;
															BgL_arg1691z00_767 = CDR(CAR(BgL_pairz00_1777));
														}
														BgL_dataz00_763 = weakptr_data(BgL_arg1691z00_767);
													}
													{	/* Llib/weakhash.scm 150 */
														bool_t BgL_testz00_3071;

														if ((BgL_keyz00_762 == BUNSPEC))
															{	/* Llib/weakhash.scm 150 */
																BgL_testz00_3071 = ((bool_t) 1);
															}
														else
															{	/* Llib/weakhash.scm 150 */
																BgL_testz00_3071 = (BgL_dataz00_763 == BUNSPEC);
															}
														if (BgL_testz00_3071)
															{	/* Llib/weakhash.scm 150 */
																BgL_retz00_756 = BGl_removez00zz__weakhashz00;
															}
														else
															{	/* Llib/weakhash.scm 150 */
																BgL_retz00_756 =
																	PROCEDURE_L_ENTRY(BgL_funz00_40)
																	(BgL_funz00_40, BgL_keyz00_762,
																	BgL_dataz00_763, BgL_bucketz00_752);
															}
													}
												}
												if ((BgL_retz00_756 == BGl_keepgoingz00zz__weakhashz00))
													{
														obj_t BgL_lastzd2bucketzd2_3081;
														obj_t BgL_bucketz00_3079;

														BgL_bucketz00_3079 = CDR(BgL_bucketz00_752);
														BgL_lastzd2bucketzd2_3081 = BgL_bucketz00_752;
														BgL_lastzd2bucketzd2_753 =
															BgL_lastzd2bucketzd2_3081;
														BgL_bucketz00_752 = BgL_bucketz00_3079;
														goto BgL_liipz00_754;
													}
												else
													{	/* Llib/weakhash.scm 146 */
														if (
															(BgL_retz00_756 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 146 */
																{	/* Llib/weakhash.scm 146 */
																	long BgL_arg1655z00_1788;

																	BgL_arg1655z00_1788 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3090;
																		int BgL_auxz00_3088;

																		BgL_auxz00_3090 = BINT(BgL_arg1655z00_1788);
																		BgL_auxz00_3088 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3088,
																			BgL_auxz00_3090);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_753))
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3095;

																		BgL_auxz00_3095 = CDR(BgL_bucketz00_752);
																		SET_CDR(BgL_lastzd2bucketzd2_753,
																			BgL_auxz00_3095);
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_752));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3101;

																	BgL_bucketz00_3101 = CDR(BgL_bucketz00_752);
																	BgL_bucketz00_752 = BgL_bucketz00_3101;
																	goto BgL_liipz00_754;
																}
															}
														else
															{	/* Llib/weakhash.scm 146 */
																if (
																	(BgL_retz00_756 ==
																		BGl_removestopz00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 146 */
																		{	/* Llib/weakhash.scm 146 */
																			long BgL_arg1655z00_1816;

																			BgL_arg1655z00_1816 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_37,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3111;
																				int BgL_auxz00_3109;

																				BgL_auxz00_3111 =
																					BINT(BgL_arg1655z00_1816);
																				BgL_auxz00_3109 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_37,
																					BgL_auxz00_3109, BgL_auxz00_3111);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_753))
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3116;

																				BgL_auxz00_3116 =
																					CDR(BgL_bucketz00_752);
																				SET_CDR(BgL_lastzd2bucketzd2_753,
																					BgL_auxz00_3116);
																			}
																		else
																			{	/* Llib/weakhash.scm 146 */
																				VECTOR_SET(BgL_bucketsz00_38,
																					(int) (BgL_iz00_39),
																					CDR(BgL_bucketz00_752));
																			}
																		return BGl_keepgoingz00zz__weakhashz00;
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		return BgL_retz00_756;
																	}
															}
													}
											}
									}
								}
							else
								{	/* Llib/weakhash.scm 146 */
									obj_t BgL_g1589z00_768;

									BgL_g1589z00_768 =
										VECTOR_REF(BgL_bucketsz00_38, (int) (BgL_iz00_39));
									{
										obj_t BgL_bucketz00_769;
										obj_t BgL_lastzd2bucketzd2_770;

										BgL_bucketz00_769 = BgL_g1589z00_768;
										BgL_lastzd2bucketzd2_770 = BFALSE;
									BgL_liipz00_771:
										if (NULLP(BgL_bucketz00_769))
											{	/* Llib/weakhash.scm 146 */
												return BGl_keepgoingz00zz__weakhashz00;
											}
										else
											{	/* Llib/weakhash.scm 156 */
												obj_t BgL_retz00_773;

												{	/* Llib/weakhash.scm 156 */
													obj_t BgL_arg1698z00_779;
													obj_t BgL_arg1699z00_780;

													{	/* Llib/weakhash.scm 156 */
														obj_t BgL_pairz00_1841;

														BgL_pairz00_1841 = BgL_bucketz00_769;
														BgL_arg1698z00_779 = CAR(CAR(BgL_pairz00_1841));
													}
													{	/* Llib/weakhash.scm 156 */
														obj_t BgL_pairz00_1845;

														BgL_pairz00_1845 = BgL_bucketz00_769;
														BgL_arg1699z00_780 = CDR(CAR(BgL_pairz00_1845));
													}
													BgL_retz00_773 =
														PROCEDURE_L_ENTRY(BgL_funz00_40) (BgL_funz00_40,
														BgL_arg1698z00_779, BgL_arg1699z00_780,
														BgL_bucketz00_769);
												}
												if ((BgL_retz00_773 == BGl_keepgoingz00zz__weakhashz00))
													{
														obj_t BgL_lastzd2bucketzd2_3136;
														obj_t BgL_bucketz00_3134;

														BgL_bucketz00_3134 = CDR(BgL_bucketz00_769);
														BgL_lastzd2bucketzd2_3136 = BgL_bucketz00_769;
														BgL_lastzd2bucketzd2_770 =
															BgL_lastzd2bucketzd2_3136;
														BgL_bucketz00_769 = BgL_bucketz00_3134;
														goto BgL_liipz00_771;
													}
												else
													{	/* Llib/weakhash.scm 146 */
														if (
															(BgL_retz00_773 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 146 */
																{	/* Llib/weakhash.scm 146 */
																	long BgL_arg1655z00_1855;

																	BgL_arg1655z00_1855 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_37,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3145;
																		int BgL_auxz00_3143;

																		BgL_auxz00_3145 = BINT(BgL_arg1655z00_1855);
																		BgL_auxz00_3143 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_37, BgL_auxz00_3143,
																			BgL_auxz00_3145);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_770))
																	{	/* Llib/weakhash.scm 146 */
																		obj_t BgL_auxz00_3150;

																		BgL_auxz00_3150 = CDR(BgL_bucketz00_769);
																		SET_CDR(BgL_lastzd2bucketzd2_770,
																			BgL_auxz00_3150);
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		VECTOR_SET(BgL_bucketsz00_38,
																			(int) (BgL_iz00_39),
																			CDR(BgL_bucketz00_769));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3156;

																	BgL_bucketz00_3156 = CDR(BgL_bucketz00_769);
																	BgL_bucketz00_769 = BgL_bucketz00_3156;
																	goto BgL_liipz00_771;
																}
															}
														else
															{	/* Llib/weakhash.scm 146 */
																if (
																	(BgL_retz00_773 ==
																		BGl_removestopz00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 146 */
																		{	/* Llib/weakhash.scm 146 */
																			long BgL_arg1655z00_1883;

																			BgL_arg1655z00_1883 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_37,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3166;
																				int BgL_auxz00_3164;

																				BgL_auxz00_3166 =
																					BINT(BgL_arg1655z00_1883);
																				BgL_auxz00_3164 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_37,
																					BgL_auxz00_3164, BgL_auxz00_3166);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_770))
																			{	/* Llib/weakhash.scm 146 */
																				obj_t BgL_auxz00_3171;

																				BgL_auxz00_3171 =
																					CDR(BgL_bucketz00_769);
																				SET_CDR(BgL_lastzd2bucketzd2_770,
																					BgL_auxz00_3171);
																			}
																		else
																			{	/* Llib/weakhash.scm 146 */
																				VECTOR_SET(BgL_bucketsz00_38,
																					(int) (BgL_iz00_39),
																					CDR(BgL_bucketz00_769));
																			}
																		return BGl_keepgoingz00zz__weakhashz00;
																	}
																else
																	{	/* Llib/weakhash.scm 146 */
																		return BgL_retz00_773;
																	}
															}
													}
											}
									}
								}
						}
				}
		}
	}



/* traverse-hash */
	bool_t BGl_traversezd2hashzd2zz__weakhashz00(obj_t BgL_tablez00_41,
		obj_t BgL_funz00_42)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 169 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 179 */
					obj_t BgL_bucketsz00_788;

					BgL_bucketsz00_788 = STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
					{	/* Llib/weakhash.scm 179 */
						int BgL_bucketszd2lenzd2_789;

						BgL_bucketszd2lenzd2_789 = VECTOR_LENGTH(BgL_bucketsz00_788);
						{	/* Llib/weakhash.scm 179 */

							{
								long BgL_iz00_790;

								BgL_iz00_790 = ((long) 0);
							BgL_loopz00_791:
								if ((BgL_iz00_790 == (long) (BgL_bucketszd2lenzd2_789)))
									{	/* Llib/weakhash.scm 179 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/weakhash.scm 179 */
										{	/* Llib/weakhash.scm 179 */
											obj_t BgL_g1590z00_793;

											BgL_g1590z00_793 =
												VECTOR_REF(BgL_bucketsz00_788, (int) (BgL_iz00_790));
											{
												obj_t BgL_bucketz00_794;
												obj_t BgL_lastzd2bucketzd2_795;

												BgL_bucketz00_794 = BgL_g1590z00_793;
												BgL_lastzd2bucketzd2_795 = BFALSE;
											BgL_liipz00_796:
												if (NULLP(BgL_bucketz00_794))
													{	/* Llib/weakhash.scm 179 */
														((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 181 */
														obj_t BgL_retz00_798;

														{	/* Llib/weakhash.scm 181 */
															obj_t BgL_keyz00_802;

															{	/* Llib/weakhash.scm 181 */
																obj_t BgL_arg1715z00_805;

																{	/* Llib/weakhash.scm 181 */
																	obj_t BgL_pairz00_1919;

																	BgL_pairz00_1919 = BgL_bucketz00_794;
																	BgL_arg1715z00_805 =
																		CAR(CAR(BgL_pairz00_1919));
																}
																BgL_keyz00_802 =
																	weakptr_data(BgL_arg1715z00_805);
															}
															if ((BgL_keyz00_802 == BUNSPEC))
																{	/* Llib/weakhash.scm 182 */
																	BgL_retz00_798 = BGl_removez00zz__weakhashz00;
																}
															else
																{	/* Llib/weakhash.scm 184 */
																	obj_t BgL_arg1714z00_804;

																	{	/* Llib/weakhash.scm 184 */
																		obj_t BgL_pairz00_1924;

																		BgL_pairz00_1924 = BgL_bucketz00_794;
																		BgL_arg1714z00_804 =
																			CDR(CAR(BgL_pairz00_1924));
																	}
																	BgL_retz00_798 =
																		PROCEDURE_ENTRY(BgL_funz00_42)
																		(BgL_funz00_42, BgL_keyz00_802,
																		BgL_arg1714z00_804, BEOA);
																}
														}
														if (
															(BgL_retz00_798 == BGl_removez00zz__weakhashz00))
															{	/* Llib/weakhash.scm 179 */
																{	/* Llib/weakhash.scm 179 */
																	long BgL_arg1655z00_1933;

																	BgL_arg1655z00_1933 =
																		(
																		(long) CINT(STRUCT_REF(BgL_tablez00_41,
																				(int) (((long) 0)))) - ((long) 1));
																	{	/* Llib/weakhash.scm 179 */
																		obj_t BgL_auxz00_3209;
																		int BgL_auxz00_3207;

																		BgL_auxz00_3209 = BINT(BgL_arg1655z00_1933);
																		BgL_auxz00_3207 = (int) (((long) 0));
																		STRUCT_SET(BgL_tablez00_41, BgL_auxz00_3207,
																			BgL_auxz00_3209);
																}}
																if (CBOOL(BgL_lastzd2bucketzd2_795))
																	{	/* Llib/weakhash.scm 179 */
																		obj_t BgL_auxz00_3214;

																		BgL_auxz00_3214 = CDR(BgL_bucketz00_794);
																		SET_CDR(BgL_lastzd2bucketzd2_795,
																			BgL_auxz00_3214);
																	}
																else
																	{	/* Llib/weakhash.scm 179 */
																		VECTOR_SET(BgL_bucketsz00_788,
																			(int) (BgL_iz00_790),
																			CDR(BgL_bucketz00_794));
																	} BGl_keepgoingz00zz__weakhashz00;
																{
																	obj_t BgL_bucketz00_3220;

																	BgL_bucketz00_3220 = CDR(BgL_bucketz00_794);
																	BgL_bucketz00_794 = BgL_bucketz00_3220;
																	goto BgL_liipz00_796;
																}
															}
														else
															{
																obj_t BgL_lastzd2bucketzd2_3224;
																obj_t BgL_bucketz00_3222;

																BgL_bucketz00_3222 = CDR(BgL_bucketz00_794);
																BgL_lastzd2bucketzd2_3224 = BgL_bucketz00_794;
																BgL_lastzd2bucketzd2_795 =
																	BgL_lastzd2bucketzd2_3224;
																BgL_bucketz00_794 = BgL_bucketz00_3222;
																goto BgL_liipz00_796;
															}
													}
											}
										}
										{
											long BgL_iz00_3225;

											BgL_iz00_3225 = (BgL_iz00_790 + ((long) 1));
											BgL_iz00_790 = BgL_iz00_3225;
											goto BgL_loopz00_791;
										}
									}
							}
						}
					}
				}
			else
				{	/* Llib/weakhash.scm 179 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 185 */
							obj_t BgL_bucketsz00_808;

							BgL_bucketsz00_808 =
								STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
							{	/* Llib/weakhash.scm 185 */
								int BgL_bucketszd2lenzd2_809;

								BgL_bucketszd2lenzd2_809 = VECTOR_LENGTH(BgL_bucketsz00_808);
								{	/* Llib/weakhash.scm 185 */

									{
										long BgL_iz00_810;

										BgL_iz00_810 = ((long) 0);
									BgL_loopz00_811:
										if ((BgL_iz00_810 == (long) (BgL_bucketszd2lenzd2_809)))
											{	/* Llib/weakhash.scm 185 */
												return ((bool_t) 0);
											}
										else
											{	/* Llib/weakhash.scm 185 */
												{	/* Llib/weakhash.scm 185 */
													obj_t BgL_g1591z00_813;

													BgL_g1591z00_813 =
														VECTOR_REF(BgL_bucketsz00_808,
														(int) (BgL_iz00_810));
													{
														obj_t BgL_bucketz00_814;
														obj_t BgL_lastzd2bucketzd2_815;

														BgL_bucketz00_814 = BgL_g1591z00_813;
														BgL_lastzd2bucketzd2_815 = BFALSE;
													BgL_liipz00_816:
														if (NULLP(BgL_bucketz00_814))
															{	/* Llib/weakhash.scm 185 */
																((bool_t) 0);
															}
														else
															{	/* Llib/weakhash.scm 187 */
																obj_t BgL_retz00_818;

																{	/* Llib/weakhash.scm 187 */
																	obj_t BgL_dataz00_822;

																	{	/* Llib/weakhash.scm 187 */
																		obj_t BgL_arg1725z00_825;

																		{	/* Llib/weakhash.scm 187 */
																			obj_t BgL_pairz00_1973;

																			BgL_pairz00_1973 = BgL_bucketz00_814;
																			BgL_arg1725z00_825 =
																				CDR(CAR(BgL_pairz00_1973));
																		}
																		BgL_dataz00_822 =
																			weakptr_data(BgL_arg1725z00_825);
																	}
																	if ((BgL_dataz00_822 == BUNSPEC))
																		{	/* Llib/weakhash.scm 188 */
																			BgL_retz00_818 =
																				BGl_removez00zz__weakhashz00;
																		}
																	else
																		{	/* Llib/weakhash.scm 190 */
																			obj_t BgL_arg1724z00_824;

																			{	/* Llib/weakhash.scm 190 */
																				obj_t BgL_pairz00_1978;

																				BgL_pairz00_1978 = BgL_bucketz00_814;
																				BgL_arg1724z00_824 =
																					CAR(CAR(BgL_pairz00_1978));
																			}
																			BgL_retz00_818 =
																				PROCEDURE_ENTRY(BgL_funz00_42)
																				(BgL_funz00_42, BgL_arg1724z00_824,
																				BgL_dataz00_822, BEOA);
																		}
																}
																if (
																	(BgL_retz00_818 ==
																		BGl_removez00zz__weakhashz00))
																	{	/* Llib/weakhash.scm 185 */
																		{	/* Llib/weakhash.scm 185 */
																			long BgL_arg1655z00_1987;

																			BgL_arg1655z00_1987 =
																				(
																				(long) CINT(STRUCT_REF(BgL_tablez00_41,
																						(int) (((long) 0)))) - ((long) 1));
																			{	/* Llib/weakhash.scm 185 */
																				obj_t BgL_auxz00_3259;
																				int BgL_auxz00_3257;

																				BgL_auxz00_3259 =
																					BINT(BgL_arg1655z00_1987);
																				BgL_auxz00_3257 = (int) (((long) 0));
																				STRUCT_SET(BgL_tablez00_41,
																					BgL_auxz00_3257, BgL_auxz00_3259);
																		}}
																		if (CBOOL(BgL_lastzd2bucketzd2_815))
																			{	/* Llib/weakhash.scm 185 */
																				obj_t BgL_auxz00_3264;

																				BgL_auxz00_3264 =
																					CDR(BgL_bucketz00_814);
																				SET_CDR(BgL_lastzd2bucketzd2_815,
																					BgL_auxz00_3264);
																			}
																		else
																			{	/* Llib/weakhash.scm 185 */
																				VECTOR_SET(BgL_bucketsz00_808,
																					(int) (BgL_iz00_810),
																					CDR(BgL_bucketz00_814));
																			} BGl_keepgoingz00zz__weakhashz00;
																		{
																			obj_t BgL_bucketz00_3270;

																			BgL_bucketz00_3270 =
																				CDR(BgL_bucketz00_814);
																			BgL_bucketz00_814 = BgL_bucketz00_3270;
																			goto BgL_liipz00_816;
																		}
																	}
																else
																	{
																		obj_t BgL_lastzd2bucketzd2_3274;
																		obj_t BgL_bucketz00_3272;

																		BgL_bucketz00_3272 = CDR(BgL_bucketz00_814);
																		BgL_lastzd2bucketzd2_3274 =
																			BgL_bucketz00_814;
																		BgL_lastzd2bucketzd2_815 =
																			BgL_lastzd2bucketzd2_3274;
																		BgL_bucketz00_814 = BgL_bucketz00_3272;
																		goto BgL_liipz00_816;
																	}
															}
													}
												}
												{
													long BgL_iz00_3275;

													BgL_iz00_3275 = (BgL_iz00_810 + ((long) 1));
													BgL_iz00_810 = BgL_iz00_3275;
													goto BgL_loopz00_811;
												}
											}
									}
								}
							}
						}
					else
						{	/* Llib/weakhash.scm 185 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_41, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 191 */
									obj_t BgL_bucketsz00_828;

									BgL_bucketsz00_828 =
										STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 191 */
										int BgL_bucketszd2lenzd2_829;

										BgL_bucketszd2lenzd2_829 =
											VECTOR_LENGTH(BgL_bucketsz00_828);
										{	/* Llib/weakhash.scm 191 */

											{
												long BgL_iz00_830;

												BgL_iz00_830 = ((long) 0);
											BgL_loopz00_831:
												if ((BgL_iz00_830 == (long) (BgL_bucketszd2lenzd2_829)))
													{	/* Llib/weakhash.scm 191 */
														return ((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 191 */
														{	/* Llib/weakhash.scm 191 */
															obj_t BgL_g1592z00_833;

															BgL_g1592z00_833 =
																VECTOR_REF(BgL_bucketsz00_828,
																(int) (BgL_iz00_830));
															{
																obj_t BgL_bucketz00_834;
																obj_t BgL_lastzd2bucketzd2_835;

																BgL_bucketz00_834 = BgL_g1592z00_833;
																BgL_lastzd2bucketzd2_835 = BFALSE;
															BgL_liipz00_836:
																if (NULLP(BgL_bucketz00_834))
																	{	/* Llib/weakhash.scm 191 */
																		((bool_t) 0);
																	}
																else
																	{	/* Llib/weakhash.scm 193 */
																		obj_t BgL_retz00_838;

																		{	/* Llib/weakhash.scm 193 */
																			obj_t BgL_keyz00_842;
																			obj_t BgL_dataz00_843;

																			{	/* Llib/weakhash.scm 193 */
																				obj_t BgL_arg1735z00_846;

																				{	/* Llib/weakhash.scm 193 */
																					obj_t BgL_pairz00_2027;

																					BgL_pairz00_2027 = BgL_bucketz00_834;
																					BgL_arg1735z00_846 =
																						CAR(CAR(BgL_pairz00_2027));
																				}
																				BgL_keyz00_842 =
																					weakptr_data(BgL_arg1735z00_846);
																			}
																			{	/* Llib/weakhash.scm 194 */
																				obj_t BgL_arg1736z00_847;

																				{	/* Llib/weakhash.scm 194 */
																					obj_t BgL_pairz00_2032;

																					BgL_pairz00_2032 = BgL_bucketz00_834;
																					BgL_arg1736z00_847 =
																						CDR(CAR(BgL_pairz00_2032));
																				}
																				BgL_dataz00_843 =
																					weakptr_data(BgL_arg1736z00_847);
																			}
																			{	/* Llib/weakhash.scm 195 */
																				bool_t BgL_testz00_3298;

																				if ((BgL_keyz00_842 == BUNSPEC))
																					{	/* Llib/weakhash.scm 195 */
																						BgL_testz00_3298 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/weakhash.scm 195 */
																						BgL_testz00_3298 =
																							(BgL_dataz00_843 == BUNSPEC);
																					}
																				if (BgL_testz00_3298)
																					{	/* Llib/weakhash.scm 195 */
																						BgL_retz00_838 =
																							BGl_removez00zz__weakhashz00;
																					}
																				else
																					{	/* Llib/weakhash.scm 195 */
																						BgL_retz00_838 =
																							PROCEDURE_ENTRY(BgL_funz00_42)
																							(BgL_funz00_42, BgL_keyz00_842,
																							BgL_dataz00_843, BEOA);
																					}
																			}
																		}
																		if (
																			(BgL_retz00_838 ==
																				BGl_removez00zz__weakhashz00))
																			{	/* Llib/weakhash.scm 191 */
																				{	/* Llib/weakhash.scm 191 */
																					long BgL_arg1655z00_2042;

																					BgL_arg1655z00_2042 =
																						(
																						(long)
																						CINT(STRUCT_REF(BgL_tablez00_41,
																								(int) (((long) 0)))) -
																						((long) 1));
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3312;
																						int BgL_auxz00_3310;

																						BgL_auxz00_3312 =
																							BINT(BgL_arg1655z00_2042);
																						BgL_auxz00_3310 =
																							(int) (((long) 0));
																						STRUCT_SET(BgL_tablez00_41,
																							BgL_auxz00_3310, BgL_auxz00_3312);
																				}}
																				if (CBOOL(BgL_lastzd2bucketzd2_835))
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3317;

																						BgL_auxz00_3317 =
																							CDR(BgL_bucketz00_834);
																						SET_CDR(BgL_lastzd2bucketzd2_835,
																							BgL_auxz00_3317);
																					}
																				else
																					{	/* Llib/weakhash.scm 191 */
																						VECTOR_SET(BgL_bucketsz00_828,
																							(int) (BgL_iz00_830),
																							CDR(BgL_bucketz00_834));
																					} BGl_keepgoingz00zz__weakhashz00;
																				{
																					obj_t BgL_bucketz00_3323;

																					BgL_bucketz00_3323 =
																						CDR(BgL_bucketz00_834);
																					BgL_bucketz00_834 =
																						BgL_bucketz00_3323;
																					goto BgL_liipz00_836;
																				}
																			}
																		else
																			{
																				obj_t BgL_lastzd2bucketzd2_3327;
																				obj_t BgL_bucketz00_3325;

																				BgL_bucketz00_3325 =
																					CDR(BgL_bucketz00_834);
																				BgL_lastzd2bucketzd2_3327 =
																					BgL_bucketz00_834;
																				BgL_lastzd2bucketzd2_835 =
																					BgL_lastzd2bucketzd2_3327;
																				BgL_bucketz00_834 = BgL_bucketz00_3325;
																				goto BgL_liipz00_836;
																			}
																	}
															}
														}
														{
															long BgL_iz00_3328;

															BgL_iz00_3328 = (BgL_iz00_830 + ((long) 1));
															BgL_iz00_830 = BgL_iz00_3328;
															goto BgL_loopz00_831;
														}
													}
											}
										}
									}
								}
							else
								{	/* Llib/weakhash.scm 191 */
									obj_t BgL_bucketsz00_849;

									BgL_bucketsz00_849 =
										STRUCT_REF(BgL_tablez00_41, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 191 */
										int BgL_bucketszd2lenzd2_850;

										BgL_bucketszd2lenzd2_850 =
											VECTOR_LENGTH(BgL_bucketsz00_849);
										{	/* Llib/weakhash.scm 191 */

											{
												long BgL_iz00_851;

												BgL_iz00_851 = ((long) 0);
											BgL_loopz00_852:
												if ((BgL_iz00_851 == (long) (BgL_bucketszd2lenzd2_850)))
													{	/* Llib/weakhash.scm 191 */
														return ((bool_t) 0);
													}
												else
													{	/* Llib/weakhash.scm 191 */
														{	/* Llib/weakhash.scm 191 */
															obj_t BgL_g1593z00_854;

															BgL_g1593z00_854 =
																VECTOR_REF(BgL_bucketsz00_849,
																(int) (BgL_iz00_851));
															{
																obj_t BgL_bucketz00_855;
																obj_t BgL_lastzd2bucketzd2_856;

																BgL_bucketz00_855 = BgL_g1593z00_854;
																BgL_lastzd2bucketzd2_856 = BFALSE;
															BgL_liipz00_857:
																if (NULLP(BgL_bucketz00_855))
																	{	/* Llib/weakhash.scm 191 */
																		((bool_t) 0);
																	}
																else
																	{	/* Llib/weakhash.scm 201 */
																		obj_t BgL_retz00_859;

																		{	/* Llib/weakhash.scm 201 */
																			obj_t BgL_arg1743z00_863;
																			obj_t BgL_arg1744z00_864;

																			{	/* Llib/weakhash.scm 201 */
																				obj_t BgL_pairz00_2077;

																				BgL_pairz00_2077 = BgL_bucketz00_855;
																				BgL_arg1743z00_863 =
																					CAR(CAR(BgL_pairz00_2077));
																			}
																			{	/* Llib/weakhash.scm 201 */
																				obj_t BgL_pairz00_2081;

																				BgL_pairz00_2081 = BgL_bucketz00_855;
																				BgL_arg1744z00_864 =
																					CDR(CAR(BgL_pairz00_2081));
																			}
																			BgL_retz00_859 =
																				PROCEDURE_ENTRY(BgL_funz00_42)
																				(BgL_funz00_42, BgL_arg1743z00_863,
																				BgL_arg1744z00_864, BEOA);
																		}
																		if (
																			(BgL_retz00_859 ==
																				BGl_removez00zz__weakhashz00))
																			{	/* Llib/weakhash.scm 191 */
																				{	/* Llib/weakhash.scm 191 */
																					long BgL_arg1655z00_2090;

																					BgL_arg1655z00_2090 =
																						(
																						(long)
																						CINT(STRUCT_REF(BgL_tablez00_41,
																								(int) (((long) 0)))) -
																						((long) 1));
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3354;
																						int BgL_auxz00_3352;

																						BgL_auxz00_3354 =
																							BINT(BgL_arg1655z00_2090);
																						BgL_auxz00_3352 =
																							(int) (((long) 0));
																						STRUCT_SET(BgL_tablez00_41,
																							BgL_auxz00_3352, BgL_auxz00_3354);
																				}}
																				if (CBOOL(BgL_lastzd2bucketzd2_856))
																					{	/* Llib/weakhash.scm 191 */
																						obj_t BgL_auxz00_3359;

																						BgL_auxz00_3359 =
																							CDR(BgL_bucketz00_855);
																						SET_CDR(BgL_lastzd2bucketzd2_856,
																							BgL_auxz00_3359);
																					}
																				else
																					{	/* Llib/weakhash.scm 191 */
																						VECTOR_SET(BgL_bucketsz00_849,
																							(int) (BgL_iz00_851),
																							CDR(BgL_bucketz00_855));
																					} BGl_keepgoingz00zz__weakhashz00;
																				{
																					obj_t BgL_bucketz00_3365;

																					BgL_bucketz00_3365 =
																						CDR(BgL_bucketz00_855);
																					BgL_bucketz00_855 =
																						BgL_bucketz00_3365;
																					goto BgL_liipz00_857;
																				}
																			}
																		else
																			{
																				obj_t BgL_lastzd2bucketzd2_3369;
																				obj_t BgL_bucketz00_3367;

																				BgL_bucketz00_3367 =
																					CDR(BgL_bucketz00_855);
																				BgL_lastzd2bucketzd2_3369 =
																					BgL_bucketz00_855;
																				BgL_lastzd2bucketzd2_856 =
																					BgL_lastzd2bucketzd2_3369;
																				BgL_bucketz00_855 = BgL_bucketz00_3367;
																				goto BgL_liipz00_857;
																			}
																	}
															}
														}
														{
															long BgL_iz00_3370;

															BgL_iz00_3370 = (BgL_iz00_851 + ((long) 1));
															BgL_iz00_851 = BgL_iz00_3370;
															goto BgL_loopz00_852;
														}
													}
											}
										}
									}
								}
						}
				}
		}
	}



/* weak-hashtable->vector */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t BgL_tablez00_43)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 213 */
			{	/* Llib/weakhash.scm 214 */
				obj_t BgL_vecz00_872;
				obj_t BgL_wz00_873;

				{	/* Llib/weakhash.scm 214 */
					long BgL_arg1759z00_881;

					BgL_arg1759z00_881 =
						BGl_hashtablezd2siza7ez75zz__hashz00(BgL_tablez00_43);
					BgL_vecz00_872 = make_vector((int) (BgL_arg1759z00_881), BUNSPEC);
				}
				{	/* Llib/weakhash.scm 215 */
					obj_t BgL_cellvalz00_3375;

					BgL_cellvalz00_3375 = BINT(((long) 0));
					BgL_wz00_873 = MAKE_CELL(BgL_cellvalz00_3375);
				}
				{	/* Llib/weakhash.scm 218 */
					obj_t BgL_zc3anonymousza31755ze3z83_2810;

					BgL_zc3anonymousza31755ze3z83_2810 =
						make_fx_procedure(BGl_zc3anonymousza31755ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_2810,
						(int) (((long) 0)), BgL_vecz00_872);
					PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_2810,
						(int) (((long) 1)), BgL_wz00_873);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_43,
						BgL_zc3anonymousza31755ze3z83_2810);
				}
				{	/* Llib/weakhash.scm 220 */
					bool_t BgL_testz00_3385;

					{	/* Llib/weakhash.scm 220 */
						long BgL_arg1758z00_880;

						BgL_arg1758z00_880 =
							BGl_hashtablezd2siza7ez75zz__hashz00(BgL_tablez00_43);
						{	/* Llib/weakhash.scm 220 */
							long BgL_n1z00_2122;

							BgL_n1z00_2122 = (long) CINT(CELL_REF(BgL_wz00_873));
							BgL_testz00_3385 = (BgL_n1z00_2122 < BgL_arg1758z00_880);
					}}
					if (BgL_testz00_3385)
						{	/* Llib/weakhash.scm 220 */
							return
								BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_vecz00_872,
								CINT(CELL_REF(BgL_wz00_873)));
						}
					else
						{	/* Llib/weakhash.scm 220 */
							return BgL_vecz00_872;
						}
				}
			}
		}
	}



/* _weak-hashtable->vector */
	obj_t BGl__weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(obj_t
		BgL_envz00_2811, obj_t BgL_tablez00_2812)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 213 */
			return
				BGl_weakzd2hashtablezd2ze3vectorze3zz__weakhashz00(BgL_tablez00_2812);
		}
	}



/* <anonymous:1755> */
	obj_t BGl_zc3anonymousza31755ze3z83zz__weakhashz00(obj_t BgL_envz00_2813,
		obj_t BgL_keyz00_2816, obj_t BgL_valz00_2817)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 217 */
			{	/* Llib/weakhash.scm 218 */
				obj_t BgL_vecz00_2814;
				obj_t BgL_wz00_2815;

				BgL_vecz00_2814 = PROCEDURE_REF(BgL_envz00_2813, (int) (((long) 0)));
				BgL_wz00_2815 = PROCEDURE_REF(BgL_envz00_2813, (int) (((long) 1)));
				{
					obj_t BgL_keyz00_875;
					obj_t BgL_valz00_876;

					BgL_keyz00_875 = BgL_keyz00_2816;
					BgL_valz00_876 = BgL_valz00_2817;
					{	/* Llib/weakhash.scm 218 */
						obj_t BgL_vectorz00_2117;
						int BgL_kz00_2118;
						obj_t BgL_objz00_2119;

						BgL_vectorz00_2117 = BgL_vecz00_2814;
						BgL_kz00_2118 = CINT(CELL_REF(BgL_wz00_2815));
						BgL_objz00_2119 = BgL_valz00_876;
						VECTOR_SET(BgL_vectorz00_2117, BgL_kz00_2118, BgL_objz00_2119);
					}
					{	/* Llib/weakhash.scm 219 */
						obj_t BgL_auxz00_2818;

						{	/* Llib/weakhash.scm 219 */
							long BgL_za71za7_2120;

							BgL_za71za7_2120 = (long) CINT(CELL_REF(BgL_wz00_2815));
							BgL_auxz00_2818 = BINT((BgL_za71za7_2120 + ((long) 1)));
						}
						return CELL_SET(BgL_wz00_2815, BgL_auxz00_2818);
					}
				}
			}
		}
	}



/* weak-hashtable->list */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t
		BgL_tablez00_44)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 227 */
			{	/* Llib/weakhash.scm 228 */
				obj_t BgL_resz00_2124;

				BgL_resz00_2124 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 228 */
					obj_t BgL_zc3anonymousza31762ze3z83_2819;

					BgL_zc3anonymousza31762ze3z83_2819 =
						make_fx_procedure(BGl_zc3anonymousza31762ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31762ze3z83_2819,
						(int) (((long) 0)), BgL_resz00_2124);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_44,
						BgL_zc3anonymousza31762ze3z83_2819);
				}
				return CELL_REF(BgL_resz00_2124);
			}
		}
	}



/* _weak-hashtable->list */
	obj_t BGl__weakzd2hashtablezd2ze3listze3zz__weakhashz00(obj_t BgL_envz00_2820,
		obj_t BgL_tablez00_2821)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 227 */
			return
				BGl_weakzd2hashtablezd2ze3listze3zz__weakhashz00(BgL_tablez00_2821);
		}
	}



/* <anonymous:1762> */
	obj_t BGl_zc3anonymousza31762ze3z83zz__weakhashz00(obj_t BgL_envz00_2822,
		obj_t BgL_keyz00_2824, obj_t BgL_valz00_2825)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 230 */
			{	/* Llib/weakhash.scm 228 */
				obj_t BgL_resz00_2823;

				BgL_resz00_2823 = PROCEDURE_REF(BgL_envz00_2822, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_2126;
					obj_t BgL_valz00_2127;

					BgL_keyz00_2126 = BgL_keyz00_2824;
					BgL_valz00_2127 = BgL_valz00_2825;
					{	/* Llib/weakhash.scm 228 */
						obj_t BgL_auxz00_2826;

						BgL_auxz00_2826 =
							MAKE_PAIR(BgL_valz00_2127, CELL_REF(BgL_resz00_2823));
						return CELL_SET(BgL_resz00_2823, BgL_auxz00_2826);
					}
				}
			}
		}
	}



/* weak-hashtable-key-list */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t BgL_tablez00_45)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 237 */
			{	/* Llib/weakhash.scm 238 */
				obj_t BgL_resz00_2128;

				BgL_resz00_2128 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 238 */
					obj_t BgL_zc3anonymousza31764ze3z83_2827;

					BgL_zc3anonymousza31764ze3z83_2827 =
						make_fx_procedure(BGl_zc3anonymousza31764ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31764ze3z83_2827,
						(int) (((long) 0)), BgL_resz00_2128);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_45,
						BgL_zc3anonymousza31764ze3z83_2827);
				}
				return CELL_REF(BgL_resz00_2128);
			}
		}
	}



/* _weak-hashtable-key-list */
	obj_t BGl__weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(obj_t
		BgL_envz00_2828, obj_t BgL_tablez00_2829)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 237 */
			return
				BGl_weakzd2hashtablezd2keyzd2listzd2zz__weakhashz00(BgL_tablez00_2829);
		}
	}



/* <anonymous:1764> */
	obj_t BGl_zc3anonymousza31764ze3z83zz__weakhashz00(obj_t BgL_envz00_2830,
		obj_t BgL_keyz00_2832, obj_t BgL_valz00_2833)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 240 */
			{	/* Llib/weakhash.scm 238 */
				obj_t BgL_resz00_2831;

				BgL_resz00_2831 = PROCEDURE_REF(BgL_envz00_2830, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_2130;
					obj_t BgL_valz00_2131;

					BgL_keyz00_2130 = BgL_keyz00_2832;
					BgL_valz00_2131 = BgL_valz00_2833;
					{	/* Llib/weakhash.scm 238 */
						obj_t BgL_auxz00_2834;

						BgL_auxz00_2834 =
							MAKE_PAIR(BgL_keyz00_2130, CELL_REF(BgL_resz00_2831));
						return CELL_SET(BgL_resz00_2831, BgL_auxz00_2834);
					}
				}
			}
		}
	}



/* weak-hashtable-map */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t
		BgL_tablez00_47, obj_t BgL_funz00_48)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 264 */
			{	/* Llib/weakhash.scm 265 */
				obj_t BgL_resz00_2132;

				BgL_resz00_2132 = MAKE_CELL(BNIL);
				{	/* Llib/weakhash.scm 265 */
					obj_t BgL_zc3anonymousza31777ze3z83_2835;

					BgL_zc3anonymousza31777ze3z83_2835 =
						make_fx_procedure(BGl_zc3anonymousza31777ze3z83zz__weakhashz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_2835,
						(int) (((long) 0)), BgL_funz00_48);
					PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_2835,
						(int) (((long) 1)), BgL_resz00_2132);
					BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_47,
						BgL_zc3anonymousza31777ze3z83_2835);
				}
				return CELL_REF(BgL_resz00_2132);
			}
		}
	}



/* _weak-hashtable-map */
	obj_t BGl__weakzd2hashtablezd2mapz00zz__weakhashz00(obj_t BgL_envz00_2836,
		obj_t BgL_tablez00_2837, obj_t BgL_funz00_2838)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 264 */
			return
				BGl_weakzd2hashtablezd2mapz00zz__weakhashz00(BgL_tablez00_2837,
				BgL_funz00_2838);
		}
	}



/* <anonymous:1777> */
	obj_t BGl_zc3anonymousza31777ze3z83zz__weakhashz00(obj_t BgL_envz00_2839,
		obj_t BgL_keyz00_2842, obj_t BgL_valz00_2843)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 267 */
			{	/* Llib/weakhash.scm 265 */
				obj_t BgL_funz00_2840;
				obj_t BgL_resz00_2841;

				BgL_funz00_2840 = PROCEDURE_REF(BgL_envz00_2839, (int) (((long) 0)));
				BgL_resz00_2841 = PROCEDURE_REF(BgL_envz00_2839, (int) (((long) 1)));
				{
					obj_t BgL_keyz00_2134;
					obj_t BgL_valz00_2135;

					BgL_keyz00_2134 = BgL_keyz00_2842;
					BgL_valz00_2135 = BgL_valz00_2843;
					{	/* Llib/weakhash.scm 265 */
						obj_t BgL_auxz00_2844;

						{	/* Llib/weakhash.scm 265 */
							obj_t BgL_arg1778z00_2137;

							BgL_arg1778z00_2137 =
								PROCEDURE_ENTRY(BgL_funz00_2840) (BgL_funz00_2840,
								BgL_keyz00_2134, BgL_valz00_2135, BEOA);
							BgL_auxz00_2844 =
								MAKE_PAIR(BgL_arg1778z00_2137, CELL_REF(BgL_resz00_2841));
						}
						return CELL_SET(BgL_resz00_2841, BgL_auxz00_2844);
					}
				}
			}
		}
	}



/* weak-hashtable-for-each */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t BgL_tablez00_49,
		obj_t BgL_funz00_50)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 274 */
			return
				BBOOL(BGl_traversezd2hashzd2zz__weakhashz00(BgL_tablez00_49,
					BgL_funz00_50));
		}
	}



/* _weak-hashtable-for-each */
	obj_t BGl__weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(obj_t
		BgL_envz00_2845, obj_t BgL_tablez00_2846, obj_t BgL_funz00_2847)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 274 */
			return
				BGl_weakzd2hashtablezd2forzd2eachzd2zz__weakhashz00(BgL_tablez00_2846,
				BgL_funz00_2847);
		}
	}



/* weak-hashtable-filter! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t BgL_tablez00_51,
		obj_t BgL_funz00_52)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 280 */
			{	/* Llib/weakhash.scm 281 */
				obj_t BgL_bucketsz00_921;

				BgL_bucketsz00_921 = STRUCT_REF(BgL_tablez00_51, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 281 */
					int BgL_bucketszd2lenzd2_922;

					BgL_bucketszd2lenzd2_922 = VECTOR_LENGTH(BgL_bucketsz00_921);
					{	/* Llib/weakhash.scm 282 */

						{
							long BgL_iz00_923;

							{	/* Llib/weakhash.scm 283 */
								bool_t BgL_auxz00_3443;

								BgL_iz00_923 = ((long) 0);
							BgL_loopz00_924:
								if ((BgL_iz00_923 < (long) (BgL_bucketszd2lenzd2_922)))
									{	/* Llib/weakhash.scm 284 */
										{	/* Llib/weakhash.scm 288 */
											obj_t BgL_zc3anonymousza31781ze3z83_2848;

											{
												int BgL_auxz00_3447;

												BgL_auxz00_3447 = (int) (((long) 1));
												BgL_zc3anonymousza31781ze3z83_2848 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31781ze3z83zz__weakhashz00,
													BgL_auxz00_3447);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31781ze3z83_2848,
												(int) (((long) 0)), BgL_funz00_52);
											BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_51,
												BgL_bucketsz00_921, BgL_iz00_923,
												BgL_zc3anonymousza31781ze3z83_2848);
										}
										{
											long BgL_iz00_3453;

											BgL_iz00_3453 = (BgL_iz00_923 + ((long) 1));
											BgL_iz00_923 = BgL_iz00_3453;
											goto BgL_loopz00_924;
										}
									}
								else
									{	/* Llib/weakhash.scm 284 */
										BgL_auxz00_3443 = ((bool_t) 0);
									}
								return BBOOL(BgL_auxz00_3443);
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-filter! */
	obj_t BGl__weakzd2hashtablezd2filterz12z12zz__weakhashz00(obj_t
		BgL_envz00_2849, obj_t BgL_tablez00_2850, obj_t BgL_funz00_2851)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 280 */
			return
				BGl_weakzd2hashtablezd2filterz12z12zz__weakhashz00(BgL_tablez00_2850,
				BgL_funz00_2851);
		}
	}



/* <anonymous:1781> */
	obj_t BGl_zc3anonymousza31781ze3z83zz__weakhashz00(obj_t BgL_envz00_2852,
		obj_t BgL_keyz00_2854, obj_t BgL_valz00_2855, obj_t BgL_bucketz00_2856)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 287 */
			{	/* Llib/weakhash.scm 288 */
				obj_t BgL_funz00_2853;

				BgL_funz00_2853 = PROCEDURE_L_REF(BgL_envz00_2852, (int) (((long) 0)));
				{
					obj_t BgL_keyz00_927;
					obj_t BgL_valz00_928;
					obj_t BgL_bucketz00_929;

					BgL_keyz00_927 = BgL_keyz00_2854;
					BgL_valz00_928 = BgL_valz00_2855;
					BgL_bucketz00_929 = BgL_bucketz00_2856;
					if (CBOOL(PROCEDURE_ENTRY(BgL_funz00_2853) (BgL_funz00_2853,
								BgL_keyz00_927, BgL_valz00_928, BEOA)))
						{	/* Llib/weakhash.scm 288 */
							return BGl_keepgoingz00zz__weakhashz00;
						}
					else
						{	/* Llib/weakhash.scm 288 */
							return BGl_removez00zz__weakhashz00;
						}
				}
			}
		}
	}



/* weak-hashtable-contains? */
	BGL_EXPORTED_DEF bool_t
		BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t BgL_tablez00_55,
		obj_t BgL_keyz00_56)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 315 */
			{	/* Llib/weakhash.scm 316 */
				obj_t BgL_bucketsz00_955;

				BgL_bucketsz00_955 = STRUCT_REF(BgL_tablez00_55, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 316 */
					int BgL_bucketzd2lenzd2_956;

					BgL_bucketzd2lenzd2_956 = VECTOR_LENGTH(BgL_bucketsz00_955);
					{	/* Llib/weakhash.scm 317 */
						long BgL_bucketzd2numzd2_957;

						{	/* Llib/weakhash.scm 318 */
							long BgL_arg1803z00_967;

							{	/* Llib/weakhash.scm 318 */
								long BgL_res2161z00_2166;

								{	/* Llib/weakhash.scm 318 */
									obj_t BgL_hashnz00_2153;

									BgL_hashnz00_2153 =
										STRUCT_REF(BgL_tablez00_55, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2153))
										{	/* Llib/weakhash.scm 318 */
											obj_t BgL_arg1650z00_2155;

											BgL_arg1650z00_2155 =
												PROCEDURE_ENTRY(BgL_hashnz00_2153) (BgL_hashnz00_2153,
												BgL_keyz00_56, BEOA);
											{	/* Llib/weakhash.scm 318 */
												long BgL_nz00_2160;

												BgL_nz00_2160 = (long) CINT(BgL_arg1650z00_2155);
												if ((BgL_nz00_2160 < ((long) 0)))
													{	/* Llib/weakhash.scm 318 */
														BgL_res2161z00_2166 = NEG(BgL_nz00_2160);
													}
												else
													{	/* Llib/weakhash.scm 318 */
														BgL_res2161z00_2166 = BgL_nz00_2160;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 318 */
											BgL_res2161z00_2166 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_56);
										}
								}
								BgL_arg1803z00_967 = BgL_res2161z00_2166;
							}
							{	/* Llib/weakhash.scm 318 */
								long BgL_auxz00_3477;

								BgL_auxz00_3477 = (long) (BgL_bucketzd2lenzd2_956);
								BgL_bucketzd2numzd2_957 =
									(BgL_arg1803z00_967 % BgL_auxz00_3477);
						}}
						{	/* Llib/weakhash.scm 318 */
							obj_t BgL_retz00_958;

							{	/* Llib/weakhash.scm 321 */
								obj_t BgL_zc3anonymousza31800ze3z83_2857;

								{
									int BgL_auxz00_3480;

									BgL_auxz00_3480 = (int) (((long) 2));
									BgL_zc3anonymousza31800ze3z83_2857 =
										MAKE_L_PROCEDURE
										(BGl_zc3anonymousza31800ze3z83zz__weakhashz00,
										BgL_auxz00_3480);
								}
								PROCEDURE_L_SET(BgL_zc3anonymousza31800ze3z83_2857,
									(int) (((long) 0)), BgL_tablez00_55);
								PROCEDURE_L_SET(BgL_zc3anonymousza31800ze3z83_2857,
									(int) (((long) 1)), BgL_keyz00_56);
								BgL_retz00_958 =
									BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_55,
									BgL_bucketsz00_955, BgL_bucketzd2numzd2_957,
									BgL_zc3anonymousza31800ze3z83_2857);
							}
							{	/* Llib/weakhash.scm 319 */

								if ((BgL_retz00_958 == BGl_keepgoingz00zz__weakhashz00))
									{	/* Llib/weakhash.scm 324 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/weakhash.scm 324 */
										return ((bool_t) 1);
									}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-contains? */
	obj_t BGl__weakzd2hashtablezd2containszf3zf3zz__weakhashz00(obj_t
		BgL_envz00_2858, obj_t BgL_tablez00_2859, obj_t BgL_keyz00_2860)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 315 */
			return
				BBOOL(BGl_weakzd2hashtablezd2containszf3zf3zz__weakhashz00
				(BgL_tablez00_2859, BgL_keyz00_2860));
		}
	}



/* <anonymous:1800> */
	obj_t BGl_zc3anonymousza31800ze3z83zz__weakhashz00(obj_t BgL_envz00_2861,
		obj_t BgL_bkeyz00_2864, obj_t BgL_valz00_2865, obj_t BgL_bucketz00_2866)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 320 */
			{	/* Llib/weakhash.scm 321 */
				obj_t BgL_tablez00_2862;
				obj_t BgL_keyz00_2863;

				BgL_tablez00_2862 =
					PROCEDURE_L_REF(BgL_envz00_2861, (int) (((long) 0)));
				BgL_keyz00_2863 = PROCEDURE_L_REF(BgL_envz00_2861, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_961;
					obj_t BgL_valz00_962;
					obj_t BgL_bucketz00_963;

					BgL_bkeyz00_961 = BgL_bkeyz00_2864;
					BgL_valz00_962 = BgL_valz00_2865;
					BgL_bucketz00_963 = BgL_bucketz00_2866;
					{	/* Llib/weakhash.scm 321 */
						bool_t BgL_testz00_3496;

						{	/* Llib/weakhash.scm 321 */
							obj_t BgL_eqtz00_2173;

							BgL_eqtz00_2173 =
								STRUCT_REF(BgL_tablez00_2862, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2173))
								{	/* Llib/weakhash.scm 321 */
									BgL_testz00_3496 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2173) (BgL_eqtz00_2173,
											BgL_keyz00_2863, BgL_bkeyz00_961, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 321 */
									if (STRINGP(BgL_keyz00_2863))
										{	/* Llib/weakhash.scm 321 */
											if (STRINGP(BgL_bkeyz00_961))
												{	/* Llib/weakhash.scm 321 */
													BgL_testz00_3496 =
														bigloo_strcmp(BgL_keyz00_2863, BgL_bkeyz00_961);
												}
											else
												{	/* Llib/weakhash.scm 321 */
													BgL_testz00_3496 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 321 */
											BgL_testz00_3496 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2863, BgL_bkeyz00_961);
										}
								}
						}
						if (BgL_testz00_3496)
							{	/* Llib/weakhash.scm 321 */
								return BTRUE;
							}
						else
							{	/* Llib/weakhash.scm 321 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-get */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2getz00zz__weakhashz00(obj_t
		BgL_tablez00_57, obj_t BgL_keyz00_58)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 329 */
			{	/* Llib/weakhash.scm 330 */
				obj_t BgL_bucketsz00_968;

				BgL_bucketsz00_968 = STRUCT_REF(BgL_tablez00_57, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 330 */
					int BgL_bucketzd2lenzd2_969;

					BgL_bucketzd2lenzd2_969 = VECTOR_LENGTH(BgL_bucketsz00_968);
					{	/* Llib/weakhash.scm 331 */
						long BgL_bucketzd2numzd2_970;

						{	/* Llib/weakhash.scm 332 */
							long BgL_arg1808z00_980;

							{	/* Llib/weakhash.scm 332 */
								long BgL_res2163z00_2204;

								{	/* Llib/weakhash.scm 332 */
									obj_t BgL_hashnz00_2191;

									BgL_hashnz00_2191 =
										STRUCT_REF(BgL_tablez00_57, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2191))
										{	/* Llib/weakhash.scm 332 */
											obj_t BgL_arg1650z00_2193;

											BgL_arg1650z00_2193 =
												PROCEDURE_ENTRY(BgL_hashnz00_2191) (BgL_hashnz00_2191,
												BgL_keyz00_58, BEOA);
											{	/* Llib/weakhash.scm 332 */
												long BgL_nz00_2198;

												BgL_nz00_2198 = (long) CINT(BgL_arg1650z00_2193);
												if ((BgL_nz00_2198 < ((long) 0)))
													{	/* Llib/weakhash.scm 332 */
														BgL_res2163z00_2204 = NEG(BgL_nz00_2198);
													}
												else
													{	/* Llib/weakhash.scm 332 */
														BgL_res2163z00_2204 = BgL_nz00_2198;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 332 */
											BgL_res2163z00_2204 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_58);
										}
								}
								BgL_arg1808z00_980 = BgL_res2163z00_2204;
							}
							{	/* Llib/weakhash.scm 332 */
								long BgL_auxz00_3524;

								BgL_auxz00_3524 = (long) (BgL_bucketzd2lenzd2_969);
								BgL_bucketzd2numzd2_970 =
									(BgL_arg1808z00_980 % BgL_auxz00_3524);
						}}
						{	/* Llib/weakhash.scm 332 */
							obj_t BgL_retz00_971;

							{	/* Llib/weakhash.scm 335 */
								obj_t BgL_zc3anonymousza31806ze3z83_2867;

								{
									int BgL_auxz00_3527;

									BgL_auxz00_3527 = (int) (((long) 2));
									BgL_zc3anonymousza31806ze3z83_2867 =
										MAKE_L_PROCEDURE
										(BGl_zc3anonymousza31806ze3z83zz__weakhashz00,
										BgL_auxz00_3527);
								}
								PROCEDURE_L_SET(BgL_zc3anonymousza31806ze3z83_2867,
									(int) (((long) 0)), BgL_tablez00_57);
								PROCEDURE_L_SET(BgL_zc3anonymousza31806ze3z83_2867,
									(int) (((long) 1)), BgL_keyz00_58);
								BgL_retz00_971 =
									BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_57,
									BgL_bucketsz00_968, BgL_bucketzd2numzd2_970,
									BgL_zc3anonymousza31806ze3z83_2867);
							}
							{	/* Llib/weakhash.scm 333 */

								if ((BgL_retz00_971 == BGl_keepgoingz00zz__weakhashz00))
									{	/* Llib/weakhash.scm 338 */
										return BFALSE;
									}
								else
									{	/* Llib/weakhash.scm 338 */
										return BgL_retz00_971;
									}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-get */
	obj_t BGl__weakzd2hashtablezd2getz00zz__weakhashz00(obj_t BgL_envz00_2868,
		obj_t BgL_tablez00_2869, obj_t BgL_keyz00_2870)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 329 */
			return
				BGl_weakzd2hashtablezd2getz00zz__weakhashz00(BgL_tablez00_2869,
				BgL_keyz00_2870);
		}
	}



/* <anonymous:1806> */
	obj_t BGl_zc3anonymousza31806ze3z83zz__weakhashz00(obj_t BgL_envz00_2871,
		obj_t BgL_bkeyz00_2874, obj_t BgL_valz00_2875, obj_t BgL_bucketz00_2876)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 334 */
			{	/* Llib/weakhash.scm 335 */
				obj_t BgL_tablez00_2872;
				obj_t BgL_keyz00_2873;

				BgL_tablez00_2872 =
					PROCEDURE_L_REF(BgL_envz00_2871, (int) (((long) 0)));
				BgL_keyz00_2873 = PROCEDURE_L_REF(BgL_envz00_2871, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_974;
					obj_t BgL_valz00_975;
					obj_t BgL_bucketz00_976;

					BgL_bkeyz00_974 = BgL_bkeyz00_2874;
					BgL_valz00_975 = BgL_valz00_2875;
					BgL_bucketz00_976 = BgL_bucketz00_2876;
					{	/* Llib/weakhash.scm 335 */
						bool_t BgL_testz00_3542;

						{	/* Llib/weakhash.scm 335 */
							obj_t BgL_eqtz00_2211;

							BgL_eqtz00_2211 =
								STRUCT_REF(BgL_tablez00_2872, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2211))
								{	/* Llib/weakhash.scm 335 */
									BgL_testz00_3542 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2211) (BgL_eqtz00_2211,
											BgL_keyz00_2873, BgL_bkeyz00_974, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 335 */
									if (STRINGP(BgL_keyz00_2873))
										{	/* Llib/weakhash.scm 335 */
											if (STRINGP(BgL_bkeyz00_974))
												{	/* Llib/weakhash.scm 335 */
													BgL_testz00_3542 =
														bigloo_strcmp(BgL_keyz00_2873, BgL_bkeyz00_974);
												}
											else
												{	/* Llib/weakhash.scm 335 */
													BgL_testz00_3542 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 335 */
											BgL_testz00_3542 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2873, BgL_bkeyz00_974);
										}
								}
						}
						if (BgL_testz00_3542)
							{	/* Llib/weakhash.scm 335 */
								return BgL_valz00_975;
							}
						else
							{	/* Llib/weakhash.scm 335 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-put! */
	BGL_EXPORTED_DEF obj_t BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t
		BgL_tablez00_61, obj_t BgL_keyz00_62, obj_t BgL_objz00_63)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 362 */
			{	/* Llib/weakhash.scm 363 */
				obj_t BgL_bucketsz00_992;

				BgL_bucketsz00_992 = STRUCT_REF(BgL_tablez00_61, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 363 */
					int BgL_bucketzd2lenzd2_993;

					BgL_bucketzd2lenzd2_993 = VECTOR_LENGTH(BgL_bucketsz00_992);
					{	/* Llib/weakhash.scm 364 */
						long BgL_bucketzd2numzd2_994;

						{	/* Llib/weakhash.scm 365 */
							long BgL_arg1838z00_1022;

							{	/* Llib/weakhash.scm 365 */
								long BgL_res2165z00_2242;

								{	/* Llib/weakhash.scm 365 */
									obj_t BgL_hashnz00_2229;

									BgL_hashnz00_2229 =
										STRUCT_REF(BgL_tablez00_61, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2229))
										{	/* Llib/weakhash.scm 365 */
											obj_t BgL_arg1650z00_2231;

											BgL_arg1650z00_2231 =
												PROCEDURE_ENTRY(BgL_hashnz00_2229) (BgL_hashnz00_2229,
												BgL_keyz00_62, BEOA);
											{	/* Llib/weakhash.scm 365 */
												long BgL_nz00_2236;

												BgL_nz00_2236 = (long) CINT(BgL_arg1650z00_2231);
												if ((BgL_nz00_2236 < ((long) 0)))
													{	/* Llib/weakhash.scm 365 */
														BgL_res2165z00_2242 = NEG(BgL_nz00_2236);
													}
												else
													{	/* Llib/weakhash.scm 365 */
														BgL_res2165z00_2242 = BgL_nz00_2236;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 365 */
											BgL_res2165z00_2242 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_62);
										}
								}
								BgL_arg1838z00_1022 = BgL_res2165z00_2242;
							}
							{	/* Llib/weakhash.scm 365 */
								long BgL_auxz00_3570;

								BgL_auxz00_3570 = (long) (BgL_bucketzd2lenzd2_993);
								BgL_bucketzd2numzd2_994 =
									(BgL_arg1838z00_1022 % BgL_auxz00_3570);
						}}
						{	/* Llib/weakhash.scm 365 */
							obj_t BgL_bucketz00_995;

							BgL_bucketz00_995 =
								VECTOR_REF(BgL_bucketsz00_992, (int) (BgL_bucketzd2numzd2_994));
							{	/* Llib/weakhash.scm 366 */
								obj_t BgL_maxzd2bucketzd2lenz00_996;

								BgL_maxzd2bucketzd2lenz00_996 =
									STRUCT_REF(BgL_tablez00_61, (int) (((long) 1)));
								{	/* Llib/weakhash.scm 367 */
									obj_t BgL_countz00_997;

									{	/* Llib/weakhash.scm 368 */
										obj_t BgL_cellvalz00_3577;

										BgL_cellvalz00_3577 = BINT(((long) 0));
										BgL_countz00_997 = MAKE_CELL(BgL_cellvalz00_3577);
									}
									{	/* Llib/weakhash.scm 368 */
										obj_t BgL_foundz00_998;

										{	/* Llib/weakhash.scm 373 */
											obj_t BgL_zc3anonymousza31832ze3z83_2877;

											{
												int BgL_auxz00_3579;

												BgL_auxz00_3579 = (int) (((long) 4));
												BgL_zc3anonymousza31832ze3z83_2877 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31832ze3z83zz__weakhashz00,
													BgL_auxz00_3579);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31832ze3z83_2877,
												(int) (((long) 0)), BgL_countz00_997);
											PROCEDURE_L_SET(BgL_zc3anonymousza31832ze3z83_2877,
												(int) (((long) 1)), BgL_tablez00_61);
											PROCEDURE_L_SET(BgL_zc3anonymousza31832ze3z83_2877,
												(int) (((long) 2)), BgL_keyz00_62);
											PROCEDURE_L_SET(BgL_zc3anonymousza31832ze3z83_2877,
												(int) (((long) 3)), BgL_objz00_63);
											BgL_foundz00_998 =
												BGl_traversezd2bucketszd2zz__weakhashz00
												(BgL_tablez00_61, BgL_bucketsz00_992,
												BgL_bucketzd2numzd2_994,
												BgL_zc3anonymousza31832ze3z83_2877);
										}
										{	/* Llib/weakhash.scm 370 */

											if ((BgL_foundz00_998 == BGl_keepgoingz00zz__weakhashz00))
												{	/* Llib/weakhash.scm 384 */
													{	/* Llib/weakhash.scm 387 */
														long BgL_arg1815z00_1000;

														BgL_arg1815z00_1000 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_61,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/weakhash.scm 387 */
															obj_t BgL_auxz00_3599;
															int BgL_auxz00_3597;

															BgL_auxz00_3599 = BINT(BgL_arg1815z00_1000);
															BgL_auxz00_3597 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_61, BgL_auxz00_3597,
																BgL_auxz00_3599);
													}}
													{	/* Llib/weakhash.scm 389 */
														obj_t BgL_arg1819z00_1003;

														{	/* Llib/weakhash.scm 389 */
															obj_t BgL_arg1820z00_1004;
															obj_t BgL_arg1821z00_1005;

															{	/* Llib/weakhash.scm 389 */
																obj_t BgL_arg1823z00_1006;
																obj_t BgL_arg1825z00_1007;

																if (BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00
																	(BgL_tablez00_61))
																	{	/* Llib/weakhash.scm 389 */
																		BgL_arg1823z00_1006 =
																			make_weakptr(BgL_keyz00_62);
																	}
																else
																	{	/* Llib/weakhash.scm 389 */
																		BgL_arg1823z00_1006 = BgL_keyz00_62;
																	}
																if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
																	(BgL_tablez00_61))
																	{	/* Llib/weakhash.scm 392 */
																		BgL_arg1825z00_1007 =
																			make_weakptr(BgL_objz00_63);
																	}
																else
																	{	/* Llib/weakhash.scm 392 */
																		BgL_arg1825z00_1007 = BgL_objz00_63;
																	}
																BgL_arg1820z00_1004 =
																	MAKE_PAIR(BgL_arg1823z00_1006,
																	BgL_arg1825z00_1007);
															}
															BgL_arg1821z00_1005 =
																VECTOR_REF(STRUCT_REF(BgL_tablez00_61,
																	(int) (((long) 2))),
																(int) (BgL_bucketzd2numzd2_994));
															BgL_arg1819z00_1003 =
																MAKE_PAIR(BgL_arg1820z00_1004,
																BgL_arg1821z00_1005);
														}
														VECTOR_SET(BgL_bucketsz00_992,
															(int) (BgL_bucketzd2numzd2_994),
															BgL_arg1819z00_1003);
													}
													{	/* Llib/weakhash.scm 399 */
														bool_t BgL_testz00_3616;

														{	/* Llib/weakhash.scm 399 */
															long BgL_n1z00_2295;
															long BgL_n2z00_2296;

															BgL_n1z00_2295 =
																(long) CINT(CELL_REF(BgL_countz00_997));
															BgL_n2z00_2296 =
																(long) CINT(BgL_maxzd2bucketzd2lenz00_996);
															BgL_testz00_3616 =
																(BgL_n1z00_2295 > BgL_n2z00_2296);
														}
														if (BgL_testz00_3616)
															{	/* Llib/weakhash.scm 399 */
																BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00
																	(BgL_tablez00_61);
															}
														else
															{	/* Llib/weakhash.scm 399 */
																BFALSE;
															}
													}
													return BgL_objz00_63;
												}
											else
												{	/* Llib/weakhash.scm 384 */
													return BgL_foundz00_998;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-put! */
	obj_t BGl__weakzd2hashtablezd2putz12z12zz__weakhashz00(obj_t BgL_envz00_2878,
		obj_t BgL_tablez00_2879, obj_t BgL_keyz00_2880, obj_t BgL_objz00_2881)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 362 */
			return
				BGl_weakzd2hashtablezd2putz12z12zz__weakhashz00(BgL_tablez00_2879,
				BgL_keyz00_2880, BgL_objz00_2881);
		}
	}



/* <anonymous:1832> */
	obj_t BGl_zc3anonymousza31832ze3z83zz__weakhashz00(obj_t BgL_envz00_2882,
		obj_t BgL_bkeyz00_2887, obj_t BgL_valz00_2888, obj_t BgL_bucketz00_2889)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 372 */
			{	/* Llib/weakhash.scm 373 */
				obj_t BgL_countz00_2883;
				obj_t BgL_tablez00_2884;
				obj_t BgL_keyz00_2885;
				obj_t BgL_objz00_2886;

				BgL_countz00_2883 =
					PROCEDURE_L_REF(BgL_envz00_2882, (int) (((long) 0)));
				BgL_tablez00_2884 =
					PROCEDURE_L_REF(BgL_envz00_2882, (int) (((long) 1)));
				BgL_keyz00_2885 = PROCEDURE_L_REF(BgL_envz00_2882, (int) (((long) 2)));
				BgL_objz00_2886 = PROCEDURE_L_REF(BgL_envz00_2882, (int) (((long) 3)));
				{
					obj_t BgL_bkeyz00_1013;
					obj_t BgL_valz00_1014;
					obj_t BgL_bucketz00_1015;

					BgL_bkeyz00_1013 = BgL_bkeyz00_2887;
					BgL_valz00_1014 = BgL_valz00_2888;
					BgL_bucketz00_1015 = BgL_bucketz00_2889;
					{	/* Llib/weakhash.scm 373 */
						obj_t BgL_auxz00_2890;

						{	/* Llib/weakhash.scm 373 */
							long BgL_za71za7_2254;

							BgL_za71za7_2254 = (long) CINT(CELL_REF(BgL_countz00_2883));
							BgL_auxz00_2890 = BINT((BgL_za71za7_2254 + ((long) 1)));
						}
						CELL_SET(BgL_countz00_2883, BgL_auxz00_2890);
					}
					{	/* Llib/weakhash.scm 374 */
						bool_t BgL_testz00_3633;

						{	/* Llib/weakhash.scm 374 */
							obj_t BgL_eqtz00_2259;

							BgL_eqtz00_2259 =
								STRUCT_REF(BgL_tablez00_2884, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2259))
								{	/* Llib/weakhash.scm 374 */
									BgL_testz00_3633 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2259) (BgL_eqtz00_2259,
											BgL_bkeyz00_1013, BgL_keyz00_2885, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 374 */
									if (STRINGP(BgL_bkeyz00_1013))
										{	/* Llib/weakhash.scm 374 */
											if (STRINGP(BgL_keyz00_2885))
												{	/* Llib/weakhash.scm 374 */
													BgL_testz00_3633 =
														bigloo_strcmp(BgL_bkeyz00_1013, BgL_keyz00_2885);
												}
											else
												{	/* Llib/weakhash.scm 374 */
													BgL_testz00_3633 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 374 */
											BgL_testz00_3633 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_bkeyz00_1013, BgL_keyz00_2885);
										}
								}
						}
						if (BgL_testz00_3633)
							{	/* Llib/weakhash.scm 374 */
								{	/* Llib/weakhash.scm 374 */
									obj_t BgL_arg1834z00_2251;
									obj_t BgL_arg1836z00_2252;

									BgL_arg1834z00_2251 = CAR(BgL_bucketz00_1015);
									if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
										(BgL_tablez00_2884))
										{	/* Llib/weakhash.scm 374 */
											BgL_arg1836z00_2252 = make_weakptr(BgL_objz00_2886);
										}
									else
										{	/* Llib/weakhash.scm 374 */
											BgL_arg1836z00_2252 = BgL_objz00_2886;
										}
									SET_CDR(BgL_arg1834z00_2251, BgL_arg1836z00_2252);
								}
								return BgL_valz00_1014;
							}
						else
							{	/* Llib/weakhash.scm 374 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-update! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t BgL_tablez00_64,
		obj_t BgL_keyz00_65, obj_t BgL_procz00_66, obj_t BgL_objz00_67)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 406 */
			{	/* Llib/weakhash.scm 407 */
				obj_t BgL_bucketsz00_1023;

				BgL_bucketsz00_1023 = STRUCT_REF(BgL_tablez00_64, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 407 */
					int BgL_bucketzd2lenzd2_1024;

					BgL_bucketzd2lenzd2_1024 = VECTOR_LENGTH(BgL_bucketsz00_1023);
					{	/* Llib/weakhash.scm 408 */
						long BgL_bucketzd2numzd2_1025;

						{	/* Llib/weakhash.scm 409 */
							long BgL_arg1858z00_1054;

							{	/* Llib/weakhash.scm 409 */
								long BgL_res2167z00_2316;

								{	/* Llib/weakhash.scm 409 */
									obj_t BgL_hashnz00_2303;

									BgL_hashnz00_2303 =
										STRUCT_REF(BgL_tablez00_64, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2303))
										{	/* Llib/weakhash.scm 409 */
											obj_t BgL_arg1650z00_2305;

											BgL_arg1650z00_2305 =
												PROCEDURE_ENTRY(BgL_hashnz00_2303) (BgL_hashnz00_2303,
												BgL_keyz00_65, BEOA);
											{	/* Llib/weakhash.scm 409 */
												long BgL_nz00_2310;

												BgL_nz00_2310 = (long) CINT(BgL_arg1650z00_2305);
												if ((BgL_nz00_2310 < ((long) 0)))
													{	/* Llib/weakhash.scm 409 */
														BgL_res2167z00_2316 = NEG(BgL_nz00_2310);
													}
												else
													{	/* Llib/weakhash.scm 409 */
														BgL_res2167z00_2316 = BgL_nz00_2310;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 409 */
											BgL_res2167z00_2316 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_65);
										}
								}
								BgL_arg1858z00_1054 = BgL_res2167z00_2316;
							}
							{	/* Llib/weakhash.scm 409 */
								long BgL_auxz00_3666;

								BgL_auxz00_3666 = (long) (BgL_bucketzd2lenzd2_1024);
								BgL_bucketzd2numzd2_1025 =
									(BgL_arg1858z00_1054 % BgL_auxz00_3666);
						}}
						{	/* Llib/weakhash.scm 409 */
							obj_t BgL_bucketz00_1026;

							BgL_bucketz00_1026 =
								VECTOR_REF(BgL_bucketsz00_1023,
								(int) (BgL_bucketzd2numzd2_1025));
							{	/* Llib/weakhash.scm 410 */
								obj_t BgL_maxzd2bucketzd2lenz00_1027;

								BgL_maxzd2bucketzd2lenz00_1027 =
									STRUCT_REF(BgL_tablez00_64, (int) (((long) 1)));
								{	/* Llib/weakhash.scm 411 */
									obj_t BgL_countz00_1028;

									{	/* Llib/weakhash.scm 412 */
										obj_t BgL_cellvalz00_3673;

										BgL_cellvalz00_3673 = BINT(((long) 0));
										BgL_countz00_1028 = MAKE_CELL(BgL_cellvalz00_3673);
									}
									{	/* Llib/weakhash.scm 412 */
										obj_t BgL_foundz00_1029;

										{	/* Llib/weakhash.scm 417 */
											obj_t BgL_zc3anonymousza31853ze3z83_2891;

											{
												int BgL_auxz00_3675;

												BgL_auxz00_3675 = (int) (((long) 4));
												BgL_zc3anonymousza31853ze3z83_2891 =
													MAKE_L_PROCEDURE
													(BGl_zc3anonymousza31853ze3z83zz__weakhashz00,
													BgL_auxz00_3675);
											}
											PROCEDURE_L_SET(BgL_zc3anonymousza31853ze3z83_2891,
												(int) (((long) 0)), BgL_countz00_1028);
											PROCEDURE_L_SET(BgL_zc3anonymousza31853ze3z83_2891,
												(int) (((long) 1)), BgL_tablez00_64);
											PROCEDURE_L_SET(BgL_zc3anonymousza31853ze3z83_2891,
												(int) (((long) 2)), BgL_keyz00_65);
											PROCEDURE_L_SET(BgL_zc3anonymousza31853ze3z83_2891,
												(int) (((long) 3)), BgL_procz00_66);
											BgL_foundz00_1029 =
												BGl_traversezd2bucketszd2zz__weakhashz00
												(BgL_tablez00_64, BgL_bucketsz00_1023,
												BgL_bucketzd2numzd2_1025,
												BgL_zc3anonymousza31853ze3z83_2891);
										}
										{	/* Llib/weakhash.scm 414 */

											if (
												(BgL_foundz00_1029 == BGl_keepgoingz00zz__weakhashz00))
												{	/* Llib/weakhash.scm 428 */
													{	/* Llib/weakhash.scm 431 */
														long BgL_arg1840z00_1031;

														BgL_arg1840z00_1031 =
															(
															(long) CINT(STRUCT_REF(BgL_tablez00_64,
																	(int) (((long) 0)))) + ((long) 1));
														{	/* Llib/weakhash.scm 431 */
															obj_t BgL_auxz00_3695;
															int BgL_auxz00_3693;

															BgL_auxz00_3695 = BINT(BgL_arg1840z00_1031);
															BgL_auxz00_3693 = (int) (((long) 0));
															STRUCT_SET(BgL_tablez00_64, BgL_auxz00_3693,
																BgL_auxz00_3695);
													}}
													{	/* Llib/weakhash.scm 433 */
														obj_t BgL_arg1843z00_1034;

														{	/* Llib/weakhash.scm 433 */
															obj_t BgL_arg1844z00_1035;
															obj_t BgL_arg1845z00_1036;

															{	/* Llib/weakhash.scm 433 */
																obj_t BgL_arg1846z00_1037;
																obj_t BgL_arg1847z00_1038;

																if (BGl_hashtablezd2weakzd2keyszf3zf3zz__hashz00
																	(BgL_tablez00_64))
																	{	/* Llib/weakhash.scm 433 */
																		BgL_arg1846z00_1037 =
																			make_weakptr(BgL_keyz00_65);
																	}
																else
																	{	/* Llib/weakhash.scm 433 */
																		BgL_arg1846z00_1037 = BgL_keyz00_65;
																	}
																if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
																	(BgL_tablez00_64))
																	{	/* Llib/weakhash.scm 436 */
																		BgL_arg1847z00_1038 =
																			make_weakptr(BgL_objz00_67);
																	}
																else
																	{	/* Llib/weakhash.scm 436 */
																		BgL_arg1847z00_1038 = BgL_objz00_67;
																	}
																BgL_arg1844z00_1035 =
																	MAKE_PAIR(BgL_arg1846z00_1037,
																	BgL_arg1847z00_1038);
															}
															BgL_arg1845z00_1036 =
																VECTOR_REF(STRUCT_REF(BgL_tablez00_64,
																	(int) (((long) 2))),
																(int) (BgL_bucketzd2numzd2_1025));
															BgL_arg1843z00_1034 =
																MAKE_PAIR(BgL_arg1844z00_1035,
																BgL_arg1845z00_1036);
														}
														VECTOR_SET(BgL_bucketsz00_1023,
															(int) (BgL_bucketzd2numzd2_1025),
															BgL_arg1843z00_1034);
													}
													{	/* Llib/weakhash.scm 443 */
														bool_t BgL_testz00_3712;

														{	/* Llib/weakhash.scm 443 */
															long BgL_n1z00_2370;
															long BgL_n2z00_2371;

															BgL_n1z00_2370 =
																(long) CINT(CELL_REF(BgL_countz00_1028));
															BgL_n2z00_2371 =
																(long) CINT(BgL_maxzd2bucketzd2lenz00_1027);
															BgL_testz00_3712 =
																(BgL_n1z00_2370 > BgL_n2z00_2371);
														}
														if (BgL_testz00_3712)
															{	/* Llib/weakhash.scm 443 */
																BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00
																	(BgL_tablez00_64);
															}
														else
															{	/* Llib/weakhash.scm 443 */
																BFALSE;
															}
													}
													return BgL_objz00_67;
												}
											else
												{	/* Llib/weakhash.scm 428 */
													return BgL_foundz00_1029;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-update! */
	obj_t BGl__weakzd2hashtablezd2updatez12z12zz__weakhashz00(obj_t
		BgL_envz00_2892, obj_t BgL_tablez00_2893, obj_t BgL_keyz00_2894,
		obj_t BgL_procz00_2895, obj_t BgL_objz00_2896)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 406 */
			return
				BGl_weakzd2hashtablezd2updatez12z12zz__weakhashz00(BgL_tablez00_2893,
				BgL_keyz00_2894, BgL_procz00_2895, BgL_objz00_2896);
		}
	}



/* <anonymous:1853> */
	obj_t BGl_zc3anonymousza31853ze3z83zz__weakhashz00(obj_t BgL_envz00_2897,
		obj_t BgL_bkeyz00_2902, obj_t BgL_valz00_2903, obj_t BgL_bucketz00_2904)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 416 */
			{	/* Llib/weakhash.scm 417 */
				obj_t BgL_countz00_2898;
				obj_t BgL_tablez00_2899;
				obj_t BgL_keyz00_2900;
				obj_t BgL_procz00_2901;

				BgL_countz00_2898 =
					PROCEDURE_L_REF(BgL_envz00_2897, (int) (((long) 0)));
				BgL_tablez00_2899 =
					PROCEDURE_L_REF(BgL_envz00_2897, (int) (((long) 1)));
				BgL_keyz00_2900 = PROCEDURE_L_REF(BgL_envz00_2897, (int) (((long) 2)));
				BgL_procz00_2901 = PROCEDURE_L_REF(BgL_envz00_2897, (int) (((long) 3)));
				{
					obj_t BgL_bkeyz00_1044;
					obj_t BgL_valz00_1045;
					obj_t BgL_bucketz00_1046;

					BgL_bkeyz00_1044 = BgL_bkeyz00_2902;
					BgL_valz00_1045 = BgL_valz00_2903;
					BgL_bucketz00_1046 = BgL_bucketz00_2904;
					{	/* Llib/weakhash.scm 417 */
						obj_t BgL_auxz00_2905;

						{	/* Llib/weakhash.scm 417 */
							long BgL_za71za7_2329;

							BgL_za71za7_2329 = (long) CINT(CELL_REF(BgL_countz00_2898));
							BgL_auxz00_2905 = BINT((BgL_za71za7_2329 + ((long) 1)));
						}
						CELL_SET(BgL_countz00_2898, BgL_auxz00_2905);
					}
					{	/* Llib/weakhash.scm 418 */
						bool_t BgL_testz00_3729;

						{	/* Llib/weakhash.scm 418 */
							obj_t BgL_eqtz00_2334;

							BgL_eqtz00_2334 =
								STRUCT_REF(BgL_tablez00_2899, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2334))
								{	/* Llib/weakhash.scm 418 */
									BgL_testz00_3729 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2334) (BgL_eqtz00_2334,
											BgL_bkeyz00_1044, BgL_keyz00_2900, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 418 */
									if (STRINGP(BgL_bkeyz00_1044))
										{	/* Llib/weakhash.scm 418 */
											if (STRINGP(BgL_keyz00_2900))
												{	/* Llib/weakhash.scm 418 */
													BgL_testz00_3729 =
														bigloo_strcmp(BgL_bkeyz00_1044, BgL_keyz00_2900);
												}
											else
												{	/* Llib/weakhash.scm 418 */
													BgL_testz00_3729 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 418 */
											BgL_testz00_3729 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_bkeyz00_1044, BgL_keyz00_2900);
										}
								}
						}
						if (BgL_testz00_3729)
							{	/* Llib/weakhash.scm 418 */
								obj_t BgL_newvalz00_2325;

								BgL_newvalz00_2325 =
									PROCEDURE_ENTRY(BgL_procz00_2901) (BgL_procz00_2901,
									BgL_valz00_1045, BEOA);
								{	/* Llib/weakhash.scm 418 */
									obj_t BgL_arg1855z00_2326;
									obj_t BgL_arg1856z00_2327;

									BgL_arg1855z00_2326 = CAR(BgL_bucketz00_1046);
									if (BGl_hashtablezd2weakzd2datazf3zf3zz__hashz00
										(BgL_tablez00_2899))
										{	/* Llib/weakhash.scm 418 */
											BgL_arg1856z00_2327 = make_weakptr(BgL_newvalz00_2325);
										}
									else
										{	/* Llib/weakhash.scm 418 */
											BgL_arg1856z00_2327 = BgL_newvalz00_2325;
										}
									SET_CDR(BgL_arg1855z00_2326, BgL_arg1856z00_2327);
								}
								return BgL_valz00_1045;
							}
						else
							{	/* Llib/weakhash.scm 418 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-remove! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t BgL_tablez00_68,
		obj_t BgL_keyz00_69)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 450 */
			{	/* Llib/weakhash.scm 451 */
				obj_t BgL_bucketsz00_1055;

				BgL_bucketsz00_1055 = STRUCT_REF(BgL_tablez00_68, (int) (((long) 2)));
				{	/* Llib/weakhash.scm 451 */
					int BgL_bucketzd2lenzd2_1056;

					BgL_bucketzd2lenzd2_1056 = VECTOR_LENGTH(BgL_bucketsz00_1055);
					{	/* Llib/weakhash.scm 452 */
						long BgL_bucketzd2numzd2_1057;

						{	/* Llib/weakhash.scm 453 */
							long BgL_arg1863z00_1068;

							{	/* Llib/weakhash.scm 453 */
								long BgL_res2169z00_2391;

								{	/* Llib/weakhash.scm 453 */
									obj_t BgL_hashnz00_2378;

									BgL_hashnz00_2378 =
										STRUCT_REF(BgL_tablez00_68, (int) (((long) 4)));
									if (PROCEDUREP(BgL_hashnz00_2378))
										{	/* Llib/weakhash.scm 453 */
											obj_t BgL_arg1650z00_2380;

											BgL_arg1650z00_2380 =
												PROCEDURE_ENTRY(BgL_hashnz00_2378) (BgL_hashnz00_2378,
												BgL_keyz00_69, BEOA);
											{	/* Llib/weakhash.scm 453 */
												long BgL_nz00_2385;

												BgL_nz00_2385 = (long) CINT(BgL_arg1650z00_2380);
												if ((BgL_nz00_2385 < ((long) 0)))
													{	/* Llib/weakhash.scm 453 */
														BgL_res2169z00_2391 = NEG(BgL_nz00_2385);
													}
												else
													{	/* Llib/weakhash.scm 453 */
														BgL_res2169z00_2391 = BgL_nz00_2385;
													}
											}
										}
									else
										{	/* Llib/weakhash.scm 453 */
											BgL_res2169z00_2391 =
												BGl_getzd2hashnumberzd2zz__hashz00(BgL_keyz00_69);
										}
								}
								BgL_arg1863z00_1068 = BgL_res2169z00_2391;
							}
							{	/* Llib/weakhash.scm 453 */
								long BgL_auxz00_3764;

								BgL_auxz00_3764 = (long) (BgL_bucketzd2lenzd2_1056);
								BgL_bucketzd2numzd2_1057 =
									(BgL_arg1863z00_1068 % BgL_auxz00_3764);
						}}
						{	/* Llib/weakhash.scm 453 */
							obj_t BgL_bucketz00_1058;

							BgL_bucketz00_1058 =
								VECTOR_REF(BgL_bucketsz00_1055,
								(int) (BgL_bucketzd2numzd2_1057));
							{	/* Llib/weakhash.scm 454 */
								obj_t BgL_foundz00_1059;

								{	/* Llib/weakhash.scm 458 */
									obj_t BgL_zc3anonymousza31861ze3z83_2906;

									{
										int BgL_auxz00_3769;

										BgL_auxz00_3769 = (int) (((long) 2));
										BgL_zc3anonymousza31861ze3z83_2906 =
											MAKE_L_PROCEDURE
											(BGl_zc3anonymousza31861ze3z83zz__weakhashz00,
											BgL_auxz00_3769);
									}
									PROCEDURE_L_SET(BgL_zc3anonymousza31861ze3z83_2906,
										(int) (((long) 0)), BgL_tablez00_68);
									PROCEDURE_L_SET(BgL_zc3anonymousza31861ze3z83_2906,
										(int) (((long) 1)), BgL_keyz00_69);
									BgL_foundz00_1059 =
										BGl_traversezd2bucketszd2zz__weakhashz00(BgL_tablez00_68,
										BgL_bucketsz00_1055, BgL_bucketzd2numzd2_1057,
										BgL_zc3anonymousza31861ze3z83_2906);
								}
								{	/* Llib/weakhash.scm 455 */

									if ((BgL_foundz00_1059 == BGl_keepgoingz00zz__weakhashz00))
										{	/* Llib/weakhash.scm 461 */
											return BFALSE;
										}
									else
										{	/* Llib/weakhash.scm 461 */
											return BTRUE;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _weak-hashtable-remove! */
	obj_t BGl__weakzd2hashtablezd2removez12z12zz__weakhashz00(obj_t
		BgL_envz00_2907, obj_t BgL_tablez00_2908, obj_t BgL_keyz00_2909)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 450 */
			return
				BGl_weakzd2hashtablezd2removez12z12zz__weakhashz00(BgL_tablez00_2908,
				BgL_keyz00_2909);
		}
	}



/* <anonymous:1861> */
	obj_t BGl_zc3anonymousza31861ze3z83zz__weakhashz00(obj_t BgL_envz00_2910,
		obj_t BgL_bkeyz00_2913, obj_t BgL_valz00_2914, obj_t BgL_bucketz00_2915)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 457 */
			{	/* Llib/weakhash.scm 458 */
				obj_t BgL_tablez00_2911;
				obj_t BgL_keyz00_2912;

				BgL_tablez00_2911 =
					PROCEDURE_L_REF(BgL_envz00_2910, (int) (((long) 0)));
				BgL_keyz00_2912 = PROCEDURE_L_REF(BgL_envz00_2910, (int) (((long) 1)));
				{
					obj_t BgL_bkeyz00_1062;
					obj_t BgL_valz00_1063;
					obj_t BgL_bucketz00_1064;

					BgL_bkeyz00_1062 = BgL_bkeyz00_2913;
					BgL_valz00_1063 = BgL_valz00_2914;
					BgL_bucketz00_1064 = BgL_bucketz00_2915;
					{	/* Llib/weakhash.scm 458 */
						bool_t BgL_testz00_3784;

						{	/* Llib/weakhash.scm 458 */
							obj_t BgL_eqtz00_2400;

							BgL_eqtz00_2400 =
								STRUCT_REF(BgL_tablez00_2911, (int) (((long) 3)));
							if (PROCEDUREP(BgL_eqtz00_2400))
								{	/* Llib/weakhash.scm 458 */
									BgL_testz00_3784 =
										CBOOL(PROCEDURE_ENTRY(BgL_eqtz00_2400) (BgL_eqtz00_2400,
											BgL_keyz00_2912, BgL_bkeyz00_1062, BEOA));
								}
							else
								{	/* Llib/weakhash.scm 458 */
									if (STRINGP(BgL_keyz00_2912))
										{	/* Llib/weakhash.scm 458 */
											if (STRINGP(BgL_bkeyz00_1062))
												{	/* Llib/weakhash.scm 458 */
													BgL_testz00_3784 =
														bigloo_strcmp(BgL_keyz00_2912, BgL_bkeyz00_1062);
												}
											else
												{	/* Llib/weakhash.scm 458 */
													BgL_testz00_3784 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/weakhash.scm 458 */
											BgL_testz00_3784 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_keyz00_2912, BgL_bkeyz00_1062);
										}
								}
						}
						if (BgL_testz00_3784)
							{	/* Llib/weakhash.scm 458 */
								return BGl_removestopz00zz__weakhashz00;
							}
						else
							{	/* Llib/weakhash.scm 458 */
								return BGl_keepgoingz00zz__weakhashz00;
							}
					}
				}
			}
		}
	}



/* weak-hashtable-expand! */
	BGL_EXPORTED_DEF obj_t
		BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t BgL_tablez00_70)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 466 */
			if (
				(((long) 1) ==
					(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
				{	/* Llib/weakhash.scm 478 */
					obj_t BgL_oldzd2buckszd2_1070;

					BgL_oldzd2buckszd2_1070 =
						STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
					{	/* Llib/weakhash.scm 478 */
						int BgL_oldzd2buckszd2lenz00_1071;

						BgL_oldzd2buckszd2lenz00_1071 =
							VECTOR_LENGTH(BgL_oldzd2buckszd2_1070);
						{	/* Llib/weakhash.scm 478 */
							long BgL_newzd2buckszd2lenz00_1072;

							BgL_newzd2buckszd2lenz00_1072 =
								(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1071));
							{	/* Llib/weakhash.scm 478 */
								obj_t BgL_newzd2buckszd2_1073;

								BgL_newzd2buckszd2_1073 =
									make_vector((int) (BgL_newzd2buckszd2lenz00_1072), BNIL);
								{	/* Llib/weakhash.scm 478 */
									obj_t BgL_countz00_1074;

									BgL_countz00_1074 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
									{	/* Llib/weakhash.scm 478 */

										{	/* Llib/weakhash.scm 478 */
											int BgL_auxz00_3812;

											BgL_auxz00_3812 = (int) (((long) 2));
											STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3812,
												BgL_newzd2buckszd2_1073);
										}
										{
											long BgL_iz00_1075;

											BgL_iz00_1075 = ((long) 0);
										BgL_loopz00_1076:
											if (
												(BgL_iz00_1075 <
													(long) (BgL_oldzd2buckszd2lenz00_1071)))
												{	/* Llib/weakhash.scm 478 */
													{	/* Llib/weakhash.scm 478 */
														obj_t BgL_g1609z00_1078;

														BgL_g1609z00_1078 =
															VECTOR_REF(BgL_oldzd2buckszd2_1070,
															(int) (BgL_iz00_1075));
														{
															obj_t BgL_l1606z00_1079;

															BgL_l1606z00_1079 = BgL_g1609z00_1078;
														BgL_forzd2each1608zd2_1080:
															if (PAIRP(BgL_l1606z00_1079))
																{	/* Llib/weakhash.scm 478 */
																	{	/* Llib/weakhash.scm 480 */
																		obj_t BgL_cellz00_1082;

																		BgL_cellz00_1082 = CAR(BgL_l1606z00_1079);
																		{	/* Llib/weakhash.scm 480 */
																			obj_t BgL_keyz00_1083;

																			BgL_keyz00_1083 =
																				weakptr_data(CAR(BgL_cellz00_1082));
																			if ((BgL_keyz00_1083 == BUNSPEC))
																				{	/* Llib/weakhash.scm 482 */
																					long BgL_za71za7_2439;

																					BgL_za71za7_2439 =
																						(long) CINT(BgL_countz00_1074);
																					BgL_countz00_1074 =
																						BINT(
																						(BgL_za71za7_2439 - ((long) 1)));
																				}
																			else
																				{	/* Llib/weakhash.scm 483 */
																					long BgL_hz00_1085;

																					{	/* Llib/weakhash.scm 484 */
																						long BgL_arg1870z00_1088;

																						{	/* Llib/weakhash.scm 484 */
																							long BgL_res2171z00_2456;

																							{	/* Llib/weakhash.scm 484 */
																								obj_t BgL_hashnz00_2443;

																								BgL_hashnz00_2443 =
																									STRUCT_REF(BgL_tablez00_70,
																									(int) (((long) 4)));
																								if (PROCEDUREP
																									(BgL_hashnz00_2443))
																									{	/* Llib/weakhash.scm 484 */
																										obj_t BgL_arg1650z00_2445;

																										BgL_arg1650z00_2445 =
																											PROCEDURE_ENTRY
																											(BgL_hashnz00_2443)
																											(BgL_hashnz00_2443,
																											BgL_keyz00_1083, BEOA);
																										{	/* Llib/weakhash.scm 484 */
																											long BgL_nz00_2450;

																											BgL_nz00_2450 =
																												(long)
																												CINT
																												(BgL_arg1650z00_2445);
																											if ((BgL_nz00_2450 <
																													((long) 0)))
																												{	/* Llib/weakhash.scm 484 */
																													BgL_res2171z00_2456 =
																														NEG(BgL_nz00_2450);
																												}
																											else
																												{	/* Llib/weakhash.scm 484 */
																													BgL_res2171z00_2456 =
																														BgL_nz00_2450;
																												}
																										}
																									}
																								else
																									{	/* Llib/weakhash.scm 484 */
																										BgL_res2171z00_2456 =
																											BGl_getzd2hashnumberzd2zz__hashz00
																											(BgL_keyz00_1083);
																									}
																							}
																							BgL_arg1870z00_1088 =
																								BgL_res2171z00_2456;
																						}
																						BgL_hz00_1085 =
																							(BgL_arg1870z00_1088 %
																							BgL_newzd2buckszd2lenz00_1072);
																					}
																					{	/* Llib/weakhash.scm 489 */
																						obj_t BgL_arg1868z00_1086;

																						BgL_arg1868z00_1086 =
																							MAKE_PAIR(BgL_cellz00_1082,
																							VECTOR_REF
																							(BgL_newzd2buckszd2_1073,
																								(int) (BgL_hz00_1085)));
																						VECTOR_SET(BgL_newzd2buckszd2_1073,
																							(int) (BgL_hz00_1085),
																							BgL_arg1868z00_1086);
																	}}}}
																	{
																		obj_t BgL_l1606z00_3847;

																		BgL_l1606z00_3847 = CDR(BgL_l1606z00_1079);
																		BgL_l1606z00_1079 = BgL_l1606z00_3847;
																		goto BgL_forzd2each1608zd2_1080;
																	}
																}
															else
																{	/* Llib/weakhash.scm 478 */
																	((bool_t) 1);
																}
														}
													}
													{
														long BgL_iz00_3849;

														BgL_iz00_3849 = (BgL_iz00_1075 + ((long) 1));
														BgL_iz00_1075 = BgL_iz00_3849;
														goto BgL_loopz00_1076;
													}
												}
											else
												{	/* Llib/weakhash.scm 478 */
													((bool_t) 0);
												}
										}
										{	/* Llib/weakhash.scm 478 */
											int BgL_auxz00_3851;

											BgL_auxz00_3851 = (int) (((long) 0));
											return
												STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3851,
												BgL_countz00_1074);
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Llib/weakhash.scm 478 */
					if (
						(((long) 2) ==
							(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
						{	/* Llib/weakhash.scm 491 */
							obj_t BgL_oldzd2buckszd2_1093;

							BgL_oldzd2buckszd2_1093 =
								STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
							{	/* Llib/weakhash.scm 491 */
								int BgL_oldzd2buckszd2lenz00_1094;

								BgL_oldzd2buckszd2lenz00_1094 =
									VECTOR_LENGTH(BgL_oldzd2buckszd2_1093);
								{	/* Llib/weakhash.scm 491 */
									long BgL_newzd2buckszd2lenz00_1095;

									BgL_newzd2buckszd2lenz00_1095 =
										(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1094));
									{	/* Llib/weakhash.scm 491 */
										obj_t BgL_newzd2buckszd2_1096;

										BgL_newzd2buckszd2_1096 =
											make_vector((int) (BgL_newzd2buckszd2lenz00_1095), BNIL);
										{	/* Llib/weakhash.scm 491 */
											obj_t BgL_countz00_1097;

											BgL_countz00_1097 =
												STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
											{	/* Llib/weakhash.scm 491 */

												{	/* Llib/weakhash.scm 491 */
													int BgL_auxz00_3868;

													BgL_auxz00_3868 = (int) (((long) 2));
													STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3868,
														BgL_newzd2buckszd2_1096);
												}
												{
													long BgL_iz00_1098;

													BgL_iz00_1098 = ((long) 0);
												BgL_loopz00_1099:
													if (
														(BgL_iz00_1098 <
															(long) (BgL_oldzd2buckszd2lenz00_1094)))
														{	/* Llib/weakhash.scm 491 */
															{	/* Llib/weakhash.scm 491 */
																obj_t BgL_g1612z00_1101;

																BgL_g1612z00_1101 =
																	VECTOR_REF(BgL_oldzd2buckszd2_1093,
																	(int) (BgL_iz00_1098));
																{
																	obj_t BgL_l1610z00_1102;

																	BgL_l1610z00_1102 = BgL_g1612z00_1101;
																BgL_forzd2each1611zd2_1103:
																	if (PAIRP(BgL_l1610z00_1102))
																		{	/* Llib/weakhash.scm 491 */
																			{	/* Llib/weakhash.scm 493 */
																				obj_t BgL_cellz00_1105;

																				BgL_cellz00_1105 =
																					CAR(BgL_l1610z00_1102);
																				{	/* Llib/weakhash.scm 493 */
																					obj_t BgL_dataz00_1106;

																					BgL_dataz00_1106 =
																						weakptr_data(CDR(BgL_cellz00_1105));
																					if ((BgL_dataz00_1106 == BUNSPEC))
																						{	/* Llib/weakhash.scm 495 */
																							long BgL_za71za7_2499;

																							BgL_za71za7_2499 =
																								(long) CINT(BgL_countz00_1097);
																							BgL_countz00_1097 =
																								BINT(
																								(BgL_za71za7_2499 -
																									((long) 1)));
																						}
																					else
																						{	/* Llib/weakhash.scm 496 */
																							long BgL_hz00_1108;

																							{	/* Llib/weakhash.scm 498 */
																								long BgL_arg1882z00_1111;

																								{	/* Llib/weakhash.scm 498 */
																									obj_t BgL_arg1883z00_1112;

																									BgL_arg1883z00_1112 =
																										CAR(BgL_cellz00_1105);
																									{	/* Llib/weakhash.scm 497 */
																										long BgL_res2173z00_2517;

																										{	/* Llib/weakhash.scm 497 */
																											obj_t BgL_hashnz00_2504;

																											BgL_hashnz00_2504 =
																												STRUCT_REF
																												(BgL_tablez00_70,
																												(int) (((long) 4)));
																											if (PROCEDUREP
																												(BgL_hashnz00_2504))
																												{	/* Llib/weakhash.scm 497 */
																													obj_t
																														BgL_arg1650z00_2506;
																													BgL_arg1650z00_2506 =
																														PROCEDURE_ENTRY
																														(BgL_hashnz00_2504)
																														(BgL_hashnz00_2504,
																														BgL_arg1883z00_1112,
																														BEOA);
																													{	/* Llib/weakhash.scm 497 */
																														long BgL_nz00_2511;

																														BgL_nz00_2511 =
																															(long)
																															CINT
																															(BgL_arg1650z00_2506);
																														if ((BgL_nz00_2511 <
																																((long) 0)))
																															{	/* Llib/weakhash.scm 497 */
																																BgL_res2173z00_2517
																																	=
																																	NEG
																																	(BgL_nz00_2511);
																															}
																														else
																															{	/* Llib/weakhash.scm 497 */
																																BgL_res2173z00_2517
																																	=
																																	BgL_nz00_2511;
																															}
																													}
																												}
																											else
																												{	/* Llib/weakhash.scm 497 */
																													BgL_res2173z00_2517 =
																														BGl_getzd2hashnumberzd2zz__hashz00
																														(BgL_arg1883z00_1112);
																												}
																										}
																										BgL_arg1882z00_1111 =
																											BgL_res2173z00_2517;
																									}
																								}
																								BgL_hz00_1108 =
																									(BgL_arg1882z00_1111 %
																									BgL_newzd2buckszd2lenz00_1095);
																							}
																							{	/* Llib/weakhash.scm 503 */
																								obj_t BgL_arg1879z00_1109;

																								BgL_arg1879z00_1109 =
																									MAKE_PAIR(BgL_cellz00_1105,
																									VECTOR_REF
																									(BgL_newzd2buckszd2_1096,
																										(int) (BgL_hz00_1108)));
																								VECTOR_SET
																									(BgL_newzd2buckszd2_1096,
																									(int) (BgL_hz00_1108),
																									BgL_arg1879z00_1109);
																			}}}}
																			{
																				obj_t BgL_l1610z00_3904;

																				BgL_l1610z00_3904 =
																					CDR(BgL_l1610z00_1102);
																				BgL_l1610z00_1102 = BgL_l1610z00_3904;
																				goto BgL_forzd2each1611zd2_1103;
																			}
																		}
																	else
																		{	/* Llib/weakhash.scm 491 */
																			((bool_t) 1);
																		}
																}
															}
															{
																long BgL_iz00_3906;

																BgL_iz00_3906 = (BgL_iz00_1098 + ((long) 1));
																BgL_iz00_1098 = BgL_iz00_3906;
																goto BgL_loopz00_1099;
															}
														}
													else
														{	/* Llib/weakhash.scm 491 */
															((bool_t) 0);
														}
												}
												{	/* Llib/weakhash.scm 491 */
													int BgL_auxz00_3908;

													BgL_auxz00_3908 = (int) (((long) 0));
													return
														STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3908,
														BgL_countz00_1097);
												}
											}
										}
									}
								}
							}
						}
					else
						{	/* Llib/weakhash.scm 491 */
							if (
								(((long) 3) ==
									(long) CINT(STRUCT_REF(BgL_tablez00_70, (int) (((long) 5))))))
								{	/* Llib/weakhash.scm 505 */
									obj_t BgL_oldzd2buckszd2_1117;

									BgL_oldzd2buckszd2_1117 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 505 */
										int BgL_oldzd2buckszd2lenz00_1118;

										BgL_oldzd2buckszd2lenz00_1118 =
											VECTOR_LENGTH(BgL_oldzd2buckszd2_1117);
										{	/* Llib/weakhash.scm 505 */
											long BgL_newzd2buckszd2lenz00_1119;

											BgL_newzd2buckszd2lenz00_1119 =
												(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1118));
											{	/* Llib/weakhash.scm 505 */
												obj_t BgL_newzd2buckszd2_1120;

												BgL_newzd2buckszd2_1120 =
													make_vector(
													(int) (BgL_newzd2buckszd2lenz00_1119), BNIL);
												{	/* Llib/weakhash.scm 505 */
													obj_t BgL_countz00_1121;

													BgL_countz00_1121 =
														STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
													{	/* Llib/weakhash.scm 505 */

														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3925;

															BgL_auxz00_3925 = (int) (((long) 2));
															STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3925,
																BgL_newzd2buckszd2_1120);
														}
														{
															long BgL_iz00_1122;

															BgL_iz00_1122 = ((long) 0);
														BgL_loopz00_1123:
															if (
																(BgL_iz00_1122 <
																	(long) (BgL_oldzd2buckszd2lenz00_1118)))
																{	/* Llib/weakhash.scm 505 */
																	{	/* Llib/weakhash.scm 505 */
																		obj_t BgL_g1615z00_1125;

																		BgL_g1615z00_1125 =
																			VECTOR_REF(BgL_oldzd2buckszd2_1117,
																			(int) (BgL_iz00_1122));
																		{
																			obj_t BgL_l1613z00_1126;

																			BgL_l1613z00_1126 = BgL_g1615z00_1125;
																		BgL_forzd2each1614zd2_1127:
																			if (PAIRP(BgL_l1613z00_1126))
																				{	/* Llib/weakhash.scm 505 */
																					{	/* Llib/weakhash.scm 507 */
																						obj_t BgL_cellz00_1129;

																						BgL_cellz00_1129 =
																							CAR(BgL_l1613z00_1126);
																						{	/* Llib/weakhash.scm 507 */
																							obj_t BgL_keyz00_1130;
																							obj_t BgL_dataz00_1131;

																							BgL_keyz00_1130 =
																								weakptr_data(CAR
																								(BgL_cellz00_1129));
																							BgL_dataz00_1131 =
																								weakptr_data(CDR
																								(BgL_cellz00_1129));
																							{	/* Llib/weakhash.scm 509 */
																								bool_t BgL_testz00_3940;

																								if (
																									(BgL_keyz00_1130 == BUNSPEC))
																									{	/* Llib/weakhash.scm 509 */
																										BgL_testz00_3940 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Llib/weakhash.scm 509 */
																										BgL_testz00_3940 =
																											(BgL_dataz00_1131 ==
																											BUNSPEC);
																									}
																								if (BgL_testz00_3940)
																									{	/* Llib/weakhash.scm 511 */
																										long BgL_za71za7_2562;

																										BgL_za71za7_2562 =
																											(long)
																											CINT(BgL_countz00_1121);
																										BgL_countz00_1121 =
																											BINT((BgL_za71za7_2562 -
																												((long) 1)));
																									}
																								else
																									{	/* Llib/weakhash.scm 512 */
																										long BgL_hz00_1133;

																										{	/* Llib/weakhash.scm 513 */
																											long BgL_arg1893z00_1136;

																											{	/* Llib/weakhash.scm 513 */
																												long
																													BgL_res2175z00_2579;
																												{	/* Llib/weakhash.scm 513 */
																													obj_t
																														BgL_hashnz00_2566;
																													BgL_hashnz00_2566 =
																														STRUCT_REF
																														(BgL_tablez00_70,
																														(int) (((long) 4)));
																													if (PROCEDUREP
																														(BgL_hashnz00_2566))
																														{	/* Llib/weakhash.scm 513 */
																															obj_t
																																BgL_arg1650z00_2568;
																															BgL_arg1650z00_2568
																																=
																																PROCEDURE_ENTRY
																																(BgL_hashnz00_2566)
																																(BgL_hashnz00_2566,
																																BgL_keyz00_1130,
																																BEOA);
																															{	/* Llib/weakhash.scm 513 */
																																long
																																	BgL_nz00_2573;
																																BgL_nz00_2573 =
																																	(long)
																																	CINT
																																	(BgL_arg1650z00_2568);
																																if (
																																	(BgL_nz00_2573
																																		<
																																		((long) 0)))
																																	{	/* Llib/weakhash.scm 513 */
																																		BgL_res2175z00_2579
																																			=
																																			NEG
																																			(BgL_nz00_2573);
																																	}
																																else
																																	{	/* Llib/weakhash.scm 513 */
																																		BgL_res2175z00_2579
																																			=
																																			BgL_nz00_2573;
																																	}
																															}
																														}
																													else
																														{	/* Llib/weakhash.scm 513 */
																															BgL_res2175z00_2579
																																=
																																BGl_getzd2hashnumberzd2zz__hashz00
																																(BgL_keyz00_1130);
																														}
																												}
																												BgL_arg1893z00_1136 =
																													BgL_res2175z00_2579;
																											}
																											BgL_hz00_1133 =
																												(BgL_arg1893z00_1136 %
																												BgL_newzd2buckszd2lenz00_1119);
																										}
																										{	/* Llib/weakhash.scm 518 */
																											obj_t BgL_arg1891z00_1134;

																											BgL_arg1891z00_1134 =
																												MAKE_PAIR
																												(BgL_cellz00_1129,
																												VECTOR_REF
																												(BgL_newzd2buckszd2_1120,
																													(int)
																													(BgL_hz00_1133)));
																											VECTOR_SET
																												(BgL_newzd2buckszd2_1120,
																												(int) (BgL_hz00_1133),
																												BgL_arg1891z00_1134);
																					}}}}}
																					{
																						obj_t BgL_l1613z00_3964;

																						BgL_l1613z00_3964 =
																							CDR(BgL_l1613z00_1126);
																						BgL_l1613z00_1126 =
																							BgL_l1613z00_3964;
																						goto BgL_forzd2each1614zd2_1127;
																					}
																				}
																			else
																				{	/* Llib/weakhash.scm 505 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{
																		long BgL_iz00_3966;

																		BgL_iz00_3966 =
																			(BgL_iz00_1122 + ((long) 1));
																		BgL_iz00_1122 = BgL_iz00_3966;
																		goto BgL_loopz00_1123;
																	}
																}
															else
																{	/* Llib/weakhash.scm 505 */
																	((bool_t) 0);
																}
														}
														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3968;

															BgL_auxz00_3968 = (int) (((long) 0));
															return
																STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3968,
																BgL_countz00_1121);
														}
													}
												}
											}
										}
									}
								}
							else
								{	/* Llib/weakhash.scm 505 */
									obj_t BgL_oldzd2buckszd2_1142;

									BgL_oldzd2buckszd2_1142 =
										STRUCT_REF(BgL_tablez00_70, (int) (((long) 2)));
									{	/* Llib/weakhash.scm 505 */
										int BgL_oldzd2buckszd2lenz00_1143;

										BgL_oldzd2buckszd2lenz00_1143 =
											VECTOR_LENGTH(BgL_oldzd2buckszd2_1142);
										{	/* Llib/weakhash.scm 505 */
											long BgL_newzd2buckszd2lenz00_1144;

											BgL_newzd2buckszd2lenz00_1144 =
												(((long) 2) * (long) (BgL_oldzd2buckszd2lenz00_1143));
											{	/* Llib/weakhash.scm 505 */
												obj_t BgL_newzd2buckszd2_1145;

												BgL_newzd2buckszd2_1145 =
													make_vector(
													(int) (BgL_newzd2buckszd2lenz00_1144), BNIL);
												{	/* Llib/weakhash.scm 505 */
													obj_t BgL_countz00_1146;

													BgL_countz00_1146 =
														STRUCT_REF(BgL_tablez00_70, (int) (((long) 0)));
													{	/* Llib/weakhash.scm 505 */

														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_3980;

															BgL_auxz00_3980 = (int) (((long) 2));
															STRUCT_SET(BgL_tablez00_70, BgL_auxz00_3980,
																BgL_newzd2buckszd2_1145);
														}
														{
															long BgL_iz00_1147;

															BgL_iz00_1147 = ((long) 0);
														BgL_loopz00_1148:
															if (
																(BgL_iz00_1147 <
																	(long) (BgL_oldzd2buckszd2lenz00_1143)))
																{	/* Llib/weakhash.scm 505 */
																	{	/* Llib/weakhash.scm 505 */
																		obj_t BgL_g1618z00_1150;

																		BgL_g1618z00_1150 =
																			VECTOR_REF(BgL_oldzd2buckszd2_1142,
																			(int) (BgL_iz00_1147));
																		{
																			obj_t BgL_l1616z00_1151;

																			BgL_l1616z00_1151 = BgL_g1618z00_1150;
																		BgL_forzd2each1617zd2_1152:
																			if (PAIRP(BgL_l1616z00_1151))
																				{	/* Llib/weakhash.scm 505 */
																					{	/* Llib/weakhash.scm 522 */
																						obj_t BgL_cellz00_1154;

																						BgL_cellz00_1154 =
																							CAR(BgL_l1616z00_1151);
																						{	/* Llib/weakhash.scm 522 */
																							long BgL_hz00_1155;

																							{	/* Llib/weakhash.scm 524 */
																								long BgL_arg1903z00_1158;

																								{	/* Llib/weakhash.scm 524 */
																									obj_t BgL_arg1904z00_1159;

																									BgL_arg1904z00_1159 =
																										CAR(BgL_cellz00_1154);
																									{	/* Llib/weakhash.scm 523 */
																										long BgL_res2177z00_2631;

																										{	/* Llib/weakhash.scm 523 */
																											obj_t BgL_hashnz00_2618;

																											BgL_hashnz00_2618 =
																												STRUCT_REF
																												(BgL_tablez00_70,
																												(int) (((long) 4)));
																											if (PROCEDUREP
																												(BgL_hashnz00_2618))
																												{	/* Llib/weakhash.scm 523 */
																													obj_t
																														BgL_arg1650z00_2620;
																													BgL_arg1650z00_2620 =
																														PROCEDURE_ENTRY
																														(BgL_hashnz00_2618)
																														(BgL_hashnz00_2618,
																														BgL_arg1904z00_1159,
																														BEOA);
																													{	/* Llib/weakhash.scm 523 */
																														long BgL_nz00_2625;

																														BgL_nz00_2625 =
																															(long)
																															CINT
																															(BgL_arg1650z00_2620);
																														if ((BgL_nz00_2625 <
																																((long) 0)))
																															{	/* Llib/weakhash.scm 523 */
																																BgL_res2177z00_2631
																																	=
																																	NEG
																																	(BgL_nz00_2625);
																															}
																														else
																															{	/* Llib/weakhash.scm 523 */
																																BgL_res2177z00_2631
																																	=
																																	BgL_nz00_2625;
																															}
																													}
																												}
																											else
																												{	/* Llib/weakhash.scm 523 */
																													BgL_res2177z00_2631 =
																														BGl_getzd2hashnumberzd2zz__hashz00
																														(BgL_arg1904z00_1159);
																												}
																										}
																										BgL_arg1903z00_1158 =
																											BgL_res2177z00_2631;
																									}
																								}
																								BgL_hz00_1155 =
																									(BgL_arg1903z00_1158 %
																									BgL_newzd2buckszd2lenz00_1144);
																							}
																							{	/* Llib/weakhash.scm 530 */
																								obj_t BgL_arg1901z00_1156;

																								BgL_arg1901z00_1156 =
																									MAKE_PAIR(BgL_cellz00_1154,
																									VECTOR_REF
																									(BgL_newzd2buckszd2_1145,
																										(int) (BgL_hz00_1155)));
																								VECTOR_SET
																									(BgL_newzd2buckszd2_1145,
																									(int) (BgL_hz00_1155),
																									BgL_arg1901z00_1156);
																					}}}
																					{
																						obj_t BgL_l1616z00_4009;

																						BgL_l1616z00_4009 =
																							CDR(BgL_l1616z00_1151);
																						BgL_l1616z00_1151 =
																							BgL_l1616z00_4009;
																						goto BgL_forzd2each1617zd2_1152;
																					}
																				}
																			else
																				{	/* Llib/weakhash.scm 505 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{
																		long BgL_iz00_4011;

																		BgL_iz00_4011 =
																			(BgL_iz00_1147 + ((long) 1));
																		BgL_iz00_1147 = BgL_iz00_4011;
																		goto BgL_loopz00_1148;
																	}
																}
															else
																{	/* Llib/weakhash.scm 505 */
																	((bool_t) 0);
																}
														}
														{	/* Llib/weakhash.scm 505 */
															int BgL_auxz00_4013;

															BgL_auxz00_4013 = (int) (((long) 0));
															return
																STRUCT_SET(BgL_tablez00_70, BgL_auxz00_4013,
																BgL_countz00_1146);
														}
													}
												}
											}
										}
									}
								}
						}
				}
		}
	}



/* _weak-hashtable-expand! */
	obj_t BGl__weakzd2hashtablezd2expandz12z12zz__weakhashz00(obj_t
		BgL_envz00_2916, obj_t BgL_tablez00_2917)
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 466 */
			return
				BGl_weakzd2hashtablezd2expandz12z12zz__weakhashz00(BgL_tablez00_2917);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__weakhashz00()
	{
		AN_OBJECT;
		{	/* Llib/weakhash.scm 18 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2186z00zz__weakhashz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2186z00zz__weakhashz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string2186z00zz__weakhashz00));
			return
				BGl_modulezd2initializa7ationz75zz__hashz00(((long) 169825269),
				BSTRING_TO_STRING(BGl_string2186z00zz__weakhashz00));
		}
	}

#ifdef __cplusplus
}
#endif
