/*===========================================================================*/
/*   (Unsafe/tar.scm)                                                        */
/*   Bigloo (3.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Sep 11 09:01:46 CEST 2007       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0b -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Unsafe/tar.scm -indent -o objs/obj_u/Unsafe/tar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	static obj_t BGl_symbol2332z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2334z00zz__tarz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_symbol2336z00zz__tarz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_z52allocatezd2tarzd2headerz52zz__tarz00();
	static obj_t BGl_symbol2338z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2347z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2devminor2285z00zz__tarz00(obj_t, obj_t);
	static obj_t BGl_symbol2351z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2352z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2354z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2357z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2type2279z00zz__tarz00(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2siza7e2276za7zz__tarz00(obj_t, obj_t);
	extern long bgl_current_seconds();
	extern long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl__tarzd2headerzd2uname2282z00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__z52allocatezd2tarzd2headerz52zz__tarz00(obj_t);
	extern obj_t bgl_seconds_to_date(long);
	extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern BgL_z62iozd2parsezd2errorz62_bglt
		BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__tarzd2headerzd2nilz00zz__tarz00(obj_t);
	static obj_t BGl__tarzd2readzd2headerz00zz__tarz00(obj_t, obj_t);
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__tarz00 = BUNSPEC;
	extern obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzf3z21zz__tarz00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2tarzd2h1736z31zz__tarz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2mode2273z00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_tarzd2readzd2blockz00zz__tarz00(BgL_tarzd2headerzd2_bglt, obj_t);
	static obj_t BGl__tarzd2headerzd2devmajor2284z00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_makezd2tarzd2headerz00zz__tarz00(obj_t, long, long, long, long, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, long, long);
	static obj_t BGl__tarzd2headerzd2mtime2277z00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl__tarzd2headerzd2gname2283z00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2checksum2278z00zz__tarz00(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2name2272z00zz__tarz00(obj_t, obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2uid2274z00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(long);
	static obj_t BGl__tarzd2headerzd2magic2281z00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_tarzd2headerzd2zz__tarz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	static obj_t BGl_tarzd2typezd2namez00zz__tarz00(unsigned char);
	extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_tarzd2headerzf3z21zz__tarz00(obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_tarzd2headerzd2nilz00zz__tarz00();
	static obj_t BGl__makezd2tarzd2headerz00zz__tarz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec1738z83zz__tarz00(obj_t, obj_t,
		obj_t);
	extern obj_t string_for_read(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__tarz00();
	static long BGl_checksumz00zz__tarz00(obj_t);
	extern long BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__fillzd2tarzd2headerz12z12zz__tarz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_fillzd2tarzd2headerz12z12zz__tarz00(BgL_tarzd2headerzd2_bglt, obj_t,
		long, long, long, long, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t,
		long, long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__tarz00();
	static obj_t BGl_objectzd2initzd2zz__tarz00();
	static obj_t BGl_extractz00zz__tarz00(obj_t, obj_t, obj_t, long, obj_t, long);
	extern obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_raisez00zz__errorz00(obj_t);
	static obj_t BGl__tarzd2headerzd2gid2275z00zz__tarz00(obj_t, obj_t);
	static obj_t BGl__tarzd2readzd2blockz00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tarzd2readzd2headerz00zz__tarz00(obj_t);
	static obj_t BGl_symbol2301z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2291z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2303z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2293z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2305z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2295z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2307z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2297z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__tarz00();
	static obj_t BGl_symbol2309z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2299z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2linkname2280z00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
	static obj_t BGl_symbol2314z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2316z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2318z00zz__tarz00 = BUNSPEC;
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2320z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2322z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2324z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2326z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2328z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2330z00zz__tarz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2unamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22362z00,
		BGl__tarzd2headerzd2uname2282z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2headerzf3zd2envzf3zz__tarz00,
		BgL_bgl__tarza7d2headerza7f32363z00, BGl__tarzd2headerzf3z21zz__tarz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2gidzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22364z00,
		BGl__tarzd2headerzd2gid2275z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2typezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22365z00,
		BGl__tarzd2headerzd2type2279z00zz__tarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2siza7ezd2envz75zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22366z00,
		BGl__tarzd2headerzd2siza7e2276za7zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2mtimezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22367z00,
		BGl__tarzd2headerzd2mtime2277z00zz__tarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ezd2envza7zz__tarz00,
		BgL_bgl__tarza7d2roundza7d2u2368z00,
		BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2gnamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22369z00,
		BGl__tarzd2headerzd2gname2283z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2modezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22370z00,
		BGl__tarzd2headerzd2mode2273z00zz__tarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2linknamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22371z00,
		BGl__tarzd2headerzd2linkname2280z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2magiczd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22372z00,
		BGl__tarzd2headerzd2magic2281z00zz__tarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2devminorzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22373z00,
		BGl__tarzd2headerzd2devminor2285z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2headerzd2nilzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22374z00, BGl__tarzd2headerzd2nilz00zz__tarz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2namezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22375z00,
		BGl__tarzd2headerzd2name2272z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2readzd2headerzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2readza7d2he2376z00, opt_generic_entry,
		BGl__tarzd2readzd2headerz00zz__tarz00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2readzd2blockzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2readza7d2bl2377z00, opt_generic_entry,
		BGl__tarzd2readzd2blockz00zz__tarz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2tarzd2headerzd2envz80zz__tarz00,
		BgL_bgl__za752allocateza7d2t2378z00,
		BGl__z52allocatezd2tarzd2headerz52zz__tarz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2tarzd2headerz12zd2envzc0zz__tarz00,
		BgL_bgl__fillza7d2tarza7d2he2379z00,
		BGl__fillzd2tarzd2headerz12z12zz__tarz00, 0L, BUNSPEC, 15);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2devmajorzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22380z00,
		BGl__tarzd2headerzd2devmajor2284z00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2uidzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22381z00,
		BGl__tarzd2headerzd2uid2274z00zz__tarz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2checksumzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22382z00,
		BGl__tarzd2headerzd2checksum2278z00zz__tarz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STRING(BGl_string2300z00zz__tarz00,
		BgL_bgl_string2300za700za7za7_2383za7, "chr", 3);
	      DEFINE_STRING(BGl_string2302z00zz__tarz00,
		BgL_bgl_string2302za700za7za7_2384za7, "blk", 3);
	      DEFINE_STRING(BGl_string2292z00zz__tarz00,
		BgL_bgl_string2292za700za7za7_2385za7, "oldnormal", 9);
	      DEFINE_STRING(BGl_string2304z00zz__tarz00,
		BgL_bgl_string2304za700za7za7_2386za7, "dir", 3);
	      DEFINE_STRING(BGl_string2294z00zz__tarz00,
		BgL_bgl_string2294za700za7za7_2387za7, "normal", 6);
	      DEFINE_STRING(BGl_string2306z00zz__tarz00,
		BgL_bgl_string2306za700za7za7_2388za7, "fifo", 4);
	      DEFINE_STRING(BGl_string2296z00zz__tarz00,
		BgL_bgl_string2296za700za7za7_2389za7, "link", 4);
	      DEFINE_STRING(BGl_string2308z00zz__tarz00,
		BgL_bgl_string2308za700za7za7_2390za7, "contig", 6);
	      DEFINE_STRING(BGl_string2298z00zz__tarz00,
		BgL_bgl_string2298za700za7za7_2391za7, "symlink", 7);
	      DEFINE_STRING(BGl_string2310z00zz__tarz00,
		BgL_bgl_string2310za700za7za7_2392za7, "tar", 3);
	      DEFINE_STRING(BGl_string2311z00zz__tarz00,
		BgL_bgl_string2311za700za7za7_2393za7, "invalid file type", 17);
	      DEFINE_STRING(BGl_string2312z00zz__tarz00,
		BgL_bgl_string2312za700za7za7_2394za7, "        ", 8);
	      DEFINE_STRING(BGl_string2313z00zz__tarz00,
		BgL_bgl_string2313za700za7za7_2395za7, "", 0);
	      DEFINE_STRING(BGl_string2315z00zz__tarz00,
		BgL_bgl_string2315za700za7za7_2396za7, "name", 4);
	      DEFINE_STRING(BGl_string2317z00zz__tarz00,
		BgL_bgl_string2317za700za7za7_2397za7, "mode", 4);
	      DEFINE_STRING(BGl_string2319z00zz__tarz00,
		BgL_bgl_string2319za700za7za7_2398za7, "uid", 3);
	      DEFINE_STRING(BGl_string2321z00zz__tarz00,
		BgL_bgl_string2321za700za7za7_2399za7, "gid", 3);
	      DEFINE_STRING(BGl_string2323z00zz__tarz00,
		BgL_bgl_string2323za700za7za7_2400za7, "size", 4);
	      DEFINE_STRING(BGl_string2325z00zz__tarz00,
		BgL_bgl_string2325za700za7za7_2401za7, "mtime", 5);
	      DEFINE_STRING(BGl_string2327z00zz__tarz00,
		BgL_bgl_string2327za700za7za7_2402za7, "chksum", 6);
	      DEFINE_STRING(BGl_string2329z00zz__tarz00,
		BgL_bgl_string2329za700za7za7_2403za7, "linkname", 8);
	      DEFINE_STRING(BGl_string2331z00zz__tarz00,
		BgL_bgl_string2331za700za7za7_2404za7, "magic", 5);
	      DEFINE_STRING(BGl_string2333z00zz__tarz00,
		BgL_bgl_string2333za700za7za7_2405za7, "uname", 5);
	      DEFINE_STRING(BGl_string2335z00zz__tarz00,
		BgL_bgl_string2335za700za7za7_2406za7, "gname", 5);
	      DEFINE_STRING(BGl_string2337z00zz__tarz00,
		BgL_bgl_string2337za700za7za7_2407za7, "devmajor", 8);
	      DEFINE_STRING(BGl_string2340z00zz__tarz00,
		BgL_bgl_string2340za700za7za7_2408za7, "ustar  ", 7);
	      DEFINE_STRING(BGl_string2339z00zz__tarz00,
		BgL_bgl_string2339za700za7za7_2409za7, "devminor", 8);
	      DEFINE_STRING(BGl_string2341z00zz__tarz00,
		BgL_bgl_string2341za700za7za7_2410za7, "ustar", 5);
	      DEFINE_STRING(BGl_string2342z00zz__tarz00,
		BgL_bgl_string2342za700za7za7_2411za7, "GNUtar ", 7);
	      DEFINE_STRING(BGl_string2343z00zz__tarz00,
		BgL_bgl_string2343za700za7za7_2412za7, "invalid checksum (expected: ~s)",
		31);
	      DEFINE_STRING(BGl_string2344z00zz__tarz00,
		BgL_bgl_string2344za700za7za7_2413za7, "invalid magic number", 20);
	      DEFINE_STRING(BGl_string2345z00zz__tarz00,
		BgL_bgl_string2345za700za7za7_2414za7,
		"no terminator for zero-terminated `~a' found", 44);
	      DEFINE_STRING(BGl_string2346z00zz__tarz00,
		BgL_bgl_string2346za700za7za7_2415za7, "corrupted tar file", 18);
	      DEFINE_STRING(BGl_string2348z00zz__tarz00,
		BgL_bgl_string2348za700za7za7_2416za7, "tar-read-block", 14);
	      DEFINE_STRING(BGl_string2350z00zz__tarz00,
		BgL_bgl_string2350za700za7za7_2417za7, "tar-header", 10);
	      DEFINE_STRING(BGl_string2349z00zz__tarz00,
		BgL_bgl_string2349za700za7za7_2418za7, "Illegal block", 13);
	      DEFINE_STRING(BGl_string2353z00zz__tarz00,
		BgL_bgl_string2353za700za7za7_2419za7, "checksum", 8);
	      DEFINE_STRING(BGl_string2355z00zz__tarz00,
		BgL_bgl_string2355za700za7za7_2420za7, "type", 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tarzd2headerzd2envzd2zz__tarz00,
		BgL_bgl__makeza7d2tarza7d2he2421z00, BGl__makezd2tarzd2headerz00zz__tarz00,
		0L, BUNSPEC, 14);
	      DEFINE_STRING(BGl_string2356z00zz__tarz00,
		BgL_bgl_string2356za700za7za7_2422za7, "0", 1);
	      DEFINE_STRING(BGl_string2358z00zz__tarz00,
		BgL_bgl_string2358za700za7za7_2423za7, "_", 1);
	      DEFINE_STRING(BGl_string2359z00zz__tarz00,
		BgL_bgl_string2359za700za7za7_2424za7, "__tar", 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tarz00(long
		BgL_checksumz00_2245, char *BgL_fromz00_2246)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__tarz00))
				{
					BGl_requirezd2initializa7ationz75zz__tarz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__tarz00();
					BGl_importedzd2moduleszd2initz00zz__tarz00();
					BGl_objectzd2initzd2zz__tarz00();
					BGl_methodzd2initzd2zz__tarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			BGl_symbol2291z00zz__tarz00 =
				bstring_to_symbol(BGl_string2292z00zz__tarz00);
			BGl_symbol2293z00zz__tarz00 =
				bstring_to_symbol(BGl_string2294z00zz__tarz00);
			BGl_symbol2295z00zz__tarz00 =
				bstring_to_symbol(BGl_string2296z00zz__tarz00);
			BGl_symbol2297z00zz__tarz00 =
				bstring_to_symbol(BGl_string2298z00zz__tarz00);
			BGl_symbol2299z00zz__tarz00 =
				bstring_to_symbol(BGl_string2300z00zz__tarz00);
			BGl_symbol2301z00zz__tarz00 =
				bstring_to_symbol(BGl_string2302z00zz__tarz00);
			BGl_symbol2303z00zz__tarz00 =
				bstring_to_symbol(BGl_string2304z00zz__tarz00);
			BGl_symbol2305z00zz__tarz00 =
				bstring_to_symbol(BGl_string2306z00zz__tarz00);
			BGl_symbol2307z00zz__tarz00 =
				bstring_to_symbol(BGl_string2308z00zz__tarz00);
			BGl_symbol2309z00zz__tarz00 =
				bstring_to_symbol(BGl_string2310z00zz__tarz00);
			BGl_symbol2314z00zz__tarz00 =
				bstring_to_symbol(BGl_string2315z00zz__tarz00);
			BGl_symbol2316z00zz__tarz00 =
				bstring_to_symbol(BGl_string2317z00zz__tarz00);
			BGl_symbol2318z00zz__tarz00 =
				bstring_to_symbol(BGl_string2319z00zz__tarz00);
			BGl_symbol2320z00zz__tarz00 =
				bstring_to_symbol(BGl_string2321z00zz__tarz00);
			BGl_symbol2322z00zz__tarz00 =
				bstring_to_symbol(BGl_string2323z00zz__tarz00);
			BGl_symbol2324z00zz__tarz00 =
				bstring_to_symbol(BGl_string2325z00zz__tarz00);
			BGl_symbol2326z00zz__tarz00 =
				bstring_to_symbol(BGl_string2327z00zz__tarz00);
			BGl_symbol2328z00zz__tarz00 =
				bstring_to_symbol(BGl_string2329z00zz__tarz00);
			BGl_symbol2330z00zz__tarz00 =
				bstring_to_symbol(BGl_string2331z00zz__tarz00);
			BGl_symbol2332z00zz__tarz00 =
				bstring_to_symbol(BGl_string2333z00zz__tarz00);
			BGl_symbol2334z00zz__tarz00 =
				bstring_to_symbol(BGl_string2335z00zz__tarz00);
			BGl_symbol2336z00zz__tarz00 =
				bstring_to_symbol(BGl_string2337z00zz__tarz00);
			BGl_symbol2338z00zz__tarz00 =
				bstring_to_symbol(BGl_string2339z00zz__tarz00);
			BGl_symbol2347z00zz__tarz00 =
				bstring_to_symbol(BGl_string2348z00zz__tarz00);
			BGl_symbol2351z00zz__tarz00 =
				bstring_to_symbol(BGl_string2350z00zz__tarz00);
			BGl_symbol2352z00zz__tarz00 =
				bstring_to_symbol(BGl_string2353z00zz__tarz00);
			BGl_symbol2354z00zz__tarz00 =
				bstring_to_symbol(BGl_string2355z00zz__tarz00);
			return (BGl_symbol2357z00zz__tarz00 =
				bstring_to_symbol(BGl_string2358z00zz__tarz00), BUNSPEC);
		}
	}



/* tar-type-name */
	obj_t BGl_tarzd2typezd2namez00zz__tarz00(unsigned char BgL_cz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 93 */
			switch (BgL_cz00_3)
				{
				case ((unsigned char) '\000'):

					return BGl_symbol2291z00zz__tarz00;
					break;
				case ((unsigned char) '0'):

					return BGl_symbol2293z00zz__tarz00;
					break;
				case ((unsigned char) '1'):

					return BGl_symbol2295z00zz__tarz00;
					break;
				case ((unsigned char) '2'):

					return BGl_symbol2297z00zz__tarz00;
					break;
				case ((unsigned char) '3'):

					return BGl_symbol2299z00zz__tarz00;
					break;
				case ((unsigned char) '4'):

					return BGl_symbol2301z00zz__tarz00;
					break;
				case ((unsigned char) '5'):

					return BGl_symbol2303z00zz__tarz00;
					break;
				case ((unsigned char) '6'):

					return BGl_symbol2305z00zz__tarz00;
					break;
				case ((unsigned char) '7'):

					return BGl_symbol2307z00zz__tarz00;
					break;
				default:
					{	/* Unsafe/tar.scm 94 */
						BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1759z00_1477;

						BgL_arg1759z00_1477 =
							BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE, BFALSE,
							BGl_symbol2309z00zz__tarz00, BGl_string2311z00zz__tarz00,
							BCHAR(BgL_cz00_3));
						return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1759z00_1477));
					}
				}
		}
	}



/* checksum */
	long BGl_checksumz00zz__tarz00(obj_t BgL_bufz00_8)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 118 */
			{	/* Unsafe/tar.scm 119 */
				long BgL_pz00_776;

				BgL_pz00_776 = (((long) 100) + ((long) 48));
				{	/* Unsafe/tar.scm 119 */
					obj_t BgL_b2z00_777;

					BgL_b2z00_777 =
						string_append_3(c_substring(BgL_bufz00_8, ((long) 0), BgL_pz00_776),
						BGl_string2312z00zz__tarz00, c_substring(BgL_bufz00_8,
							(BgL_pz00_776 + ((long) 8)), STRING_LENGTH(BgL_bufz00_8)));
					{	/* Unsafe/tar.scm 120 */

						{
							long BgL_iz00_1515;
							long BgL_sz00_1516;

							BgL_iz00_1515 = ((long) 0);
							BgL_sz00_1516 = ((long) 0);
						BgL_dozd2loopzd2zd21697zd2_1514:
							if ((BgL_iz00_1515 >= ((long) 512)))
								{	/* Unsafe/tar.scm 124 */
									return BgL_sz00_1516;
								}
							else
								{
									long BgL_sz00_2297;
									long BgL_iz00_2295;

									BgL_iz00_2295 = (((long) 1) + BgL_iz00_1515);
									BgL_sz00_2297 =
										(BgL_sz00_1516 +
										(STRING_REF(BgL_b2z00_777, BgL_iz00_1515)));
									BgL_sz00_1516 = BgL_sz00_2297;
									BgL_iz00_1515 = BgL_iz00_2295;
									goto BgL_dozd2loopzd2zd21697zd2_1514;
								}
						}
					}
				}
			}
		}
	}



/* _tar-read-header */
	obj_t BGl__tarzd2readzd2headerz00zz__tarz00(obj_t BgL_envz00_11,
		obj_t BgL_optz00_10)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 131 */
			{	/* Unsafe/tar.scm 131 */

				{	/* Unsafe/tar.scm 131 */
					int BgL_aux1731z00_797;

					BgL_aux1731z00_797 = VECTOR_LENGTH(BgL_optz00_10);
					switch ((long) (BgL_aux1731z00_797))
						{
						case ((long) 0):

							{	/* Unsafe/tar.scm 131 */
								obj_t BgL_portz00_799;

								BgL_portz00_799 = BGL_CURRENT_INPUT_PORT();
								{	/* Unsafe/tar.scm 131 */

									return BGl_tarzd2readzd2headerz00zz__tarz00(BgL_portz00_799);
								}
							}
							break;
						case ((long) 1):

							{	/* Unsafe/tar.scm 131 */
								obj_t BgL_portz00_800;

								BgL_portz00_800 = VECTOR_REF(BgL_optz00_10, (int) (((long) 0)));
								{	/* Unsafe/tar.scm 131 */

									return BGl_tarzd2readzd2headerz00zz__tarz00(BgL_portz00_800);
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* tar-read-header */
	BGL_EXPORTED_DEF obj_t BGl_tarzd2readzd2headerz00zz__tarz00(obj_t
		BgL_portz00_9)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 131 */
			{	/* Unsafe/tar.scm 132 */
				obj_t BgL_ptrz00_801;

				{	/* Unsafe/tar.scm 132 */
					obj_t BgL_cellvalz00_2309;

					BgL_cellvalz00_2309 = BINT(((long) 0));
					BgL_ptrz00_801 = MAKE_CELL(BgL_cellvalz00_2309);
				}
				{	/* Unsafe/tar.scm 132 */
					obj_t BgL_dataz00_802;

					BgL_dataz00_802 =
						BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT(((long) 512)),
						BgL_portz00_9);
					{	/* Unsafe/tar.scm 133 */
						long BgL_lenz00_803;

						BgL_lenz00_803 = STRING_LENGTH(BgL_dataz00_802);
						{	/* Unsafe/tar.scm 134 */

							{

								{	/* Unsafe/tar.scm 156 */
									obj_t BgL_namez00_806;

									{	/* Unsafe/tar.scm 156 */
										bool_t BgL_testz00_2314;

										if (STRINGP(BgL_dataz00_802))
											{	/* Unsafe/tar.scm 156 */
												BgL_testz00_2314 = (BgL_lenz00_803 == ((long) 0));
											}
										else
											{	/* Unsafe/tar.scm 156 */
												BgL_testz00_2314 = ((bool_t) 1);
											}
										if (BgL_testz00_2314)
											{	/* Unsafe/tar.scm 156 */
												BgL_namez00_806 = BGl_string2313z00zz__tarz00;
											}
										else
											{	/* Unsafe/tar.scm 158 */
												obj_t BgL_arg1827z00_864;

												BgL_arg1827z00_864 = BGl_symbol2314z00zz__tarz00;
												BgL_namez00_806 =
													BGl_extractz00zz__tarz00(BgL_portz00_9,
													BgL_dataz00_802, BgL_ptrz00_801, BgL_lenz00_803,
													BgL_arg1827z00_864, ((long) 100));
									}}
									if ((STRING_LENGTH(BgL_namez00_806) > ((long) 0)))
										{	/* Unsafe/tar.scm 160 */
											obj_t BgL_modez00_808;

											{	/* Unsafe/tar.scm 160 */
												obj_t BgL_arg1821z00_858;

												BgL_arg1821z00_858 =
													BGl_extractz00zz__tarz00(BgL_portz00_9,
													BgL_dataz00_802, BgL_ptrz00_801, BgL_lenz00_803,
													BGl_symbol2316z00zz__tarz00, ((long) 8));
												{	/* Unsafe/tar.scm 160 */

													{	/* Unsafe/tar.scm 160 */
														long BgL__ortest_1696z00_1580;

														{	/* Unsafe/tar.scm 160 */
															obj_t BgL_list1765z00_1581;

															BgL_list1765z00_1581 =
																MAKE_PAIR(BINT(((long) 8)), BNIL);
															BgL__ortest_1696z00_1580 =
																BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																(BgL_arg1821z00_858, BgL_list1765z00_1581);
														}
														BgL_modez00_808 = BINT(BgL__ortest_1696z00_1580);
											}}}
											{	/* Unsafe/tar.scm 160 */
												obj_t BgL_uidz00_809;

												{	/* Unsafe/tar.scm 161 */
													obj_t BgL_arg1820z00_855;

													BgL_arg1820z00_855 =
														BGl_extractz00zz__tarz00(BgL_portz00_9,
														BgL_dataz00_802, BgL_ptrz00_801, BgL_lenz00_803,
														BGl_symbol2318z00zz__tarz00, ((long) 8));
													{	/* Unsafe/tar.scm 161 */

														{	/* Unsafe/tar.scm 161 */
															long BgL__ortest_1696z00_1587;

															{	/* Unsafe/tar.scm 161 */
																obj_t BgL_list1765z00_1588;

																BgL_list1765z00_1588 =
																	MAKE_PAIR(BINT(((long) 8)), BNIL);
																BgL__ortest_1696z00_1587 =
																	BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																	(BgL_arg1820z00_855, BgL_list1765z00_1588);
															}
															BgL_uidz00_809 = BINT(BgL__ortest_1696z00_1587);
												}}}
												{	/* Unsafe/tar.scm 161 */
													obj_t BgL_gidz00_810;

													{	/* Unsafe/tar.scm 162 */
														obj_t BgL_arg1819z00_852;

														BgL_arg1819z00_852 =
															BGl_extractz00zz__tarz00(BgL_portz00_9,
															BgL_dataz00_802, BgL_ptrz00_801, BgL_lenz00_803,
															BGl_symbol2320z00zz__tarz00, ((long) 8));
														{	/* Unsafe/tar.scm 162 */

															{	/* Unsafe/tar.scm 162 */
																long BgL__ortest_1696z00_1594;

																{	/* Unsafe/tar.scm 162 */
																	obj_t BgL_list1765z00_1595;

																	BgL_list1765z00_1595 =
																		MAKE_PAIR(BINT(((long) 8)), BNIL);
																	BgL__ortest_1696z00_1594 =
																		BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																		(BgL_arg1819z00_852, BgL_list1765z00_1595);
																}
																BgL_gidz00_810 = BINT(BgL__ortest_1696z00_1594);
													}}}
													{	/* Unsafe/tar.scm 162 */
														long BgL_siza7eza7_811;

														{	/* Unsafe/tar.scm 163 */
															obj_t BgL_arg1815z00_849;

															BgL_arg1815z00_849 =
																BGl_extractz00zz__tarz00(BgL_portz00_9,
																BgL_dataz00_802, BgL_ptrz00_801, BgL_lenz00_803,
																BGl_symbol2322z00zz__tarz00, ((long) 12));
															{	/* Unsafe/tar.scm 163 */
																obj_t BgL_list1817z00_851;

																BgL_list1817z00_851 =
																	MAKE_PAIR(BINT(((long) 8)), BNIL);
																BgL_siza7eza7_811 =
																	BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
																	(BgL_arg1815z00_849, BgL_list1817z00_851);
														}}
														{	/* Unsafe/tar.scm 163 */
															long BgL_mtimez00_812;

															{	/* Unsafe/tar.scm 164 */
																obj_t BgL_arg1812z00_846;

																BgL_arg1812z00_846 =
																	BGl_extractz00zz__tarz00(BgL_portz00_9,
																	BgL_dataz00_802, BgL_ptrz00_801,
																	BgL_lenz00_803, BGl_symbol2324z00zz__tarz00,
																	((long) 12));
																{	/* Unsafe/tar.scm 164 */
																	obj_t BgL_list1814z00_848;

																	BgL_list1814z00_848 =
																		MAKE_PAIR(BINT(((long) 8)), BNIL);
																	BgL_mtimez00_812 =
																		BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
																		(BgL_arg1812z00_846, BgL_list1814z00_848);
															}}
															{	/* Unsafe/tar.scm 164 */
																obj_t BgL_chksumz00_813;

																{	/* Unsafe/tar.scm 165 */
																	obj_t BgL_arg1811z00_843;

																	BgL_arg1811z00_843 =
																		BGl_extractz00zz__tarz00(BgL_portz00_9,
																		BgL_dataz00_802, BgL_ptrz00_801,
																		BgL_lenz00_803, BGl_symbol2326z00zz__tarz00,
																		((long) 8));
																	{	/* Unsafe/tar.scm 165 */

																		{	/* Unsafe/tar.scm 165 */
																			long BgL__ortest_1696z00_1601;

																			{	/* Unsafe/tar.scm 165 */
																				obj_t BgL_list1765z00_1602;

																				BgL_list1765z00_1602 =
																					MAKE_PAIR(BINT(((long) 8)), BNIL);
																				BgL__ortest_1696z00_1601 =
																					BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																					(BgL_arg1811z00_843,
																					BgL_list1765z00_1602);
																			}
																			BgL_chksumz00_813 =
																				BINT(BgL__ortest_1696z00_1601);
																}}}
																{	/* Unsafe/tar.scm 165 */
																	unsigned char BgL_linkflagz00_814;

																	{	/* Unsafe/tar.scm 153 */
																		unsigned char BgL_cz00_870;

																		{	/* Unsafe/tar.scm 153 */
																			obj_t BgL_stringz00_1687;
																			long BgL_kz00_1688;

																			BgL_stringz00_1687 = BgL_dataz00_802;
																			BgL_kz00_1688 =
																				(long) CINT(CELL_REF(BgL_ptrz00_801));
																			BgL_cz00_870 =
																				STRING_REF(BgL_stringz00_1687,
																				BgL_kz00_1688);
																		}
																		{	/* Unsafe/tar.scm 154 */
																			obj_t BgL_auxz00_2172;

																			{	/* Unsafe/tar.scm 154 */
																				long BgL_za72za7_1690;

																				BgL_za72za7_1690 =
																					(long) CINT(CELL_REF(BgL_ptrz00_801));
																				BgL_auxz00_2172 =
																					BINT((((long) 1) + BgL_za72za7_1690));
																			}
																			CELL_SET(BgL_ptrz00_801, BgL_auxz00_2172);
																		}
																		BgL_linkflagz00_814 = BgL_cz00_870;
																	}
																	{	/* Unsafe/tar.scm 166 */
																		obj_t BgL_linknamez00_815;

																		{	/* Unsafe/tar.scm 167 */
																			obj_t BgL_arg1808z00_841;

																			BgL_arg1808z00_841 =
																				BGl_symbol2328z00zz__tarz00;
																			BgL_linknamez00_815 =
																				BGl_extractz00zz__tarz00(BgL_portz00_9,
																				BgL_dataz00_802, BgL_ptrz00_801,
																				BgL_lenz00_803, BgL_arg1808z00_841,
																				((long) 100));
																		}
																		{	/* Unsafe/tar.scm 167 */
																			obj_t BgL_magicz00_816;

																			BgL_magicz00_816 =
																				BGl_extractz00zz__tarz00(BgL_portz00_9,
																				BgL_dataz00_802, BgL_ptrz00_801,
																				BgL_lenz00_803,
																				BGl_symbol2330z00zz__tarz00,
																				((long) 8));
																			{	/* Unsafe/tar.scm 168 */
																				obj_t BgL_unamez00_817;

																				{	/* Unsafe/tar.scm 169 */
																					obj_t BgL_arg1805z00_839;

																					BgL_arg1805z00_839 =
																						BGl_symbol2332z00zz__tarz00;
																					BgL_unamez00_817 =
																						BGl_extractz00zz__tarz00
																						(BgL_portz00_9, BgL_dataz00_802,
																						BgL_ptrz00_801, BgL_lenz00_803,
																						BgL_arg1805z00_839, ((long) 32));
																				}
																				{	/* Unsafe/tar.scm 169 */
																					obj_t BgL_gnamez00_818;

																					{	/* Unsafe/tar.scm 170 */
																						obj_t BgL_arg1803z00_837;

																						BgL_arg1803z00_837 =
																							BGl_symbol2334z00zz__tarz00;
																						BgL_gnamez00_818 =
																							BGl_extractz00zz__tarz00
																							(BgL_portz00_9, BgL_dataz00_802,
																							BgL_ptrz00_801, BgL_lenz00_803,
																							BgL_arg1803z00_837, ((long) 32));
																					}
																					{	/* Unsafe/tar.scm 170 */
																						obj_t BgL_devmajorz00_819;

																						{	/* Unsafe/tar.scm 171 */
																							obj_t BgL_arg1801z00_836;

																							BgL_arg1801z00_836 =
																								BGl_extractz00zz__tarz00
																								(BgL_portz00_9, BgL_dataz00_802,
																								BgL_ptrz00_801, BgL_lenz00_803,
																								BGl_symbol2336z00zz__tarz00,
																								((long) 8));
																							{	/* Unsafe/tar.scm 171 */
																								long BgL__ortest_1696z00_1608;

																								{	/* Unsafe/tar.scm 171 */
																									obj_t BgL_list1765z00_1609;

																									BgL_list1765z00_1609 =
																										MAKE_PAIR(BINT(((long) 8)),
																										BNIL);
																									BgL__ortest_1696z00_1608 =
																										BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																										(BgL_arg1801z00_836,
																										BgL_list1765z00_1609);
																								}
																								BgL_devmajorz00_819 =
																									BINT
																									(BgL__ortest_1696z00_1608);
																						}}
																						{	/* Unsafe/tar.scm 171 */
																							obj_t BgL_devminorz00_820;

																							{	/* Unsafe/tar.scm 172 */
																								obj_t BgL_arg1800z00_835;

																								BgL_arg1800z00_835 =
																									BGl_extractz00zz__tarz00
																									(BgL_portz00_9,
																									BgL_dataz00_802,
																									BgL_ptrz00_801,
																									BgL_lenz00_803,
																									BGl_symbol2338z00zz__tarz00,
																									((long) 8));
																								{	/* Unsafe/tar.scm 172 */
																									long BgL__ortest_1696z00_1615;

																									{	/* Unsafe/tar.scm 172 */
																										obj_t BgL_list1765z00_1616;

																										BgL_list1765z00_1616 =
																											MAKE_PAIR(BINT(((long)
																													8)), BNIL);
																										BgL__ortest_1696z00_1615 =
																											BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																											(BgL_arg1800z00_835,
																											BgL_list1765z00_1616);
																									}
																									BgL_devminorz00_820 =
																										BINT
																										(BgL__ortest_1696z00_1615);
																							}}
																							{	/* Unsafe/tar.scm 172 */
																								long BgL_csum2z00_821;

																								BgL_csum2z00_821 =
																									BGl_checksumz00zz__tarz00
																									(BgL_dataz00_802);
																								{	/* Unsafe/tar.scm 173 */

																									{	/* Unsafe/tar.scm 175 */
																										bool_t BgL_testz00_2370;

																										if (bigloo_strcmp
																											(BGl_string2340z00zz__tarz00,
																												BgL_magicz00_816))
																											{	/* Unsafe/tar.scm 175 */
																												BgL_testz00_2370 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Unsafe/tar.scm 175 */
																												if (bigloo_strcmp
																													(BGl_string2341z00zz__tarz00,
																														BgL_magicz00_816))
																													{	/* Unsafe/tar.scm 176 */
																														BgL_testz00_2370 =
																															((bool_t) 1);
																													}
																												else
																													{	/* Unsafe/tar.scm 176 */
																														BgL_testz00_2370 =
																															bigloo_strcmp
																															(BGl_string2342z00zz__tarz00,
																															BgL_magicz00_816);
																													}
																											}
																										if (BgL_testz00_2370)
																											{	/* Unsafe/tar.scm 175 */
																												if (
																													(BgL_csum2z00_821 ==
																														(long)
																														CINT
																														(BgL_chksumz00_813)))
																													{	/* Unsafe/tar.scm 190 */
																														obj_t
																															BgL_arg1786z00_824;
																														obj_t
																															BgL_arg1787z00_825;
																														BgL_arg1786z00_824 =
																															bgl_seconds_to_date
																															(BgL_mtimez00_812);
																														BgL_arg1787z00_825 =
																															BGl_tarzd2typezd2namez00zz__tarz00
																															(BgL_linkflagz00_814);
																														{	/* Unsafe/tar.scm 184 */
																															BgL_tarzd2headerzd2_bglt
																																BgL_res2256z00_1679;
																															{	/* Unsafe/tar.scm 184 */
																																obj_t
																																	BgL_name1586z00_1629;
																																long
																																	BgL_mode1587z00_1630;
																																long
																																	BgL_uid1588z00_1631;
																																long
																																	BgL_gid1589z00_1632;
																																long
																																	BgL_checksum1592z00_1635;
																																obj_t
																																	BgL_type1593z00_1636;
																																obj_t
																																	BgL_linkname1594z00_1637;
																																obj_t
																																	BgL_magic1595z00_1638;
																																obj_t
																																	BgL_uname1596z00_1639;
																																obj_t
																																	BgL_gname1597z00_1640;
																																long
																																	BgL_devmajor1598z00_1641;
																																long
																																	BgL_devminor1599z00_1642;
																																BgL_name1586z00_1629
																																	=
																																	BgL_namez00_806;
																																BgL_mode1587z00_1630
																																	=
																																	(long)
																																	CINT
																																	(BgL_modez00_808);
																																BgL_uid1588z00_1631
																																	=
																																	(long)
																																	CINT
																																	(BgL_uidz00_809);
																																BgL_gid1589z00_1632
																																	=
																																	(long)
																																	CINT
																																	(BgL_gidz00_810);
																																BgL_checksum1592z00_1635
																																	=
																																	(long)
																																	CINT
																																	(BgL_chksumz00_813);
																																BgL_type1593z00_1636
																																	=
																																	BgL_arg1787z00_825;
																																BgL_linkname1594z00_1637
																																	=
																																	BgL_linknamez00_815;
																																BgL_magic1595z00_1638
																																	=
																																	BgL_magicz00_816;
																																BgL_uname1596z00_1639
																																	=
																																	BgL_unamez00_817;
																																BgL_gname1597z00_1640
																																	=
																																	BgL_gnamez00_818;
																																BgL_devmajor1598z00_1641
																																	=
																																	(long)
																																	CINT
																																	(BgL_devmajorz00_819);
																																BgL_devminor1599z00_1642
																																	=
																																	(long)
																																	CINT
																																	(BgL_devminorz00_820);
																																{	/* Unsafe/tar.scm 184 */
																																	BgL_tarzd2headerzd2_bglt
																																		BgL_new1600z00_1643;
																																	{	/* Unsafe/tar.scm 184 */
																																		BgL_tarzd2headerzd2_bglt
																																			BgL_res2254z00_1648;
																																		{	/* Unsafe/tar.scm 184 */
																																			BgL_tarzd2headerzd2_bglt
																																				BgL_new1632z00_1644;
																																			BgL_new1632z00_1644
																																				=
																																				(
																																				(BgL_tarzd2headerzd2_bglt)
																																				BREF
																																				(GC_MALLOC
																																					(sizeof
																																						(struct
																																							BgL_tarzd2headerzd2_bgl))));
																																			{	/* Unsafe/tar.scm 184 */
																																				long
																																					BgL_arg1939z00_1645;
																																				BgL_arg1939z00_1645
																																					=
																																					BGl_classzd2numzd2zz__objectz00
																																					(BGl_tarzd2headerzd2zz__tarz00);
																																				{	/* Unsafe/tar.scm 184 */
																																					BgL_objectz00_bglt
																																						BgL_objz00_1646;
																																					BgL_objz00_1646
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_new1632z00_1644);
																																					BGL_OBJECT_CLASS_NUM_SET
																																						(BgL_objz00_1646,
																																						BgL_arg1939z00_1645);
																																			}}
																																			{	/* Unsafe/tar.scm 184 */
																																				BgL_objectz00_bglt
																																					BgL_auxz00_2391;
																																				BgL_auxz00_2391
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_new1632z00_1644);
																																				BGL_OBJECT_WIDENING_SET
																																					(BgL_auxz00_2391,
																																					BFALSE);
																																			}
																																			BgL_res2254z00_1648
																																				=
																																				BgL_new1632z00_1644;
																																		}
																																		BgL_new1600z00_1643
																																			=
																																			BgL_res2254z00_1648;
																																	}
																																	{	/* Unsafe/tar.scm 184 */
																																		BgL_tarzd2headerzd2_bglt
																																			BgL_res2255z00_1678;
																																		{	/* Unsafe/tar.scm 184 */
																																			BgL_tarzd2headerzd2_bglt
																																				BgL_new1616z00_1649;
																																			BgL_new1616z00_1649
																																				=
																																				BgL_new1600z00_1643;
																																			{	/* Unsafe/tar.scm 184 */
																																				obj_t
																																					BgL_name1602z00_1664;
																																				long
																																					BgL_mode1603z00_1665;
																																				long
																																					BgL_uid1604z00_1666;
																																				long
																																					BgL_gid1605z00_1667;
																																				long
																																					BgL_siza7e1606za7_1668;
																																				obj_t
																																					BgL_mtime1607z00_1669;
																																				long
																																					BgL_checksum1608z00_1670;
																																				obj_t
																																					BgL_type1609z00_1671;
																																				obj_t
																																					BgL_linkname1610z00_1672;
																																				obj_t
																																					BgL_magic1611z00_1673;
																																				obj_t
																																					BgL_uname1612z00_1674;
																																				obj_t
																																					BgL_gname1613z00_1675;
																																				long
																																					BgL_devmajor1614z00_1676;
																																				long
																																					BgL_devminor1615z00_1677;
																																				BgL_name1602z00_1664
																																					=
																																					BgL_name1586z00_1629;
																																				BgL_mode1603z00_1665
																																					=
																																					BgL_mode1587z00_1630;
																																				BgL_uid1604z00_1666
																																					=
																																					BgL_uid1588z00_1631;
																																				BgL_gid1605z00_1667
																																					=
																																					BgL_gid1589z00_1632;
																																				BgL_siza7e1606za7_1668
																																					=
																																					BgL_siza7eza7_811;
																																				BgL_mtime1607z00_1669
																																					=
																																					BgL_arg1786z00_824;
																																				BgL_checksum1608z00_1670
																																					=
																																					BgL_checksum1592z00_1635;
																																				BgL_type1609z00_1671
																																					=
																																					BgL_type1593z00_1636;
																																				BgL_linkname1610z00_1672
																																					=
																																					BgL_linkname1594z00_1637;
																																				BgL_magic1611z00_1673
																																					=
																																					BgL_magic1595z00_1638;
																																				BgL_uname1612z00_1674
																																					=
																																					BgL_uname1596z00_1639;
																																				BgL_gname1613z00_1675
																																					=
																																					BgL_gname1597z00_1640;
																																				BgL_devmajor1614z00_1676
																																					=
																																					BgL_devmajor1598z00_1641;
																																				BgL_devminor1615z00_1677
																																					=
																																					BgL_devminor1599z00_1642;
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_namez00) = ((obj_t) BgL_name1602z00_1664), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_modez00) = ((long) BgL_mode1603z00_1665), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_uidz00) = ((long) BgL_uid1604z00_1666), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_gidz00) = ((long) BgL_gid1605z00_1667), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_siza7eza7) = ((long) BgL_siza7e1606za7_1668), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_mtimez00) = ((obj_t) BgL_mtime1607z00_1669), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_checksumz00) = ((long) BgL_checksum1608z00_1670), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_typez00) = ((obj_t) BgL_type1609z00_1671), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_linknamez00) = ((obj_t) BgL_linkname1610z00_1672), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_magicz00) = ((obj_t) BgL_magic1611z00_1673), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_unamez00) = ((obj_t) BgL_uname1612z00_1674), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_gnamez00) = ((obj_t) BgL_gname1613z00_1675), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_devmajorz00) = ((long) BgL_devmajor1614z00_1676), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1649))->BgL_devminorz00) = ((long) BgL_devminor1615z00_1677), BUNSPEC);
																																				BgL_res2255z00_1678
																																					=
																																					BgL_new1616z00_1649;
																																		}} BgL_res2255z00_1678;
																																	}
																																	BgL_res2256z00_1679
																																		=
																																		BgL_new1600z00_1643;
																															}}
																															return
																																(obj_t)
																																(BgL_res2256z00_1679);
																														}
																													}
																												else
																													{	/* Unsafe/tar.scm 181 */
																														obj_t
																															BgL_arg1788z00_826;
																														{	/* Unsafe/tar.scm 181 */
																															obj_t
																																BgL_list1789z00_827;
																															BgL_list1789z00_827
																																=
																																MAKE_PAIR
																																(BgL_chksumz00_813,
																																BNIL);
																															BgL_arg1788z00_826
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string2343z00zz__tarz00,
																																BgL_list1789z00_827);
																														}
																														{	/* Unsafe/tar.scm 180 */
																															BgL_z62iozd2parsezd2errorz62_bglt
																																BgL_arg1759z00_1682;
																															BgL_arg1759z00_1682
																																=
																																BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00
																																(BFALSE, BFALSE,
																																BGl_symbol2309z00zz__tarz00,
																																BgL_arg1788z00_826,
																																BINT
																																(BgL_csum2z00_821));
																															return
																																BGl_raisez00zz__errorz00
																																((obj_t)
																																(BgL_arg1759z00_1682));
																														}
																													}
																											}
																										else
																											{	/* Unsafe/tar.scm 178 */
																												obj_t
																													BgL_arg1791z00_829;
																												BgL_arg1791z00_829 =
																													string_for_read
																													(BgL_magicz00_816);
																												{	/* Unsafe/tar.scm 178 */
																													BgL_z62iozd2parsezd2errorz62_bglt
																														BgL_arg1759z00_1686;
																													BgL_arg1759z00_1686 =
																														BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00
																														(BFALSE, BFALSE,
																														BGl_symbol2309z00zz__tarz00,
																														BGl_string2344z00zz__tarz00,
																														BgL_arg1791z00_829);
																													return
																														BGl_raisez00zz__errorz00
																														((obj_t)
																														(BgL_arg1759z00_1686));
																												}
																											}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/tar.scm 159 */
											return BFALSE;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* extract */
	obj_t BGl_extractz00zz__tarz00(obj_t BgL_portz00_2170, obj_t BgL_dataz00_2169,
		obj_t BgL_ptrz00_2168, long BgL_lenz00_2167, obj_t BgL_whatz00_871,
		long BgL_siza7eza7_872)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 151 */
			{
				long BgL_iz00_874;

				BgL_iz00_874 = ((long) 0);
			BgL_loopz00_875:
				if ((BgL_iz00_874 >= BgL_siza7eza7_872))
					{	/* Unsafe/tar.scm 140 */
						obj_t BgL_arg1838z00_877;

						{	/* Unsafe/tar.scm 140 */
							obj_t BgL_list1839z00_878;

							BgL_list1839z00_878 = MAKE_PAIR(BgL_whatz00_871, BNIL);
							BgL_arg1838z00_877 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2345z00zz__tarz00, BgL_list1839z00_878);
						}
						{	/* Unsafe/tar.scm 139 */
							BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1759z00_1695;

							BgL_arg1759z00_1695 =
								BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE, BFALSE,
								BGl_symbol2309z00zz__tarz00, BgL_arg1838z00_877,
								BINT(BgL_siza7eza7_872));
							return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1759z00_1695));
						}
					}
				else
					{	/* Unsafe/tar.scm 138 */
						if ((BgL_iz00_874 >= BgL_lenz00_2167))
							{	/* Unsafe/tar.scm 143 */
								BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1759z00_1700;

								BgL_arg1759z00_1700 =
									BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE,
									BFALSE, BGl_symbol2309z00zz__tarz00,
									BGl_string2346z00zz__tarz00, BgL_portz00_2170);
								return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1759z00_1700));
							}
						else
							{	/* Unsafe/tar.scm 145 */
								unsigned char BgL_cz00_880;

								{	/* Unsafe/tar.scm 145 */
									obj_t BgL_stringz00_1703;

									BgL_stringz00_1703 = BgL_dataz00_2169;
									{	/* Unsafe/tar.scm 145 */
										long BgL_auxz00_2432;

										{	/* Unsafe/tar.scm 145 */
											long BgL_za71za7_1701;

											BgL_za71za7_1701 = (long) CINT(CELL_REF(BgL_ptrz00_2168));
											BgL_auxz00_2432 = (BgL_za71za7_1701 + BgL_iz00_874);
										}
										BgL_cz00_880 =
											STRING_REF(BgL_stringz00_1703, BgL_auxz00_2432);
								}}
								if ((((unsigned char) '\000') == BgL_cz00_880))
									{	/* Unsafe/tar.scm 147 */
										long BgL_nptrz00_882;

										{	/* Unsafe/tar.scm 147 */
											long BgL_za71za7_1707;

											BgL_za71za7_1707 = (long) CINT(CELL_REF(BgL_ptrz00_2168));
											BgL_nptrz00_882 = (BgL_za71za7_1707 + BgL_iz00_874);
										}
										{	/* Unsafe/tar.scm 147 */
											obj_t BgL_subz00_883;

											{	/* Unsafe/tar.scm 148 */
												obj_t BgL_stringz00_1709;
												long BgL_startz00_1710;

												BgL_stringz00_1709 = BgL_dataz00_2169;
												BgL_startz00_1710 =
													(long) CINT(CELL_REF(BgL_ptrz00_2168));
												BgL_subz00_883 =
													c_substring(BgL_stringz00_1709, BgL_startz00_1710,
													BgL_nptrz00_882);
											}
											{	/* Unsafe/tar.scm 148 */

												{	/* Unsafe/tar.scm 149 */
													obj_t BgL_auxz00_2171;

													{	/* Unsafe/tar.scm 149 */
														long BgL_za71za7_1712;

														BgL_za71za7_1712 =
															(long) CINT(CELL_REF(BgL_ptrz00_2168));
														BgL_auxz00_2171 =
															BINT((BgL_za71za7_1712 + BgL_siza7eza7_872));
													}
													CELL_SET(BgL_ptrz00_2168, BgL_auxz00_2171);
												}
												return BgL_subz00_883;
											}
										}
									}
								else
									{
										long BgL_iz00_2445;

										BgL_iz00_2445 = (((long) 1) + BgL_iz00_874);
										BgL_iz00_874 = BgL_iz00_2445;
										goto BgL_loopz00_875;
									}
							}
					}
			}
		}
	}



/* tar-round-up-to-record-size */
	BGL_EXPORTED_DEF long
		BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(long BgL_nz00_12)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 203 */
			return
				(((long) 512) *
				((BgL_nz00_12 + (((long) 512) - ((long) 1))) / ((long) 512)));
		}
	}



/* _tar-round-up-to-record-size */
	obj_t BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(obj_t
		BgL_envz00_2090, obj_t BgL_nz00_2091)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 203 */
			return
				BINT(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(
					(long) CINT(BgL_nz00_2091)));
		}
	}



/* _tar-read-block */
	obj_t BGl__tarzd2readzd2blockz00zz__tarz00(obj_t BgL_envz00_16,
		obj_t BgL_optz00_15)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 210 */
			{	/* Unsafe/tar.scm 210 */
				obj_t BgL_g1732z00_896;

				BgL_g1732z00_896 = VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
				{	/* Unsafe/tar.scm 210 */
					int BgL_aux1734z00_898;

					BgL_aux1734z00_898 = VECTOR_LENGTH(BgL_optz00_15);
					switch ((long) (BgL_aux1734z00_898))
						{
						case ((long) 1):

							{	/* Unsafe/tar.scm 210 */
								obj_t BgL_pz00_900;

								BgL_pz00_900 = BGL_CURRENT_INPUT_PORT();
								{	/* Unsafe/tar.scm 210 */

									{	/* Unsafe/tar.scm 210 */
										obj_t BgL_arg1853z00_901;

										BgL_arg1853z00_901 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										return
											BGl_tarzd2readzd2blockz00zz__tarz00(
											(BgL_tarzd2headerzd2_bglt) (BgL_arg1853z00_901),
											BgL_pz00_900);
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Unsafe/tar.scm 210 */
								obj_t BgL_pz00_902;

								BgL_pz00_902 = VECTOR_REF(BgL_optz00_15, (int) (((long) 1)));
								{	/* Unsafe/tar.scm 210 */

									{	/* Unsafe/tar.scm 210 */
										obj_t BgL_arg1854z00_903;

										BgL_arg1854z00_903 =
											VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
										return
											BGl_tarzd2readzd2blockz00zz__tarz00(
											(BgL_tarzd2headerzd2_bglt) (BgL_arg1854z00_903),
											BgL_pz00_902);
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* tar-read-block */
	BGL_EXPORTED_DEF obj_t
		BGl_tarzd2readzd2blockz00zz__tarz00(BgL_tarzd2headerzd2_bglt BgL_hz00_13,
		obj_t BgL_pz00_14)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 210 */
			{	/* Unsafe/tar.scm 211 */
				bool_t BgL_testz00_2470;

				{	/* Unsafe/tar.scm 211 */
					obj_t BgL_obj1691z00_1724;

					BgL_obj1691z00_1724 = (obj_t) (BgL_hz00_13);
					BgL_testz00_2470 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj1691z00_1724,
						BGl_tarzd2headerzd2zz__tarz00);
				}
				if (BgL_testz00_2470)
					{	/* Unsafe/tar.scm 212 */
						long BgL_nz00_905;

						{	/* Unsafe/tar.scm 212 */
							long BgL_arg1865z00_915;

							BgL_arg1865z00_915 =
								(((BgL_tarzd2headerzd2_bglt) CREF(BgL_hz00_13))->BgL_siza7eza7);
							{	/* Unsafe/tar.scm 212 */
								long BgL_res2257z00_1727;

								{	/* Unsafe/tar.scm 212 */
									long BgL_auxz00_2474;

									{	/* Unsafe/tar.scm 212 */
										long BgL_auxz00_2475;

										BgL_auxz00_2475 = ELONG_TO_LONG(BgL_arg1865z00_915);
										BgL_auxz00_2474 = ELONG_TO_LONG(BgL_auxz00_2475);
									}
									BgL_res2257z00_1727 = ELONG_TO_LONG(BgL_auxz00_2474);
								}
								BgL_nz00_905 = BgL_res2257z00_1727;
						}}
						if ((BgL_nz00_905 == ((long) 0)))
							{	/* Unsafe/tar.scm 213 */
								return BFALSE;
							}
						else
							{	/* Unsafe/tar.scm 215 */
								obj_t BgL_sz00_907;

								BgL_sz00_907 =
									BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT(BgL_nz00_905),
									BgL_pz00_14);
								if ((STRING_LENGTH(BgL_sz00_907) < BgL_nz00_905))
									{	/* Unsafe/tar.scm 217 */
										obj_t BgL_arg1858z00_909;
										obj_t BgL_arg1861z00_911;

										BgL_arg1858z00_909 = BGl_symbol2347z00zz__tarz00;
										BgL_arg1861z00_911 =
											(((BgL_tarzd2headerzd2_bglt) CREF(BgL_hz00_13))->
											BgL_namez00);
										BGl_errorz00zz__errorz00(BgL_arg1858z00_909,
											BGl_string2349z00zz__tarz00, BgL_arg1861z00_911);
									}
								else
									{	/* Unsafe/tar.scm 220 */
										long BgL_arg1862z00_912;

										BgL_arg1862z00_912 =
											(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00
											(BgL_nz00_905) - BgL_nz00_905);
										BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT
											(BgL_arg1862z00_912), BgL_pz00_14);
									}
								return BgL_sz00_907;
							}
					}
				else
					{	/* Unsafe/tar.scm 211 */
						return
							BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2347z00zz__tarz00, BGl_string2350z00zz__tarz00,
							(obj_t) (BgL_hz00_13));
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			{	/* Unsafe/tar.scm 50 */
				obj_t BgL_arg1866z00_916;
				obj_t BgL_arg1867z00_917;
				obj_t BgL_arg1871z00_921;
				obj_t BgL_arg1873z00_922;

				BgL_arg1866z00_916 = BGl_symbol2351z00zz__tarz00;
				BgL_arg1867z00_917 = BGl_objectz00zz__objectz00;
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_arg1874z00_923;
					obj_t BgL_arg1875z00_924;
					obj_t BgL_arg1876z00_925;
					obj_t BgL_arg1877z00_926;
					obj_t BgL_arg1878z00_927;
					obj_t BgL_arg1879z00_928;
					obj_t BgL_arg1881z00_929;
					obj_t BgL_arg1882z00_930;
					obj_t BgL_arg1883z00_931;
					obj_t BgL_arg1884z00_932;
					obj_t BgL_arg1885z00_933;
					obj_t BgL_arg1886z00_934;
					obj_t BgL_arg1887z00_935;
					obj_t BgL_arg1888z00_936;

					BgL_arg1874z00_923 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2314z00zz__tarz00,
						BGl_tarzd2headerzd2namezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1875z00_924 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2316z00zz__tarz00,
						BGl_tarzd2headerzd2modezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1876z00_925 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2318z00zz__tarz00,
						BGl_tarzd2headerzd2uidzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1877z00_926 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2320z00zz__tarz00,
						BGl_tarzd2headerzd2gidzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1878z00_927 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2322z00zz__tarz00,
						BGl_tarzd2headerzd2siza7ezd2envz75zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1879z00_928 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2324z00zz__tarz00,
						BGl_tarzd2headerzd2mtimezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1881z00_929 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2352z00zz__tarz00,
						BGl_tarzd2headerzd2checksumzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1882z00_930 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2354z00zz__tarz00,
						BGl_tarzd2headerzd2typezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1883z00_931 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2328z00zz__tarz00,
						BGl_tarzd2headerzd2linknamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1884z00_932 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2330z00zz__tarz00,
						BGl_tarzd2headerzd2magiczd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1885z00_933 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2332z00zz__tarz00,
						BGl_tarzd2headerzd2unamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1886z00_934 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2334z00zz__tarz00,
						BGl_tarzd2headerzd2gnamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1887z00_935 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2336z00zz__tarz00,
						BGl_tarzd2headerzd2devmajorzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1888z00_936 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2338z00zz__tarz00,
						BGl_tarzd2headerzd2devminorzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_list1889z00_937;

						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_arg1890z00_938;

							{	/* Unsafe/tar.scm 50 */
								obj_t BgL_arg1891z00_939;

								{	/* Unsafe/tar.scm 50 */
									obj_t BgL_arg1892z00_940;

									{	/* Unsafe/tar.scm 50 */
										obj_t BgL_arg1893z00_941;

										{	/* Unsafe/tar.scm 50 */
											obj_t BgL_arg1894z00_942;

											{	/* Unsafe/tar.scm 50 */
												obj_t BgL_arg1895z00_943;

												{	/* Unsafe/tar.scm 50 */
													obj_t BgL_arg1896z00_944;

													{	/* Unsafe/tar.scm 50 */
														obj_t BgL_arg1897z00_945;

														{	/* Unsafe/tar.scm 50 */
															obj_t BgL_arg1898z00_946;

															{	/* Unsafe/tar.scm 50 */
																obj_t BgL_arg1899z00_947;

																{	/* Unsafe/tar.scm 50 */
																	obj_t BgL_arg1900z00_948;

																	{	/* Unsafe/tar.scm 50 */
																		obj_t BgL_arg1901z00_949;

																		{	/* Unsafe/tar.scm 50 */
																			obj_t BgL_arg1902z00_950;

																			BgL_arg1902z00_950 =
																				MAKE_PAIR(BgL_arg1888z00_936, BNIL);
																			BgL_arg1901z00_949 =
																				MAKE_PAIR(BgL_arg1887z00_935,
																				BgL_arg1902z00_950);
																		}
																		BgL_arg1900z00_948 =
																			MAKE_PAIR(BgL_arg1886z00_934,
																			BgL_arg1901z00_949);
																	}
																	BgL_arg1899z00_947 =
																		MAKE_PAIR(BgL_arg1885z00_933,
																		BgL_arg1900z00_948);
																}
																BgL_arg1898z00_946 =
																	MAKE_PAIR(BgL_arg1884z00_932,
																	BgL_arg1899z00_947);
															}
															BgL_arg1897z00_945 =
																MAKE_PAIR(BgL_arg1883z00_931,
																BgL_arg1898z00_946);
														}
														BgL_arg1896z00_944 =
															MAKE_PAIR(BgL_arg1882z00_930, BgL_arg1897z00_945);
													}
													BgL_arg1895z00_943 =
														MAKE_PAIR(BgL_arg1881z00_929, BgL_arg1896z00_944);
												}
												BgL_arg1894z00_942 =
													MAKE_PAIR(BgL_arg1879z00_928, BgL_arg1895z00_943);
											}
											BgL_arg1893z00_941 =
												MAKE_PAIR(BgL_arg1878z00_927, BgL_arg1894z00_942);
										}
										BgL_arg1892z00_940 =
											MAKE_PAIR(BgL_arg1877z00_926, BgL_arg1893z00_941);
									}
									BgL_arg1891z00_939 =
										MAKE_PAIR(BgL_arg1876z00_925, BgL_arg1892z00_940);
								}
								BgL_arg1890z00_938 =
									MAKE_PAIR(BgL_arg1875z00_924, BgL_arg1891z00_939);
							}
							BgL_list1889z00_937 =
								MAKE_PAIR(BgL_arg1874z00_923, BgL_arg1890z00_938);
						}
						BgL_arg1871z00_921 = BgL_list1889z00_937;
					}
				}
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_v1721z00_979;

					BgL_v1721z00_979 = create_vector((int) (((long) 0)));
					BgL_arg1873z00_922 = BgL_v1721z00_979;
				}
				BGl_tarzd2headerzd2zz__tarz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1866z00_916,
					BgL_arg1867z00_917, ((bool_t) 0),
					BGl_makezd2tarzd2headerzd2envzd2zz__tarz00,
					BGl_z52allocatezd2tarzd2headerzd2envz80zz__tarz00,
					BGl_tarzd2headerzd2nilzd2envzd2zz__tarz00,
					BGl_tarzd2headerzf3zd2envzf3zz__tarz00, ((long) 380980310),
					BgL_arg1871z00_921, BFALSE, BgL_arg1873z00_922);
			}
			return (BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 = BUNSPEC, BUNSPEC);
		}
	}



/* tar-header? */
	BGL_EXPORTED_DEF bool_t BGl_tarzd2headerzf3z21zz__tarz00(obj_t
		BgL_obj1691z00_17)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1691z00_17,
				BGl_tarzd2headerzd2zz__tarz00);
		}
	}



/* _tar-header? */
	obj_t BGl__tarzd2headerzf3z21zz__tarz00(obj_t BgL_envz00_2137,
		obj_t BgL_obj1691z00_2138)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1691z00_2138,
					BGl_tarzd2headerzd2zz__tarz00));
		}
	}



/* make-tar-header */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_makezd2tarzd2headerz00zz__tarz00(obj_t BgL_name1586z00_21,
		long BgL_mode1587z00_22, long BgL_uid1588z00_23, long BgL_gid1589z00_24,
		long BgL_siza7e1590za7_25, obj_t BgL_mtime1591z00_26,
		long BgL_checksum1592z00_27, obj_t BgL_type1593z00_28,
		obj_t BgL_linkname1594z00_29, obj_t BgL_magic1595z00_30,
		obj_t BgL_uname1596z00_31, obj_t BgL_gname1597z00_32,
		long BgL_devmajor1598z00_33, long BgL_devminor1599z00_34)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_new1600z00_1738;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2259z00_1743;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1632z00_1739;
						BgL_new1632z00_1739 =
							((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_tarzd2headerzd2_bgl))));
						{	/* Unsafe/tar.scm 50 */
							long BgL_arg1939z00_1740;

							BgL_arg1939z00_1740 =
								BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_objz00_1741;

								BgL_objz00_1741 = (BgL_objectz00_bglt) (BgL_new1632z00_1739);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1741, BgL_arg1939z00_1740);
						}}
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2546;

							BgL_auxz00_2546 = (BgL_objectz00_bglt) (BgL_new1632z00_1739);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2546, BFALSE);
						}
						BgL_res2259z00_1743 = BgL_new1632z00_1739;
					}
					BgL_new1600z00_1738 = BgL_res2259z00_1743;
				}
				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2260z00_1773;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1616z00_1744;

						BgL_new1616z00_1744 = BgL_new1600z00_1738;
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_name1602z00_1759;
							long BgL_mode1603z00_1760;
							long BgL_uid1604z00_1761;
							long BgL_gid1605z00_1762;
							long BgL_siza7e1606za7_1763;
							obj_t BgL_mtime1607z00_1764;
							long BgL_checksum1608z00_1765;
							obj_t BgL_type1609z00_1766;
							obj_t BgL_linkname1610z00_1767;
							obj_t BgL_magic1611z00_1768;
							obj_t BgL_uname1612z00_1769;
							obj_t BgL_gname1613z00_1770;
							long BgL_devmajor1614z00_1771;
							long BgL_devminor1615z00_1772;

							BgL_name1602z00_1759 = BgL_name1586z00_21;
							BgL_mode1603z00_1760 = BgL_mode1587z00_22;
							BgL_uid1604z00_1761 = BgL_uid1588z00_23;
							BgL_gid1605z00_1762 = BgL_gid1589z00_24;
							BgL_siza7e1606za7_1763 = BgL_siza7e1590za7_25;
							BgL_mtime1607z00_1764 = BgL_mtime1591z00_26;
							BgL_checksum1608z00_1765 = BgL_checksum1592z00_27;
							BgL_type1609z00_1766 = BgL_type1593z00_28;
							BgL_linkname1610z00_1767 = BgL_linkname1594z00_29;
							BgL_magic1611z00_1768 = BgL_magic1595z00_30;
							BgL_uname1612z00_1769 = BgL_uname1596z00_31;
							BgL_gname1613z00_1770 = BgL_gname1597z00_32;
							BgL_devmajor1614z00_1771 = BgL_devmajor1598z00_33;
							BgL_devminor1615z00_1772 = BgL_devminor1599z00_34;
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_namez00) = ((obj_t) BgL_name1602z00_1759), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_modez00) = ((long) BgL_mode1603z00_1760), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_uidz00) = ((long) BgL_uid1604z00_1761), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_gidz00) = ((long) BgL_gid1605z00_1762), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_siza7eza7) = ((long) BgL_siza7e1606za7_1763), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_mtimez00) = ((obj_t) BgL_mtime1607z00_1764), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_checksumz00) =
								((long) BgL_checksum1608z00_1765), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_typez00) = ((obj_t) BgL_type1609z00_1766), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_linknamez00) =
								((obj_t) BgL_linkname1610z00_1767), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_magicz00) = ((obj_t) BgL_magic1611z00_1768), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_unamez00) = ((obj_t) BgL_uname1612z00_1769), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_gnamez00) = ((obj_t) BgL_gname1613z00_1770), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_devmajorz00) =
								((long) BgL_devmajor1614z00_1771), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1744))->
									BgL_devminorz00) =
								((long) BgL_devminor1615z00_1772), BUNSPEC);
							BgL_res2260z00_1773 = BgL_new1616z00_1744;
					}} BgL_res2260z00_1773;
				}
				return BgL_new1600z00_1738;
			}
		}
	}



/* _make-tar-header */
	obj_t BGl__makezd2tarzd2headerz00zz__tarz00(obj_t BgL_envz00_2092,
		obj_t BgL_name1586z00_2093, obj_t BgL_mode1587z00_2094,
		obj_t BgL_uid1588z00_2095, obj_t BgL_gid1589z00_2096,
		obj_t BgL_siza7e1590za7_2097, obj_t BgL_mtime1591z00_2098,
		obj_t BgL_checksum1592z00_2099, obj_t BgL_type1593z00_2100,
		obj_t BgL_linkname1594z00_2101, obj_t BgL_magic1595z00_2102,
		obj_t BgL_uname1596z00_2103, obj_t BgL_gname1597z00_2104,
		obj_t BgL_devmajor1598z00_2105, obj_t BgL_devminor1599z00_2106)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2563;

				BgL_auxz00_2563 =
					BGl_makezd2tarzd2headerz00zz__tarz00(BgL_name1586z00_2093,
					(long) CINT(BgL_mode1587z00_2094),
					(long) CINT(BgL_uid1588z00_2095),
					(long) CINT(BgL_gid1589z00_2096),
					BELONG_TO_LONG(BgL_siza7e1590za7_2097), BgL_mtime1591z00_2098,
					(long) CINT(BgL_checksum1592z00_2099), BgL_type1593z00_2100,
					BgL_linkname1594z00_2101, BgL_magic1595z00_2102,
					BgL_uname1596z00_2103, BgL_gname1597z00_2104,
					(long) CINT(BgL_devmajor1598z00_2105),
					(long) CINT(BgL_devminor1599z00_2106));
				return (obj_t) (BgL_auxz00_2563);
			}
		}
	}



/* fill-tar-header! */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_fillzd2tarzd2headerz12z12zz__tarz00(BgL_tarzd2headerzd2_bglt
		BgL_new1616z00_35, obj_t BgL_name1602z00_36, long BgL_mode1603z00_37,
		long BgL_uid1604z00_38, long BgL_gid1605z00_39, long BgL_siza7e1606za7_40,
		obj_t BgL_mtime1607z00_41, long BgL_checksum1608z00_42,
		obj_t BgL_type1609z00_43, obj_t BgL_linkname1610z00_44,
		obj_t BgL_magic1611z00_45, obj_t BgL_uname1612z00_46,
		obj_t BgL_gname1613z00_47, long BgL_devmajor1614z00_48,
		long BgL_devminor1615z00_49)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				obj_t BgL_name1602z00_2180;
				long BgL_mode1603z00_2181;
				long BgL_uid1604z00_2182;
				long BgL_gid1605z00_2183;
				long BgL_siza7e1606za7_2184;
				obj_t BgL_mtime1607z00_2185;
				long BgL_checksum1608z00_2186;
				obj_t BgL_type1609z00_2187;
				obj_t BgL_linkname1610z00_2188;
				obj_t BgL_magic1611z00_2189;
				obj_t BgL_uname1612z00_2190;
				obj_t BgL_gname1613z00_2191;
				long BgL_devmajor1614z00_2192;
				long BgL_devminor1615z00_2193;

				BgL_name1602z00_2180 = BgL_name1602z00_36;
				BgL_mode1603z00_2181 = BgL_mode1603z00_37;
				BgL_uid1604z00_2182 = BgL_uid1604z00_38;
				BgL_gid1605z00_2183 = BgL_gid1605z00_39;
				BgL_siza7e1606za7_2184 = BgL_siza7e1606za7_40;
				BgL_mtime1607z00_2185 = BgL_mtime1607z00_41;
				BgL_checksum1608z00_2186 = BgL_checksum1608z00_42;
				BgL_type1609z00_2187 = BgL_type1609z00_43;
				BgL_linkname1610z00_2188 = BgL_linkname1610z00_44;
				BgL_magic1611z00_2189 = BgL_magic1611z00_45;
				BgL_uname1612z00_2190 = BgL_uname1612z00_46;
				BgL_gname1613z00_2191 = BgL_gname1613z00_47;
				BgL_devmajor1614z00_2192 = BgL_devmajor1614z00_48;
				BgL_devminor1615z00_2193 = BgL_devminor1615z00_49;
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_namez00) =
					((obj_t) BgL_name1602z00_2180), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_modez00) =
					((long) BgL_mode1603z00_2181), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_uidz00) =
					((long) BgL_uid1604z00_2182), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_gidz00) =
					((long) BgL_gid1605z00_2183), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_siza7eza7) =
					((long) BgL_siza7e1606za7_2184), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_mtimez00) =
					((obj_t) BgL_mtime1607z00_2185), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->
						BgL_checksumz00) = ((long) BgL_checksum1608z00_2186), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_typez00) =
					((obj_t) BgL_type1609z00_2187), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->
						BgL_linknamez00) = ((obj_t) BgL_linkname1610z00_2188), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_magicz00) =
					((obj_t) BgL_magic1611z00_2189), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_unamez00) =
					((obj_t) BgL_uname1612z00_2190), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->BgL_gnamez00) =
					((obj_t) BgL_gname1613z00_2191), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->
						BgL_devmajorz00) = ((long) BgL_devmajor1614z00_2192), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_35))->
						BgL_devminorz00) = ((long) BgL_devminor1615z00_2193), BUNSPEC);
				return BgL_new1616z00_35;
			}
		}
	}



/* _fill-tar-header! */
	obj_t BGl__fillzd2tarzd2headerz12z12zz__tarz00(obj_t BgL_envz00_2139,
		obj_t BgL_new1616z00_2140, obj_t BgL_name1602z00_2141,
		obj_t BgL_mode1603z00_2142, obj_t BgL_uid1604z00_2143,
		obj_t BgL_gid1605z00_2144, obj_t BgL_siza7e1606za7_2145,
		obj_t BgL_mtime1607z00_2146, obj_t BgL_checksum1608z00_2147,
		obj_t BgL_type1609z00_2148, obj_t BgL_linkname1610z00_2149,
		obj_t BgL_magic1611z00_2150, obj_t BgL_uname1612z00_2151,
		obj_t BgL_gname1613z00_2152, obj_t BgL_devmajor1614z00_2153,
		obj_t BgL_devminor1615z00_2154)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2587;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2360z00_2223;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1616z00_2194;
						obj_t BgL_name1602z00_2195;
						long BgL_mode1603z00_2196;
						long BgL_uid1604z00_2197;
						long BgL_gid1605z00_2198;
						long BgL_siza7e1606za7_2199;
						obj_t BgL_mtime1607z00_2200;
						long BgL_checksum1608z00_2201;
						obj_t BgL_type1609z00_2202;
						obj_t BgL_linkname1610z00_2203;
						obj_t BgL_magic1611z00_2204;
						obj_t BgL_uname1612z00_2205;
						obj_t BgL_gname1613z00_2206;
						long BgL_devmajor1614z00_2207;
						long BgL_devminor1615z00_2208;

						BgL_new1616z00_2194 =
							(BgL_tarzd2headerzd2_bglt) (BgL_new1616z00_2140);
						BgL_name1602z00_2195 = BgL_name1602z00_2141;
						BgL_mode1603z00_2196 = (long) CINT(BgL_mode1603z00_2142);
						BgL_uid1604z00_2197 = (long) CINT(BgL_uid1604z00_2143);
						BgL_gid1605z00_2198 = (long) CINT(BgL_gid1605z00_2144);
						BgL_siza7e1606za7_2199 = BELONG_TO_LONG(BgL_siza7e1606za7_2145);
						BgL_mtime1607z00_2200 = BgL_mtime1607z00_2146;
						BgL_checksum1608z00_2201 = (long) CINT(BgL_checksum1608z00_2147);
						BgL_type1609z00_2202 = BgL_type1609z00_2148;
						BgL_linkname1610z00_2203 = BgL_linkname1610z00_2149;
						BgL_magic1611z00_2204 = BgL_magic1611z00_2150;
						BgL_uname1612z00_2205 = BgL_uname1612z00_2151;
						BgL_gname1613z00_2206 = BgL_gname1613z00_2152;
						BgL_devmajor1614z00_2207 = (long) CINT(BgL_devmajor1614z00_2153);
						BgL_devminor1615z00_2208 = (long) CINT(BgL_devminor1615z00_2154);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_name1602z00_2209;
							long BgL_mode1603z00_2210;
							long BgL_uid1604z00_2211;
							long BgL_gid1605z00_2212;
							long BgL_siza7e1606za7_2213;
							obj_t BgL_mtime1607z00_2214;
							long BgL_checksum1608z00_2215;
							obj_t BgL_type1609z00_2216;
							obj_t BgL_linkname1610z00_2217;
							obj_t BgL_magic1611z00_2218;
							obj_t BgL_uname1612z00_2219;
							obj_t BgL_gname1613z00_2220;
							long BgL_devmajor1614z00_2221;
							long BgL_devminor1615z00_2222;

							BgL_name1602z00_2209 = BgL_name1602z00_2195;
							BgL_mode1603z00_2210 = BgL_mode1603z00_2196;
							BgL_uid1604z00_2211 = BgL_uid1604z00_2197;
							BgL_gid1605z00_2212 = BgL_gid1605z00_2198;
							BgL_siza7e1606za7_2213 = BgL_siza7e1606za7_2199;
							BgL_mtime1607z00_2214 = BgL_mtime1607z00_2200;
							BgL_checksum1608z00_2215 = BgL_checksum1608z00_2201;
							BgL_type1609z00_2216 = BgL_type1609z00_2202;
							BgL_linkname1610z00_2217 = BgL_linkname1610z00_2203;
							BgL_magic1611z00_2218 = BgL_magic1611z00_2204;
							BgL_uname1612z00_2219 = BgL_uname1612z00_2205;
							BgL_gname1613z00_2220 = BgL_gname1613z00_2206;
							BgL_devmajor1614z00_2221 = BgL_devmajor1614z00_2207;
							BgL_devminor1615z00_2222 = BgL_devminor1615z00_2208;
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_namez00) = ((obj_t) BgL_name1602z00_2209), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_modez00) = ((long) BgL_mode1603z00_2210), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_uidz00) = ((long) BgL_uid1604z00_2211), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_gidz00) = ((long) BgL_gid1605z00_2212), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_siza7eza7) = ((long) BgL_siza7e1606za7_2213), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_mtimez00) = ((obj_t) BgL_mtime1607z00_2214), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_checksumz00) =
								((long) BgL_checksum1608z00_2215), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_typez00) = ((obj_t) BgL_type1609z00_2216), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_linknamez00) =
								((obj_t) BgL_linkname1610z00_2217), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_magicz00) = ((obj_t) BgL_magic1611z00_2218), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_unamez00) = ((obj_t) BgL_uname1612z00_2219), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_gnamez00) = ((obj_t) BgL_gname1613z00_2220), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_devmajorz00) =
								((long) BgL_devmajor1614z00_2221), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_2194))->
									BgL_devminorz00) =
								((long) BgL_devminor1615z00_2222), BUNSPEC);
							BgL_res2360z00_2223 = BgL_new1616z00_2194;
					}}
					BgL_auxz00_2587 = BgL_res2360z00_2223;
				}
				return (obj_t) (BgL_auxz00_2587);
			}
		}
	}



/* %allocate-tar-header */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_z52allocatezd2tarzd2headerz52zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_new1632z00_2224;
				BgL_new1632z00_2224 =
					((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_tarzd2headerzd2_bgl))));
				{	/* Unsafe/tar.scm 50 */
					long BgL_arg1939z00_2225;

					BgL_arg1939z00_2225 =
						BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
					{	/* Unsafe/tar.scm 50 */
						BgL_objectz00_bglt BgL_objz00_2226;

						BgL_objz00_2226 = (BgL_objectz00_bglt) (BgL_new1632z00_2224);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2226, BgL_arg1939z00_2225);
				}}
				{	/* Unsafe/tar.scm 50 */
					BgL_objectz00_bglt BgL_auxz00_2615;

					BgL_auxz00_2615 = (BgL_objectz00_bglt) (BgL_new1632z00_2224);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2615, BFALSE);
				}
				return BgL_new1632z00_2224;
			}
		}
	}



/* _%allocate-tar-header */
	obj_t BGl__z52allocatezd2tarzd2headerz52zz__tarz00(obj_t BgL_envz00_2107)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2618;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2361z00_2230;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1632z00_2227;
						BgL_new1632z00_2227 =
							((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_tarzd2headerzd2_bgl))));
						{	/* Unsafe/tar.scm 50 */
							long BgL_arg1939z00_2228;

							BgL_arg1939z00_2228 =
								BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_objz00_2229;

								BgL_objz00_2229 = (BgL_objectz00_bglt) (BgL_new1632z00_2227);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2229, BgL_arg1939z00_2228);
						}}
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2623;

							BgL_auxz00_2623 = (BgL_objectz00_bglt) (BgL_new1632z00_2227);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2623, BFALSE);
						}
						BgL_res2361z00_2230 = BgL_new1632z00_2227;
					}
					BgL_auxz00_2618 = BgL_res2361z00_2230;
				}
				return (obj_t) (BgL_auxz00_2618);
			}
		}
	}



/* tar-header-nil */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_tarzd2headerzd2nilz00zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			if ((BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 == BUNSPEC))
				{	/* Unsafe/tar.scm 50 */
					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_res2261z00_1796;

						{	/* Unsafe/tar.scm 50 */
							BgL_tarzd2headerzd2_bglt BgL_new1632z00_1792;
							BgL_new1632z00_1792 =
								((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_tarzd2headerzd2_bgl))));
							{	/* Unsafe/tar.scm 50 */
								long BgL_arg1939z00_1793;

								BgL_arg1939z00_1793 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_tarzd2headerzd2zz__tarz00);
								{	/* Unsafe/tar.scm 50 */
									BgL_objectz00_bglt BgL_objz00_1794;

									BgL_objz00_1794 = (BgL_objectz00_bglt) (BgL_new1632z00_1792);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1794,
										BgL_arg1939z00_1793);
							}}
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_auxz00_2633;

								BgL_auxz00_2633 = (BgL_objectz00_bglt) (BgL_new1632z00_1792);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2633, BFALSE);
							}
							BgL_res2261z00_1796 = BgL_new1632z00_1792;
						}
						BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 =
							(obj_t) (BgL_res2261z00_1796);
					}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1946z00_1002;
						obj_t BgL_arg1947z00_1003;
						obj_t BgL_arg1950z00_1005;

						BgL_arg1946z00_1002 =
							BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
							(BGl_string2356z00zz__tarz00, BNIL);
						BgL_arg1947z00_1003 = bgl_seconds_to_date(bgl_current_seconds());
						BgL_arg1950z00_1005 = BGl_symbol2357z00zz__tarz00;
						{	/* Unsafe/tar.scm 50 */
							BgL_tarzd2headerzd2_bglt BgL_res2263z00_1828;

							{	/* Unsafe/tar.scm 50 */
								BgL_tarzd2headerzd2_bglt BgL_new1616z00_1799;

								BgL_new1616z00_1799 =
									(BgL_tarzd2headerzd2_bglt)
									(BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00);
								{	/* Unsafe/tar.scm 50 */
									obj_t BgL_name1602z00_1814;
									long BgL_mode1603z00_1815;
									long BgL_uid1604z00_1816;
									long BgL_gid1605z00_1817;
									long BgL_siza7e1606za7_1818;
									obj_t BgL_mtime1607z00_1819;
									long BgL_checksum1608z00_1820;
									obj_t BgL_type1609z00_1821;
									obj_t BgL_linkname1610z00_1822;
									obj_t BgL_magic1611z00_1823;
									obj_t BgL_uname1612z00_1824;
									obj_t BgL_gname1613z00_1825;
									long BgL_devmajor1614z00_1826;
									long BgL_devminor1615z00_1827;

									BgL_name1602z00_1814 = BGl_string2313z00zz__tarz00;
									BgL_mode1603z00_1815 = ((long) 0);
									BgL_uid1604z00_1816 = ((long) 0);
									BgL_gid1605z00_1817 = ((long) 0);
									BgL_siza7e1606za7_1818 = BgL_arg1946z00_1002;
									BgL_mtime1607z00_1819 = BgL_arg1947z00_1003;
									BgL_checksum1608z00_1820 = ((long) 0);
									BgL_type1609z00_1821 = BgL_arg1950z00_1005;
									BgL_linkname1610z00_1822 = BGl_string2313z00zz__tarz00;
									BgL_magic1611z00_1823 = BGl_string2313z00zz__tarz00;
									BgL_uname1612z00_1824 = BGl_string2313z00zz__tarz00;
									BgL_gname1613z00_1825 = BGl_string2313z00zz__tarz00;
									BgL_devmajor1614z00_1826 = ((long) 0);
									BgL_devminor1615z00_1827 = ((long) 0);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_namez00) = ((obj_t) BgL_name1602z00_1814), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_modez00) = ((long) BgL_mode1603z00_1815), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_uidz00) = ((long) BgL_uid1604z00_1816), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_gidz00) = ((long) BgL_gid1605z00_1817), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_siza7eza7) =
										((long) BgL_siza7e1606za7_1818), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_mtimez00) = ((obj_t) BgL_mtime1607z00_1819), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_checksumz00) =
										((long) BgL_checksum1608z00_1820), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_typez00) = ((obj_t) BgL_type1609z00_1821), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_linknamez00) =
										((obj_t) BgL_linkname1610z00_1822), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_magicz00) = ((obj_t) BgL_magic1611z00_1823), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_unamez00) = ((obj_t) BgL_uname1612z00_1824), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_gnamez00) = ((obj_t) BgL_gname1613z00_1825), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_devmajorz00) =
										((long) BgL_devmajor1614z00_1826), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1616z00_1799))->
											BgL_devminorz00) =
										((long) BgL_devminor1615z00_1827), BUNSPEC);
									BgL_res2263z00_1828 = BgL_new1616z00_1799;
							}}
							(obj_t) (BgL_res2263z00_1828);
				}}}
			else
				{	/* Unsafe/tar.scm 50 */
					BFALSE;
				}
			return
				(BgL_tarzd2headerzd2_bglt)
				(BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00);
		}
	}



/* _tar-header-nil */
	obj_t BGl__tarzd2headerzd2nilz00zz__tarz00(obj_t BgL_envz00_2136)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2657;

				BgL_auxz00_2657 = BGl_tarzd2headerzd2nilz00zz__tarz00();
				return (obj_t) (BgL_auxz00_2657);
			}
		}
	}



/* _tar-header-name2272 */
	obj_t BGl__tarzd2headerzd2name2272z00zz__tarz00(obj_t BgL_envz00_2108,
		obj_t BgL_obj1571z00_2109)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 51 */
			{	/* Unsafe/tar.scm 51 */
				BgL_tarzd2headerzd2_bglt BgL_obj1571z00_2231;

				BgL_obj1571z00_2231 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1571z00_2109);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1571z00_2231))->BgL_namez00);
			}
		}
	}



/* _tar-header-mode2273 */
	obj_t BGl__tarzd2headerzd2mode2273z00zz__tarz00(obj_t BgL_envz00_2110,
		obj_t BgL_obj1572z00_2111)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 52 */
			{	/* Unsafe/tar.scm 52 */
				long BgL_auxz00_2662;

				{	/* Unsafe/tar.scm 52 */
					BgL_tarzd2headerzd2_bglt BgL_obj1572z00_2232;

					BgL_obj1572z00_2232 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1572z00_2111);
					BgL_auxz00_2662 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1572z00_2232))->
						BgL_modez00);
				}
				return BINT(BgL_auxz00_2662);
			}
		}
	}



/* _tar-header-uid2274 */
	obj_t BGl__tarzd2headerzd2uid2274z00zz__tarz00(obj_t BgL_envz00_2112,
		obj_t BgL_obj1574z00_2113)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 53 */
			{	/* Unsafe/tar.scm 53 */
				long BgL_auxz00_2666;

				{	/* Unsafe/tar.scm 53 */
					BgL_tarzd2headerzd2_bglt BgL_obj1574z00_2233;

					BgL_obj1574z00_2233 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1574z00_2113);
					BgL_auxz00_2666 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1574z00_2233))->
						BgL_uidz00);
				}
				return BINT(BgL_auxz00_2666);
			}
		}
	}



/* _tar-header-gid2275 */
	obj_t BGl__tarzd2headerzd2gid2275z00zz__tarz00(obj_t BgL_envz00_2114,
		obj_t BgL_obj1575z00_2115)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 54 */
			{	/* Unsafe/tar.scm 54 */
				long BgL_auxz00_2670;

				{	/* Unsafe/tar.scm 54 */
					BgL_tarzd2headerzd2_bglt BgL_obj1575z00_2234;

					BgL_obj1575z00_2234 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1575z00_2115);
					BgL_auxz00_2670 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1575z00_2234))->
						BgL_gidz00);
				}
				return BINT(BgL_auxz00_2670);
			}
		}
	}



/* _tar-header-size2276 */
	obj_t BGl__tarzd2headerzd2siza7e2276za7zz__tarz00(obj_t BgL_envz00_2116,
		obj_t BgL_obj1576z00_2117)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 55 */
			{	/* Unsafe/tar.scm 55 */
				long BgL_auxz00_2674;

				{	/* Unsafe/tar.scm 55 */
					BgL_tarzd2headerzd2_bglt BgL_obj1576z00_2235;

					BgL_obj1576z00_2235 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1576z00_2117);
					BgL_auxz00_2674 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1576z00_2235))->
						BgL_siza7eza7);
				}
				return make_belong(BgL_auxz00_2674);
			}
		}
	}



/* _tar-header-mtime2277 */
	obj_t BGl__tarzd2headerzd2mtime2277z00zz__tarz00(obj_t BgL_envz00_2118,
		obj_t BgL_obj1577z00_2119)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 56 */
			{	/* Unsafe/tar.scm 56 */
				BgL_tarzd2headerzd2_bglt BgL_obj1577z00_2236;

				BgL_obj1577z00_2236 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1577z00_2119);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1577z00_2236))->
					BgL_mtimez00);
			}
		}
	}



/* _tar-header-checksum2278 */
	obj_t BGl__tarzd2headerzd2checksum2278z00zz__tarz00(obj_t BgL_envz00_2120,
		obj_t BgL_obj1578z00_2121)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 57 */
			{	/* Unsafe/tar.scm 57 */
				long BgL_auxz00_2680;

				{	/* Unsafe/tar.scm 57 */
					BgL_tarzd2headerzd2_bglt BgL_obj1578z00_2237;

					BgL_obj1578z00_2237 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1578z00_2121);
					BgL_auxz00_2680 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1578z00_2237))->
						BgL_checksumz00);
				}
				return BINT(BgL_auxz00_2680);
			}
		}
	}



/* _tar-header-type2279 */
	obj_t BGl__tarzd2headerzd2type2279z00zz__tarz00(obj_t BgL_envz00_2122,
		obj_t BgL_obj1579z00_2123)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 58 */
			{	/* Unsafe/tar.scm 58 */
				BgL_tarzd2headerzd2_bglt BgL_obj1579z00_2238;

				BgL_obj1579z00_2238 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1579z00_2123);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1579z00_2238))->BgL_typez00);
			}
		}
	}



/* _tar-header-linkname2280 */
	obj_t BGl__tarzd2headerzd2linkname2280z00zz__tarz00(obj_t BgL_envz00_2124,
		obj_t BgL_obj1580z00_2125)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 59 */
			{	/* Unsafe/tar.scm 59 */
				BgL_tarzd2headerzd2_bglt BgL_obj1580z00_2239;

				BgL_obj1580z00_2239 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1580z00_2125);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1580z00_2239))->
					BgL_linknamez00);
			}
		}
	}



/* _tar-header-magic2281 */
	obj_t BGl__tarzd2headerzd2magic2281z00zz__tarz00(obj_t BgL_envz00_2126,
		obj_t BgL_obj1581z00_2127)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 60 */
			{	/* Unsafe/tar.scm 60 */
				BgL_tarzd2headerzd2_bglt BgL_obj1581z00_2240;

				BgL_obj1581z00_2240 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1581z00_2127);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1581z00_2240))->
					BgL_magicz00);
			}
		}
	}



/* _tar-header-uname2282 */
	obj_t BGl__tarzd2headerzd2uname2282z00zz__tarz00(obj_t BgL_envz00_2128,
		obj_t BgL_obj1582z00_2129)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 61 */
			{	/* Unsafe/tar.scm 61 */
				BgL_tarzd2headerzd2_bglt BgL_obj1582z00_2241;

				BgL_obj1582z00_2241 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1582z00_2129);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1582z00_2241))->
					BgL_unamez00);
			}
		}
	}



/* _tar-header-gname2283 */
	obj_t BGl__tarzd2headerzd2gname2283z00zz__tarz00(obj_t BgL_envz00_2130,
		obj_t BgL_obj1583z00_2131)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 62 */
			{	/* Unsafe/tar.scm 62 */
				BgL_tarzd2headerzd2_bglt BgL_obj1583z00_2242;

				BgL_obj1583z00_2242 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1583z00_2131);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1583z00_2242))->
					BgL_gnamez00);
			}
		}
	}



/* _tar-header-devmajor2284 */
	obj_t BGl__tarzd2headerzd2devmajor2284z00zz__tarz00(obj_t BgL_envz00_2132,
		obj_t BgL_obj1584z00_2133)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 63 */
			{	/* Unsafe/tar.scm 63 */
				long BgL_auxz00_2694;

				{	/* Unsafe/tar.scm 63 */
					BgL_tarzd2headerzd2_bglt BgL_obj1584z00_2243;

					BgL_obj1584z00_2243 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1584z00_2133);
					BgL_auxz00_2694 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1584z00_2243))->
						BgL_devmajorz00);
				}
				return BINT(BgL_auxz00_2694);
			}
		}
	}



/* _tar-header-devminor2285 */
	obj_t BGl__tarzd2headerzd2devminor2285z00zz__tarz00(obj_t BgL_envz00_2134,
		obj_t BgL_obj1585z00_2135)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 64 */
			{	/* Unsafe/tar.scm 64 */
				long BgL_auxz00_2698;

				{	/* Unsafe/tar.scm 64 */
					BgL_tarzd2headerzd2_bglt BgL_obj1585z00_2244;

					BgL_obj1585z00_2244 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1585z00_2135);
					BgL_auxz00_2698 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1585z00_2244))->
						BgL_devminorz00);
				}
				return BINT(BgL_auxz00_2698);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			{	/* Unsafe/tar.scm 17 */
				obj_t BgL_objectzd2ze3structzd2tarzd2h1736z31_2156;

				BgL_objectzd2ze3structzd2tarzd2h1736z31_2156 =
					make_fx_procedure(BGl_objectzd2ze3structzd2tarzd2h1736z31zz__tarz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_tarzd2headerzd2zz__tarz00,
					BgL_objectzd2ze3structzd2tarzd2h1736z31_2156);
			}
			{	/* Unsafe/tar.scm 17 */
				obj_t BgL_structzb2objectzd2ze3objec1738z83_2155;

				BgL_structzb2objectzd2ze3objec1738z83_2155 =
					make_fx_procedure(BGl_structzb2objectzd2ze3objec1738z83zz__tarz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_tarzd2headerzd2zz__tarz00,
					BgL_structzb2objectzd2ze3objec1738z83_2155);
			}
		}
	}



/* struct+object->objec1738 */
	obj_t BGl_structzb2objectzd2ze3objec1738z83zz__tarz00(obj_t BgL_envz00_2157,
		obj_t BgL_oz00_2158, obj_t BgL_sz00_2159)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{
				BgL_tarzd2headerzd2_bglt BgL_oz00_1164;
				obj_t BgL_sz00_1165;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_auxz00_2710;

					BgL_oz00_1164 = (BgL_tarzd2headerzd2_bglt) (BgL_oz00_2158);
					BgL_sz00_1165 = BgL_sz00_2159;
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2008z00_1168;

						BgL_arg2008z00_1168 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 0)));
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2713;

							BgL_auxz00_2713 = (BgL_objectz00_bglt) (BgL_oz00_1164);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2713, BgL_arg2008z00_1168);
					}}
					{
						obj_t BgL_auxz00_2716;

						BgL_auxz00_2716 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 1)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_namez00) =
							((obj_t) BgL_auxz00_2716), BUNSPEC);
					}
					{
						long BgL_auxz00_2720;

						BgL_auxz00_2720 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 2))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_modez00) =
							((long) BgL_auxz00_2720), BUNSPEC);
					}
					{
						long BgL_auxz00_2725;

						BgL_auxz00_2725 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 3))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_uidz00) =
							((long) BgL_auxz00_2725), BUNSPEC);
					}
					{
						long BgL_auxz00_2730;

						BgL_auxz00_2730 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 4))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_gidz00) =
							((long) BgL_auxz00_2730), BUNSPEC);
					}
					{	/* Unsafe/tar.scm 50 */
						long BgL_v1653z00_1173;

						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2735;

							BgL_auxz00_2735 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 5)));
							BgL_v1653z00_1173 = BELONG_TO_LONG(BgL_auxz00_2735);
						}
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_siza7eza7) =
							((long) BgL_v1653z00_1173), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2740;

						BgL_auxz00_2740 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 6)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_mtimez00) =
							((obj_t) BgL_auxz00_2740), BUNSPEC);
					}
					{
						long BgL_auxz00_2744;

						BgL_auxz00_2744 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 7))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->
								BgL_checksumz00) = ((long) BgL_auxz00_2744), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2749;

						BgL_auxz00_2749 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 8)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_typez00) =
							((obj_t) BgL_auxz00_2749), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2753;

						BgL_auxz00_2753 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 9)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->
								BgL_linknamez00) = ((obj_t) BgL_auxz00_2753), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2757;

						BgL_auxz00_2757 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 10)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_magicz00) =
							((obj_t) BgL_auxz00_2757), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2761;

						BgL_auxz00_2761 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 11)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_unamez00) =
							((obj_t) BgL_auxz00_2761), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2765;

						BgL_auxz00_2765 = STRUCT_REF(BgL_sz00_1165, (int) (((long) 12)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->BgL_gnamez00) =
							((obj_t) BgL_auxz00_2765), BUNSPEC);
					}
					{
						long BgL_auxz00_2769;

						BgL_auxz00_2769 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 13))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->
								BgL_devmajorz00) = ((long) BgL_auxz00_2769), BUNSPEC);
					}
					{
						long BgL_auxz00_2774;

						BgL_auxz00_2774 =
							(long) CINT(STRUCT_REF(BgL_sz00_1165, (int) (((long) 14))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1164))->
								BgL_devminorz00) = ((long) BgL_auxz00_2774), BUNSPEC);
					}
					BgL_auxz00_2710 = BgL_oz00_1164;
					return (obj_t) (BgL_auxz00_2710);
				}
			}
		}
	}



/* object->struct-tar-h1736 */
	obj_t BGl_objectzd2ze3structzd2tarzd2h1736z31zz__tarz00(obj_t BgL_envz00_2160,
		obj_t BgL_obj1633z00_2161)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{
				BgL_tarzd2headerzd2_bglt BgL_obj1633z00_1130;

				BgL_obj1633z00_1130 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1633z00_2161);
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_res1634z00_1133;

					BgL_res1634z00_1133 =
						make_struct(BGl_symbol2351z00zz__tarz00,
						(int) (((long) 15)), BUNSPEC);
					{	/* Unsafe/tar.scm 50 */
						int BgL_auxz00_2783;

						BgL_auxz00_2783 = (int) (((long) 0));
						STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2783, BFALSE);
					}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1980z00_1135;

						BgL_arg1980z00_1135 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_namez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2787;

							BgL_auxz00_2787 = (int) (((long) 1));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2787,
								BgL_arg1980z00_1135);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1982z00_1137;

						BgL_arg1982z00_1137 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_modez00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2793;
							int BgL_auxz00_2791;

							BgL_auxz00_2793 = BINT(BgL_arg1982z00_1137);
							BgL_auxz00_2791 = (int) (((long) 2));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2791, BgL_auxz00_2793);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1984z00_1139;

						BgL_arg1984z00_1139 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_uidz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2799;
							int BgL_auxz00_2797;

							BgL_auxz00_2799 = BINT(BgL_arg1984z00_1139);
							BgL_auxz00_2797 = (int) (((long) 3));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2797, BgL_auxz00_2799);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1986z00_1141;

						BgL_arg1986z00_1141 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_gidz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2805;
							int BgL_auxz00_2803;

							BgL_auxz00_2805 = BINT(BgL_arg1986z00_1141);
							BgL_auxz00_2803 = (int) (((long) 4));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2803, BgL_auxz00_2805);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1988z00_1143;

						BgL_arg1988z00_1143 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_siza7eza7);
						{	/* Unsafe/tar.scm 50 */
							int BgL_kz00_1853;
							obj_t BgL_oz00_1854;

							BgL_kz00_1853 = (int) (((long) 5));
							BgL_oz00_1854 = make_belong(BgL_arg1988z00_1143);
							STRUCT_SET(BgL_res1634z00_1133, BgL_kz00_1853, BgL_oz00_1854);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1990z00_1145;

						BgL_arg1990z00_1145 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_mtimez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2813;

							BgL_auxz00_2813 = (int) (((long) 6));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2813,
								BgL_arg1990z00_1145);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1992z00_1147;

						BgL_arg1992z00_1147 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_checksumz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2819;
							int BgL_auxz00_2817;

							BgL_auxz00_2819 = BINT(BgL_arg1992z00_1147);
							BgL_auxz00_2817 = (int) (((long) 7));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2817, BgL_auxz00_2819);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1994z00_1149;

						BgL_arg1994z00_1149 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_typez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2823;

							BgL_auxz00_2823 = (int) (((long) 8));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2823,
								BgL_arg1994z00_1149);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1996z00_1151;

						BgL_arg1996z00_1151 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_linknamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2827;

							BgL_auxz00_2827 = (int) (((long) 9));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2827,
								BgL_arg1996z00_1151);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1998z00_1153;

						BgL_arg1998z00_1153 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_magicz00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2831;

							BgL_auxz00_2831 = (int) (((long) 10));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2831,
								BgL_arg1998z00_1153);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2000z00_1155;

						BgL_arg2000z00_1155 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_unamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2835;

							BgL_auxz00_2835 = (int) (((long) 11));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2835,
								BgL_arg2000z00_1155);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2002z00_1157;

						BgL_arg2002z00_1157 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_gnamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2839;

							BgL_auxz00_2839 = (int) (((long) 12));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2839,
								BgL_arg2002z00_1157);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg2004z00_1159;

						BgL_arg2004z00_1159 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_devmajorz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2845;
							int BgL_auxz00_2843;

							BgL_auxz00_2845 = BINT(BgL_arg2004z00_1159);
							BgL_auxz00_2843 = (int) (((long) 13));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2843, BgL_auxz00_2845);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg2006z00_1161;

						BgL_arg2006z00_1161 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1633z00_1130))->
							BgL_devminorz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2851;
							int BgL_auxz00_2849;

							BgL_auxz00_2851 = BINT(BgL_arg2006z00_1161);
							BgL_auxz00_2849 = (int) (((long) 14));
							STRUCT_SET(BgL_res1634z00_1133, BgL_auxz00_2849, BgL_auxz00_2851);
					}}
					return BgL_res1634z00_1133;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 141084720),
				BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					490722456), BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					183289170), BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 276194849),
				BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
			return BGl_modulezd2initializa7ationz75zz__rgcz00(((long) 108911503),
				BSTRING_TO_STRING(BGl_string2359z00zz__tarz00));
		}
	}

#ifdef __cplusplus
}
#endif
